;*=====================================================================*/
;*    serrano/prgm/project/bigloo/comptime/Engine/signals.scm          */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Sun Feb 13 09:50:26 1994                          */
;*    Last change :  Wed Mar  5 15:58:09 2003 (serrano)                */
;*    Copyright   :  1994-2003 Manuel Serrano, see LICENSE file        */
;*    -------------------------------------------------------------    */
;*    On recupere tous les signaux pour ne plus avoir de message       */
;*    intenpestifs.                                                    */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    Le module                                                        */
;*---------------------------------------------------------------------*/
(module engine_signals
   (import  init_main
	    engine_param)
   (export  (install-compiler-signals!)))

;*---------------------------------------------------------------------*/
;*    install-compiler-signals! ...                                    */
;*---------------------------------------------------------------------*/
(define (install-compiler-signals!)
   (let ((kill-my-self (lambda (n)
			  (if (>fx *verbose* 0)
			      (notify-error "Illegal signal caught"
					    n
					    "aborting...")
			      (notify-error "internal error"
					    "aborting"
					    #f))
			  (exit-bigloo -1))))
      (signal sigfpe kill-my-self)
      (signal sigill kill-my-self)
      (signal sigbus kill-my-self)
      (signal sigsegv kill-my-self)))


