/*===========================================================================*/
/*   (Expand/lambda.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Expand/lambda.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
static obj_t BGl_zc3anonymousza31151ze3z83zzexpand_lambdaz00(obj_t, obj_t);
static obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__internalzd2beginzd2expander1319z00zzexpand_lambdaz00(obj_t, obj_t);
static obj_t BGl__expandzd2args1311zd2zzexpand_lambdaz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31097ze3z83zzexpand_lambdaz00(obj_t);
static obj_t BGl__expandzd2lambda1313zd2zzexpand_lambdaz00(obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31116ze3z83zzexpand_lambdaz00(obj_t, obj_t, obj_t);
static obj_t BGl_loopz00zzexpand_lambdaz00(obj_t, obj_t);
extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
static obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00();
static obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
static obj_t BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31141ze3z83zzexpand_lambdaz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00();
extern obj_t BGl_emapz00zztools_prognz00(obj_t, obj_t);
extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
static obj_t __cnst[ 4 ] ;


DEFINE_STRING( BGl_string1358z00zzexpand_lambdaz00, BgL_bgl_string1358za700za7za7expand_lambdaza7001383z00, "letrec define begin _ ", 22 );
DEFINE_STRING( BGl_string1357z00zzexpand_lambdaz00, BgL_bgl_string1357za700za7za7expand_lambdaza7001384z00, "Illegal `lambda' form", 21 );
DEFINE_STRING( BGl_string1356z00zzexpand_lambdaz00, BgL_bgl_string1356za700za7za7expand_lambdaza7001385z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1355z00zzexpand_lambdaz00, BgL_bgl_string1355za700za7za7expand_lambdaza7001386z00, "expand", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2lambdazd2envz00zzexpand_lambdaz00, BgL_bgl__expandza7d2lambda1313za7d2za7za7expand_lambdaza7001387za7, BGl__expandzd2lambda1313zd2zzexpand_lambdaz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2argszd2envz00zzexpand_lambdaz00, BgL_bgl__expandza7d2args1311za7d2za7za7expand_lambdaza7001388za7, BGl__expandzd2args1311zd2zzexpand_lambdaz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_internalzd2beginzd2expanderzd2envzd2zzexpand_lambdaz00, BgL_bgl__internalza7d2beginza7d2expander1319za700za7za7expand_lambdaza7001389z00, BGl__internalzd2beginzd2expander1319z00zzexpand_lambdaz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long BgL_checksumz00_274, char * BgL_fromz00_275)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzexpand_lambdaz00))
{ 
BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00(); 
BGl_cnstzd2initzd2zzexpand_lambdaz00(); 
BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00(); 
BGl_toplevelzd2initzd2zzexpand_lambdaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00()
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "expand_lambda"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "expand_lambda"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00()
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 15 */
{ /* ./Expand/lambda.scm 15 */
obj_t BgL_cportz00_267;
BgL_cportz00_267 = 
open_input_string(BGl_string1358z00zzexpand_lambdaz00); 
{ 
long BgL_iz00_268;
BgL_iz00_268 = ((long)3); 
BgL_loopz00_269:
{ /* ./Expand/lambda.scm 15 */
bool_t BgL_test1360z00_270;
BgL_test1360z00_270 = 
(BgL_iz00_268==((long)-1)); 
if(BgL_test1360z00_270)
{ /* ./Expand/lambda.scm 15 */
return BUNSPEC;}  else 
{ /* ./Expand/lambda.scm 15 */
{ /* ./Expand/lambda.scm 15 */
obj_t BgL_arg1362z00_271;
{ /* ./Expand/lambda.scm 15 */
obj_t BgL_list1365z00_272;
BgL_list1365z00_272 = 
MAKE_PAIR(BgL_cportz00_267, BNIL); 
BgL_arg1362z00_271 = 
BGl_readz00zz__readerz00(BgL_list1365z00_272); } 
{ /* ./Expand/lambda.scm 15 */
int BgL_auxz00_290;
BgL_auxz00_290 = 
(int)(BgL_iz00_268); 
CNST_TABLE_SET(BgL_auxz00_290, BgL_arg1362z00_271); } } 
{ /* ./Expand/lambda.scm 15 */
int BgL_auxz00_273;
{ /* ./Expand/lambda.scm 15 */
long BgL_auxz00_293;
BgL_auxz00_293 = 
(BgL_iz00_268-((long)1)); 
BgL_auxz00_273 = 
(int)(BgL_auxz00_293); } 
{ 
long BgL_iz00_296;
BgL_iz00_296 = 
(long)(BgL_auxz00_273); 
BgL_iz00_268 = BgL_iz00_296; 
goto BgL_loopz00_269;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00()
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 15 */
return ( 
BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BFALSE, BUNSPEC) ;} 
}



/* expand-args */
BGL_EXPORTED_DEF obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t BgL_argsz00_1, obj_t BgL_ez00_2)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 37 */
return 
BGl_loopz00zzexpand_lambdaz00(BgL_ez00_2, BgL_argsz00_1);} 
}



/* loop */
obj_t BGl_loopz00zzexpand_lambdaz00(obj_t BgL_ez00_266, obj_t BgL_argsz00_8)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 38 */
{ /* ./Expand/lambda.scm 40 */
bool_t BgL_test1004z00_10;
BgL_test1004z00_10 = 
NULLP(BgL_argsz00_8); 
if(BgL_test1004z00_10)
{ /* ./Expand/lambda.scm 40 */
return BNIL;}  else 
{ /* ./Expand/lambda.scm 42 */
bool_t BgL_test1005z00_11;
BgL_test1005z00_11 = 
SYMBOLP(BgL_argsz00_8); 
if(BgL_test1005z00_11)
{ /* ./Expand/lambda.scm 42 */
return BgL_argsz00_8;}  else 
{ /* ./Expand/lambda.scm 44 */
bool_t BgL_test1006z00_12;
BgL_test1006z00_12 = 
PAIRP(BgL_argsz00_8); 
if(BgL_test1006z00_12)
{ /* ./Expand/lambda.scm 46 */
bool_t BgL_test1007z00_13;
{ /* ./Expand/lambda.scm 46 */
bool_t BgL_testz00_305;
{ /* ./Expand/lambda.scm 46 */
obj_t BgL_auxz00_306;
BgL_auxz00_306 = 
CAR(BgL_argsz00_8); 
BgL_testz00_305 = 
PAIRP(BgL_auxz00_306); } 
if(BgL_testz00_305)
{ /* ./Expand/lambda.scm 47 */
bool_t BgL_testz00_309;
{ /* ./Expand/lambda.scm 47 */
obj_t BgL_auxz00_310;
{ /* ./Expand/lambda.scm 47 */
obj_t BgL_auxz00_311;
BgL_auxz00_311 = 
CAR(BgL_argsz00_8); 
BgL_auxz00_310 = 
CDR(BgL_auxz00_311); } 
BgL_testz00_309 = 
PAIRP(BgL_auxz00_310); } 
if(BgL_testz00_309)
{ /* ./Expand/lambda.scm 48 */
obj_t BgL_auxz00_315;
{ /* ./Expand/lambda.scm 48 */
obj_t BgL_auxz00_316;
{ /* ./Expand/lambda.scm 48 */
obj_t BgL_auxz00_317;
BgL_auxz00_317 = 
CAR(BgL_argsz00_8); 
BgL_auxz00_316 = 
CDR(BgL_auxz00_317); } 
BgL_auxz00_315 = 
CDR(BgL_auxz00_316); } 
BgL_test1007z00_13 = 
NULLP(BgL_auxz00_315); }  else 
{ /* ./Expand/lambda.scm 47 */
BgL_test1007z00_13 = ((bool_t)0); } }  else 
{ /* ./Expand/lambda.scm 46 */
BgL_test1007z00_13 = ((bool_t)0); } } 
if(BgL_test1007z00_13)
{ /* ./Expand/lambda.scm 46 */
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_arg1009z00_14;obj_t BgL_arg1010z00_15;
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_arg1013z00_16;obj_t BgL_arg1014z00_17;
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_auxz00_323;
BgL_auxz00_323 = 
CAR(BgL_argsz00_8); 
BgL_arg1013z00_16 = 
CAR(BgL_auxz00_323); } 
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_arg1026z00_21;
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_auxz00_326;
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_auxz00_327;
BgL_auxz00_327 = 
CAR(BgL_argsz00_8); 
BgL_auxz00_326 = 
CDR(BgL_auxz00_327); } 
BgL_arg1026z00_21 = 
CAR(BgL_auxz00_326); } 
BgL_arg1014z00_17 = 
PROCEDURE_ENTRY(BgL_ez00_266)(BgL_ez00_266, BgL_arg1026z00_21, BgL_ez00_266, BEOA); } 
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_list1016z00_18;
{ /* ./Expand/lambda.scm 51 */
obj_t BgL_arg1018z00_19;
BgL_arg1018z00_19 = 
MAKE_PAIR(BgL_arg1014z00_17, BNIL); 
BgL_list1016z00_18 = 
MAKE_PAIR(BgL_arg1013z00_16, BgL_arg1018z00_19); } 
BgL_arg1009z00_14 = BgL_list1016z00_18; } } 
{ /* ./Expand/lambda.scm 52 */
obj_t BgL_arg1033z00_23;
BgL_arg1033z00_23 = 
CDR(BgL_argsz00_8); 
BgL_arg1010z00_15 = 
BGl_loopz00zzexpand_lambdaz00(BgL_ez00_266, BgL_arg1033z00_23); } 
return 
MAKE_PAIR(BgL_arg1009z00_14, BgL_arg1010z00_15);} }  else 
{ /* ./Expand/lambda.scm 46 */
{ /* ./Expand/lambda.scm 49 */
obj_t BgL_arg1037z00_24;obj_t BgL_arg1038z00_25;
BgL_arg1037z00_24 = 
CAR(BgL_argsz00_8); 
{ /* ./Expand/lambda.scm 49 */
obj_t BgL_arg1042z00_26;
BgL_arg1042z00_26 = 
CDR(BgL_argsz00_8); 
BgL_arg1038z00_25 = 
BGl_loopz00zzexpand_lambdaz00(BgL_ez00_266, BgL_arg1042z00_26); } 
return 
MAKE_PAIR(BgL_arg1037z00_24, BgL_arg1038z00_25);} } }  else 
{ /* ./Expand/lambda.scm 44 */
FAILURE(BGl_string1355z00zzexpand_lambdaz00,BGl_string1356z00zzexpand_lambdaz00,BgL_argsz00_8);} } } } } 
}



/* _expand-args1311 */
obj_t BGl__expandzd2args1311zd2zzexpand_lambdaz00(obj_t BgL_envz00_239, obj_t BgL_argsz00_240, obj_t BgL_ez00_241)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 37 */
return 
BGl_expandzd2argszd2zzexpand_lambdaz00(BgL_argsz00_240, BgL_ez00_241);} 
}



/* expand-lambda */
BGL_EXPORTED_DEF obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t BgL_xz00_3, obj_t BgL_ez00_4)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 57 */
{ /* ./Expand/lambda.scm 58 */
obj_t BgL_oldzd2internalzd2_34;
BgL_oldzd2internalzd2_34 = BGl_internalzd2definitionzf3z21zzexpand_lambdaz00; 
BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE; 
{ /* ./Expand/lambda.scm 60 */
obj_t BgL_resz00_35;
{ 
obj_t BgL_lamz00_36;obj_t BgL_argsz00_37;obj_t BgL_bodyz00_38;
{ /* ./Expand/lambda.scm 60 */
bool_t BgL_test1071z00_42;
BgL_test1071z00_42 = 
PAIRP(BgL_xz00_3); 
if(BgL_test1071z00_42)
{ /* ./Expand/lambda.scm 60 */
obj_t BgL_cdrzd2130zd2_43;
BgL_cdrzd2130zd2_43 = 
CDR(BgL_xz00_3); 
{ /* ./Expand/lambda.scm 60 */
bool_t BgL_test1072z00_44;
BgL_test1072z00_44 = 
PAIRP(BgL_cdrzd2130zd2_43); 
if(BgL_test1072z00_44)
{ /* ./Expand/lambda.scm 60 */
obj_t BgL_cdrzd2135zd2_45;
BgL_cdrzd2135zd2_45 = 
CDR(BgL_cdrzd2130zd2_43); 
{ /* ./Expand/lambda.scm 60 */
bool_t BgL_test1073z00_46;
BgL_test1073z00_46 = 
NULLP(BgL_cdrzd2135zd2_45); 
if(BgL_test1073z00_46)
{ /* ./Expand/lambda.scm 60 */
BgL_tagzd2121zd2_40:
FAILURE(BFALSE,BGl_string1357z00zzexpand_lambdaz00,BgL_xz00_3);}  else 
{ /* ./Expand/lambda.scm 60 */
obj_t BgL_arg1077z00_47;obj_t BgL_arg1078z00_48;
BgL_arg1077z00_47 = 
CAR(BgL_xz00_3); 
BgL_arg1078z00_48 = 
CAR(BgL_cdrzd2130zd2_43); 
BgL_lamz00_36 = BgL_arg1077z00_47; 
BgL_argsz00_37 = BgL_arg1078z00_48; 
BgL_bodyz00_38 = BgL_cdrzd2135zd2_45; 
{ /* ./Expand/lambda.scm 62 */
obj_t BgL_arg1090z00_49;obj_t BgL_arg1091z00_50;obj_t BgL_arg1092z00_51;
BgL_arg1090z00_49 = 
BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_argsz00_37); 
BgL_arg1091z00_50 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1092z00_51 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_3); 
{ /* ./Expand/lambda.scm 66 */
obj_t BgL_zc3anonymousza31097ze3z83_242;
{ 
int BgL_auxz00_360;int BgL_auxz00_358;
BgL_auxz00_360 = 
(int)(((long)4)); 
BgL_auxz00_358 = 
(int)(((long)0)); 
BgL_zc3anonymousza31097ze3z83_242 = 
make_fx_procedure(BGl_zc3anonymousza31097ze3z83zzexpand_lambdaz00, BgL_auxz00_358, BgL_auxz00_360); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_363;
BgL_auxz00_363 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31097ze3z83_242, BgL_auxz00_363, BgL_ez00_4); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_366;
BgL_auxz00_366 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31097ze3z83_242, BgL_auxz00_366, BgL_argsz00_37); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_369;
BgL_auxz00_369 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31097ze3z83_242, BgL_auxz00_369, BgL_bodyz00_38); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_372;
BgL_auxz00_372 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31097ze3z83_242, BgL_auxz00_372, BgL_lamz00_36); } 
BgL_resz00_35 = 
BGl_withzd2lexicalzd2zzexpand_epsz00(BgL_arg1090z00_49, BgL_arg1091z00_50, BgL_arg1092z00_51, BgL_zc3anonymousza31097ze3z83_242); } } } } }  else 
{ /* ./Expand/lambda.scm 60 */
goto BgL_tagzd2121zd2_40;} } }  else 
{ /* ./Expand/lambda.scm 60 */
goto BgL_tagzd2121zd2_40;} } } 
BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BgL_oldzd2internalzd2_34; 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_3, BgL_resz00_35);} } } 
}



/* _expand-lambda1313 */
obj_t BGl__expandzd2lambda1313zd2zzexpand_lambdaz00(obj_t BgL_envz00_243, obj_t BgL_xz00_244, obj_t BgL_ez00_245)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 57 */
return 
BGl_expandzd2lambdazd2zzexpand_lambdaz00(BgL_xz00_244, BgL_ez00_245);} 
}



/* <anonymous:1097> */
obj_t BGl_zc3anonymousza31097ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_246)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 65 */
{ /* ./Expand/lambda.scm 66 */
obj_t BgL_ez00_247;obj_t BgL_argsz00_248;obj_t BgL_bodyz00_249;obj_t BgL_lamz00_250;
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_378;
BgL_auxz00_378 = 
(int)(((long)0)); 
BgL_ez00_247 = 
PROCEDURE_REF(BgL_envz00_246, BgL_auxz00_378); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_381;
BgL_auxz00_381 = 
(int)(((long)1)); 
BgL_argsz00_248 = 
PROCEDURE_REF(BgL_envz00_246, BgL_auxz00_381); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_384;
BgL_auxz00_384 = 
(int)(((long)2)); 
BgL_bodyz00_249 = 
PROCEDURE_REF(BgL_envz00_246, BgL_auxz00_384); } 
{ /* ./Expand/lambda.scm 66 */
int BgL_auxz00_387;
BgL_auxz00_387 = 
(int)(((long)3)); 
BgL_lamz00_250 = 
PROCEDURE_REF(BgL_envz00_246, BgL_auxz00_387); } 
{ 

{ /* ./Expand/lambda.scm 66 */
obj_t BgL_ez00_54;
BgL_ez00_54 = 
BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(BgL_ez00_247); 
{ /* ./Expand/lambda.scm 67 */
obj_t BgL_arg1099z00_55;
{ /* ./Expand/lambda.scm 67 */
obj_t BgL_arg1102z00_56;obj_t BgL_arg1103z00_57;
BgL_arg1102z00_56 = 
BGl_expandzd2argszd2zzexpand_lambdaz00(BgL_argsz00_248, BgL_ez00_54); 
{ /* ./Expand/lambda.scm 68 */
obj_t BgL_arg1107z00_58;
{ /* ./Expand/lambda.scm 68 */
obj_t BgL_arg1111z00_60;
BgL_arg1111z00_60 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_249); 
BgL_arg1107z00_58 = 
PROCEDURE_ENTRY(BgL_ez00_54)(BgL_ez00_54, BgL_arg1111z00_60, BgL_ez00_54, BEOA); } 
BgL_arg1103z00_57 = 
MAKE_PAIR(BgL_arg1107z00_58, BNIL); } 
BgL_arg1099z00_55 = 
MAKE_PAIR(BgL_arg1102z00_56, BgL_arg1103z00_57); } 
return 
MAKE_PAIR(BgL_lamz00_250, BgL_arg1099z00_55);} } } } } 
}



/* internal-begin-expander */
BGL_EXPORTED_DEF obj_t BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t BgL_oldzd2expanderzd2_5)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 77 */
{ /* ./Expand/lambda.scm 78 */
obj_t BgL_zc3anonymousza31116ze3z83_253;
{ 
int BgL_auxz00_400;int BgL_auxz00_398;
BgL_auxz00_400 = 
(int)(((long)1)); 
BgL_auxz00_398 = 
(int)(((long)2)); 
BgL_zc3anonymousza31116ze3z83_253 = 
make_fx_procedure(BGl_zc3anonymousza31116ze3z83zzexpand_lambdaz00, BgL_auxz00_398, BgL_auxz00_400); } 
{ /* ./Expand/lambda.scm 78 */
int BgL_auxz00_403;
BgL_auxz00_403 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31116ze3z83_253, BgL_auxz00_403, BgL_oldzd2expanderzd2_5); } 
return BgL_zc3anonymousza31116ze3z83_253;} } 
}



/* _internal-begin-expander1319 */
obj_t BGl__internalzd2beginzd2expander1319z00zzexpand_lambdaz00(obj_t BgL_envz00_254, obj_t BgL_oldzd2expanderzd2_255)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 77 */
return 
BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(BgL_oldzd2expanderzd2_255);} 
}



/* <anonymous:1116> */
obj_t BGl_zc3anonymousza31116ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_256, obj_t BgL_exprz00_258, obj_t BgL_expanderz00_259)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 78 */
{ /* ./Expand/lambda.scm 79 */
obj_t BgL_oldzd2expanderzd2_257;
{ /* ./Expand/lambda.scm 79 */
int BgL_auxz00_407;
BgL_auxz00_407 = 
(int)(((long)0)); 
BgL_oldzd2expanderzd2_257 = 
PROCEDURE_REF(BgL_envz00_256, BgL_auxz00_407); } 
{ 
obj_t BgL_exprz00_62;obj_t BgL_expanderz00_63;
BgL_exprz00_62 = BgL_exprz00_258; 
BgL_expanderz00_63 = BgL_expanderz00_259; 
{ /* ./Expand/lambda.scm 79 */
obj_t BgL_resz00_65;
{ /* ./Expand/lambda.scm 79 */
bool_t BgL_test1120z00_67;
if(
PAIRP(BgL_exprz00_62))
{ /* ./Expand/lambda.scm 79 */
obj_t BgL_auxz00_414;obj_t BgL_auxz00_412;
BgL_auxz00_414 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_412 = 
CAR(BgL_exprz00_62); 
BgL_test1120z00_67 = 
(BgL_auxz00_412==BgL_auxz00_414); }  else 
{ /* ./Expand/lambda.scm 79 */
BgL_test1120z00_67 = ((bool_t)0); } 
if(BgL_test1120z00_67)
{ /* ./Expand/lambda.scm 80 */
bool_t BgL_test1121z00_68;
{ /* ./Expand/lambda.scm 80 */
obj_t BgL_auxz00_418;
BgL_auxz00_418 = 
CDR(BgL_exprz00_62); 
BgL_test1121z00_68 = 
NULLP(BgL_auxz00_418); } 
if(BgL_test1121z00_68)
{ /* ./Expand/lambda.scm 80 */
BgL_resz00_65 = BUNSPEC; }  else 
{ /* ./Expand/lambda.scm 81 */
obj_t BgL_restz00_69;
{ /* ./Expand/lambda.scm 82 */
obj_t BgL_arg1131z00_73;obj_t BgL_arg1132z00_74;obj_t BgL_arg1133z00_75;
{ /* ./Expand/lambda.scm 82 */
obj_t BgL_arg1137z00_77;
BgL_arg1137z00_77 = 
CDR(BgL_exprz00_62); 
BgL_arg1131z00_73 = 
BGl_beginzd2bindingszd2zzexpand_lambdaz00(BgL_arg1137z00_77); } 
BgL_arg1132z00_74 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1133z00_75 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_exprz00_62); 
{ /* ./Expand/lambda.scm 87 */
obj_t BgL_zc3anonymousza31141ze3z83_252;
{ 
int BgL_auxz00_428;int BgL_auxz00_426;
BgL_auxz00_428 = 
(int)(((long)2)); 
BgL_auxz00_426 = 
(int)(((long)0)); 
BgL_zc3anonymousza31141ze3z83_252 = 
make_fx_procedure(BGl_zc3anonymousza31141ze3z83zzexpand_lambdaz00, BgL_auxz00_426, BgL_auxz00_428); } 
{ /* ./Expand/lambda.scm 87 */
int BgL_auxz00_431;
BgL_auxz00_431 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31141ze3z83_252, BgL_auxz00_431, BgL_exprz00_62); } 
{ /* ./Expand/lambda.scm 87 */
int BgL_auxz00_434;
BgL_auxz00_434 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31141ze3z83_252, BgL_auxz00_434, BgL_expanderz00_63); } 
BgL_restz00_69 = 
BGl_withzd2lexicalzd2zzexpand_epsz00(BgL_arg1131z00_73, BgL_arg1132z00_74, BgL_arg1133z00_75, BgL_zc3anonymousza31141ze3z83_252); } } 
{ /* ./Expand/lambda.scm 89 */
bool_t BgL_test1122z00_70;
BgL_test1122z00_70 = 
EXTENDED_PAIRP(BgL_exprz00_62); 
if(BgL_test1122z00_70)
{ /* ./Expand/lambda.scm 90 */
obj_t BgL_arg1124z00_71;obj_t BgL_arg1125z00_72;
BgL_arg1124z00_71 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1125z00_72 = 
CER(BgL_exprz00_62); 
{ /* ./Expand/lambda.scm 90 */
obj_t BgL_res1310z00_207;
BgL_res1310z00_207 = 
MAKE_EXTENDED_PAIR(BgL_arg1124z00_71, BgL_restz00_69, BgL_arg1125z00_72); 
BgL_resz00_65 = BgL_res1310z00_207; } }  else 
{ /* ./Expand/lambda.scm 91 */
obj_t BgL_auxz00_443;
BgL_auxz00_443 = 
CNST_TABLE_REF(((long)1)); 
BgL_resz00_65 = 
MAKE_PAIR(BgL_auxz00_443, BgL_restz00_69); } } } }  else 
{ /* ./Expand/lambda.scm 79 */
BgL_resz00_65 = 
PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_257)(BgL_oldzd2expanderzd2_257, BgL_exprz00_62, BgL_expanderz00_63, BEOA); } } 
{ /* ./Expand/lambda.scm 94 */
bool_t BgL_test1117z00_66;
BgL_test1117z00_66 = 
PAIRP(BgL_resz00_65); 
if(BgL_test1117z00_66)
{ /* ./Expand/lambda.scm 94 */
return 
BGl_replacez12z12zztools_miscz00(BgL_exprz00_62, BgL_resz00_65);}  else 
{ /* ./Expand/lambda.scm 94 */
return BgL_resz00_65;} } } } } } 
}



/* <anonymous:1141> */
obj_t BGl_zc3anonymousza31141ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_260)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 85 */
{ /* ./Expand/lambda.scm 87 */
obj_t BgL_exprz00_261;obj_t BgL_expanderz00_262;
{ /* ./Expand/lambda.scm 87 */
int BgL_auxz00_451;
BgL_auxz00_451 = 
(int)(((long)0)); 
BgL_exprz00_261 = 
PROCEDURE_REF(BgL_envz00_260, BgL_auxz00_451); } 
{ /* ./Expand/lambda.scm 87 */
int BgL_auxz00_454;
BgL_auxz00_454 = 
(int)(((long)1)); 
BgL_expanderz00_262 = 
PROCEDURE_REF(BgL_envz00_260, BgL_auxz00_454); } 
{ 

{ /* ./Expand/lambda.scm 87 */
obj_t BgL_arg1145z00_79;
{ /* ./Expand/lambda.scm 87 */
obj_t BgL_arg1149z00_81;
BgL_arg1149z00_81 = 
CDR(BgL_exprz00_261); 
{ /* ./Expand/lambda.scm 87 */
obj_t BgL_zc3anonymousza31151ze3z83_251;
{ 
int BgL_auxz00_460;int BgL_auxz00_458;
BgL_auxz00_460 = 
(int)(((long)1)); 
BgL_auxz00_458 = 
(int)(((long)1)); 
BgL_zc3anonymousza31151ze3z83_251 = 
make_fx_procedure(BGl_zc3anonymousza31151ze3z83zzexpand_lambdaz00, BgL_auxz00_458, BgL_auxz00_460); } 
{ /* ./Expand/lambda.scm 87 */
int BgL_auxz00_463;
BgL_auxz00_463 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31151ze3z83_251, BgL_auxz00_463, BgL_expanderz00_262); } 
BgL_arg1145z00_79 = 
BGl_emapz00zztools_prognz00(BgL_zc3anonymousza31151ze3z83_251, BgL_arg1149z00_81); } } 
return 
BGl_lambdazd2defineszd2zzexpand_lambdaz00(BgL_arg1145z00_79);} } } } 
}



/* <anonymous:1151> */
obj_t BGl_zc3anonymousza31151ze3z83zzexpand_lambdaz00(obj_t BgL_envz00_263, obj_t BgL_xz00_265)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 87 */
{ /* ./Expand/lambda.scm 87 */
obj_t BgL_expanderz00_264;
{ /* ./Expand/lambda.scm 87 */
int BgL_auxz00_468;
BgL_auxz00_468 = 
(int)(((long)0)); 
BgL_expanderz00_264 = 
PROCEDURE_REF(BgL_envz00_263, BgL_auxz00_468); } 
{ 
obj_t BgL_xz00_82;
BgL_xz00_82 = BgL_xz00_265; 
return 
PROCEDURE_ENTRY(BgL_expanderz00_264)(BgL_expanderz00_264, BgL_xz00_82, BgL_expanderz00_264, BEOA);} } } 
}



/* begin-bindings */
obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_6)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 101 */
{ 
obj_t BgL_oldformsz00_90;obj_t BgL_varsz00_91;
BgL_oldformsz00_90 = BgL_bodyz00_6; 
BgL_varsz00_91 = BNIL; 
BgL_loopz00_92:
{ /* ./Expand/lambda.scm 106 */
bool_t BgL_test1170z00_93;
BgL_test1170z00_93 = 
PAIRP(BgL_oldformsz00_90); 
if(BgL_test1170z00_93)
{ /* ./Expand/lambda.scm 107 */
obj_t BgL_formz00_94;
BgL_formz00_94 = 
CAR(BgL_oldformsz00_90); 
{ 
obj_t BgL_varz00_97;obj_t BgL_varz00_95;
{ /* ./Expand/lambda.scm 108 */
bool_t BgL_test1172z00_101;
BgL_test1172z00_101 = 
PAIRP(BgL_formz00_94); 
if(BgL_test1172z00_101)
{ /* ./Expand/lambda.scm 108 */
obj_t BgL_cdrzd2146zd2_102;
BgL_cdrzd2146zd2_102 = 
CDR(BgL_formz00_94); 
{ /* ./Expand/lambda.scm 108 */
bool_t BgL_test1173z00_103;
{ /* ./Expand/lambda.scm 108 */
obj_t BgL_auxz00_481;obj_t BgL_auxz00_479;
BgL_auxz00_481 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_479 = 
CAR(BgL_formz00_94); 
BgL_test1173z00_103 = 
(BgL_auxz00_479==BgL_auxz00_481); } 
if(BgL_test1173z00_103)
{ /* ./Expand/lambda.scm 108 */
bool_t BgL_test1174z00_104;
BgL_test1174z00_104 = 
PAIRP(BgL_cdrzd2146zd2_102); 
if(BgL_test1174z00_104)
{ /* ./Expand/lambda.scm 108 */
obj_t BgL_carzd2148zd2_105;
BgL_carzd2148zd2_105 = 
CAR(BgL_cdrzd2146zd2_102); 
{ /* ./Expand/lambda.scm 108 */
bool_t BgL_test1175z00_106;
BgL_test1175z00_106 = 
PAIRP(BgL_carzd2148zd2_105); 
if(BgL_test1175z00_106)
{ /* ./Expand/lambda.scm 108 */
obj_t BgL_arg1177z00_107;
BgL_arg1177z00_107 = 
CAR(BgL_carzd2148zd2_105); 
BgL_varz00_95 = BgL_arg1177z00_107; 
{ /* ./Expand/lambda.scm 110 */
obj_t BgL_arg1203z00_112;obj_t BgL_arg1204z00_113;
BgL_arg1203z00_112 = 
CDR(BgL_oldformsz00_90); 
BgL_arg1204z00_113 = 
MAKE_PAIR(BgL_varz00_95, BgL_varsz00_91); 
{ 
obj_t BgL_varsz00_494;obj_t BgL_oldformsz00_493;
BgL_oldformsz00_493 = BgL_arg1203z00_112; 
BgL_varsz00_494 = BgL_arg1204z00_113; 
BgL_varsz00_91 = BgL_varsz00_494; 
BgL_oldformsz00_90 = BgL_oldformsz00_493; 
goto BgL_loopz00_92;} } }  else 
{ /* ./Expand/lambda.scm 108 */
obj_t BgL_arg1181z00_108;
BgL_arg1181z00_108 = 
CAR(BgL_cdrzd2146zd2_102); 
BgL_varz00_97 = BgL_arg1181z00_108; 
{ /* ./Expand/lambda.scm 113 */
obj_t BgL_arg1211z00_114;obj_t BgL_arg1212z00_115;
BgL_arg1211z00_114 = 
CDR(BgL_oldformsz00_90); 
BgL_arg1212z00_115 = 
MAKE_PAIR(BgL_varz00_97, BgL_varsz00_91); 
{ 
obj_t BgL_varsz00_499;obj_t BgL_oldformsz00_498;
BgL_oldformsz00_498 = BgL_arg1211z00_114; 
BgL_varsz00_499 = BgL_arg1212z00_115; 
BgL_varsz00_91 = BgL_varsz00_499; 
BgL_oldformsz00_90 = BgL_oldformsz00_498; 
goto BgL_loopz00_92;} } } } }  else 
{ /* ./Expand/lambda.scm 108 */
BgL_tagzd2141zd2_99:
{ /* ./Expand/lambda.scm 116 */
obj_t BgL_arg1217z00_116;
BgL_arg1217z00_116 = 
CDR(BgL_oldformsz00_90); 
{ 
obj_t BgL_oldformsz00_501;
BgL_oldformsz00_501 = BgL_arg1217z00_116; 
BgL_oldformsz00_90 = BgL_oldformsz00_501; 
goto BgL_loopz00_92;} } } }  else 
{ /* ./Expand/lambda.scm 108 */
goto BgL_tagzd2141zd2_99;} } }  else 
{ /* ./Expand/lambda.scm 108 */
goto BgL_tagzd2141zd2_99;} } } }  else 
{ /* ./Expand/lambda.scm 106 */
return BgL_varsz00_91;} } } } 
}



/* lambda-defines */
obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_7)
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 123 */
{ 
obj_t BgL_oldformsz00_117;obj_t BgL_newformsz00_118;obj_t BgL_varsz00_119;obj_t BgL_declsz00_120;
BgL_oldformsz00_117 = BgL_bodyz00_7; 
BgL_newformsz00_118 = BNIL; 
BgL_varsz00_119 = BNIL; 
BgL_declsz00_120 = BNIL; 
BgL_loopz00_121:
{ /* ./Expand/lambda.scm 130 */
bool_t BgL_test1223z00_122;
BgL_test1223z00_122 = 
PAIRP(BgL_oldformsz00_117); 
if(BgL_test1223z00_122)
{ /* ./Expand/lambda.scm 131 */
obj_t BgL_formz00_123;
BgL_formz00_123 = 
CAR(BgL_oldformsz00_117); 
{ 
obj_t BgL_varz00_124;obj_t BgL_valz00_125;
{ /* ./Expand/lambda.scm 132 */
bool_t BgL_test1224z00_129;
BgL_test1224z00_129 = 
PAIRP(BgL_formz00_123); 
if(BgL_test1224z00_129)
{ /* ./Expand/lambda.scm 132 */
obj_t BgL_cdrzd2176zd2_130;
BgL_cdrzd2176zd2_130 = 
CDR(BgL_formz00_123); 
{ /* ./Expand/lambda.scm 132 */
bool_t BgL_test1226z00_131;
{ /* ./Expand/lambda.scm 132 */
obj_t BgL_auxz00_510;obj_t BgL_auxz00_508;
BgL_auxz00_510 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_508 = 
CAR(BgL_formz00_123); 
BgL_test1226z00_131 = 
(BgL_auxz00_508==BgL_auxz00_510); } 
if(BgL_test1226z00_131)
{ /* ./Expand/lambda.scm 132 */
bool_t BgL_test1227z00_132;
BgL_test1227z00_132 = 
PAIRP(BgL_cdrzd2176zd2_130); 
if(BgL_test1227z00_132)
{ /* ./Expand/lambda.scm 132 */
obj_t BgL_cdrzd2180zd2_133;
BgL_cdrzd2180zd2_133 = 
CDR(BgL_cdrzd2176zd2_130); 
{ /* ./Expand/lambda.scm 132 */
bool_t BgL_test1228z00_134;
BgL_test1228z00_134 = 
PAIRP(BgL_cdrzd2180zd2_133); 
if(BgL_test1228z00_134)
{ /* ./Expand/lambda.scm 132 */
bool_t BgL_test1229z00_135;
{ /* ./Expand/lambda.scm 132 */
obj_t BgL_auxz00_519;
BgL_auxz00_519 = 
CDR(BgL_cdrzd2180zd2_133); 
BgL_test1229z00_135 = 
NULLP(BgL_auxz00_519); } 
if(BgL_test1229z00_135)
{ /* ./Expand/lambda.scm 132 */
obj_t BgL_arg1232z00_136;obj_t BgL_arg1233z00_137;
BgL_arg1232z00_136 = 
CAR(BgL_cdrzd2176zd2_130); 
BgL_arg1233z00_137 = 
CAR(BgL_cdrzd2180zd2_133); 
BgL_varz00_124 = BgL_arg1232z00_136; 
BgL_valz00_125 = BgL_arg1233z00_137; 
{ /* ./Expand/lambda.scm 134 */
obj_t BgL_arg1258z00_141;obj_t BgL_arg1259z00_142;obj_t BgL_arg1260z00_143;
BgL_arg1258z00_141 = 
CDR(BgL_oldformsz00_117); 
BgL_arg1259z00_142 = 
MAKE_PAIR(BgL_varz00_124, BgL_varsz00_119); 
{ /* ./Expand/lambda.scm 137 */
obj_t BgL_arg1265z00_144;
{ /* ./Expand/lambda.scm 137 */
obj_t BgL_arg1268z00_145;
BgL_arg1268z00_145 = 
MAKE_PAIR(BgL_valz00_125, BNIL); 
BgL_arg1265z00_144 = 
MAKE_PAIR(BgL_varz00_124, BgL_arg1268z00_145); } 
BgL_arg1260z00_143 = 
MAKE_PAIR(BgL_arg1265z00_144, BgL_declsz00_120); } 
{ 
obj_t BgL_declsz00_532;obj_t BgL_varsz00_531;obj_t BgL_oldformsz00_530;
BgL_oldformsz00_530 = BgL_arg1258z00_141; 
BgL_varsz00_531 = BgL_arg1259z00_142; 
BgL_declsz00_532 = BgL_arg1260z00_143; 
BgL_declsz00_120 = BgL_declsz00_532; 
BgL_varsz00_119 = BgL_varsz00_531; 
BgL_oldformsz00_117 = BgL_oldformsz00_530; 
goto BgL_loopz00_121;} } }  else 
{ /* ./Expand/lambda.scm 132 */
BgL_tagzd2169zd2_127:
{ /* ./Expand/lambda.scm 140 */
obj_t BgL_arg1273z00_146;obj_t BgL_arg1276z00_147;
BgL_arg1273z00_146 = 
CDR(BgL_oldformsz00_117); 
BgL_arg1276z00_147 = 
MAKE_PAIR(BgL_formz00_123, BgL_newformsz00_118); 
{ 
obj_t BgL_newformsz00_536;obj_t BgL_oldformsz00_535;
BgL_oldformsz00_535 = BgL_arg1273z00_146; 
BgL_newformsz00_536 = BgL_arg1276z00_147; 
BgL_newformsz00_118 = BgL_newformsz00_536; 
BgL_oldformsz00_117 = BgL_oldformsz00_535; 
goto BgL_loopz00_121;} } } }  else 
{ /* ./Expand/lambda.scm 132 */
goto BgL_tagzd2169zd2_127;} } }  else 
{ /* ./Expand/lambda.scm 132 */
goto BgL_tagzd2169zd2_127;} }  else 
{ /* ./Expand/lambda.scm 132 */
goto BgL_tagzd2169zd2_127;} } }  else 
{ /* ./Expand/lambda.scm 132 */
goto BgL_tagzd2169zd2_127;} } } }  else 
{ /* ./Expand/lambda.scm 144 */
bool_t BgL_test1281z00_148;
BgL_test1281z00_148 = 
NULLP(BgL_varsz00_119); 
if(BgL_test1281z00_148)
{ /* ./Expand/lambda.scm 144 */
return BgL_bodyz00_7;}  else 
{ /* ./Expand/lambda.scm 144 */
{ /* ./Expand/lambda.scm 146 */
obj_t BgL_nfz00_149;
{ /* ./Expand/lambda.scm 146 */
bool_t BgL_test1294z00_155;
BgL_test1294z00_155 = 
NULLP(BgL_newformsz00_118); 
if(BgL_test1294z00_155)
{ /* ./Expand/lambda.scm 146 */
BgL_nfz00_149 = BUNSPEC; }  else 
{ /* ./Expand/lambda.scm 148 */
obj_t BgL_arg1296z00_156;
BgL_arg1296z00_156 = 
bgl_reverse(BgL_newformsz00_118); 
BgL_nfz00_149 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_arg1296z00_156); } } 
{ /* ./Expand/lambda.scm 149 */
obj_t BgL_arg1283z00_150;
{ /* ./Expand/lambda.scm 149 */
obj_t BgL_arg1287z00_152;obj_t BgL_arg1288z00_153;
BgL_arg1287z00_152 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Expand/lambda.scm 149 */
obj_t BgL_arg1291z00_154;
BgL_arg1291z00_154 = 
MAKE_PAIR(BgL_nfz00_149, BNIL); 
BgL_arg1288z00_153 = 
MAKE_PAIR(BgL_declsz00_120, BgL_arg1291z00_154); } 
BgL_arg1283z00_150 = 
MAKE_PAIR(BgL_arg1287z00_152, BgL_arg1288z00_153); } 
return 
MAKE_PAIR(BgL_arg1283z00_150, BNIL);} } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00()
{ AN_OBJECT;
{ /* ./Expand/lambda.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "expand_lambda"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "expand_lambda"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)55569), "expand_lambda"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "expand_lambda"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "expand_lambda"); 
BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long)17978), "expand_lambda"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "expand_lambda");} 
}

