/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Heap/make.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_methodzd2initzd2zzheap_makez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
static bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00();
extern obj_t BGl_getzd2tenvzd2zztype_envz00();
extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31723ze3z83zzheap_makez00(obj_t, obj_t);
extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
static obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
BGL_IMPORT obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
static obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t);
BGL_IMPORT obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t);
BGL_IMPORT obj_t output_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2heapzd2zzheap_makez00();
static obj_t BGl_cnstzd2initzd2zzheap_makez00();
static bool_t BGl_preparezd2globalsz12zc0zzheap_makez00();
extern obj_t BGl_getzd2genvzd2zzast_envz00();
extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00();
static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31629ze3z83zzheap_makez00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00();
static obj_t __cnst[ 7 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2addzd2heapzd2envzd2zzheap_makez00, BgL_bgl__makeza7d2addza7d2heapza700za7za7heap_makeza7001975z00, BGl__makezd2addzd2heapz00zzheap_makez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BgL_bgl__prepareza7d2globalsza712za7c0za7za7heap_makeza7001976z00, BGl__preparezd2globalsz12zc0zzheap_makez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1942z00zzheap_makez00, BgL_bgl_za7c3anonymousza7a31629za7e3za783za7za7heap_makeza7001977za7, BGl_zc3anonymousza31629ze3z83zzheap_makez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1946z00zzheap_makez00, BgL_bgl_za7c3anonymousza7a31723za7e3za783za7za7heap_makeza7001978za7, BGl_zc3anonymousza31723ze3z83zzheap_makez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00, BgL_bgl__prepareza7d2additionalza7d2globalsza712za712za7za7heap_makeza7001979za7, BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2heapzd2envz00zzheap_makez00, BgL_bgl__makeza7d2heapza7d2za7za7heap_makeza7001980za7, BGl__makezd2heapzd2zzheap_makez00, 0L, 0 );
DEFINE_STRING( BGl_string1947z00zzheap_makez00, BgL_bgl_string1947za700za7za7heap_makeza7001981z00, "(prepare-additional-globals!) import export static pair (prepare-globals!) pass-started ", 88 );
DEFINE_STRING( BGl_string1945z00zzheap_makez00, BgL_bgl_string1945za700za7za7heap_makeza7001982z00, "make-add-heap", 13 );
DEFINE_STRING( BGl_string1944z00zzheap_makez00, BgL_bgl_string1944za700za7za7heap_makeza7001983z00, "make-addd-heap", 14 );
DEFINE_STRING( BGl_string1943z00zzheap_makez00, BgL_bgl_string1943za700za7za7heap_makeza7001984z00, "Library heap", 12 );
DEFINE_STRING( BGl_string1941z00zzheap_makez00, BgL_bgl_string1941za700za7za7heap_makeza7001985z00, "Illegal heap's name", 19 );
DEFINE_STRING( BGl_string1940z00zzheap_makez00, BgL_bgl_string1940za700za7za7heap_makeza7001986z00, "Can't open output port", 22 );
DEFINE_STRING( BGl_string1939z00zzheap_makez00, BgL_bgl_string1939za700za7za7heap_makeza7001987z00, "make-heap", 9 );
DEFINE_STRING( BGl_string1938z00zzheap_makez00, BgL_bgl_string1938za700za7za7heap_makeza7001988z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string1937z00zzheap_makez00, BgL_bgl_string1937za700za7za7heap_makeza7001989z00, "   . ", 5 );
DEFINE_STRING( BGl_string1936z00zzheap_makez00, BgL_bgl_string1936za700za7za7heap_makeza7001990z00, "Heap", 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long BgL_checksumz00_776, char * BgL_fromz00_777)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
{ 
BGl_requirezd2initializa7ationz75zzheap_makez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzheap_makez00(); 
BGl_cnstzd2initzd2zzheap_makez00(); 
BGl_importedzd2moduleszd2initz00zzheap_makez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 15 */
BGl_modulezd2initializa7ationz75zz__binaryz00(((long)0), "heap_make"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "heap_make"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "heap_make"); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)0), "heap_make"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 15 */
{ /* ./Heap/make.scm 15 */
obj_t BgL_cportz00_769;
BgL_cportz00_769 = 
open_input_string(BGl_string1947z00zzheap_makez00); 
{ 
long BgL_iz00_770;
BgL_iz00_770 = ((long)6); 
BgL_loopz00_771:
{ /* ./Heap/make.scm 15 */
bool_t BgL_test1949z00_772;
BgL_test1949z00_772 = 
(BgL_iz00_770==((long)-1)); 
if(BgL_test1949z00_772)
{ /* ./Heap/make.scm 15 */
return BUNSPEC;}  else 
{ /* ./Heap/make.scm 15 */
{ /* ./Heap/make.scm 15 */
obj_t BgL_arg1952z00_773;
{ /* ./Heap/make.scm 15 */
obj_t BgL_list1955z00_774;
BgL_list1955z00_774 = 
MAKE_PAIR(BgL_cportz00_769, BNIL); 
BgL_arg1952z00_773 = 
BGl_readz00zz__readerz00(BgL_list1955z00_774); } 
{ /* ./Heap/make.scm 15 */
int BgL_auxz00_793;
BgL_auxz00_793 = 
(int)(BgL_iz00_770); 
CNST_TABLE_SET(BgL_auxz00_793, BgL_arg1952z00_773); } } 
{ /* ./Heap/make.scm 15 */
int BgL_auxz00_775;
{ /* ./Heap/make.scm 15 */
long BgL_auxz00_796;
BgL_auxz00_796 = 
(BgL_iz00_770-((long)1)); 
BgL_auxz00_775 = 
(int)(BgL_auxz00_796); } 
{ 
long BgL_iz00_799;
BgL_iz00_799 = 
(long)(BgL_auxz00_775); 
BgL_iz00_770 = BgL_iz00_799; 
goto BgL_loopz00_771;} } } } } } } 
}



/* make-heap */
BGL_EXPORTED_DEF obj_t BGl_makezd2heapzd2zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 31 */
{ /* ./Heap/make.scm 32 */
obj_t BgL_list1552z00_340;
{ /* ./Heap/make.scm 32 */
obj_t BgL_arg1556z00_342;
{ /* ./Heap/make.scm 32 */
obj_t BgL_arg1560z00_344;
{ /* ./Heap/make.scm 32 */
obj_t BgL_auxz00_801;
BgL_auxz00_801 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1560z00_344 = 
MAKE_PAIR(BgL_auxz00_801, BNIL); } 
BgL_arg1556z00_342 = 
MAKE_PAIR(BGl_string1936z00zzheap_makez00, BgL_arg1560z00_344); } 
BgL_list1552z00_340 = 
MAKE_PAIR(BGl_string1937z00zzheap_makez00, BgL_arg1556z00_342); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1552z00_340); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1936z00zzheap_makez00; 
{ 
obj_t BgL_hooksz00_345;obj_t BgL_hnamesz00_346;
{ /* ./Heap/make.scm 32 */
obj_t BgL_arg1567z00_348;obj_t BgL_arg1569z00_349;
{ /* ./Heap/make.scm 32 */
obj_t BgL_list1572z00_350;
BgL_list1572z00_350 = 
MAKE_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BNIL); 
BgL_arg1567z00_348 = BgL_list1572z00_350; } 
BgL_arg1569z00_349 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_345 = BgL_arg1567z00_348; 
BgL_hnamesz00_346 = BgL_arg1569z00_349; 
BgL_loopz00_347:
{ /* ./Heap/make.scm 32 */
bool_t BgL_test1574z00_351;
BgL_test1574z00_351 = 
NULLP(BgL_hooksz00_345); 
if(BgL_test1574z00_351)
{ /* ./Heap/make.scm 32 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Heap/make.scm 32 */
bool_t BgL_test1575z00_352;
{ /* ./Heap/make.scm 32 */
obj_t BgL_fun1593z00_358;
BgL_fun1593z00_358 = 
CAR(BgL_hooksz00_345); 
{ /* ./Heap/make.scm 32 */
obj_t BgL_auxz00_815;
BgL_auxz00_815 = 
PROCEDURE_ENTRY(BgL_fun1593z00_358)(BgL_fun1593z00_358, BEOA); 
BgL_test1575z00_352 = 
CBOOL(BgL_auxz00_815); } } 
if(BgL_test1575z00_352)
{ /* ./Heap/make.scm 32 */
{ /* ./Heap/make.scm 32 */
obj_t BgL_arg1577z00_353;obj_t BgL_arg1578z00_354;
BgL_arg1577z00_353 = 
CDR(BgL_hooksz00_345); 
BgL_arg1578z00_354 = 
CDR(BgL_hnamesz00_346); 
{ 
obj_t BgL_hnamesz00_823;obj_t BgL_hooksz00_822;
BgL_hooksz00_822 = BgL_arg1577z00_353; 
BgL_hnamesz00_823 = BgL_arg1578z00_354; 
BgL_hnamesz00_346 = BgL_hnamesz00_823; 
BgL_hooksz00_345 = BgL_hooksz00_822; 
goto BgL_loopz00_347;} } }  else 
{ /* ./Heap/make.scm 32 */
{ /* ./Heap/make.scm 32 */
obj_t BgL_arg1588z00_357;
BgL_arg1588z00_357 = 
CAR(BgL_hnamesz00_346); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1936z00zzheap_makez00, BGl_string1938z00zzheap_makez00, BgL_arg1588z00_357); } } } } } } 
BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(
CNST_TABLE_REF(((long)2))); 
{ /* ./Heap/make.scm 34 */
bool_t BgL_test1597z00_359;
{ /* ./Heap/make.scm 34 */
obj_t BgL_objz00_552;
BgL_objz00_552 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
BgL_test1597z00_359 = 
STRINGP(BgL_objz00_552); } 
if(BgL_test1597z00_359)
{ /* ./Heap/make.scm 36 */
obj_t BgL_hnamez00_360;
{ /* ./Heap/make.scm 36 */
obj_t BgL_arg1620z00_369;
{ /* ./Heap/make.scm 36 */
obj_t BgL_pairz00_553;
BgL_pairz00_553 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
BgL_arg1620z00_369 = 
CAR(BgL_pairz00_553); } 
BgL_hnamez00_360 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_arg1620z00_369, BGl_za2heapzd2nameza2zd2zzengine_paramz00); } 
{ /* ./Heap/make.scm 37 */
obj_t BgL_portz00_361;
BgL_portz00_361 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_hnamez00_360); 
{ /* ./Heap/make.scm 38 */
bool_t BgL_test1598z00_362;
BgL_test1598z00_362 = 
BINARY_PORTP(BgL_portz00_361); 
if(BgL_test1598z00_362)
{ /* ./Heap/make.scm 38 */
{ /* ./Heap/make.scm 42 */
obj_t BgL_arg1600z00_363;
{ /* ./Heap/make.scm 42 */
obj_t BgL_v1549z00_364;
{ 
int BgL_auxz00_835;
BgL_auxz00_835 = 
(int)(((long)3)); 
BgL_v1549z00_364 = 
create_vector(BgL_auxz00_835); } 
{ /* ./Heap/make.scm 42 */
obj_t BgL_arg1604z00_366;
BgL_arg1604z00_366 = 
BGl_getzd2tenvzd2zztype_envz00(); 
{ /* ./Heap/make.scm 42 */
int BgL_kz00_556;
BgL_kz00_556 = 
(int)(((long)2)); 
VECTOR_SET(BgL_v1549z00_364,BgL_kz00_556,BgL_arg1604z00_366); } } 
{ /* ./Heap/make.scm 42 */
obj_t BgL_arg1610z00_368;
BgL_arg1610z00_368 = 
BGl_getzd2genvzd2zzast_envz00(); 
{ /* ./Heap/make.scm 42 */
int BgL_kz00_559;
BgL_kz00_559 = 
(int)(((long)1)); 
VECTOR_SET(BgL_v1549z00_364,BgL_kz00_559,BgL_arg1610z00_368); } } 
{ /* ./Heap/make.scm 42 */
int BgL_kz00_562;obj_t BgL_objz00_563;
BgL_kz00_562 = 
(int)(((long)0)); 
BgL_objz00_563 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
VECTOR_SET(BgL_v1549z00_364,BgL_kz00_562,BgL_objz00_563); } 
BgL_arg1600z00_363 = BgL_v1549z00_364; } 
output_obj(BgL_portz00_361, BgL_arg1600z00_363); } 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_361);}  else 
{ /* ./Heap/make.scm 38 */
FAILURE(BGl_string1939z00zzheap_makez00,BGl_string1940z00zzheap_makez00,BgL_hnamez00_360);} } } }  else 
{ /* ./Heap/make.scm 34 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1939z00zzheap_makez00, BGl_string1941z00zzheap_makez00, BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);} } } 
}



/* _make-heap */
obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t BgL_envz00_759)
{ AN_OBJECT;
{ /* ./Heap/make.scm 31 */
return 
BGl_makezd2heapzd2zzheap_makez00();} 
}



/* prepare-globals! */
bool_t BGl_preparezd2globalsz12zc0zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 54 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1942z00zzheap_makez00); 
return ((bool_t)1);} 
}



/* _prepare-globals! */
obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t BgL_envz00_760)
{ AN_OBJECT;
{ /* ./Heap/make.scm 54 */
{ /* ./Heap/make.scm 55 */
bool_t BgL_auxz00_852;
BgL_auxz00_852 = 
BGl_preparezd2globalsz12zc0zzheap_makez00(); 
return 
BBOOL(BgL_auxz00_852);} } 
}



/* <anonymous:1629> */
obj_t BGl_zc3anonymousza31629ze3z83zzheap_makez00(obj_t BgL_envz00_762, obj_t BgL_gz00_763)
{ AN_OBJECT;
{ /* ./Heap/make.scm 55 */
{ 
obj_t BgL_gz00_372;
BgL_gz00_372 = BgL_gz00_763; 
{ /* ./Heap/make.scm 58 */
bool_t BgL_test1630z00_374;
{ /* ./Heap/make.scm 58 */
obj_t BgL_auxz00_858;obj_t BgL_auxz00_855;
BgL_auxz00_858 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Heap/make.scm 58 */
BgL_globalz00_bglt BgL_obj1174z00_569;
BgL_obj1174z00_569 = 
(BgL_globalz00_bglt)(BgL_gz00_372); 
BgL_auxz00_855 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_569))->BgL_importz00); } 
BgL_test1630z00_374 = 
(BgL_auxz00_855==BgL_auxz00_858); } 
if(BgL_test1630z00_374)
{ /* ./Heap/make.scm 58 */
{ /* ./Heap/make.scm 59 */
obj_t BgL_arg1632z00_375;obj_t BgL_arg1634z00_376;
{ /* ./Heap/make.scm 59 */
BgL_variablez00_bglt BgL_obj1097z00_570;
BgL_obj1097z00_570 = 
(BgL_variablez00_bglt)(BgL_gz00_372); 
BgL_arg1632z00_375 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_570))->BgL_idz00); } 
{ /* ./Heap/make.scm 59 */
BgL_globalz00_bglt BgL_obj1171z00_571;
BgL_obj1171z00_571 = 
(BgL_globalz00_bglt)(BgL_gz00_372); 
BgL_arg1634z00_376 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_571))->BgL_modulez00); } 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg1632z00_375, BgL_arg1634z00_376); } }  else 
{ /* ./Heap/make.scm 60 */
bool_t BgL_test1638z00_377;
{ /* ./Heap/make.scm 60 */
obj_t BgL_auxz00_870;obj_t BgL_auxz00_867;
BgL_auxz00_870 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Heap/make.scm 60 */
BgL_globalz00_bglt BgL_obj1174z00_572;
BgL_obj1174z00_572 = 
(BgL_globalz00_bglt)(BgL_gz00_372); 
BgL_auxz00_867 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_572))->BgL_importz00); } 
BgL_test1638z00_377 = 
(BgL_auxz00_867==BgL_auxz00_870); } 
if(BgL_test1638z00_377)
{ /* ./Heap/make.scm 60 */
{ /* ./Heap/make.scm 61 */
BgL_globalz00_bglt BgL_obj1176z00_573;obj_t BgL_val1175z00_574;
BgL_obj1176z00_573 = 
(BgL_globalz00_bglt)(BgL_gz00_372); 
BgL_val1175z00_574 = 
CNST_TABLE_REF(((long)5)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1176z00_573))->BgL_importz00) = ((obj_t)BgL_val1175z00_574), BUNSPEC); } }  else 
{ /* ./Heap/make.scm 60 */BUNSPEC; } } } 
{ /* ./Heap/make.scm 65 */
BgL_variablez00_bglt BgL_obj1118z00_575;
BgL_obj1118z00_575 = 
(BgL_variablez00_bglt)(BgL_gz00_372); 
((((BgL_variablez00_bglt)CREF(BgL_obj1118z00_575))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); } 
{ /* ./Heap/make.scm 68 */
BgL_globalz00_bglt BgL_obj1182z00_577;
BgL_obj1182z00_577 = 
(BgL_globalz00_bglt)(BgL_gz00_372); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1182z00_577))->BgL_libraryzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC);} } } 
}



/* make-add-heap */
BGL_EXPORTED_DEF obj_t BGl_makezd2addzd2heapz00zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 79 */
{ /* ./Heap/make.scm 80 */
obj_t BgL_list1653z00_383;
{ /* ./Heap/make.scm 80 */
obj_t BgL_arg1659z00_385;
{ /* ./Heap/make.scm 80 */
obj_t BgL_arg1664z00_387;
{ /* ./Heap/make.scm 80 */
obj_t BgL_auxz00_881;
BgL_auxz00_881 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1664z00_387 = 
MAKE_PAIR(BgL_auxz00_881, BNIL); } 
BgL_arg1659z00_385 = 
MAKE_PAIR(BGl_string1943z00zzheap_makez00, BgL_arg1664z00_387); } 
BgL_list1653z00_383 = 
MAKE_PAIR(BGl_string1937z00zzheap_makez00, BgL_arg1659z00_385); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1653z00_383); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1943z00zzheap_makez00; 
{ 
obj_t BgL_hooksz00_388;obj_t BgL_hnamesz00_389;
{ /* ./Heap/make.scm 80 */
obj_t BgL_arg1668z00_391;obj_t BgL_arg1669z00_392;
{ /* ./Heap/make.scm 80 */
obj_t BgL_list1672z00_393;
BgL_list1672z00_393 = 
MAKE_PAIR(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00, BNIL); 
BgL_arg1668z00_391 = BgL_list1672z00_393; } 
BgL_arg1669z00_392 = 
CNST_TABLE_REF(((long)6)); 
BgL_hooksz00_388 = BgL_arg1668z00_391; 
BgL_hnamesz00_389 = BgL_arg1669z00_392; 
BgL_loopz00_390:
{ /* ./Heap/make.scm 80 */
bool_t BgL_test1674z00_394;
BgL_test1674z00_394 = 
NULLP(BgL_hooksz00_388); 
if(BgL_test1674z00_394)
{ /* ./Heap/make.scm 80 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Heap/make.scm 80 */
bool_t BgL_test1675z00_395;
{ /* ./Heap/make.scm 80 */
obj_t BgL_fun1690z00_401;
BgL_fun1690z00_401 = 
CAR(BgL_hooksz00_388); 
{ /* ./Heap/make.scm 80 */
obj_t BgL_auxz00_895;
BgL_auxz00_895 = 
PROCEDURE_ENTRY(BgL_fun1690z00_401)(BgL_fun1690z00_401, BEOA); 
BgL_test1675z00_395 = 
CBOOL(BgL_auxz00_895); } } 
if(BgL_test1675z00_395)
{ /* ./Heap/make.scm 80 */
{ /* ./Heap/make.scm 80 */
obj_t BgL_arg1677z00_396;obj_t BgL_arg1678z00_397;
BgL_arg1677z00_396 = 
CDR(BgL_hooksz00_388); 
BgL_arg1678z00_397 = 
CDR(BgL_hnamesz00_389); 
{ 
obj_t BgL_hnamesz00_903;obj_t BgL_hooksz00_902;
BgL_hooksz00_902 = BgL_arg1677z00_396; 
BgL_hnamesz00_903 = BgL_arg1678z00_397; 
BgL_hnamesz00_389 = BgL_hnamesz00_903; 
BgL_hooksz00_388 = BgL_hooksz00_902; 
goto BgL_loopz00_390;} } }  else 
{ /* ./Heap/make.scm 80 */
{ /* ./Heap/make.scm 80 */
obj_t BgL_arg1685z00_400;
BgL_arg1685z00_400 = 
CAR(BgL_hnamesz00_389); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1943z00zzheap_makez00, BGl_string1938z00zzheap_makez00, BgL_arg1685z00_400); } } } } } } 
BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(
CNST_TABLE_REF(((long)2))); 
{ /* ./Heap/make.scm 84 */
bool_t BgL_test1695z00_402;
{ /* ./Heap/make.scm 84 */
obj_t BgL_objz00_586;
BgL_objz00_586 = BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00; 
BgL_test1695z00_402 = 
STRINGP(BgL_objz00_586); } 
if(BgL_test1695z00_402)
{ /* ./Heap/make.scm 88 */
obj_t BgL_hnamez00_403;
BgL_hnamez00_403 = BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00; 
{ /* ./Heap/make.scm 89 */
obj_t BgL_portz00_404;
BgL_portz00_404 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_hnamez00_403); 
{ /* ./Heap/make.scm 90 */
bool_t BgL_test1696z00_405;
BgL_test1696z00_405 = 
BINARY_PORTP(BgL_portz00_404); 
if(BgL_test1696z00_405)
{ /* ./Heap/make.scm 90 */
{ /* ./Heap/make.scm 93 */
obj_t BgL_arg1698z00_406;
{ /* ./Heap/make.scm 93 */
obj_t BgL_v1550z00_407;
{ 
int BgL_auxz00_913;
BgL_auxz00_913 = 
(int)(((long)4)); 
BgL_v1550z00_407 = 
create_vector(BgL_auxz00_913); } 
{ /* ./Heap/make.scm 93 */
int BgL_kz00_589;obj_t BgL_objz00_590;
BgL_kz00_589 = 
(int)(((long)3)); 
BgL_objz00_590 = BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00; 
VECTOR_SET(BgL_v1550z00_407,BgL_kz00_589,BgL_objz00_590); } 
{ /* ./Heap/make.scm 93 */
obj_t BgL_arg1703z00_409;
BgL_arg1703z00_409 = 
BGl_getzd2tenvzd2zztype_envz00(); 
{ /* ./Heap/make.scm 93 */
int BgL_kz00_592;
BgL_kz00_592 = 
(int)(((long)2)); 
VECTOR_SET(BgL_v1550z00_407,BgL_kz00_592,BgL_arg1703z00_409); } } 
{ /* ./Heap/make.scm 93 */
obj_t BgL_arg1708z00_411;
BgL_arg1708z00_411 = 
BGl_getzd2genvzd2zzast_envz00(); 
{ /* ./Heap/make.scm 93 */
int BgL_kz00_595;
BgL_kz00_595 = 
(int)(((long)1)); 
VECTOR_SET(BgL_v1550z00_407,BgL_kz00_595,BgL_arg1708z00_411); } } 
{ /* ./Heap/make.scm 93 */
int BgL_kz00_598;obj_t BgL_objz00_599;
BgL_kz00_598 = 
(int)(((long)0)); 
BgL_objz00_599 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
VECTOR_SET(BgL_v1550z00_407,BgL_kz00_598,BgL_objz00_599); } 
BgL_arg1698z00_406 = BgL_v1550z00_407; } 
output_obj(BgL_portz00_404, BgL_arg1698z00_406); } 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_404);}  else 
{ /* ./Heap/make.scm 90 */
FAILURE(BGl_string1944z00zzheap_makez00,BGl_string1940z00zzheap_makez00,BgL_hnamez00_403);} } } }  else 
{ /* ./Heap/make.scm 84 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1945z00zzheap_makez00, BGl_string1941z00zzheap_makez00, BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);} } } 
}



/* _make-add-heap */
obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t BgL_envz00_764)
{ AN_OBJECT;
{ /* ./Heap/make.scm 79 */
return 
BGl_makezd2addzd2heapz00zzheap_makez00();} 
}



/* prepare-additional-globals! */
bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 106 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1946z00zzheap_makez00); 
return ((bool_t)1);} 
}



/* _prepare-additional-globals! */
obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t BgL_envz00_765)
{ AN_OBJECT;
{ /* ./Heap/make.scm 106 */
{ /* ./Heap/make.scm 107 */
bool_t BgL_auxz00_932;
BgL_auxz00_932 = 
BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00(); 
return 
BBOOL(BgL_auxz00_932);} } 
}



/* <anonymous:1723> */
obj_t BGl_zc3anonymousza31723ze3z83zzheap_makez00(obj_t BgL_envz00_767, obj_t BgL_gz00_768)
{ AN_OBJECT;
{ /* ./Heap/make.scm 107 */
{ 
obj_t BgL_gz00_414;
BgL_gz00_414 = BgL_gz00_768; 
{ /* ./Heap/make.scm 110 */
bool_t BgL_test1724z00_416;
{ /* ./Heap/make.scm 110 */
bool_t BgL_testz00_935;
{ /* ./Heap/make.scm 110 */
obj_t BgL_auxz00_939;obj_t BgL_auxz00_936;
BgL_auxz00_939 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Heap/make.scm 110 */
BgL_globalz00_bglt BgL_obj1174z00_605;
BgL_obj1174z00_605 = 
(BgL_globalz00_bglt)(BgL_gz00_414); 
BgL_auxz00_936 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_605))->BgL_importz00); } 
BgL_testz00_935 = 
(BgL_auxz00_936==BgL_auxz00_939); } 
if(BgL_testz00_935)
{ /* ./Heap/make.scm 110 */
BgL_test1724z00_416 = ((bool_t)1); }  else 
{ /* ./Heap/make.scm 111 */
BgL_globalz00_bglt BgL_obj1180z00_606;
BgL_obj1180z00_606 = 
(BgL_globalz00_bglt)(BgL_gz00_414); 
BgL_test1724z00_416 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1180z00_606))->BgL_libraryzf3zf3); } } 
if(BgL_test1724z00_416)
{ /* ./Heap/make.scm 110 */
{ /* ./Heap/make.scm 112 */
obj_t BgL_arg1726z00_417;obj_t BgL_arg1727z00_418;
{ /* ./Heap/make.scm 112 */
BgL_variablez00_bglt BgL_obj1097z00_607;
BgL_obj1097z00_607 = 
(BgL_variablez00_bglt)(BgL_gz00_414); 
BgL_arg1726z00_417 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_607))->BgL_idz00); } 
{ /* ./Heap/make.scm 112 */
BgL_globalz00_bglt BgL_obj1171z00_608;
BgL_obj1171z00_608 = 
(BgL_globalz00_bglt)(BgL_gz00_414); 
BgL_arg1727z00_418 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_608))->BgL_modulez00); } 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg1726z00_417, BgL_arg1727z00_418); } }  else 
{ /* ./Heap/make.scm 113 */
bool_t BgL_test1731z00_419;
{ /* ./Heap/make.scm 113 */
obj_t BgL_auxz00_953;obj_t BgL_auxz00_950;
BgL_auxz00_953 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Heap/make.scm 113 */
BgL_globalz00_bglt BgL_obj1174z00_609;
BgL_obj1174z00_609 = 
(BgL_globalz00_bglt)(BgL_gz00_414); 
BgL_auxz00_950 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_609))->BgL_importz00); } 
BgL_test1731z00_419 = 
(BgL_auxz00_950==BgL_auxz00_953); } 
if(BgL_test1731z00_419)
{ /* ./Heap/make.scm 113 */
{ /* ./Heap/make.scm 114 */
BgL_globalz00_bglt BgL_obj1176z00_610;obj_t BgL_val1175z00_611;
BgL_obj1176z00_610 = 
(BgL_globalz00_bglt)(BgL_gz00_414); 
BgL_val1175z00_611 = 
CNST_TABLE_REF(((long)5)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1176z00_610))->BgL_importz00) = ((obj_t)BgL_val1175z00_611), BUNSPEC); } }  else 
{ /* ./Heap/make.scm 113 */BUNSPEC; } } } 
{ /* ./Heap/make.scm 118 */
BgL_variablez00_bglt BgL_obj1118z00_612;
BgL_obj1118z00_612 = 
(BgL_variablez00_bglt)(BgL_gz00_414); 
((((BgL_variablez00_bglt)CREF(BgL_obj1118z00_612))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); } 
{ /* ./Heap/make.scm 121 */
BgL_globalz00_bglt BgL_obj1182z00_614;
BgL_obj1182z00_614 = 
(BgL_globalz00_bglt)(BgL_gz00_414); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1182z00_614))->BgL_libraryzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00()
{ AN_OBJECT;
{ /* ./Heap/make.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "heap_make"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "heap_make"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "heap_make"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "heap_make"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "heap_make"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "heap_make"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "heap_make"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "heap_make"); 
BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long)43975), "heap_make"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "heap_make");} 
}

