/*===========================================================================*/
/*   (Jas/produce.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Jas/produce.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_typez00_bglt;

typedef struct BgL_basicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_basicz00_bglt;

typedef struct BgL_vectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_vectz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_tretz00;
   obj_t BgL_targsz00;
} *BgL_funz00_bglt;

typedef struct BgL_classez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_poolz00;
} *BgL_classez00_bglt;

typedef struct BgL_fieldzd2orzd2methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldzd2orzd2methodz00_bglt;

typedef struct BgL_fieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldz00_bglt;

typedef struct BgL_methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_methodz00_bglt;

typedef struct BgL_attributez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_infoz00;
} *BgL_attributez00_bglt;

typedef struct BgL_classfilez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_globalsz00;
   obj_t BgL_poolz00;
   obj_t BgL_poolzd2siza7ez75;
   obj_t BgL_flagsz00;
   obj_t BgL_mez00;
   obj_t BgL_superz00;
   obj_t BgL_interfacesz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_attributesz00;
} *BgL_classfilez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjas_producez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zzjas_producez00();
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_producezd2cpinfozd2zzjas_producez00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_outshortz00zzjas_producez00(obj_t, obj_t);
static bool_t BGl_producezd2interfaceszd2zzjas_producez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static bool_t BGl_producezd2poolzd2zzjas_producez00(obj_t, obj_t, obj_t);
extern obj_t BGl_stringzd2ze3utf8z31zzjas_libz00(obj_t);
static obj_t BGl_producezd2stringzd2zzjas_producez00(obj_t, obj_t);
static obj_t BGl_producezd2codezd2zzjas_producez00(obj_t, obj_t);
static obj_t BGl__producez00zzjas_producez00(obj_t, obj_t, obj_t);
static obj_t BGl_producezd2attributezd2zzjas_producez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_producez00zzjas_producez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzjas_producez00();
static bool_t BGl_producezd2attributeszd2zzjas_producez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjas_producez00();
static bool_t BGl_producezd2fieldzd2zzjas_producez00(obj_t, obj_t);
static bool_t BGl_producezd2methodszd2zzjas_producez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjas_producez00 = BUNSPEC;
static bool_t BGl_producezd2fieldszd2zzjas_producez00(obj_t, obj_t);
static obj_t BGl_outintz00zzjas_producez00(obj_t, obj_t);
static bool_t BGl_producezd2methodzd2zzjas_producez00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjas_producez00();
static obj_t __cnst[ 6 ] ;


DEFINE_STRING( BGl_string2010z00zzjas_producez00, BgL_bgl_string2010za700za7za7jas_produceza7002035z00, "localvariable linenumber srcfile code bytevector ok ", 52 );
DEFINE_STRING( BGl_string2009z00zzjas_producez00, BgL_bgl_string2009za700za7za7jas_produceza7002036z00, "bad code attribute", 18 );
DEFINE_STRING( BGl_string2008z00zzjas_producez00, BgL_bgl_string2008za700za7za7jas_produceza7002037z00, "bad handler", 11 );
DEFINE_STRING( BGl_string2007z00zzjas_producez00, BgL_bgl_string2007za700za7za7jas_produceza7002038z00, "produce-code", 12 );
DEFINE_STRING( BGl_string2006z00zzjas_producez00, BgL_bgl_string2006za700za7za7jas_produceza7002039z00, "bad attribute type", 18 );
DEFINE_STRING( BGl_string2005z00zzjas_producez00, BgL_bgl_string2005za700za7za7jas_produceza7002040z00, "produce-attribute", 17 );
DEFINE_STRING( BGl_string2004z00zzjas_producez00, BgL_bgl_string2004za700za7za7jas_produceza7002041z00, "bad cpinfo tag", 14 );
DEFINE_STRING( BGl_string2003z00zzjas_producez00, BgL_bgl_string2003za700za7za7jas_produceza7002042z00, "as", 2 );
DEFINE_EXPORT_PROCEDURE( BGl_producezd2envzd2zzjas_producez00, BgL_bgl__produceza700za7za7jas_produceza7002043z00, BGl__producez00zzjas_producez00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjas_producez00(long BgL_checksumz00_819, char * BgL_fromz00_820)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjas_producez00))
{ 
BGl_requirezd2initializa7ationz75zzjas_producez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjas_producez00(); 
BGl_cnstzd2initzd2zzjas_producez00(); 
BGl_importedzd2moduleszd2initz00zzjas_producez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjas_producez00()
{ AN_OBJECT;
{ /* ./Jas/produce.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jas_produce"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jas_produce"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjas_producez00()
{ AN_OBJECT;
{ /* ./Jas/produce.scm 1 */
{ /* ./Jas/produce.scm 1 */
obj_t BgL_cportz00_812;
BgL_cportz00_812 = 
open_input_string(BGl_string2010z00zzjas_producez00); 
{ 
long BgL_iz00_813;
BgL_iz00_813 = ((long)5); 
BgL_loopz00_814:
{ /* ./Jas/produce.scm 1 */
bool_t BgL_test2012z00_815;
BgL_test2012z00_815 = 
(BgL_iz00_813==((long)-1)); 
if(BgL_test2012z00_815)
{ /* ./Jas/produce.scm 1 */
return BUNSPEC;}  else 
{ /* ./Jas/produce.scm 1 */
{ /* ./Jas/produce.scm 1 */
obj_t BgL_arg2014z00_816;
{ /* ./Jas/produce.scm 1 */
obj_t BgL_list2017z00_817;
BgL_list2017z00_817 = 
MAKE_PAIR(BgL_cportz00_812, BNIL); 
BgL_arg2014z00_816 = 
BGl_readz00zz__readerz00(BgL_list2017z00_817); } 
{ /* ./Jas/produce.scm 1 */
int BgL_auxz00_834;
BgL_auxz00_834 = 
(int)(BgL_iz00_813); 
CNST_TABLE_SET(BgL_auxz00_834, BgL_arg2014z00_816); } } 
{ /* ./Jas/produce.scm 1 */
int BgL_auxz00_818;
{ /* ./Jas/produce.scm 1 */
long BgL_auxz00_837;
BgL_auxz00_837 = 
(BgL_iz00_813-((long)1)); 
BgL_auxz00_818 = 
(int)(BgL_auxz00_837); } 
{ 
long BgL_iz00_840;
BgL_iz00_840 = 
(long)(BgL_auxz00_818); 
BgL_iz00_813 = BgL_iz00_840; 
goto BgL_loopz00_814;} } } } } } } 
}



/* outshort */
obj_t BGl_outshortz00zzjas_producez00(obj_t BgL_outchanz00_5, obj_t BgL_nz00_6)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 14 */
{ /* ./Jas/produce.scm 15 */
long BgL_arg1452z00_268;
{ /* ./Jas/produce.scm 15 */
int BgL_auxz00_844;long BgL_auxz00_842;
BgL_auxz00_844 = 
(int)(((long)8)); 
BgL_auxz00_842 = 
(long)CINT(BgL_nz00_6); 
BgL_arg1452z00_268 = 
(BgL_auxz00_842 >> BgL_auxz00_844); } 
{ /* ./Jas/produce.scm 15 */
unsigned char BgL_arg1444z00_531;
{ /* ./Jas/produce.scm 15 */
long BgL_auxz00_847;
BgL_auxz00_847 = 
(BgL_arg1452z00_268 & ((long)255)); 
BgL_arg1444z00_531 = 
(BgL_auxz00_847); } 
{ /* ./Jas/produce.scm 15 */
char BgL_charz00_539;
BgL_charz00_539 = 
(char)(BgL_arg1444z00_531); 
BGL_OUTPUT_CHAR(BgL_outchanz00_5, BgL_charz00_539); } } } 
{ /* ./Jas/produce.scm 16 */
long BgL_arg1457z00_269;
{ /* ./Jas/produce.scm 16 */
long BgL_auxz00_852;
BgL_auxz00_852 = 
(long)CINT(BgL_nz00_6); 
BgL_arg1457z00_269 = 
(BgL_auxz00_852 & ((long)255)); } 
{ /* ./Jas/produce.scm 16 */
unsigned char BgL_arg1444z00_544;
{ /* ./Jas/produce.scm 16 */
long BgL_auxz00_855;
BgL_auxz00_855 = 
(BgL_arg1457z00_269 & ((long)255)); 
BgL_arg1444z00_544 = 
(BgL_auxz00_855); } 
{ /* ./Jas/produce.scm 16 */
char BgL_charz00_552;
BgL_charz00_552 = 
(char)(BgL_arg1444z00_544); 
return 
BGL_OUTPUT_CHAR(BgL_outchanz00_5, BgL_charz00_552);} } } } 
}



/* outint */
obj_t BGl_outintz00zzjas_producez00(obj_t BgL_outchanz00_7, obj_t BgL_nz00_8)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 18 */
{ /* ./Jas/produce.scm 19 */
long BgL_arg1463z00_270;
{ /* ./Jas/produce.scm 19 */
int BgL_auxz00_862;long BgL_auxz00_860;
BgL_auxz00_862 = 
(int)(((long)16)); 
BgL_auxz00_860 = 
(long)CINT(BgL_nz00_8); 
BgL_arg1463z00_270 = 
(BgL_auxz00_860 >> BgL_auxz00_862); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_7, 
BINT(BgL_arg1463z00_270)); } 
{ /* ./Jas/produce.scm 20 */
long BgL_arg1468z00_271;
{ /* ./Jas/produce.scm 20 */
long BgL_auxz00_867;
BgL_auxz00_867 = 
(long)CINT(BgL_nz00_8); 
BgL_arg1468z00_271 = 
(BgL_auxz00_867 & ((long)65535)); } 
return 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_7, 
BINT(BgL_arg1468z00_271));} } 
}



/* produce */
BGL_EXPORTED_DEF obj_t BGl_producez00zzjas_producez00(obj_t BgL_outchanz00_9, obj_t BgL_classfilez00_10)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 22 */
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, 
BINT(((long)51966))); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, 
BINT(((long)47806))); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, 
BINT(((long)3))); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, 
BINT(((long)45))); 
{ /* ./Jas/produce.scm 29 */
obj_t BgL_arg1476z00_273;obj_t BgL_arg1478z00_274;
{ /* ./Jas/produce.scm 29 */
BgL_classfilez00_bglt BgL_obj1348z00_557;
BgL_obj1348z00_557 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1476z00_273 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1348z00_557))->BgL_poolzd2siza7ez75); } 
{ /* ./Jas/produce.scm 29 */
obj_t BgL_auxz00_882;
{ /* ./Jas/produce.scm 29 */
BgL_classfilez00_bglt BgL_obj1345z00_558;
BgL_obj1345z00_558 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_auxz00_882 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1345z00_558))->BgL_poolz00); } 
BgL_arg1478z00_274 = 
bgl_reverse(BgL_auxz00_882); } 
BGl_producezd2poolzd2zzjas_producez00(BgL_outchanz00_9, BgL_arg1476z00_273, BgL_arg1478z00_274); } 
{ /* ./Jas/produce.scm 30 */
obj_t BgL_arg1486z00_276;
{ /* ./Jas/produce.scm 30 */
BgL_classfilez00_bglt BgL_obj1351z00_559;
BgL_obj1351z00_559 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1486z00_276 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1351z00_559))->BgL_flagsz00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, BgL_arg1486z00_276); } 
{ /* ./Jas/produce.scm 31 */
obj_t BgL_arg1490z00_277;
{ /* ./Jas/produce.scm 31 */
BgL_classfilez00_bglt BgL_obj1354z00_560;
BgL_obj1354z00_560 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1490z00_277 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1354z00_560))->BgL_mez00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, BgL_arg1490z00_277); } 
{ /* ./Jas/produce.scm 32 */
obj_t BgL_arg1495z00_278;
{ /* ./Jas/produce.scm 32 */
BgL_classfilez00_bglt BgL_obj1357z00_561;
BgL_obj1357z00_561 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1495z00_278 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1357z00_561))->BgL_superz00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_9, BgL_arg1495z00_278); } 
{ /* ./Jas/produce.scm 33 */
obj_t BgL_arg1499z00_279;
{ /* ./Jas/produce.scm 33 */
BgL_classfilez00_bglt BgL_obj1360z00_562;
BgL_obj1360z00_562 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1499z00_279 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1360z00_562))->BgL_interfacesz00); } 
BGl_producezd2interfaceszd2zzjas_producez00(BgL_outchanz00_9, BgL_arg1499z00_279); } 
{ /* ./Jas/produce.scm 34 */
obj_t BgL_arg1503z00_280;
{ /* ./Jas/produce.scm 34 */
BgL_classfilez00_bglt BgL_obj1363z00_563;
BgL_obj1363z00_563 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1503z00_280 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1363z00_563))->BgL_fieldsz00); } 
BGl_producezd2fieldszd2zzjas_producez00(BgL_outchanz00_9, BgL_arg1503z00_280); } 
{ /* ./Jas/produce.scm 35 */
obj_t BgL_arg1508z00_281;
{ /* ./Jas/produce.scm 35 */
BgL_classfilez00_bglt BgL_obj1366z00_564;
BgL_obj1366z00_564 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1508z00_281 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1366z00_564))->BgL_methodsz00); } 
BGl_producezd2methodszd2zzjas_producez00(BgL_outchanz00_9, BgL_arg1508z00_281); } 
{ /* ./Jas/produce.scm 36 */
obj_t BgL_arg1514z00_282;
{ /* ./Jas/produce.scm 36 */
BgL_classfilez00_bglt BgL_obj1369z00_565;
BgL_obj1369z00_565 = 
(BgL_classfilez00_bglt)(BgL_classfilez00_10); 
BgL_arg1514z00_282 = 
(((BgL_classfilez00_bglt)CREF(BgL_obj1369z00_565))->BgL_attributesz00); } 
{ /* ./Jas/produce.scm 36 */
bool_t BgL_auxz00_907;
BgL_auxz00_907 = 
BGl_producezd2attributeszd2zzjas_producez00(BgL_outchanz00_9, BgL_arg1514z00_282); 
return 
BBOOL(BgL_auxz00_907);} } } 
}



/* _produce */
obj_t BGl__producez00zzjas_producez00(obj_t BgL_envz00_809, obj_t BgL_outchanz00_810, obj_t BgL_classfilez00_811)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 22 */
return 
BGl_producez00zzjas_producez00(BgL_outchanz00_810, BgL_classfilez00_811);} 
}



/* produce-pool */
bool_t BGl_producezd2poolzd2zzjas_producez00(obj_t BgL_outchanz00_11, obj_t BgL_siza7eza7_12, obj_t BgL_poolz00_13)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 38 */
BGl_outshortz00zzjas_producez00(BgL_outchanz00_11, BgL_siza7eza7_12); 
{ 
obj_t BgL_l1413z00_283;
BgL_l1413z00_283 = BgL_poolz00_13; 
BgL_forzd2each1414zd2_284:
{ /* ./Jas/produce.scm 40 */
bool_t BgL_test1519z00_285;
BgL_test1519z00_285 = 
PAIRP(BgL_l1413z00_283); 
if(BgL_test1519z00_285)
{ /* ./Jas/produce.scm 40 */
{ /* ./Jas/produce.scm 40 */
obj_t BgL_cpinfoz00_286;
BgL_cpinfoz00_286 = 
CAR(BgL_l1413z00_283); 
BGl_producezd2cpinfozd2zzjas_producez00(BgL_outchanz00_11, BgL_cpinfoz00_286); } 
{ /* ./Jas/produce.scm 40 */
obj_t BgL_arg1524z00_287;
BgL_arg1524z00_287 = 
CDR(BgL_l1413z00_283); 
{ 
obj_t BgL_l1413z00_917;
BgL_l1413z00_917 = BgL_arg1524z00_287; 
BgL_l1413z00_283 = BgL_l1413z00_917; 
goto BgL_forzd2each1414zd2_284;} } }  else 
{ /* ./Jas/produce.scm 40 */
return ((bool_t)1);} } } } 
}



/* produce-cpinfo */
obj_t BGl_producezd2cpinfozd2zzjas_producez00(obj_t BgL_outchanz00_14, obj_t BgL_cpinfoz00_15)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 42 */
{ /* ./Jas/produce.scm 43 */
obj_t BgL_arg1529z00_288;
BgL_arg1529z00_288 = 
CAR(BgL_cpinfoz00_15); 
{ /* ./Jas/produce.scm 43 */
unsigned char BgL_arg1444z00_572;
{ /* ./Jas/produce.scm 43 */
long BgL_auxz00_919;
{ /* ./Jas/produce.scm 43 */
long BgL_auxz00_920;
BgL_auxz00_920 = 
(long)CINT(BgL_arg1529z00_288); 
BgL_auxz00_919 = 
(BgL_auxz00_920 & ((long)255)); } 
BgL_arg1444z00_572 = 
(BgL_auxz00_919); } 
{ /* ./Jas/produce.scm 43 */
char BgL_charz00_580;
BgL_charz00_580 = 
(char)(BgL_arg1444z00_572); 
BGL_OUTPUT_CHAR(BgL_outchanz00_14, BgL_charz00_580); } } } 
{ 

{ /* ./Jas/produce.scm 44 */
obj_t BgL_aux1416z00_290;
BgL_aux1416z00_290 = 
CAR(BgL_cpinfoz00_15); 
{ /* ./Jas/produce.scm 44 */
bool_t BgL_test1532z00_291;
BgL_test1532z00_291 = 
INTEGERP(BgL_aux1416z00_290); 
if(BgL_test1532z00_291)
{ /* ./Jas/produce.scm 44 */
switch( 
(long)CINT(BgL_aux1416z00_290)) { case ((long)1) : 

{ /* ./Jas/produce.scm 46 */
obj_t BgL_strz00_292;
{ /* ./Jas/produce.scm 46 */
obj_t BgL_arg1539z00_294;
BgL_arg1539z00_294 = 
CDR(BgL_cpinfoz00_15); 
BgL_strz00_292 = 
BGl_stringzd2ze3utf8z31zzjas_libz00(BgL_arg1539z00_294); } 
{ /* ./Jas/produce.scm 47 */
int BgL_arg1534z00_293;
BgL_arg1534z00_293 = 
STRING_LENGTH(BgL_strz00_292); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_14, 
BINT(BgL_arg1534z00_293)); } 
return 
BGl_producezd2stringzd2zzjas_producez00(BgL_outchanz00_14, BgL_strz00_292);} break;case ((long)3) : 
case ((long)4) : 
case ((long)5) : 
case ((long)6) : 
case ((long)7) : 
case ((long)8) : 
case ((long)9) : 
case ((long)10) : 
case ((long)11) : 
case ((long)12) : 

{ 
obj_t BgL_l1417z00_295;
{ /* ./Jas/produce.scm 50 */
obj_t BgL_arg1543z00_297;
BgL_arg1543z00_297 = 
CDR(BgL_cpinfoz00_15); 
{ /* ./Jas/produce.scm 50 */
bool_t BgL_auxz00_936;
BgL_l1417z00_295 = BgL_arg1543z00_297; 
BgL_forzd2each1418zd2_296:
{ /* ./Jas/produce.scm 50 */
bool_t BgL_test1546z00_298;
BgL_test1546z00_298 = 
PAIRP(BgL_l1417z00_295); 
if(BgL_test1546z00_298)
{ /* ./Jas/produce.scm 50 */
{ /* ./Jas/produce.scm 50 */
obj_t BgL_nz00_299;
BgL_nz00_299 = 
CAR(BgL_l1417z00_295); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_14, BgL_nz00_299); } 
{ /* ./Jas/produce.scm 50 */
obj_t BgL_arg1550z00_300;
BgL_arg1550z00_300 = 
CDR(BgL_l1417z00_295); 
{ 
obj_t BgL_l1417z00_942;
BgL_l1417z00_942 = BgL_arg1550z00_300; 
BgL_l1417z00_295 = BgL_l1417z00_942; 
goto BgL_forzd2each1418zd2_296;} } }  else 
{ /* ./Jas/produce.scm 50 */
BgL_auxz00_936 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_936);} } } break;
default: 
BgL_case_else1415z00_289:
{ /* ./Jas/produce.scm 51 */
obj_t BgL_arg1561z00_303;
BgL_arg1561z00_303 = 
CAR(BgL_cpinfoz00_15); 
FAILURE(BGl_string2003z00zzjas_producez00,BGl_string2004z00zzjas_producez00,BgL_arg1561z00_303);} } }  else 
{ /* ./Jas/produce.scm 44 */
goto BgL_case_else1415z00_289;} } } } } 
}



/* produce-string */
obj_t BGl_producezd2stringzd2zzjas_producez00(obj_t BgL_outchanz00_16, obj_t BgL_sz00_17)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 53 */
{ /* ./Jas/produce.scm 54 */
int BgL_nz00_304;
BgL_nz00_304 = 
STRING_LENGTH(BgL_sz00_17); 
{ 
long BgL_iz00_306;
BgL_iz00_306 = ((long)0); 
BgL_zc3anonymousza31565ze3z83_307:
{ /* ./Jas/produce.scm 56 */
bool_t BgL_test1566z00_308;
{ /* ./Jas/produce.scm 56 */
long BgL_auxz00_949;
BgL_auxz00_949 = 
(long)(BgL_nz00_304); 
BgL_test1566z00_308 = 
(BgL_iz00_306==BgL_auxz00_949); } 
if(BgL_test1566z00_308)
{ /* ./Jas/produce.scm 56 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* ./Jas/produce.scm 56 */
{ /* ./Jas/produce.scm 58 */
long BgL_arg1569z00_309;
{ /* ./Jas/produce.scm 58 */
unsigned char BgL_auxz00_954;
{ /* ./Jas/produce.scm 58 */
int BgL_auxz00_955;
BgL_auxz00_955 = 
(int)(BgL_iz00_306); 
BgL_auxz00_954 = 
STRING_REF(BgL_sz00_17, BgL_auxz00_955); } 
BgL_arg1569z00_309 = 
(BgL_auxz00_954); } 
{ /* ./Jas/produce.scm 58 */
unsigned char BgL_arg1444z00_600;
{ /* ./Jas/produce.scm 58 */
long BgL_auxz00_959;
BgL_auxz00_959 = 
(BgL_arg1569z00_309 & ((long)255)); 
BgL_arg1444z00_600 = 
(BgL_auxz00_959); } 
{ /* ./Jas/produce.scm 58 */
char BgL_charz00_608;
BgL_charz00_608 = 
(char)(BgL_arg1444z00_600); 
BGL_OUTPUT_CHAR(BgL_outchanz00_16, BgL_charz00_608); } } } 
{ /* ./Jas/produce.scm 59 */
long BgL_arg1577z00_311;
BgL_arg1577z00_311 = 
(BgL_iz00_306+((long)1)); 
{ 
long BgL_iz00_965;
BgL_iz00_965 = BgL_arg1577z00_311; 
BgL_iz00_306 = BgL_iz00_965; 
goto BgL_zc3anonymousza31565ze3z83_307;} } } } } } } 
}



/* produce-interfaces */
bool_t BGl_producezd2interfaceszd2zzjas_producez00(obj_t BgL_outchanz00_18, obj_t BgL_interfacesz00_19)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 62 */
{ /* ./Jas/produce.scm 63 */
long BgL_arg1584z00_313;
BgL_arg1584z00_313 = 
bgl_list_length(BgL_interfacesz00_19); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_18, 
BINT(BgL_arg1584z00_313)); } 
{ 
obj_t BgL_l1419z00_314;
BgL_l1419z00_314 = BgL_interfacesz00_19; 
BgL_forzd2each1420zd2_315:
{ /* ./Jas/produce.scm 64 */
bool_t BgL_test1588z00_316;
BgL_test1588z00_316 = 
PAIRP(BgL_l1419z00_314); 
if(BgL_test1588z00_316)
{ /* ./Jas/produce.scm 64 */
{ /* ./Jas/produce.scm 64 */
obj_t BgL_nz00_317;
BgL_nz00_317 = 
CAR(BgL_l1419z00_314); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_18, BgL_nz00_317); } 
{ /* ./Jas/produce.scm 64 */
obj_t BgL_arg1592z00_318;
BgL_arg1592z00_318 = 
CDR(BgL_l1419z00_314); 
{ 
obj_t BgL_l1419z00_974;
BgL_l1419z00_974 = BgL_arg1592z00_318; 
BgL_l1419z00_314 = BgL_l1419z00_974; 
goto BgL_forzd2each1420zd2_315;} } }  else 
{ /* ./Jas/produce.scm 64 */
return ((bool_t)1);} } } } 
}



/* produce-fields */
bool_t BGl_producezd2fieldszd2zzjas_producez00(obj_t BgL_outchanz00_20, obj_t BgL_fieldsz00_21)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 66 */
{ /* ./Jas/produce.scm 67 */
long BgL_arg1597z00_319;
BgL_arg1597z00_319 = 
bgl_list_length(BgL_fieldsz00_21); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_20, 
BINT(BgL_arg1597z00_319)); } 
{ 
obj_t BgL_l1421z00_320;
BgL_l1421z00_320 = BgL_fieldsz00_21; 
BgL_forzd2each1422zd2_321:
{ /* ./Jas/produce.scm 68 */
bool_t BgL_test1601z00_322;
BgL_test1601z00_322 = 
PAIRP(BgL_l1421z00_320); 
if(BgL_test1601z00_322)
{ /* ./Jas/produce.scm 68 */
{ /* ./Jas/produce.scm 68 */
obj_t BgL_fieldz00_323;
BgL_fieldz00_323 = 
CAR(BgL_l1421z00_320); 
BGl_producezd2fieldzd2zzjas_producez00(BgL_outchanz00_20, BgL_fieldz00_323); } 
{ /* ./Jas/produce.scm 68 */
obj_t BgL_arg1606z00_324;
BgL_arg1606z00_324 = 
CDR(BgL_l1421z00_320); 
{ 
obj_t BgL_l1421z00_983;
BgL_l1421z00_983 = BgL_arg1606z00_324; 
BgL_l1421z00_320 = BgL_l1421z00_983; 
goto BgL_forzd2each1422zd2_321;} } }  else 
{ /* ./Jas/produce.scm 68 */
return ((bool_t)1);} } } } 
}



/* produce-field */
bool_t BGl_producezd2fieldzd2zzjas_producez00(obj_t BgL_outchanz00_22, obj_t BgL_fieldz00_23)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 70 */
{ /* ./Jas/produce.scm 72 */
obj_t BgL_arg1611z00_326;
{ /* ./Jas/produce.scm 72 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1129z00_617;
BgL_obj1129z00_617 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_fieldz00_23); 
BgL_arg1611z00_326 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1129z00_617))->BgL_flagsz00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_22, BgL_arg1611z00_326); } 
{ /* ./Jas/produce.scm 73 */
obj_t BgL_arg1616z00_327;
{ /* ./Jas/produce.scm 73 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1144z00_618;
BgL_obj1144z00_618 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_fieldz00_23); 
BgL_arg1616z00_327 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1144z00_618))->BgL_pnamez00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_22, BgL_arg1616z00_327); } 
{ /* ./Jas/produce.scm 74 */
obj_t BgL_arg1620z00_328;
{ /* ./Jas/produce.scm 74 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1147z00_619;
BgL_obj1147z00_619 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_fieldz00_23); 
BgL_arg1620z00_328 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1147z00_619))->BgL_descriptorz00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_22, BgL_arg1620z00_328); } 
{ /* ./Jas/produce.scm 75 */
obj_t BgL_arg1624z00_329;
{ /* ./Jas/produce.scm 75 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1153z00_620;
BgL_obj1153z00_620 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_fieldz00_23); 
BgL_arg1624z00_329 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1153z00_620))->BgL_attributesz00); } 
return 
BGl_producezd2attributeszd2zzjas_producez00(BgL_outchanz00_22, BgL_arg1624z00_329);} } 
}



/* produce-methods */
bool_t BGl_producezd2methodszd2zzjas_producez00(obj_t BgL_outchanz00_24, obj_t BgL_methodsz00_25)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 77 */
{ /* ./Jas/produce.scm 78 */
long BgL_arg1628z00_330;
BgL_arg1628z00_330 = 
bgl_list_length(BgL_methodsz00_25); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_24, 
BINT(BgL_arg1628z00_330)); } 
{ 
obj_t BgL_l1425z00_331;
BgL_l1425z00_331 = BgL_methodsz00_25; 
BgL_forzd2each1426zd2_332:
{ /* ./Jas/produce.scm 79 */
bool_t BgL_test1632z00_333;
BgL_test1632z00_333 = 
PAIRP(BgL_l1425z00_331); 
if(BgL_test1632z00_333)
{ /* ./Jas/produce.scm 79 */
{ /* ./Jas/produce.scm 79 */
obj_t BgL_methodz00_334;
BgL_methodz00_334 = 
CAR(BgL_l1425z00_331); 
BGl_producezd2methodzd2zzjas_producez00(BgL_outchanz00_24, BgL_methodz00_334); } 
{ /* ./Jas/produce.scm 79 */
obj_t BgL_arg1637z00_335;
BgL_arg1637z00_335 = 
CDR(BgL_l1425z00_331); 
{ 
obj_t BgL_l1425z00_1004;
BgL_l1425z00_1004 = BgL_arg1637z00_335; 
BgL_l1425z00_331 = BgL_l1425z00_1004; 
goto BgL_forzd2each1426zd2_332;} } }  else 
{ /* ./Jas/produce.scm 79 */
return ((bool_t)1);} } } } 
}



/* produce-method */
bool_t BGl_producezd2methodzd2zzjas_producez00(obj_t BgL_outchanz00_26, obj_t BgL_methodz00_27)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 81 */
{ /* ./Jas/produce.scm 83 */
obj_t BgL_arg1642z00_337;
{ /* ./Jas/produce.scm 83 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1129z00_624;
BgL_obj1129z00_624 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_methodz00_27); 
BgL_arg1642z00_337 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1129z00_624))->BgL_flagsz00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_26, BgL_arg1642z00_337); } 
{ /* ./Jas/produce.scm 84 */
obj_t BgL_arg1646z00_338;
{ /* ./Jas/produce.scm 84 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1144z00_625;
BgL_obj1144z00_625 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_methodz00_27); 
BgL_arg1646z00_338 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1144z00_625))->BgL_pnamez00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_26, BgL_arg1646z00_338); } 
{ /* ./Jas/produce.scm 85 */
obj_t BgL_arg1652z00_339;
{ /* ./Jas/produce.scm 85 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1147z00_626;
BgL_obj1147z00_626 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_methodz00_27); 
BgL_arg1652z00_339 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1147z00_626))->BgL_descriptorz00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_26, BgL_arg1652z00_339); } 
{ /* ./Jas/produce.scm 86 */
obj_t BgL_arg1657z00_340;
{ /* ./Jas/produce.scm 86 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1153z00_627;
BgL_obj1153z00_627 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_methodz00_27); 
BgL_arg1657z00_340 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1153z00_627))->BgL_attributesz00); } 
return 
BGl_producezd2attributeszd2zzjas_producez00(BgL_outchanz00_26, BgL_arg1657z00_340);} } 
}



/* produce-attributes */
bool_t BGl_producezd2attributeszd2zzjas_producez00(obj_t BgL_outchanz00_28, obj_t BgL_attributesz00_29)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 88 */
{ /* ./Jas/produce.scm 89 */
long BgL_arg1661z00_341;
BgL_arg1661z00_341 = 
bgl_list_length(BgL_attributesz00_29); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_28, 
BINT(BgL_arg1661z00_341)); } 
{ 
obj_t BgL_l1429z00_342;
BgL_l1429z00_342 = BgL_attributesz00_29; 
BgL_forzd2each1430zd2_343:
{ /* ./Jas/produce.scm 90 */
bool_t BgL_test1665z00_344;
BgL_test1665z00_344 = 
PAIRP(BgL_l1429z00_342); 
if(BgL_test1665z00_344)
{ /* ./Jas/produce.scm 90 */
{ /* ./Jas/produce.scm 90 */
obj_t BgL_attributez00_345;
BgL_attributez00_345 = 
CAR(BgL_l1429z00_342); 
BGl_producezd2attributezd2zzjas_producez00(BgL_outchanz00_28, BgL_attributez00_345); } 
{ /* ./Jas/produce.scm 90 */
obj_t BgL_arg1669z00_346;
BgL_arg1669z00_346 = 
CDR(BgL_l1429z00_342); 
{ 
obj_t BgL_l1429z00_1025;
BgL_l1429z00_1025 = BgL_arg1669z00_346; 
BgL_l1429z00_342 = BgL_l1429z00_1025; 
goto BgL_forzd2each1430zd2_343;} } }  else 
{ /* ./Jas/produce.scm 90 */
return ((bool_t)1);} } } } 
}



/* produce-attribute */
obj_t BGl_producezd2attributezd2zzjas_producez00(obj_t BgL_outchanz00_30, obj_t BgL_attributez00_31)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 93 */
{ /* ./Jas/produce.scm 94 */
obj_t BgL_arg1674z00_347;
{ /* ./Jas/produce.scm 94 */
BgL_attributez00_bglt BgL_obj1312z00_631;
BgL_obj1312z00_631 = 
(BgL_attributez00_bglt)(BgL_attributez00_31); 
BgL_arg1674z00_347 = 
(((BgL_attributez00_bglt)CREF(BgL_obj1312z00_631))->BgL_namez00); } 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, BgL_arg1674z00_347); } 
{ /* ./Jas/produce.scm 95 */
obj_t BgL_arg1678z00_348;
{ /* ./Jas/produce.scm 95 */
BgL_attributez00_bglt BgL_obj1315z00_632;
BgL_obj1315z00_632 = 
(BgL_attributez00_bglt)(BgL_attributez00_31); 
BgL_arg1678z00_348 = 
(((BgL_attributez00_bglt)CREF(BgL_obj1315z00_632))->BgL_siza7eza7); } 
BGl_outintz00zzjas_producez00(BgL_outchanz00_30, BgL_arg1678z00_348); } 
{ /* ./Jas/produce.scm 96 */
obj_t BgL_infoz00_349;obj_t BgL_typez00_350;
{ /* ./Jas/produce.scm 96 */
BgL_attributez00_bglt BgL_obj1318z00_633;
BgL_obj1318z00_633 = 
(BgL_attributez00_bglt)(BgL_attributez00_31); 
BgL_infoz00_349 = 
(((BgL_attributez00_bglt)CREF(BgL_obj1318z00_633))->BgL_infoz00); } 
{ /* ./Jas/produce.scm 96 */
BgL_attributez00_bglt BgL_obj1309z00_634;
BgL_obj1309z00_634 = 
(BgL_attributez00_bglt)(BgL_attributez00_31); 
BgL_typez00_350 = 
(((BgL_attributez00_bglt)CREF(BgL_obj1309z00_634))->BgL_typez00); } 
{ /* ./Jas/produce.scm 97 */
bool_t BgL_test1681z00_352;
{ /* ./Jas/produce.scm 97 */
obj_t BgL_auxz00_1036;
BgL_auxz00_1036 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1681z00_352 = 
(BgL_typez00_350==BgL_auxz00_1036); } 
if(BgL_test1681z00_352)
{ /* ./Jas/produce.scm 97 */
return 
BGl_producezd2stringzd2zzjas_producez00(BgL_outchanz00_30, BgL_infoz00_349);}  else 
{ /* ./Jas/produce.scm 97 */
bool_t BgL_test1684z00_353;
{ /* ./Jas/produce.scm 97 */
obj_t BgL_auxz00_1041;
BgL_auxz00_1041 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1684z00_353 = 
(BgL_typez00_350==BgL_auxz00_1041); } 
if(BgL_test1684z00_353)
{ /* ./Jas/produce.scm 97 */
return 
BGl_producezd2codezd2zzjas_producez00(BgL_outchanz00_30, BgL_infoz00_349);}  else 
{ /* ./Jas/produce.scm 97 */
bool_t BgL_test1686z00_354;
{ /* ./Jas/produce.scm 97 */
obj_t BgL_auxz00_1046;
BgL_auxz00_1046 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1686z00_354 = 
(BgL_typez00_350==BgL_auxz00_1046); } 
if(BgL_test1686z00_354)
{ /* ./Jas/produce.scm 97 */
return 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, BgL_infoz00_349);}  else 
{ /* ./Jas/produce.scm 97 */
bool_t BgL_test1688z00_355;
{ /* ./Jas/produce.scm 97 */
obj_t BgL_auxz00_1051;
BgL_auxz00_1051 = 
CNST_TABLE_REF(((long)4)); 
BgL_test1688z00_355 = 
(BgL_typez00_350==BgL_auxz00_1051); } 
if(BgL_test1688z00_355)
{ /* ./Jas/produce.scm 97 */
{ /* ./Jas/produce.scm 105 */
long BgL_arg1690z00_356;
BgL_arg1690z00_356 = 
bgl_list_length(BgL_infoz00_349); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, 
BINT(BgL_arg1690z00_356)); } 
{ 
obj_t BgL_l1431z00_357;
{ /* ./Jas/produce.scm 106 */
bool_t BgL_auxz00_1058;
BgL_l1431z00_357 = BgL_infoz00_349; 
BgL_forzd2each1432zd2_358:
{ /* ./Jas/produce.scm 106 */
bool_t BgL_test1695z00_359;
BgL_test1695z00_359 = 
PAIRP(BgL_l1431z00_357); 
if(BgL_test1695z00_359)
{ /* ./Jas/produce.scm 106 */
{ /* ./Jas/produce.scm 106 */
obj_t BgL_slotz00_360;
BgL_slotz00_360 = 
CAR(BgL_l1431z00_357); 
{ /* ./Jas/produce.scm 106 */
obj_t BgL_arg1698z00_361;
BgL_arg1698z00_361 = 
CAR(BgL_slotz00_360); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, BgL_arg1698z00_361); } 
{ /* ./Jas/produce.scm 107 */
obj_t BgL_arg1702z00_362;
BgL_arg1702z00_362 = 
CDR(BgL_slotz00_360); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, BgL_arg1702z00_362); } } 
{ /* ./Jas/produce.scm 106 */
obj_t BgL_arg1707z00_363;
BgL_arg1707z00_363 = 
CDR(BgL_l1431z00_357); 
{ 
obj_t BgL_l1431z00_1067;
BgL_l1431z00_1067 = BgL_arg1707z00_363; 
BgL_l1431z00_357 = BgL_l1431z00_1067; 
goto BgL_forzd2each1432zd2_358;} } }  else 
{ /* ./Jas/produce.scm 106 */
BgL_auxz00_1058 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1058);} } }  else 
{ /* ./Jas/produce.scm 97 */
bool_t BgL_test1711z00_364;
{ /* ./Jas/produce.scm 97 */
obj_t BgL_auxz00_1069;
BgL_auxz00_1069 = 
CNST_TABLE_REF(((long)5)); 
BgL_test1711z00_364 = 
(BgL_typez00_350==BgL_auxz00_1069); } 
if(BgL_test1711z00_364)
{ /* ./Jas/produce.scm 97 */
{ /* ./Jas/produce.scm 110 */
long BgL_arg1713z00_365;
BgL_arg1713z00_365 = 
bgl_list_length(BgL_infoz00_349); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, 
BINT(BgL_arg1713z00_365)); } 
{ 
obj_t BgL_l1433z00_366;
{ /* ./Jas/produce.scm 111 */
bool_t BgL_auxz00_1076;
BgL_l1433z00_366 = BgL_infoz00_349; 
BgL_forzd2each1434zd2_367:
{ /* ./Jas/produce.scm 111 */
bool_t BgL_test1718z00_368;
BgL_test1718z00_368 = 
PAIRP(BgL_l1433z00_366); 
if(BgL_test1718z00_368)
{ /* ./Jas/produce.scm 111 */
{ /* ./Jas/produce.scm 111 */
obj_t BgL_slotz00_369;
BgL_slotz00_369 = 
CAR(BgL_l1433z00_366); 
{ 
obj_t BgL_l1435z00_370;
BgL_l1435z00_370 = BgL_slotz00_369; 
BgL_forzd2each1436zd2_371:
{ /* ./Jas/produce.scm 111 */
bool_t BgL_test1720z00_372;
BgL_test1720z00_372 = 
PAIRP(BgL_l1435z00_370); 
if(BgL_test1720z00_372)
{ /* ./Jas/produce.scm 111 */
{ /* ./Jas/produce.scm 111 */
obj_t BgL_nz00_373;
BgL_nz00_373 = 
CAR(BgL_l1435z00_370); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_30, BgL_nz00_373); } 
{ /* ./Jas/produce.scm 111 */
obj_t BgL_arg1724z00_374;
BgL_arg1724z00_374 = 
CDR(BgL_l1435z00_370); 
{ 
obj_t BgL_l1435z00_1085;
BgL_l1435z00_1085 = BgL_arg1724z00_374; 
BgL_l1435z00_370 = BgL_l1435z00_1085; 
goto BgL_forzd2each1436zd2_371;} } }  else 
{ /* ./Jas/produce.scm 111 */((bool_t)1); } } } } 
{ /* ./Jas/produce.scm 111 */
obj_t BgL_arg1730z00_375;
BgL_arg1730z00_375 = 
CDR(BgL_l1433z00_366); 
{ 
obj_t BgL_l1433z00_1087;
BgL_l1433z00_1087 = BgL_arg1730z00_375; 
BgL_l1433z00_366 = BgL_l1433z00_1087; 
goto BgL_forzd2each1434zd2_367;} } }  else 
{ /* ./Jas/produce.scm 111 */
BgL_auxz00_1076 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1076);} } }  else 
{ /* ./Jas/produce.scm 97 */
FAILURE(BGl_string2005z00zzjas_producez00,BGl_string2006z00zzjas_producez00,BgL_typez00_350);} } } } } } } } 
}



/* produce-code */
obj_t BGl_producezd2codezd2zzjas_producez00(obj_t BgL_outchanz00_32, obj_t BgL_codez00_33)
{ AN_OBJECT;
{ /* ./Jas/produce.scm 116 */
{ 
obj_t BgL_maxstkz00_376;obj_t BgL_maxlocalz00_377;obj_t BgL_bytecodez00_378;obj_t BgL_handlersz00_379;obj_t BgL_attributesz00_380;
{ /* ./Jas/produce.scm 117 */
bool_t BgL_test1742z00_384;
BgL_test1742z00_384 = 
PAIRP(BgL_codez00_33); 
if(BgL_test1742z00_384)
{ /* ./Jas/produce.scm 117 */
obj_t BgL_cdrzd2115zd2_385;
BgL_cdrzd2115zd2_385 = 
CDR(BgL_codez00_33); 
{ /* ./Jas/produce.scm 117 */
bool_t BgL_test1743z00_386;
BgL_test1743z00_386 = 
PAIRP(BgL_cdrzd2115zd2_385); 
if(BgL_test1743z00_386)
{ /* ./Jas/produce.scm 117 */
obj_t BgL_cdrzd2122zd2_387;
BgL_cdrzd2122zd2_387 = 
CDR(BgL_cdrzd2115zd2_385); 
{ /* ./Jas/produce.scm 117 */
bool_t BgL_test1744z00_388;
BgL_test1744z00_388 = 
PAIRP(BgL_cdrzd2122zd2_387); 
if(BgL_test1744z00_388)
{ /* ./Jas/produce.scm 117 */
obj_t BgL_cdrzd2128zd2_389;
BgL_cdrzd2128zd2_389 = 
CDR(BgL_cdrzd2122zd2_387); 
{ /* ./Jas/produce.scm 117 */
bool_t BgL_test1746z00_390;
BgL_test1746z00_390 = 
PAIRP(BgL_cdrzd2128zd2_389); 
if(BgL_test1746z00_390)
{ /* ./Jas/produce.scm 117 */
obj_t BgL_arg1750z00_391;obj_t BgL_arg1751z00_392;obj_t BgL_arg1752z00_393;obj_t BgL_arg1756z00_394;obj_t BgL_arg1757z00_395;
BgL_arg1750z00_391 = 
CAR(BgL_codez00_33); 
BgL_arg1751z00_392 = 
CAR(BgL_cdrzd2115zd2_385); 
BgL_arg1752z00_393 = 
CAR(BgL_cdrzd2122zd2_387); 
BgL_arg1756z00_394 = 
CAR(BgL_cdrzd2128zd2_389); 
BgL_arg1757z00_395 = 
CDR(BgL_cdrzd2128zd2_389); 
{ /* ./Jas/produce.scm 117 */
bool_t BgL_auxz00_1106;
BgL_maxstkz00_376 = BgL_arg1750z00_391; 
BgL_maxlocalz00_377 = BgL_arg1751z00_392; 
BgL_bytecodez00_378 = BgL_arg1752z00_393; 
BgL_handlersz00_379 = BgL_arg1756z00_394; 
BgL_attributesz00_380 = BgL_arg1757z00_395; 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, BgL_maxstkz00_376); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, BgL_maxlocalz00_377); 
{ /* ./Jas/produce.scm 121 */
long BgL_arg1778z00_396;
BgL_arg1778z00_396 = 
bgl_list_length(BgL_bytecodez00_378); 
BGl_outintz00zzjas_producez00(BgL_outchanz00_32, 
BINT(BgL_arg1778z00_396)); } 
{ 
obj_t BgL_l1437z00_397;
BgL_l1437z00_397 = BgL_bytecodez00_378; 
BgL_forzd2each1438zd2_398:
{ /* ./Jas/produce.scm 122 */
bool_t BgL_test1782z00_399;
BgL_test1782z00_399 = 
PAIRP(BgL_l1437z00_397); 
if(BgL_test1782z00_399)
{ /* ./Jas/produce.scm 122 */
{ /* ./Jas/produce.scm 122 */
obj_t BgL_bz00_400;
BgL_bz00_400 = 
CAR(BgL_l1437z00_397); 
{ /* ./Jas/produce.scm 122 */
unsigned char BgL_arg1444z00_665;
{ /* ./Jas/produce.scm 122 */
long BgL_auxz00_1115;
{ /* ./Jas/produce.scm 122 */
long BgL_auxz00_1116;
BgL_auxz00_1116 = 
(long)CINT(BgL_bz00_400); 
BgL_auxz00_1115 = 
(BgL_auxz00_1116 & ((long)255)); } 
BgL_arg1444z00_665 = 
(BgL_auxz00_1115); } 
{ /* ./Jas/produce.scm 122 */
char BgL_charz00_673;
BgL_charz00_673 = 
(char)(BgL_arg1444z00_665); 
BGL_OUTPUT_CHAR(BgL_outchanz00_32, BgL_charz00_673); } } } 
{ /* ./Jas/produce.scm 122 */
obj_t BgL_arg1786z00_401;
BgL_arg1786z00_401 = 
CDR(BgL_l1437z00_397); 
{ 
obj_t BgL_l1437z00_1123;
BgL_l1437z00_1123 = BgL_arg1786z00_401; 
BgL_l1437z00_397 = BgL_l1437z00_1123; 
goto BgL_forzd2each1438zd2_398;} } }  else 
{ /* ./Jas/produce.scm 122 */((bool_t)1); } } } 
{ /* ./Jas/produce.scm 123 */
long BgL_arg1791z00_402;
BgL_arg1791z00_402 = 
bgl_list_length(BgL_handlersz00_379); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, 
BINT(BgL_arg1791z00_402)); } 
{ 
obj_t BgL_l1439z00_403;
BgL_l1439z00_403 = BgL_handlersz00_379; 
BgL_forzd2each1440zd2_404:
{ /* ./Jas/produce.scm 124 */
bool_t BgL_test1795z00_405;
BgL_test1795z00_405 = 
PAIRP(BgL_l1439z00_403); 
if(BgL_test1795z00_405)
{ /* ./Jas/produce.scm 124 */
{ /* ./Jas/produce.scm 125 */
obj_t BgL_hz00_406;
BgL_hz00_406 = 
CAR(BgL_l1439z00_403); 
{ 

{ /* ./Jas/produce.scm 125 */
bool_t BgL_test1796z00_414;
BgL_test1796z00_414 = 
PAIRP(BgL_hz00_406); 
if(BgL_test1796z00_414)
{ /* ./Jas/produce.scm 125 */
obj_t BgL_cdrzd2148zd2_415;
BgL_cdrzd2148zd2_415 = 
CDR(BgL_hz00_406); 
{ /* ./Jas/produce.scm 125 */
bool_t BgL_test1797z00_416;
BgL_test1797z00_416 = 
PAIRP(BgL_cdrzd2148zd2_415); 
if(BgL_test1797z00_416)
{ /* ./Jas/produce.scm 125 */
obj_t BgL_cdrzd2154zd2_417;
BgL_cdrzd2154zd2_417 = 
CDR(BgL_cdrzd2148zd2_415); 
{ /* ./Jas/produce.scm 125 */
bool_t BgL_test1798z00_418;
BgL_test1798z00_418 = 
PAIRP(BgL_cdrzd2154zd2_417); 
if(BgL_test1798z00_418)
{ /* ./Jas/produce.scm 125 */
obj_t BgL_cdrzd2159zd2_419;
BgL_cdrzd2159zd2_419 = 
CDR(BgL_cdrzd2154zd2_417); 
{ /* ./Jas/produce.scm 125 */
bool_t BgL_test1799z00_420;
BgL_test1799z00_420 = 
PAIRP(BgL_cdrzd2159zd2_419); 
if(BgL_test1799z00_420)
{ /* ./Jas/produce.scm 125 */
bool_t BgL_test1800z00_421;
{ /* ./Jas/produce.scm 125 */
obj_t BgL_auxz00_1141;
BgL_auxz00_1141 = 
CDR(BgL_cdrzd2159zd2_419); 
BgL_test1800z00_421 = 
NULLP(BgL_auxz00_1141); } 
if(BgL_test1800z00_421)
{ /* ./Jas/produce.scm 125 */
obj_t BgL_arg1802z00_422;obj_t BgL_arg1803z00_423;obj_t BgL_arg1804z00_424;obj_t BgL_arg1805z00_425;
BgL_arg1802z00_422 = 
CAR(BgL_hz00_406); 
BgL_arg1803z00_423 = 
CAR(BgL_cdrzd2148zd2_415); 
BgL_arg1804z00_424 = 
CAR(BgL_cdrzd2154zd2_417); 
BgL_arg1805z00_425 = 
CAR(BgL_cdrzd2159zd2_419); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, BgL_arg1802z00_422); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, BgL_arg1803z00_423); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, BgL_arg1804z00_424); 
BGl_outshortz00zzjas_producez00(BgL_outchanz00_32, BgL_arg1805z00_425); }  else 
{ /* ./Jas/produce.scm 125 */
BgL_tagzd2137zd2_412:
FAILURE(BGl_string2007z00zzjas_producez00,BGl_string2008z00zzjas_producez00,BgL_hz00_406);} }  else 
{ /* ./Jas/produce.scm 125 */
goto BgL_tagzd2137zd2_412;} } }  else 
{ /* ./Jas/produce.scm 125 */
goto BgL_tagzd2137zd2_412;} } }  else 
{ /* ./Jas/produce.scm 125 */
goto BgL_tagzd2137zd2_412;} } }  else 
{ /* ./Jas/produce.scm 125 */
goto BgL_tagzd2137zd2_412;} } } } 
{ /* ./Jas/produce.scm 124 */
obj_t BgL_arg1835z00_427;
BgL_arg1835z00_427 = 
CDR(BgL_l1439z00_403); 
{ 
obj_t BgL_l1439z00_1155;
BgL_l1439z00_1155 = BgL_arg1835z00_427; 
BgL_l1439z00_403 = BgL_l1439z00_1155; 
goto BgL_forzd2each1440zd2_404;} } }  else 
{ /* ./Jas/produce.scm 124 */((bool_t)1); } } } 
BgL_auxz00_1106 = 
BGl_producezd2attributeszd2zzjas_producez00(BgL_outchanz00_32, BgL_attributesz00_380); 
return 
BBOOL(BgL_auxz00_1106);} }  else 
{ /* ./Jas/produce.scm 117 */
BgL_tagzd2102zd2_382:
FAILURE(BGl_string2007z00zzjas_producez00,BGl_string2009z00zzjas_producez00,BgL_codez00_33);} } }  else 
{ /* ./Jas/produce.scm 117 */
goto BgL_tagzd2102zd2_382;} } }  else 
{ /* ./Jas/produce.scm 117 */
goto BgL_tagzd2102zd2_382;} } }  else 
{ /* ./Jas/produce.scm 117 */
goto BgL_tagzd2102zd2_382;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjas_producez00()
{ AN_OBJECT;
{ /* ./Jas/produce.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjas_producez00()
{ AN_OBJECT;
{ /* ./Jas/produce.scm 1 */
BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long)43255), "jas_produce"); 
return 
BGl_modulezd2initializa7ationz75zzjas_libz00(((long)38394), "jas_produce");} 
}

