/*===========================================================================*/
/*   (Module/impuse.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/impuse.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


static obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_handlerz00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
static obj_t BGl_methodzd2initzd2zzmodule_impusez00();
static obj_t BGl_zc3anonymousza31853ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31855ze3z83zzmodule_impusez00(obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00();
extern obj_t BGl_sfunz00zzast_varz00;
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__importzd2withzd2modulez122757z12zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00();
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
static obj_t BGl__makezd2importzd2compilerz00zzmodule_impusez00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_addzd2accessz12zc0zzread_accessz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32331ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
static obj_t BGl_zc3anonymousza32333ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_globalz00zzast_varz00;
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_zc3exitza32323ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__getzd2importedzd2modulesz00zzmodule_impusez00(obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_escapez00zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl__importzd2parser2761zd2zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32337ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
BGL_IMPORT obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
static obj_t BGl_zc3anonymousza32340ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
BGL_IMPORT obj_t create_struct(obj_t, int);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__impusezd2producerzd2zzmodule_impusez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
static obj_t BGl_readzd2importedzd2modulez00zzmodule_impusez00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_impusez00();
extern obj_t BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
static obj_t BGl__impusezd2finaliza7erz75zzmodule_impusez00(obj_t);
BGL_IMPORT obj_t close_input_port(obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_impusezd2finaliza7erz75zzmodule_impusez00();
static obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00();
static obj_t BGl_zc3anonymousza31835ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2usezd2compilerz00zzmodule_impusez00(obj_t);
static obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t);
static obj_t BGl_zc3anonymousza31836ze3z83zzmodule_impusez00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_impusez00 = BUNSPEC;
static obj_t BGl__makezd2fromzd2compilerz00zzmodule_impusez00(obj_t);
static obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = BUNSPEC;
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00();
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = BUNSPEC;
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
BGL_IMPORT obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00();
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
BGL_IMPORT obj_t BGl_readerzd2resetz12zc0zz__readerz00();
BGL_IMPORT obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t);
static obj_t BGl_zc3anonymousza31846ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_impusez00();
extern obj_t BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 23 ] ;


DEFINE_STRING( BGl_string2969z00zzmodule_impusez00, BgL_bgl_string2969za700za7za7module_impuseza7003004z00, "sifun wide-class final-class abstract-class class svar (sfun sifun sgfun) (import with from) @ from::string checksum::long unit imported-modules pragma::int begin nothing with imode all from use void import ", 207 );
DEFINE_STRING( BGl_string2968z00zzmodule_impusez00, BgL_bgl_string2968za700za7za7module_impuseza7003005z00, "Can't find exportation for these identifiers", 44 );
DEFINE_STRING( BGl_string2967z00zzmodule_impusez00, BgL_bgl_string2967za700za7za7module_impuseza7003006z00, "Can't find such module", 22 );
DEFINE_STRING( BGl_string2966z00zzmodule_impusez00, BgL_bgl_string2966za700za7za7module_impuseza7003007z00, "Can't open such file", 20 );
DEFINE_STRING( BGl_string2965z00zzmodule_impusez00, BgL_bgl_string2965za700za7za7module_impuseza7003008z00, "read-imported-module", 20 );
DEFINE_STRING( BGl_string2964z00zzmodule_impusez00, BgL_bgl_string2964za700za7za7module_impuseza7003009z00, "      [reading ", 15 );
DEFINE_STRING( BGl_string2963z00zzmodule_impusez00, BgL_bgl_string2963za700za7za7module_impuseza7003010z00, " module ", 8 );
DEFINE_STRING( BGl_string2962z00zzmodule_impusez00, BgL_bgl_string2962za700za7za7module_impuseza7003011z00, "]", 1 );
DEFINE_STRING( BGl_string2961z00zzmodule_impusez00, BgL_bgl_string2961za700za7za7module_impuseza7003012z00, "Illegal prototype", 17 );
DEFINE_STRING( BGl_string2960z00zzmodule_impusez00, BgL_bgl_string2960za700za7za7module_impuseza7003013z00, "\")", 2 );
DEFINE_STRING( BGl_string2959z00zzmodule_impusez00, BgL_bgl_string2959za700za7za7module_impuseza7003014z00, "puts(\"    Module init (import): ", 32 );
DEFINE_STRING( BGl_string2958z00zzmodule_impusez00, BgL_bgl_string2958za700za7za7module_impuseza7003015z00, "Illegal import/use/from clause", 30 );
DEFINE_STRING( BGl_string2957z00zzmodule_impusez00, BgL_bgl_string2957za700za7za7module_impuseza7003016z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2956z00zzmodule_impusez00, BgL_bgl_string2956za700za7za7module_impuseza7003017z00, "' clause", 8 );
DEFINE_STRING( BGl_string2955z00zzmodule_impusez00, BgL_bgl_string2955za700za7za7module_impuseza7003018z00, "Illegal `", 9 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2importzd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2importza7d2compilerza700za7za7module_impuseza7003019z00, BGl__makezd2importzd2compilerz00zzmodule_impusez00, 0L, 0 );
BGL_IMPORT obj_t BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00;
DEFINE_EXPORT_PROCEDURE( BGl_getzd2importedzd2moduleszd2envzd2zzmodule_impusez00, BgL_bgl__getza7d2importedza7d2modulesza700za7za7module_impuseza7003020z00, BGl__getzd2importedzd2modulesz00zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_impusezd2producerzd2envz00zzmodule_impusez00, BgL_bgl__impuseza7d2producerza7d2za7za7module_impuseza7003021za7, BGl__impusezd2producerzd2zzmodule_impusez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2fromzd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2fromza7d2compilerza700za7za7module_impuseza7003022z00, BGl__makezd2fromzd2compilerz00zzmodule_impusez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2parserzd2envz00zzmodule_impusez00, BgL_bgl__importza7d2parser2761za7d2za7za7module_impuseza7003023za7, va_generic_entry, BGl__importzd2parser2761zd2zzmodule_impusez00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2withzd2modulez12zd2envzc0zzmodule_impusez00, BgL_bgl__importza7d2withza7d2moduleza7122757za712za7za7module_impuseza7003024za7, BGl__importzd2withzd2modulez122757z12zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2950z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31836za7e3za783za7za7module_impuseza7003025za7, BGl_zc3anonymousza31836ze3z83zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2951z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31835za7e3za783za7za7module_impuseza7003026za7, BGl_zc3anonymousza31835ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2952z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31846za7e3za783za7za7module_impuseza7003027za7, BGl_zc3anonymousza31846ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2953z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31855za7e3za783za7za7module_impuseza7003028za7, BGl_zc3anonymousza31855ze3z83zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2954z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31853za7e3za783za7za7module_impuseza7003029za7, BGl_zc3anonymousza31853ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00, BgL_bgl__impuseza7d2finaliza7a7erza775za7za7module_impuseza7003030z00, BGl__impusezd2finaliza7erz75zzmodule_impusez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2usezd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2useza7d2compilerza700za7za7module_impuseza7003031z00, BGl__makezd2usezd2compilerz00zzmodule_impusez00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long BgL_checksumz00_1847, char * BgL_fromz00_1848)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_impusez00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_impusez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_impusez00(); 
BGl_cnstzd2initzd2zzmodule_impusez00(); 
BGl_importedzd2moduleszd2initz00zzmodule_impusez00(); 
BGl_toplevelzd2initzd2zzmodule_impusez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "module_impuse"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 15 */
{ /* ./Module/impuse.scm 15 */
obj_t BgL_cportz00_1840;
BgL_cportz00_1840 = 
open_input_string(BGl_string2969z00zzmodule_impusez00); 
{ 
long BgL_iz00_1841;
BgL_iz00_1841 = ((long)22); 
BgL_loopz00_1842:
{ /* ./Module/impuse.scm 15 */
bool_t BgL_test2971z00_1843;
BgL_test2971z00_1843 = 
(BgL_iz00_1841==((long)-1)); 
if(BgL_test2971z00_1843)
{ /* ./Module/impuse.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/impuse.scm 15 */
{ /* ./Module/impuse.scm 15 */
obj_t BgL_arg2973z00_1844;
{ /* ./Module/impuse.scm 15 */
obj_t BgL_list2976z00_1845;
BgL_list2976z00_1845 = 
MAKE_PAIR(BgL_cportz00_1840, BNIL); 
BgL_arg2973z00_1844 = 
BGl_readz00zz__readerz00(BgL_list2976z00_1845); } 
{ /* ./Module/impuse.scm 15 */
int BgL_auxz00_1872;
BgL_auxz00_1872 = 
(int)(BgL_iz00_1841); 
CNST_TABLE_SET(BgL_auxz00_1872, BgL_arg2973z00_1844); } } 
{ /* ./Module/impuse.scm 15 */
int BgL_auxz00_1846;
{ /* ./Module/impuse.scm 15 */
long BgL_auxz00_1875;
BgL_auxz00_1875 = 
(BgL_iz00_1841-((long)1)); 
BgL_auxz00_1846 = 
(int)(BgL_auxz00_1875); } 
{ 
long BgL_iz00_1878;
BgL_iz00_1878 = 
(long)(BgL_auxz00_1846); 
BgL_iz00_1841 = BgL_iz00_1878; 
goto BgL_loopz00_1842;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 15 */
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = BNIL; 
return ( 
BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = BNIL, BUNSPEC) ;} 
}



/* make-import-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 50 */
{ /* ./Module/impuse.scm 51 */
obj_t BgL_arg1827z00_524;obj_t BgL_arg1830z00_525;
BgL_arg1827z00_524 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1830z00_525 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
{ /* ./Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res2735z00_1092;
{ /* ./Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_new1021z00_1077;
{ /* ./Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res2733z00_1083;
{ /* ./Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_new1023z00_1078;
BgL_new1023z00_1078 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/impuse.scm 51 */
long BgL_arg2706z00_1079;
BgL_arg2706z00_1079 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/impuse.scm 51 */
BgL_objectz00_bglt BgL_objz00_1080;
BgL_objz00_1080 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1078); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1080, BgL_arg2706z00_1079); } } 
{ /* ./Module/impuse.scm 51 */
BgL_objectz00_bglt BgL_auxz00_1885;
BgL_auxz00_1885 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1078); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1885, BFALSE); } 
{ /* ./Module/impuse.scm 51 */
obj_t BgL_objz00_1082;
BgL_objz00_1082 = 
(obj_t)(BgL_new1023z00_1078); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1082); BUNSPEC; } 
BgL_res2733z00_1083 = BgL_new1023z00_1078; } 
BgL_new1021z00_1077 = BgL_res2733z00_1083; } 
{ /* ./Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res2734z00_1091;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1077))->BgL_idz00) = ((obj_t)BgL_arg1827z00_524), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1077))->BgL_producerz00) = ((obj_t)BgL_arg1830z00_525), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1077))->BgL_consumerz00) = ((obj_t)BGl_proc2951z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1077))->BgL_finaliza7erza7) = ((obj_t)BGl_proc2950z00zzmodule_impusez00), BUNSPEC); 
BgL_res2734z00_1091 = BgL_new1021z00_1077; BgL_res2734z00_1091; } 
BgL_res2735z00_1092 = BgL_new1021z00_1077; } 
return 
(obj_t)(BgL_res2735z00_1092);} } } 
}



/* _make-import-compiler */
obj_t BGl__makezd2importzd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_1763)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 50 */
return 
BGl_makezd2importzd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1836> */
obj_t BGl_zc3anonymousza31836ze3z83zzmodule_impusez00(obj_t BgL_envz00_1764)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1835> */
obj_t BGl_zc3anonymousza31835ze3z83zzmodule_impusez00(obj_t BgL_envz00_1765, obj_t BgL_mz00_1766, obj_t BgL_cz00_1767)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_528;obj_t BgL_cz00_529;
BgL_mz00_528 = BgL_mz00_1766; 
BgL_cz00_529 = BgL_cz00_1767; 
return BNIL;} } 
}



/* make-use-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 57 */
{ /* ./Module/impuse.scm 58 */
obj_t BgL_arg1838z00_534;obj_t BgL_arg1841z00_535;obj_t BgL_arg1844z00_537;
BgL_arg1838z00_534 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1841z00_535 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
BgL_arg1844z00_537 = BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00; 
{ /* ./Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res2738z00_1112;
{ /* ./Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_new1021z00_1096;
{ /* ./Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res2736z00_1102;
{ /* ./Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_new1023z00_1097;
BgL_new1023z00_1097 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/impuse.scm 58 */
long BgL_arg2706z00_1098;
BgL_arg2706z00_1098 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/impuse.scm 58 */
BgL_objectz00_bglt BgL_objz00_1099;
BgL_objz00_1099 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1097); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1099, BgL_arg2706z00_1098); } } 
{ /* ./Module/impuse.scm 58 */
BgL_objectz00_bglt BgL_auxz00_1902;
BgL_auxz00_1902 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1097); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1902, BFALSE); } 
{ /* ./Module/impuse.scm 58 */
obj_t BgL_objz00_1101;
BgL_objz00_1101 = 
(obj_t)(BgL_new1023z00_1097); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1101); BUNSPEC; } 
BgL_res2736z00_1102 = BgL_new1023z00_1097; } 
BgL_new1021z00_1096 = BgL_res2736z00_1102; } 
{ /* ./Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res2737z00_1111;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1096))->BgL_idz00) = ((obj_t)BgL_arg1838z00_534), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1096))->BgL_producerz00) = ((obj_t)BgL_arg1841z00_535), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1096))->BgL_consumerz00) = ((obj_t)BGl_proc2952z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1096))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1844z00_537), BUNSPEC); 
BgL_res2737z00_1111 = BgL_new1021z00_1096; BgL_res2737z00_1111; } 
BgL_res2738z00_1112 = BgL_new1021z00_1096; } 
return 
(obj_t)(BgL_res2738z00_1112);} } } 
}



/* _make-use-compiler */
obj_t BGl__makezd2usezd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_1771)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 57 */
return 
BGl_makezd2usezd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1846> */
obj_t BGl_zc3anonymousza31846ze3z83zzmodule_impusez00(obj_t BgL_envz00_1772, obj_t BgL_mz00_1773, obj_t BgL_cz00_1774)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_538;obj_t BgL_cz00_539;
BgL_mz00_538 = BgL_mz00_1773; 
BgL_cz00_539 = BgL_cz00_1774; 
return BNIL;} } 
}



/* make-from-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 65 */
{ /* ./Module/impuse.scm 66 */
obj_t BgL_arg1848z00_542;obj_t BgL_arg1849z00_543;
BgL_arg1848z00_542 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1849z00_543 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
{ /* ./Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res2741z00_1130;
{ /* ./Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_new1021z00_1115;
{ /* ./Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res2739z00_1121;
{ /* ./Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_new1023z00_1116;
BgL_new1023z00_1116 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/impuse.scm 66 */
long BgL_arg2706z00_1117;
BgL_arg2706z00_1117 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/impuse.scm 66 */
BgL_objectz00_bglt BgL_objz00_1118;
BgL_objz00_1118 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1116); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1118, BgL_arg2706z00_1117); } } 
{ /* ./Module/impuse.scm 66 */
BgL_objectz00_bglt BgL_auxz00_1918;
BgL_auxz00_1918 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1116); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1918, BFALSE); } 
{ /* ./Module/impuse.scm 66 */
obj_t BgL_objz00_1120;
BgL_objz00_1120 = 
(obj_t)(BgL_new1023z00_1116); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1120); BUNSPEC; } 
BgL_res2739z00_1121 = BgL_new1023z00_1116; } 
BgL_new1021z00_1115 = BgL_res2739z00_1121; } 
{ /* ./Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res2740z00_1129;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1115))->BgL_idz00) = ((obj_t)BgL_arg1848z00_542), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1115))->BgL_producerz00) = ((obj_t)BgL_arg1849z00_543), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1115))->BgL_consumerz00) = ((obj_t)BGl_proc2954z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1115))->BgL_finaliza7erza7) = ((obj_t)BGl_proc2953z00zzmodule_impusez00), BUNSPEC); 
BgL_res2740z00_1129 = BgL_new1021z00_1115; BgL_res2740z00_1129; } 
BgL_res2741z00_1130 = BgL_new1021z00_1115; } 
return 
(obj_t)(BgL_res2741z00_1130);} } } 
}



/* _make-from-compiler */
obj_t BGl__makezd2fromzd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_1778)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 65 */
return 
BGl_makezd2fromzd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1855> */
obj_t BGl_zc3anonymousza31855ze3z83zzmodule_impusez00(obj_t BgL_envz00_1779)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1853> */
obj_t BGl_zc3anonymousza31853ze3z83zzmodule_impusez00(obj_t BgL_envz00_1780, obj_t BgL_modulez00_1781, obj_t BgL_clausez00_1782)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 68 */
{ 
obj_t BgL_modulez00_546;obj_t BgL_clausez00_547;
BgL_modulez00_546 = BgL_modulez00_1781; 
BgL_clausez00_547 = BgL_clausez00_1782; 
BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_547); 
return BNIL;} } 
}



/* impuse-producer */
obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 75 */
{ /* ./Module/impuse.scm 76 */
obj_t BgL_modez00_552;
BgL_modez00_552 = 
CAR(BgL_clausez00_19); 
{ 
obj_t BgL_protosz00_553;
{ /* ./Module/impuse.scm 77 */
bool_t BgL_test1857z00_557;
BgL_test1857z00_557 = 
PAIRP(BgL_clausez00_19); 
if(BgL_test1857z00_557)
{ /* ./Module/impuse.scm 77 */
obj_t BgL_arg1859z00_558;
BgL_arg1859z00_558 = 
CDR(BgL_clausez00_19); 
{ /* ./Module/impuse.scm 77 */
bool_t BgL_auxz00_1935;
BgL_protosz00_553 = BgL_arg1859z00_558; 
{ 
obj_t BgL_l1775z00_559;
BgL_l1775z00_559 = BgL_protosz00_553; 
BgL_forzd2each1776zd2_560:
{ /* ./Module/impuse.scm 79 */
bool_t BgL_test1865z00_561;
BgL_test1865z00_561 = 
PAIRP(BgL_l1775z00_559); 
if(BgL_test1865z00_561)
{ /* ./Module/impuse.scm 79 */
{ /* ./Module/impuse.scm 79 */
obj_t BgL_protoz00_562;
BgL_protoz00_562 = 
CAR(BgL_l1775z00_559); 
BGl_impusezd2parserzd2zzmodule_impusez00(BgL_protoz00_562, BgL_modez00_552, BgL_clausez00_19); } 
{ /* ./Module/impuse.scm 79 */
obj_t BgL_arg1870z00_563;
BgL_arg1870z00_563 = 
CDR(BgL_l1775z00_559); 
{ 
obj_t BgL_l1775z00_1941;
BgL_l1775z00_1941 = BgL_arg1870z00_563; 
BgL_l1775z00_559 = BgL_l1775z00_1941; 
goto BgL_forzd2each1776zd2_560;} } }  else 
{ /* ./Module/impuse.scm 79 */
BgL_auxz00_1935 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_1935);} }  else 
{ /* ./Module/impuse.scm 77 */
{ /* ./Module/impuse.scm 81 */
obj_t BgL_arg1875z00_564;obj_t BgL_arg1878z00_566;
BgL_arg1875z00_564 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/impuse.scm 83 */
obj_t BgL_arg1886z00_570;
{ /* ./Module/impuse.scm 85 */
obj_t BgL_arg1890z00_572;
BgL_arg1890z00_572 = 
SYMBOL_TO_STRING(BgL_modez00_552); 
BgL_arg1886z00_570 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1890z00_572); } 
BgL_arg1878z00_566 = 
string_append_3(BGl_string2955z00zzmodule_impusez00, BgL_arg1886z00_570, BGl_string2956z00zzmodule_impusez00); } 
{ /* ./Module/impuse.scm 81 */
obj_t BgL_list1881z00_568;
BgL_list1881z00_568 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1875z00_564, BGl_string2957z00zzmodule_impusez00, BgL_arg1878z00_566, BgL_clausez00_19, BgL_list1881z00_568);} } } } } } } 
}



/* _impuse-producer */
obj_t BGl__impusezd2producerzd2zzmodule_impusez00(obj_t BgL_envz00_1768, obj_t BgL_clausez00_1769)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 75 */
return 
BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_1769);} 
}



/* import-all-module */
obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_20, obj_t BgL_modez00_21, obj_t BgL_srcz00_22)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 93 */
{ /* ./Module/impuse.scm 94 */
obj_t BgL_bz00_573;obj_t BgL_locz00_574;
BgL_bz00_573 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_20, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* ./Module/impuse.scm 95 */
obj_t BgL_arg1910z00_580;
BgL_arg1910z00_580 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_574 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_22, BgL_arg1910z00_580); } 
{ /* ./Module/impuse.scm 96 */
bool_t BgL_test1894z00_575;
BgL_test1894z00_575 = 
PAIRP(BgL_bz00_573); 
if(BgL_test1894z00_575)
{ /* ./Module/impuse.scm 97 */
obj_t BgL_arg1896z00_576;obj_t BgL_arg1897z00_577;
BgL_arg1896z00_576 = 
CDR(BgL_bz00_573); 
BgL_arg1897z00_577 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Module/impuse.scm 97 */
int BgL_kz00_1143;
BgL_kz00_1143 = 
(int)(((long)2)); 
{ /* ./Module/impuse.scm 97 */
obj_t BgL_xz00_1839;
BgL_xz00_1839 = 
STRUCT_SET(BgL_arg1896z00_576, BgL_kz00_1143, BgL_arg1897z00_577); 
return BUNSPEC;} } }  else 
{ /* ./Module/impuse.scm 100 */
obj_t BgL_arg1901z00_578;
{ /* ./Module/impuse.scm 100 */
obj_t BgL_arg1904z00_579;
{ /* ./Module/impuse.scm 100 */
obj_t BgL_varsz00_1147;
BgL_varsz00_1147 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Module/impuse.scm 100 */
obj_t BgL_newz00_1151;
{ /* ./Module/impuse.scm 100 */
int BgL_auxz00_1962;obj_t BgL_auxz00_1960;
BgL_auxz00_1962 = 
(int)(((long)6)); 
BgL_auxz00_1960 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1151 = 
create_struct(BgL_auxz00_1960, BgL_auxz00_1962); } 
{ /* ./Module/impuse.scm 100 */
int BgL_kz00_1155;
BgL_kz00_1155 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1151, BgL_kz00_1155, BgL_srcz00_22); } 
{ /* ./Module/impuse.scm 100 */
int BgL_kz00_1160;
BgL_kz00_1160 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1151, BgL_kz00_1160, BgL_locz00_574); } 
{ /* ./Module/impuse.scm 100 */
int BgL_kz00_1165;
BgL_kz00_1165 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1151, BgL_kz00_1165, BUNSPEC); } 
{ /* ./Module/impuse.scm 100 */
int BgL_kz00_1170;
BgL_kz00_1170 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1151, BgL_kz00_1170, BgL_varsz00_1147); } 
{ /* ./Module/impuse.scm 100 */
int BgL_kz00_1175;
BgL_kz00_1175 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1151, BgL_kz00_1175, BgL_modez00_21); } 
{ /* ./Module/impuse.scm 100 */
int BgL_kz00_1180;
BgL_kz00_1180 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1151, BgL_kz00_1180, BgL_modulez00_20); } 
BgL_arg1904z00_579 = BgL_newz00_1151; } } 
BgL_arg1901z00_578 = 
MAKE_PAIR(BgL_modulez00_20, BgL_arg1904z00_579); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1901z00_578, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } } 
}



/* import-1-module */
obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_23, obj_t BgL_varz00_24, obj_t BgL_modez00_25, obj_t BgL_srcz00_26)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 106 */
{ /* ./Module/impuse.scm 107 */
obj_t BgL_cellz00_581;obj_t BgL_locz00_582;
BgL_cellz00_581 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_23, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* ./Module/impuse.scm 108 */
obj_t BgL_arg1952z00_596;
BgL_arg1952z00_596 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_582 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_26, BgL_arg1952z00_596); } 
{ /* ./Module/impuse.scm 109 */
bool_t BgL_test1913z00_583;
BgL_test1913z00_583 = 
PAIRP(BgL_cellz00_581); 
if(BgL_test1913z00_583)
{ /* ./Module/impuse.scm 118 */
obj_t BgL_bz00_584;
BgL_bz00_584 = 
CDR(BgL_cellz00_581); 
{ /* ./Module/impuse.scm 119 */
obj_t BgL_casezd2valuezd2_585;
{ /* ./Module/impuse.scm 119 */
int BgL_auxz00_1985;
BgL_auxz00_1985 = 
(int)(((long)2)); 
BgL_casezd2valuezd2_585 = 
STRUCT_REF(BgL_bz00_584, BgL_auxz00_1985); } 
{ /* ./Module/impuse.scm 119 */
bool_t BgL_test1914z00_586;
{ /* ./Module/impuse.scm 119 */
obj_t BgL_auxz00_1988;
BgL_auxz00_1988 = 
CNST_TABLE_REF(((long)6)); 
BgL_test1914z00_586 = 
(BgL_casezd2valuezd2_585==BgL_auxz00_1988); } 
if(BgL_test1914z00_586)
{ /* ./Module/impuse.scm 119 */
{ /* ./Module/impuse.scm 121 */
int BgL_kz00_1190;
BgL_kz00_1190 = 
(int)(((long)1)); 
STRUCT_SET(BgL_bz00_584, BgL_kz00_1190, BgL_modez00_25); } 
{ /* ./Module/impuse.scm 122 */
obj_t BgL_arg1917z00_587;
{ /* ./Module/impuse.scm 122 */
obj_t BgL_list1920z00_588;
BgL_list1920z00_588 = 
MAKE_PAIR(BgL_varz00_24, BNIL); 
BgL_arg1917z00_587 = BgL_list1920z00_588; } 
{ /* ./Module/impuse.scm 122 */
int BgL_kz00_1197;
BgL_kz00_1197 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_bz00_584, BgL_kz00_1197, BgL_arg1917z00_587);} } }  else 
{ /* ./Module/impuse.scm 119 */
bool_t BgL_test1922z00_589;
{ /* ./Module/impuse.scm 119 */
obj_t BgL_auxz00_1997;
BgL_auxz00_1997 = 
CNST_TABLE_REF(((long)4)); 
BgL_test1922z00_589 = 
(BgL_casezd2valuezd2_585==BgL_auxz00_1997); } 
if(BgL_test1922z00_589)
{ /* ./Module/impuse.scm 119 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* ./Module/impuse.scm 126 */
obj_t BgL_arg1926z00_590;
BgL_arg1926z00_590 = 
MAKE_PAIR(BgL_varz00_24, BgL_casezd2valuezd2_585); 
{ /* ./Module/impuse.scm 126 */
int BgL_kz00_1205;
BgL_kz00_1205 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_bz00_584, BgL_kz00_1205, BgL_arg1926z00_590);} } } } } }  else 
{ /* ./Module/impuse.scm 113 */
obj_t BgL_arg1937z00_592;
{ /* ./Module/impuse.scm 113 */
obj_t BgL_arg1940z00_593;
{ /* ./Module/impuse.scm 113 */
obj_t BgL_arg1943z00_594;
{ /* ./Module/impuse.scm 113 */
obj_t BgL_list1946z00_595;
BgL_list1946z00_595 = 
MAKE_PAIR(BgL_varz00_24, BNIL); 
BgL_arg1943z00_594 = BgL_list1946z00_595; } 
{ /* ./Module/impuse.scm 111 */
obj_t BgL_newz00_1215;
{ /* ./Module/impuse.scm 111 */
int BgL_auxz00_2008;obj_t BgL_auxz00_2006;
BgL_auxz00_2008 = 
(int)(((long)6)); 
BgL_auxz00_2006 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1215 = 
create_struct(BgL_auxz00_2006, BgL_auxz00_2008); } 
{ /* ./Module/impuse.scm 111 */
int BgL_kz00_1219;
BgL_kz00_1219 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1215, BgL_kz00_1219, BgL_srcz00_26); } 
{ /* ./Module/impuse.scm 111 */
int BgL_kz00_1224;
BgL_kz00_1224 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1215, BgL_kz00_1224, BgL_locz00_582); } 
{ /* ./Module/impuse.scm 111 */
int BgL_kz00_1229;
BgL_kz00_1229 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1215, BgL_kz00_1229, BUNSPEC); } 
{ /* ./Module/impuse.scm 111 */
int BgL_kz00_1234;
BgL_kz00_1234 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1215, BgL_kz00_1234, BgL_arg1943z00_594); } 
{ /* ./Module/impuse.scm 111 */
int BgL_kz00_1239;
BgL_kz00_1239 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1215, BgL_kz00_1239, BgL_modez00_25); } 
{ /* ./Module/impuse.scm 111 */
int BgL_kz00_1244;
BgL_kz00_1244 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1215, BgL_kz00_1244, BgL_modulez00_23); } 
BgL_arg1940z00_593 = BgL_newz00_1215; } } 
BgL_arg1937z00_592 = 
MAKE_PAIR(BgL_modulez00_23, BgL_arg1940z00_593); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1937z00_592, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } } 
}



/* import-with-module! */
BGL_EXPORTED_DEF obj_t BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_modulez00_27, obj_t BgL_srcz00_28)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 131 */
{ /* ./Module/impuse.scm 132 */
obj_t BgL_bz00_597;obj_t BgL_locz00_598;
BgL_bz00_597 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_27, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* ./Module/impuse.scm 133 */
obj_t BgL_arg1967z00_602;
BgL_arg1967z00_602 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_598 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_28, BgL_arg1967z00_602); } 
{ /* ./Module/impuse.scm 134 */
bool_t BgL_test1955z00_599;
BgL_test1955z00_599 = 
PAIRP(BgL_bz00_597); 
if(BgL_test1955z00_599)
{ /* ./Module/impuse.scm 134 */
return BFALSE;}  else 
{ /* ./Module/impuse.scm 136 */
obj_t BgL_arg1958z00_600;
{ /* ./Module/impuse.scm 136 */
obj_t BgL_arg1961z00_601;
{ /* ./Module/impuse.scm 136 */
obj_t BgL_modez00_1248;
BgL_modez00_1248 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Module/impuse.scm 136 */
obj_t BgL_newz00_1253;
{ /* ./Module/impuse.scm 136 */
int BgL_auxz00_2033;obj_t BgL_auxz00_2031;
BgL_auxz00_2033 = 
(int)(((long)6)); 
BgL_auxz00_2031 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1253 = 
create_struct(BgL_auxz00_2031, BgL_auxz00_2033); } 
{ /* ./Module/impuse.scm 136 */
int BgL_kz00_1257;
BgL_kz00_1257 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1253, BgL_kz00_1257, BgL_srcz00_28); } 
{ /* ./Module/impuse.scm 136 */
int BgL_kz00_1262;
BgL_kz00_1262 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1253, BgL_kz00_1262, BgL_locz00_598); } 
{ /* ./Module/impuse.scm 136 */
int BgL_kz00_1267;obj_t BgL_oz00_1268;
BgL_kz00_1267 = 
(int)(((long)3)); 
BgL_oz00_1268 = 
BINT(((long)0)); 
STRUCT_SET(BgL_newz00_1253, BgL_kz00_1267, BgL_oz00_1268); } 
{ /* ./Module/impuse.scm 136 */
int BgL_kz00_1272;
BgL_kz00_1272 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1253, BgL_kz00_1272, BNIL); } 
{ /* ./Module/impuse.scm 136 */
int BgL_kz00_1277;
BgL_kz00_1277 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1253, BgL_kz00_1277, BgL_modez00_1248); } 
{ /* ./Module/impuse.scm 136 */
int BgL_kz00_1282;
BgL_kz00_1282 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1253, BgL_kz00_1282, BgL_modulez00_27); } 
BgL_arg1961z00_601 = BgL_newz00_1253; } } 
BgL_arg1958z00_600 = 
MAKE_PAIR(BgL_modulez00_27, BgL_arg1961z00_601); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1958z00_600, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } } 
}



/* _import-with-module!2757 */
obj_t BGl__importzd2withzd2modulez122757z12zzmodule_impusez00(obj_t BgL_envz00_1783, obj_t BgL_modulez00_1784, obj_t BgL_srcz00_1785)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 131 */
return 
BGl_importzd2withzd2modulez12z12zzmodule_impusez00(BgL_modulez00_1784, BgL_srcz00_1785);} 
}



/* impuse-parser */
obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t BgL_prototypez00_29, obj_t BgL_modez00_30, obj_t BgL_importzd2srczd2_31)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 148 */
{ 
obj_t BgL_predz00_633;obj_t BgL_lstz00_634;
{ /* ./Module/impuse.scm 157 */
bool_t BgL_test1970z00_604;
BgL_test1970z00_604 = 
SYMBOLP(BgL_prototypez00_29); 
if(BgL_test1970z00_604)
{ /* ./Module/impuse.scm 157 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* ./Module/impuse.scm 160 */
bool_t BgL_test1972z00_605;
BgL_test1972z00_605 = 
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_prototypez00_29); 
if(BgL_test1972z00_605)
{ /* ./Module/impuse.scm 160 */
{ /* ./Module/impuse.scm 161 */
obj_t BgL_invz00_606;
BgL_invz00_606 = 
bgl_reverse(BgL_prototypez00_29); 
{ 
obj_t BgL_lstz00_607;obj_t BgL_filesz00_608;
BgL_lstz00_607 = BgL_invz00_606; 
BgL_filesz00_608 = BNIL; 
BgL_loopz00_609:
{ /* ./Module/impuse.scm 165 */
bool_t BgL_test1974z00_610;
BgL_test1974z00_610 = 
PAIRP(BgL_lstz00_607); 
if(BgL_test1974z00_610)
{ /* ./Module/impuse.scm 170 */
bool_t BgL_test1975z00_611;
{ /* ./Module/impuse.scm 170 */
obj_t BgL_auxz00_2060;
BgL_auxz00_2060 = 
CAR(BgL_lstz00_607); 
BgL_test1975z00_611 = 
STRINGP(BgL_auxz00_2060); } 
if(BgL_test1975z00_611)
{ /* ./Module/impuse.scm 170 */
{ /* ./Module/impuse.scm 171 */
obj_t BgL_arg1977z00_612;obj_t BgL_arg1978z00_613;
BgL_arg1977z00_612 = 
CDR(BgL_lstz00_607); 
{ /* ./Module/impuse.scm 171 */
obj_t BgL_arg1982z00_614;
BgL_arg1982z00_614 = 
CAR(BgL_lstz00_607); 
BgL_arg1978z00_613 = 
MAKE_PAIR(BgL_arg1982z00_614, BgL_filesz00_608); } 
{ 
obj_t BgL_filesz00_2068;obj_t BgL_lstz00_2067;
BgL_lstz00_2067 = BgL_arg1977z00_612; 
BgL_filesz00_2068 = BgL_arg1978z00_613; 
BgL_filesz00_608 = BgL_filesz00_2068; 
BgL_lstz00_607 = BgL_lstz00_2067; 
goto BgL_loopz00_609;} } }  else 
{ /* ./Module/impuse.scm 172 */
bool_t BgL_test1985z00_615;
{ /* ./Module/impuse.scm 172 */
obj_t BgL_auxz00_2069;
BgL_auxz00_2069 = 
CAR(BgL_lstz00_607); 
BgL_test1985z00_615 = 
SYMBOLP(BgL_auxz00_2069); } 
if(BgL_test1985z00_615)
{ /* ./Module/impuse.scm 172 */
{ /* ./Module/impuse.scm 173 */
obj_t BgL_modz00_616;obj_t BgL_varsz00_617;
BgL_modz00_616 = 
CAR(BgL_lstz00_607); 
BgL_varsz00_617 = 
CDR(BgL_lstz00_607); 
{ /* ./Module/impuse.scm 176 */
bool_t BgL_test1987z00_618;
BgL_test1987z00_618 = 
NULLP(BgL_varsz00_617); 
if(BgL_test1987z00_618)
{ /* ./Module/impuse.scm 176 */
{ /* ./Module/impuse.scm 178 */
bool_t BgL_test1988z00_619;
BgL_test1988z00_619 = 
PAIRP(BgL_filesz00_608); 
if(BgL_test1988z00_619)
{ /* ./Module/impuse.scm 178 */
BGl_addzd2accessz12zc0zzread_accessz00(BgL_modz00_616, BgL_filesz00_608); }  else 
{ /* ./Module/impuse.scm 178 */BFALSE; } } 
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_modz00_616, BgL_modez00_30, BgL_prototypez00_29);}  else 
{ /* ./Module/impuse.scm 180 */
bool_t BgL_test1992z00_620;
BgL_predz00_633 = BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00; 
BgL_lstz00_634 = BgL_varsz00_617; 
BgL_zc3anonymousza32034ze3z83_635:
{ /* ./Module/impuse.scm 152 */
bool_t BgL_test2035z00_636;
BgL_test2035z00_636 = 
NULLP(BgL_lstz00_634); 
if(BgL_test2035z00_636)
{ /* ./Module/impuse.scm 152 */
BgL_test1992z00_620 = ((bool_t)1); }  else 
{ /* ./Module/impuse.scm 153 */
bool_t BgL_test2036z00_637;
BgL_test2036z00_637 = 
PAIRP(BgL_lstz00_634); 
if(BgL_test2036z00_637)
{ /* ./Module/impuse.scm 154 */
bool_t BgL_test2037z00_638;
{ /* ./Module/impuse.scm 154 */
obj_t BgL_arg2043z00_640;
BgL_arg2043z00_640 = 
CAR(BgL_lstz00_634); 
{ /* ./Module/impuse.scm 154 */
obj_t BgL_auxz00_2086;
BgL_auxz00_2086 = 
PROCEDURE_ENTRY(BgL_predz00_633)(BgL_predz00_633, BgL_arg2043z00_640, BEOA); 
BgL_test2037z00_638 = 
CBOOL(BgL_auxz00_2086); } } 
if(BgL_test2037z00_638)
{ /* ./Module/impuse.scm 154 */
{ /* ./Module/impuse.scm 154 */
obj_t BgL_arg2039z00_639;
BgL_arg2039z00_639 = 
CDR(BgL_lstz00_634); 
{ 
obj_t BgL_lstz00_2092;
BgL_lstz00_2092 = BgL_arg2039z00_639; 
BgL_lstz00_634 = BgL_lstz00_2092; 
goto BgL_zc3anonymousza32034ze3z83_635;} } }  else 
{ /* ./Module/impuse.scm 154 */
BgL_test1992z00_620 = ((bool_t)0); } }  else 
{ /* ./Module/impuse.scm 153 */
BgL_test1992z00_620 = ((bool_t)0); } } } 
if(BgL_test1992z00_620)
{ /* ./Module/impuse.scm 180 */
{ /* ./Module/impuse.scm 182 */
bool_t BgL_test1993z00_621;
BgL_test1993z00_621 = 
PAIRP(BgL_filesz00_608); 
if(BgL_test1993z00_621)
{ /* ./Module/impuse.scm 182 */
BGl_addzd2accessz12zc0zzread_accessz00(BgL_modz00_616, BgL_filesz00_608); }  else 
{ /* ./Module/impuse.scm 182 */BFALSE; } } 
{ 
obj_t BgL_l1777z00_622;
{ /* ./Module/impuse.scm 183 */
bool_t BgL_auxz00_2097;
BgL_l1777z00_622 = BgL_varsz00_617; 
BgL_forzd2each1778zd2_623:
{ /* ./Module/impuse.scm 183 */
bool_t BgL_test1997z00_624;
BgL_test1997z00_624 = 
PAIRP(BgL_l1777z00_622); 
if(BgL_test1997z00_624)
{ /* ./Module/impuse.scm 183 */
{ /* ./Module/impuse.scm 184 */
obj_t BgL_vz00_625;
BgL_vz00_625 = 
CAR(BgL_l1777z00_622); 
BGl_importzd21zd2modulez00zzmodule_impusez00(BgL_modz00_616, BgL_vz00_625, BgL_modez00_30, BgL_prototypez00_29); } 
{ /* ./Module/impuse.scm 183 */
obj_t BgL_arg2001z00_626;
BgL_arg2001z00_626 = 
CDR(BgL_l1777z00_622); 
{ 
obj_t BgL_l1777z00_2103;
BgL_l1777z00_2103 = BgL_arg2001z00_626; 
BgL_l1777z00_622 = BgL_l1777z00_2103; 
goto BgL_forzd2each1778zd2_623;} } }  else 
{ /* ./Module/impuse.scm 183 */
BgL_auxz00_2097 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2097);} } }  else 
{ /* ./Module/impuse.scm 180 */
{ /* ./Module/impuse.scm 187 */
obj_t BgL_list2006z00_627;
BgL_list2006z00_627 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2957z00zzmodule_impusez00, BGl_string2958z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2006z00_627);} } } } } }  else 
{ /* ./Module/impuse.scm 172 */
{ /* ./Module/impuse.scm 192 */
obj_t BgL_list2013z00_628;
BgL_list2013z00_628 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2957z00zzmodule_impusez00, BGl_string2958z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2013z00_628);} } } }  else 
{ /* ./Module/impuse.scm 165 */
{ /* ./Module/impuse.scm 166 */
obj_t BgL_list2025z00_631;
BgL_list2025z00_631 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2957z00zzmodule_impusez00, BGl_string2958z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2025z00_631);} } } } } }  else 
{ /* ./Module/impuse.scm 160 */
{ /* ./Module/impuse.scm 197 */
obj_t BgL_list2030z00_632;
BgL_list2030z00_632 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2957z00zzmodule_impusez00, BGl_string2958z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2030z00_632);} } } } } } 
}



/* get-imported-modules */
BGL_EXPORTED_DEF obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 225 */
return BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00;} 
}



/* _get-imported-modules */
obj_t BGl__getzd2importedzd2modulesz00zzmodule_impusez00(obj_t BgL_envz00_1788)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 225 */
return 
BGl_getzd2importedzd2modulesz00zzmodule_impusez00();} 
}



/* import-finalizer */
obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 237 */
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ 
obj_t BgL_initza2za2_652;
BgL_initza2za2_652 = BNIL; 
BgL_loopz00_653:
{ /* ./Module/impuse.scm 243 */
bool_t BgL_test2091z00_654;
{ /* ./Module/impuse.scm 243 */
obj_t BgL_objz00_1365;
BgL_objz00_1365 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_test2091z00_654 = 
NULLP(BgL_objz00_1365); } 
if(BgL_test2091z00_654)
{ /* ./Module/impuse.scm 244 */
bool_t BgL_test2092z00_655;
BgL_test2092z00_655 = 
PAIRP(BgL_initza2za2_652); 
if(BgL_test2092z00_655)
{ 
obj_t BgL_initza2za2_656;obj_t BgL_initzd2callza2z70_657;
BgL_initza2za2_656 = BgL_initza2za2_652; 
BgL_initzd2callza2z70_657 = BNIL; 
BgL_loopz00_658:
{ /* ./Module/impuse.scm 247 */
bool_t BgL_test2094z00_659;
BgL_test2094z00_659 = 
NULLP(BgL_initza2za2_656); 
if(BgL_test2094z00_659)
{ /* ./Module/impuse.scm 251 */
obj_t BgL_bodyz00_660;
{ /* ./Module/impuse.scm 251 */
bool_t BgL_test2101z00_663;
{ /* ./Module/impuse.scm 251 */
long BgL_n1z00_1368;
BgL_n1z00_1368 = 
(long)CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00); 
BgL_test2101z00_663 = 
(BgL_n1z00_1368>((long)0)); } 
if(BgL_test2101z00_663)
{ /* ./Module/impuse.scm 252 */
obj_t BgL_arg2103z00_664;
{ /* ./Module/impuse.scm 252 */
obj_t BgL_arg2107z00_666;obj_t BgL_arg2108z00_667;
BgL_arg2107z00_666 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Module/impuse.scm 253 */
obj_t BgL_arg2112z00_668;obj_t BgL_arg2113z00_669;
{ /* ./Module/impuse.scm 253 */
obj_t BgL_arg2116z00_670;obj_t BgL_arg2118z00_671;
BgL_arg2116z00_670 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Module/impuse.scm 254 */
obj_t BgL_arg2123z00_672;
{ /* ./Module/impuse.scm 254 */
obj_t BgL_arg2129z00_675;
{ /* ./Module/impuse.scm 256 */
obj_t BgL_symbolz00_1370;
BgL_symbolz00_1370 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2129z00_675 = 
SYMBOL_TO_STRING(BgL_symbolz00_1370); } 
BgL_arg2123z00_672 = 
string_append_3(BGl_string2959z00zzmodule_impusez00, BgL_arg2129z00_675, BGl_string2960z00zzmodule_impusez00); } 
BgL_arg2118z00_671 = 
MAKE_PAIR(BgL_arg2123z00_672, BNIL); } 
BgL_arg2112z00_668 = 
MAKE_PAIR(BgL_arg2116z00_670, BgL_arg2118z00_671); } 
BgL_arg2113z00_669 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_initzd2callza2z70_657, BNIL); 
BgL_arg2108z00_667 = 
MAKE_PAIR(BgL_arg2112z00_668, BgL_arg2113z00_669); } 
BgL_arg2103z00_664 = 
MAKE_PAIR(BgL_arg2107z00_666, BgL_arg2108z00_667); } 
BgL_bodyz00_660 = 
MAKE_PAIR(BgL_arg2103z00_664, BNIL); }  else 
{ /* ./Module/impuse.scm 251 */
BgL_bodyz00_660 = BgL_initzd2callza2z70_657; } } 
{ /* ./Module/impuse.scm 260 */
obj_t BgL_arg2096z00_661;
{ /* ./Module/impuse.scm 260 */
obj_t BgL_idz00_1371;
BgL_idz00_1371 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Module/impuse.scm 260 */
obj_t BgL_newz00_1375;
{ /* ./Module/impuse.scm 260 */
int BgL_auxz00_2137;obj_t BgL_auxz00_2135;
BgL_auxz00_2137 = 
(int)(((long)4)); 
BgL_auxz00_2135 = 
CNST_TABLE_REF(((long)11)); 
BgL_newz00_1375 = 
create_struct(BgL_auxz00_2135, BgL_auxz00_2137); } 
{ /* ./Module/impuse.scm 260 */
int BgL_kz00_1379;
BgL_kz00_1379 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1375, BgL_kz00_1379, BTRUE); } 
{ /* ./Module/impuse.scm 260 */
int BgL_kz00_1384;
BgL_kz00_1384 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1375, BgL_kz00_1384, BgL_bodyz00_660); } 
{ /* ./Module/impuse.scm 260 */
int BgL_kz00_1389;obj_t BgL_oz00_1390;
BgL_kz00_1389 = 
(int)(((long)1)); 
BgL_oz00_1390 = 
BINT(((long)12)); 
STRUCT_SET(BgL_newz00_1375, BgL_kz00_1389, BgL_oz00_1390); } 
{ /* ./Module/impuse.scm 260 */
int BgL_kz00_1394;
BgL_kz00_1394 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1375, BgL_kz00_1394, BgL_idz00_1371); } 
BgL_arg2096z00_661 = BgL_newz00_1375; } } 
{ /* ./Module/impuse.scm 260 */
obj_t BgL_list2098z00_662;
BgL_list2098z00_662 = 
MAKE_PAIR(BgL_arg2096z00_661, BNIL); 
return BgL_list2098z00_662;} } }  else 
{ /* ./Module/impuse.scm 261 */
obj_t BgL_idz00_677;
{ /* ./Module/impuse.scm 261 */
int BgL_auxz00_2152;obj_t BgL_auxz00_2150;
BgL_auxz00_2152 = 
(int)(((long)0)); 
BgL_auxz00_2150 = 
CAR(BgL_initza2za2_656); 
BgL_idz00_677 = 
STRUCT_REF(BgL_auxz00_2150, BgL_auxz00_2152); } 
{ /* ./Module/impuse.scm 261 */
obj_t BgL_checksumz00_678;
{ /* ./Module/impuse.scm 262 */
int BgL_auxz00_2157;obj_t BgL_auxz00_2155;
BgL_auxz00_2157 = 
(int)(((long)3)); 
BgL_auxz00_2155 = 
CAR(BgL_initza2za2_656); 
BgL_checksumz00_678 = 
STRUCT_REF(BgL_auxz00_2155, BgL_auxz00_2157); } 
{ /* ./Module/impuse.scm 262 */
obj_t BgL_initzd2funzd2idz00_679;
BgL_initzd2funzd2idz00_679 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_idz00_677); 
{ /* ./Module/impuse.scm 263 */

{ /* ./Module/impuse.scm 264 */
obj_t BgL_globalz00_680;
{ /* ./Module/impuse.scm 265 */
obj_t BgL_arg2138z00_681;
{ /* ./Module/impuse.scm 265 */
obj_t BgL_list2142z00_683;
{ /* ./Module/impuse.scm 265 */
obj_t BgL_arg2144z00_684;
{ /* ./Module/impuse.scm 265 */
obj_t BgL_arg2147z00_685;obj_t BgL_arg2148z00_686;
BgL_arg2147z00_685 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Module/impuse.scm 264 */
obj_t BgL_auxz00_2162;
BgL_auxz00_2162 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2148z00_686 = 
MAKE_PAIR(BgL_auxz00_2162, BNIL); } 
BgL_arg2144z00_684 = 
MAKE_PAIR(BgL_arg2147z00_685, BgL_arg2148z00_686); } 
BgL_list2142z00_683 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_679, BgL_arg2144z00_684); } 
BgL_arg2138z00_681 = BgL_list2142z00_683; } 
BgL_globalz00_680 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_idz00_677, BgL_arg2138z00_681, BNIL); } 
{ /* ./Module/impuse.scm 269 */
BgL_globalz00_bglt BgL_obj1399z00_1408;
BgL_obj1399z00_1408 = 
(BgL_globalz00_bglt)(BgL_globalz00_680); 
((((BgL_globalz00_bglt)CREF(BgL_obj1399z00_1408))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
{ /* ./Module/impuse.scm 270 */
obj_t BgL_arg2152z00_687;obj_t BgL_arg2153z00_688;
BgL_arg2152z00_687 = 
CDR(BgL_initza2za2_656); 
{ /* ./Module/impuse.scm 271 */
obj_t BgL_arg2157z00_689;
{ /* ./Module/impuse.scm 271 */
obj_t BgL_arg2160z00_690;obj_t BgL_arg2161z00_691;
{ /* ./Module/impuse.scm 271 */
obj_t BgL_arg2164z00_692;obj_t BgL_arg2165z00_693;
BgL_arg2164z00_692 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Module/impuse.scm 271 */
obj_t BgL_arg2168z00_694;
BgL_arg2168z00_694 = 
MAKE_PAIR(BgL_idz00_677, BNIL); 
BgL_arg2165z00_693 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_679, BgL_arg2168z00_694); } 
BgL_arg2160z00_690 = 
MAKE_PAIR(BgL_arg2164z00_692, BgL_arg2165z00_693); } 
{ /* ./Module/impuse.scm 273 */
obj_t BgL_arg2172z00_695;
{ /* ./Module/impuse.scm 273 */
obj_t BgL_arg2175z00_696;
{ /* ./Module/impuse.scm 273 */
obj_t BgL_symbolz00_1411;
BgL_symbolz00_1411 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2175z00_696 = 
SYMBOL_TO_STRING(BgL_symbolz00_1411); } 
BgL_arg2172z00_695 = 
MAKE_PAIR(BgL_arg2175z00_696, BNIL); } 
BgL_arg2161z00_691 = 
MAKE_PAIR(BgL_checksumz00_678, BgL_arg2172z00_695); } 
BgL_arg2157z00_689 = 
MAKE_PAIR(BgL_arg2160z00_690, BgL_arg2161z00_691); } 
BgL_arg2153z00_688 = 
MAKE_PAIR(BgL_arg2157z00_689, BgL_initzd2callza2z70_657); } 
{ 
obj_t BgL_initzd2callza2z70_2181;obj_t BgL_initza2za2_2180;
BgL_initza2za2_2180 = BgL_arg2152z00_687; 
BgL_initzd2callza2z70_2181 = BgL_arg2153z00_688; 
BgL_initzd2callza2z70_657 = BgL_initzd2callza2z70_2181; 
BgL_initza2za2_656 = BgL_initza2za2_2180; 
goto BgL_loopz00_658;} } } } } } } }  else 
{ /* ./Module/impuse.scm 244 */
return BNIL;} }  else 
{ /* ./Module/impuse.scm 276 */
obj_t BgL_modulez00_700;obj_t BgL_imodez00_701;
{ /* ./Module/impuse.scm 276 */
obj_t BgL_arg2211z00_709;
{ /* ./Module/impuse.scm 276 */
obj_t BgL_pairz00_1412;
BgL_pairz00_1412 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_arg2211z00_709 = 
CAR(BgL_pairz00_1412); } 
BgL_modulez00_700 = 
CAR(BgL_arg2211z00_709); } 
{ /* ./Module/impuse.scm 277 */
obj_t BgL_arg2215z00_710;
{ /* ./Module/impuse.scm 277 */
obj_t BgL_pairz00_1414;
BgL_pairz00_1414 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_arg2215z00_710 = 
CAR(BgL_pairz00_1414); } 
BgL_imodez00_701 = 
CDR(BgL_arg2215z00_710); } 
{ /* ./Module/impuse.scm 278 */
obj_t BgL_pairz00_1416;
BgL_pairz00_1416 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
CDR(BgL_pairz00_1416); } 
BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_modulez00_700, BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* ./Module/impuse.scm 280 */
bool_t BgL_test2192z00_702;
{ /* ./Module/impuse.scm 280 */
obj_t BgL_auxz00_2192;obj_t BgL_auxz00_2188;
BgL_auxz00_2192 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Module/impuse.scm 280 */
int BgL_auxz00_2189;
BgL_auxz00_2189 = 
(int)(((long)1)); 
BgL_auxz00_2188 = 
STRUCT_REF(BgL_imodez00_701, BgL_auxz00_2189); } 
BgL_test2192z00_702 = 
(BgL_auxz00_2188==BgL_auxz00_2192); } 
if(BgL_test2192z00_702)
{ /* ./Module/impuse.scm 280 */BFALSE; }  else 
{ /* ./Module/impuse.scm 280 */
BGl_readzd2importedzd2modulez00zzmodule_impusez00(BgL_imodez00_701); } } 
{ /* ./Module/impuse.scm 282 */
obj_t BgL_arg2200z00_705;
{ /* ./Module/impuse.scm 282 */
bool_t BgL_test2202z00_706;
{ /* ./Module/impuse.scm 282 */
obj_t BgL_auxz00_2197;
{ /* ./Module/impuse.scm 282 */
obj_t BgL_auxz00_2198;
{ /* ./Module/impuse.scm 282 */
int BgL_auxz00_2199;
BgL_auxz00_2199 = 
(int)(((long)1)); 
BgL_auxz00_2198 = 
STRUCT_REF(BgL_imodez00_701, BgL_auxz00_2199); } 
BgL_auxz00_2197 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2198, 
CNST_TABLE_REF(((long)15))); } 
BgL_test2202z00_706 = 
CBOOL(BgL_auxz00_2197); } 
if(BgL_test2202z00_706)
{ /* ./Module/impuse.scm 282 */
BgL_arg2200z00_705 = 
MAKE_PAIR(BgL_imodez00_701, BgL_initza2za2_652); }  else 
{ /* ./Module/impuse.scm 282 */
BgL_arg2200z00_705 = BgL_initza2za2_652; } } 
{ 
obj_t BgL_initza2za2_2207;
BgL_initza2za2_2207 = BgL_arg2200z00_705; 
BgL_initza2za2_652 = BgL_initza2za2_2207; 
goto BgL_loopz00_653;} } } } } } 
}



/* impuse-finalizer */
obj_t BGl_impusezd2finaliza7erz75zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 293 */
{ /* ./Module/impuse.scm 294 */
obj_t BgL_importzd2finaliza7erz75_711;
BgL_importzd2finaliza7erz75_711 = 
BGl_importzd2finaliza7erz75zzmodule_impusez00(); 
{ /* ./Module/impuse.scm 294 */
obj_t BgL_inlinezd2finaliza7erz75_712;
BgL_inlinezd2finaliza7erz75_712 = 
BGl_inlinezd2finaliza7erz75zzread_inlinez00(); 
{ /* ./Module/impuse.scm 295 */
obj_t BgL_finaliza7ersza7_713;
BgL_finaliza7ersza7_713 = 
bgl_append2(BgL_importzd2finaliza7erz75_711, BgL_inlinezd2finaliza7erz75_712); 
{ /* ./Module/impuse.scm 296 */

if(
NULLP(BgL_finaliza7ersza7_713))
{ /* ./Module/impuse.scm 297 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* ./Module/impuse.scm 297 */
return BgL_finaliza7ersza7_713;} } } } } } 
}



/* _impuse-finalizer */
obj_t BGl__impusezd2finaliza7erz75zzmodule_impusez00(obj_t BgL_envz00_1775)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 293 */
return 
BGl_impusezd2finaliza7erz75zzmodule_impusez00();} 
}



/* import-parser */
BGL_EXPORTED_DEF obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t BgL_modulez00_58, obj_t BgL_prototypez00_59, obj_t BgL_importzd2srczd2_60)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 304 */
{ /* ./Module/impuse.scm 305 */
obj_t BgL_protoz00_715;obj_t BgL_srcz00_716;
BgL_protoz00_715 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_59); 
if(
PAIRP(BgL_importzd2srczd2_60))
{ /* ./Module/impuse.scm 306 */
BgL_srcz00_716 = 
CAR(BgL_importzd2srczd2_60); }  else 
{ /* ./Module/impuse.scm 306 */
BgL_srcz00_716 = BFALSE; } 
{ /* ./Module/impuse.scm 309 */
bool_t BgL_test2224z00_717;
BgL_test2224z00_717 = 
PAIRP(BgL_protoz00_715); 
if(BgL_test2224z00_717)
{ /* ./Module/impuse.scm 315 */
obj_t BgL_casezd2valuezd2_718;
BgL_casezd2valuezd2_718 = 
CAR(BgL_protoz00_715); 
{ /* ./Module/impuse.scm 316 */
bool_t BgL_test2225z00_719;
{ /* ./Module/impuse.scm 317 */
obj_t BgL_auxz00_2222;
BgL_auxz00_2222 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_718, 
CNST_TABLE_REF(((long)16))); 
BgL_test2225z00_719 = 
CBOOL(BgL_auxz00_2222); } 
if(BgL_test2225z00_719)
{ /* ./Module/impuse.scm 317 */
obj_t BgL_arg2227z00_720;obj_t BgL_arg2228z00_721;obj_t BgL_arg2229z00_722;
{ /* ./Module/impuse.scm 317 */
obj_t BgL_auxz00_2227;
BgL_auxz00_2227 = 
CDR(BgL_protoz00_715); 
BgL_arg2227z00_720 = 
CAR(BgL_auxz00_2227); } 
{ /* ./Module/impuse.scm 318 */
obj_t BgL_auxz00_2230;
{ /* ./Module/impuse.scm 318 */
obj_t BgL_auxz00_2231;
BgL_auxz00_2231 = 
CDR(BgL_protoz00_715); 
BgL_auxz00_2230 = 
CDR(BgL_auxz00_2231); } 
BgL_arg2228z00_721 = 
CAR(BgL_auxz00_2230); } 
BgL_arg2229z00_722 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Module/impuse.scm 317 */
BgL_globalz00_bglt BgL_auxz00_2236;
BgL_auxz00_2236 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_arg2227z00_720, BgL_arg2228z00_721, BgL_modulez00_58, BgL_arg2229z00_722, BgL_casezd2valuezd2_718, BgL_prototypez00_59, BgL_srcz00_716); 
return 
(obj_t)(BgL_auxz00_2236);} }  else 
{ /* ./Module/impuse.scm 316 */
bool_t BgL_test2235z00_724;
{ /* ./Module/impuse.scm 316 */
obj_t BgL_auxz00_2239;
BgL_auxz00_2239 = 
CNST_TABLE_REF(((long)17)); 
BgL_test2235z00_724 = 
(BgL_casezd2valuezd2_718==BgL_auxz00_2239); } 
if(BgL_test2235z00_724)
{ /* ./Module/impuse.scm 325 */
obj_t BgL_arg2237z00_725;obj_t BgL_arg2238z00_726;
{ /* ./Module/impuse.scm 325 */
obj_t BgL_auxz00_2243;
BgL_auxz00_2243 = 
CDR(BgL_protoz00_715); 
BgL_arg2237z00_725 = 
CAR(BgL_auxz00_2243); } 
BgL_arg2238z00_726 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Module/impuse.scm 325 */
BgL_globalz00_bglt BgL_auxz00_2247;
BgL_auxz00_2247 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_arg2237z00_725, BgL_modulez00_58, BgL_arg2238z00_726, BgL_prototypez00_59, BgL_srcz00_716); 
return 
(obj_t)(BgL_auxz00_2247);} }  else 
{ /* ./Module/impuse.scm 316 */
bool_t BgL_test2241z00_727;
{ /* ./Module/impuse.scm 316 */
obj_t BgL_auxz00_2250;
BgL_auxz00_2250 = 
CNST_TABLE_REF(((long)18)); 
BgL_test2241z00_727 = 
(BgL_casezd2valuezd2_718==BgL_auxz00_2250); } 
if(BgL_test2241z00_727)
{ /* ./Module/impuse.scm 327 */
obj_t BgL_arg2243z00_728;obj_t BgL_arg2244z00_729;
BgL_arg2243z00_728 = 
CDR(BgL_protoz00_715); 
BgL_arg2244z00_729 = 
CNST_TABLE_REF(((long)0)); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2243z00_728, BgL_modulez00_58, BgL_arg2244z00_729, ((bool_t)0), ((bool_t)0), BgL_prototypez00_59, BgL_srcz00_716);}  else 
{ /* ./Module/impuse.scm 316 */
bool_t BgL_test2247z00_730;
{ /* ./Module/impuse.scm 316 */
obj_t BgL_auxz00_2257;
BgL_auxz00_2257 = 
CNST_TABLE_REF(((long)19)); 
BgL_test2247z00_730 = 
(BgL_casezd2valuezd2_718==BgL_auxz00_2257); } 
if(BgL_test2247z00_730)
{ /* ./Module/impuse.scm 329 */
obj_t BgL_arg2249z00_731;obj_t BgL_arg2250z00_732;
BgL_arg2249z00_731 = 
CDR(BgL_protoz00_715); 
BgL_arg2250z00_732 = 
CNST_TABLE_REF(((long)0)); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2249z00_731, BgL_modulez00_58, BgL_arg2250z00_732, ((bool_t)0), ((bool_t)1), BgL_prototypez00_59, BgL_srcz00_716);}  else 
{ /* ./Module/impuse.scm 316 */
bool_t BgL_test2253z00_733;
{ /* ./Module/impuse.scm 316 */
obj_t BgL_auxz00_2264;
BgL_auxz00_2264 = 
CNST_TABLE_REF(((long)20)); 
BgL_test2253z00_733 = 
(BgL_casezd2valuezd2_718==BgL_auxz00_2264); } 
if(BgL_test2253z00_733)
{ /* ./Module/impuse.scm 331 */
obj_t BgL_arg2255z00_734;obj_t BgL_arg2257z00_735;
BgL_arg2255z00_734 = 
CDR(BgL_protoz00_715); 
BgL_arg2257z00_735 = 
CNST_TABLE_REF(((long)0)); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2255z00_734, BgL_modulez00_58, BgL_arg2257z00_735, ((bool_t)1), ((bool_t)0), BgL_prototypez00_59, BgL_srcz00_716);}  else 
{ /* ./Module/impuse.scm 316 */
bool_t BgL_test2260z00_736;
{ /* ./Module/impuse.scm 316 */
obj_t BgL_auxz00_2271;
BgL_auxz00_2271 = 
CNST_TABLE_REF(((long)21)); 
BgL_test2260z00_736 = 
(BgL_casezd2valuezd2_718==BgL_auxz00_2271); } 
if(BgL_test2260z00_736)
{ /* ./Module/impuse.scm 333 */
obj_t BgL_arg2262z00_737;obj_t BgL_arg2263z00_738;
BgL_arg2262z00_737 = 
CDR(BgL_protoz00_715); 
BgL_arg2263z00_738 = 
CNST_TABLE_REF(((long)0)); 
return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(BgL_arg2262z00_737, BgL_modulez00_58, BgL_arg2263z00_738, BgL_prototypez00_59, BgL_srcz00_716);}  else 
{ /* ./Module/impuse.scm 335 */
obj_t BgL_list2267z00_739;
BgL_list2267z00_739 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2957z00zzmodule_impusez00, BGl_string2961z00zzmodule_impusez00, BgL_prototypez00_59, BgL_list2267z00_739);} } } } } } } }  else 
{ /* ./Module/impuse.scm 310 */
obj_t BgL_arg2277z00_740;
BgL_arg2277z00_740 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/impuse.scm 310 */
obj_t BgL_list2282z00_744;
BgL_list2282z00_744 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2277z00_740, BGl_string2957z00zzmodule_impusez00, BGl_string2961z00zzmodule_impusez00, BgL_prototypez00_59, BgL_list2282z00_744);} } } } } 
}



/* _import-parser2761 */
obj_t BGl__importzd2parser2761zd2zzmodule_impusez00(obj_t BgL_envz00_1789, obj_t BgL_modulez00_1790, obj_t BgL_prototypez00_1791, obj_t BgL_importzd2srczd2_1792)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 304 */
return 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_1790, BgL_prototypez00_1791, BgL_importzd2srczd2_1792);} 
}



/* read-imported-module */
obj_t BGl_readzd2importedzd2modulez00zzmodule_impusez00(obj_t BgL_imodez00_61)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 340 */
{ /* ./Module/impuse.scm 342 */
obj_t BgL_modulez00_746;
{ /* ./Module/impuse.scm 342 */
int BgL_auxz00_2284;
BgL_auxz00_2284 = 
(int)(((long)0)); 
BgL_modulez00_746 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2284); } 
{ /* ./Module/impuse.scm 342 */
obj_t BgL_wantedz00_747;
{ /* ./Module/impuse.scm 343 */
int BgL_auxz00_2287;
BgL_auxz00_2287 = 
(int)(((long)2)); 
BgL_wantedz00_747 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2287); } 
{ /* ./Module/impuse.scm 343 */
obj_t BgL_bz00_748;
BgL_bz00_748 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_746, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
{ /* ./Module/impuse.scm 344 */

{ /* ./Module/impuse.scm 345 */
char * BgL_arg2293z00_751;
{ /* ./Module/impuse.scm 346 */
bool_t BgL_testz00_2291;
{ /* ./Module/impuse.scm 346 */
obj_t BgL_auxz00_2296;obj_t BgL_auxz00_2292;
BgL_auxz00_2296 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Module/impuse.scm 346 */
int BgL_auxz00_2293;
BgL_auxz00_2293 = 
(int)(((long)1)); 
BgL_auxz00_2292 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2293); } 
BgL_testz00_2291 = 
(BgL_auxz00_2292==BgL_auxz00_2296); } 
if(BgL_testz00_2291)
{ /* ./Module/impuse.scm 346 */
BgL_arg2293z00_751 = "used"; }  else 
{ /* ./Module/impuse.scm 346 */
BgL_arg2293z00_751 = "imported"; } } 
{ /* ./Module/impuse.scm 345 */
obj_t BgL_list2297z00_754;
{ /* ./Module/impuse.scm 345 */
obj_t BgL_arg2299z00_755;
{ /* ./Module/impuse.scm 345 */
obj_t BgL_arg2302z00_756;
{ /* ./Module/impuse.scm 345 */
obj_t BgL_arg2305z00_757;
{ /* ./Module/impuse.scm 345 */
obj_t BgL_arg2308z00_758;
{ /* ./Module/impuse.scm 345 */
obj_t BgL_arg2311z00_759;
{ /* ./Module/impuse.scm 345 */
obj_t BgL_auxz00_2299;
BgL_auxz00_2299 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2311z00_759 = 
MAKE_PAIR(BgL_auxz00_2299, BNIL); } 
BgL_arg2308z00_758 = 
MAKE_PAIR(BGl_string2962z00zzmodule_impusez00, BgL_arg2311z00_759); } 
BgL_arg2305z00_757 = 
MAKE_PAIR(BgL_modulez00_746, BgL_arg2308z00_758); } 
BgL_arg2302z00_756 = 
MAKE_PAIR(BGl_string2963z00zzmodule_impusez00, BgL_arg2305z00_757); } 
{ /* ./Module/impuse.scm 345 */
obj_t BgL_auxz00_2305;
BgL_auxz00_2305 = 
string_to_bstring(BgL_arg2293z00_751); 
BgL_arg2299z00_755 = 
MAKE_PAIR(BgL_auxz00_2305, BgL_arg2302z00_756); } } 
BgL_list2297z00_754 = 
MAKE_PAIR(BGl_string2964z00zzmodule_impusez00, BgL_arg2299z00_755); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2297z00_754); } } 
if(
CBOOL(BgL_bz00_748))
{ /* ./Module/impuse.scm 354 */
obj_t BgL_fnamesz00_763;
BgL_fnamesz00_763 = 
CDR(BgL_bz00_748); 
{ /* ./Module/impuse.scm 354 */
obj_t BgL_fnamez00_764;
{ /* ./Module/impuse.scm 355 */
obj_t BgL_arg2406z00_825;
BgL_arg2406z00_825 = 
CAR(BgL_fnamesz00_763); 
BgL_fnamez00_764 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_arg2406z00_825, BGl_za2loadzd2pathza2zd2zz__evalz00); } 
{ /* ./Module/impuse.scm 355 */

{ /* ./Module/impuse.scm 356 */
bool_t BgL_test2320z00_765;
BgL_test2320z00_765 = 
STRINGP(BgL_fnamez00_764); 
if(BgL_test2320z00_765)
{ /* ./Module/impuse.scm 362 */
obj_t BgL_portz00_766;
BgL_portz00_766 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_764, BNIL); 
BGl_readerzd2resetz12zc0zz__readerz00(); 
{ /* ./Module/impuse.scm 364 */
bool_t BgL_test2322z00_767;
BgL_test2322z00_767 = 
INPUT_PORTP(BgL_portz00_766); 
if(BgL_test2322z00_767)
{ /* ./Module/impuse.scm 372 */
obj_t BgL_handlerz00_1798;
{ 
int BgL_auxz00_2324;int BgL_auxz00_2322;
BgL_auxz00_2324 = 
(int)(((long)1)); 
BgL_auxz00_2322 = 
(int)(((long)4)); 
BgL_handlerz00_1798 = 
make_fx_procedure(BGl_handlerz00zzmodule_impusez00, BgL_auxz00_2322, BgL_auxz00_2324); } 
{ /* ./Module/impuse.scm 372 */
int BgL_auxz00_2327;
BgL_auxz00_2327 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_1798, BgL_auxz00_2327, BgL_portz00_766); } 
{ /* ./Module/impuse.scm 376 */
obj_t BgL_armed1782z00_769;obj_t BgL_handler1779z00_770;
BgL_armed1782z00_769 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1779z00_770 = 
MAKE_CELL(BUNSPEC); 
{ /* ./Module/impuse.scm 376 */
obj_t BgL_zc3anonymousza32340ze3z83_1794;obj_t BgL_zc3anonymousza32337ze3z83_1796;
{ 
int BgL_auxz00_2332;int BgL_auxz00_2330;
BgL_auxz00_2332 = 
(int)(((long)5)); 
BgL_auxz00_2330 = 
(int)(((long)0)); 
BgL_zc3anonymousza32340ze3z83_1794 = 
make_fx_procedure(BGl_zc3anonymousza32340ze3z83zzmodule_impusez00, BgL_auxz00_2330, BgL_auxz00_2332); } 
{ 
int BgL_auxz00_2337;int BgL_auxz00_2335;
BgL_auxz00_2337 = 
(int)(((long)2)); 
BgL_auxz00_2335 = 
(int)(((long)4)); 
BgL_zc3anonymousza32337ze3z83_1796 = 
make_fx_procedure(BGl_zc3anonymousza32337ze3z83zzmodule_impusez00, BgL_auxz00_2335, BgL_auxz00_2337); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2340;
BgL_auxz00_2340 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32340ze3z83_1794, BgL_auxz00_2340, BgL_portz00_766); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2343;
BgL_auxz00_2343 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32340ze3z83_1794, BgL_auxz00_2343, BgL_modulez00_746); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2346;
BgL_auxz00_2346 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32340ze3z83_1794, BgL_auxz00_2346, BgL_imodez00_61); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2349;
BgL_auxz00_2349 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32340ze3z83_1794, BgL_auxz00_2349, BgL_wantedz00_747); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2352;
BgL_auxz00_2352 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32340ze3z83_1794, BgL_auxz00_2352, BgL_fnamesz00_763); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2355;
BgL_auxz00_2355 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32337ze3z83_1796, BgL_auxz00_2355, BgL_armed1782z00_769); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2358;
BgL_auxz00_2358 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32337ze3z83_1796, BgL_auxz00_2358, BgL_handler1779z00_770); } 
CELL_SET(BgL_handler1779z00_770, BgL_handlerz00_1798); 
CELL_SET(BgL_armed1782z00_769, BTRUE); 
return 
BGl_zc3exitza32323ze3z83zzmodule_impusez00(BgL_zc3anonymousza32340ze3z83_1794, BgL_zc3anonymousza32337ze3z83_1796, BgL_handler1779z00_770, BgL_armed1782z00_769);} } }  else 
{ /* ./Module/impuse.scm 365 */
obj_t BgL_arg2379z00_812;obj_t BgL_arg2383z00_815;
{ /* ./Module/impuse.scm 365 */
int BgL_auxz00_2362;
BgL_auxz00_2362 = 
(int)(((long)4)); 
BgL_arg2379z00_812 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2362); } 
BgL_arg2383z00_815 = 
CAR(BgL_fnamesz00_763); 
{ /* ./Module/impuse.scm 365 */
obj_t BgL_list2386z00_817;
BgL_list2386z00_817 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2379z00_812, BGl_string2965z00zzmodule_impusez00, BGl_string2966z00zzmodule_impusez00, BgL_arg2383z00_815, BgL_list2386z00_817);} } } }  else 
{ /* ./Module/impuse.scm 357 */
obj_t BgL_arg2394z00_819;obj_t BgL_arg2397z00_822;
{ /* ./Module/impuse.scm 357 */
int BgL_auxz00_2368;
BgL_auxz00_2368 = 
(int)(((long)4)); 
BgL_arg2394z00_819 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2368); } 
BgL_arg2397z00_822 = 
CAR(BgL_fnamesz00_763); 
{ /* ./Module/impuse.scm 357 */
obj_t BgL_list2400z00_824;
BgL_list2400z00_824 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2394z00_819, BGl_string2965z00zzmodule_impusez00, BGl_string2966z00zzmodule_impusez00, BgL_arg2397z00_822, BgL_list2400z00_824);} } } } } }  else 
{ /* ./Module/impuse.scm 349 */
obj_t BgL_arg2411z00_826;
{ /* ./Module/impuse.scm 349 */
int BgL_auxz00_2374;
BgL_auxz00_2374 = 
(int)(((long)4)); 
BgL_arg2411z00_826 = 
STRUCT_REF(BgL_imodez00_61, BgL_auxz00_2374); } 
{ /* ./Module/impuse.scm 349 */
obj_t BgL_list2416z00_830;
BgL_list2416z00_830 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2411z00_826, BGl_string2965z00zzmodule_impusez00, BGl_string2967z00zzmodule_impusez00, BgL_modulez00_746, BgL_list2416z00_830);} } } } } } } 
}



/* <exit:2323> */
obj_t BGl_zc3exitza32323ze3z83zzmodule_impusez00(obj_t BgL_zc3anonymousza32340ze3z83_1836, obj_t BgL_zc3anonymousza32337ze3z83_1835, obj_t BgL_handler1779z00_1834, obj_t BgL_armed1782z00_1833)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 376 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1783z00_774;
if( SET_EXIT(BgL_an_exit1783z00_774) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1783z00_774 = 
(obj_t)jmpbuf; 
{ /* ./Module/impuse.scm 376 */

PUSH_EXIT(BgL_an_exit1783z00_774, ((bool_t)1)); 
{ /* ./Module/impuse.scm 376 */
obj_t BgL_an_exitd1784z00_775;
BgL_an_exitd1784z00_775 = 
BGL_EXITD_TOP(); 
{ /* ./Module/impuse.scm 376 */
obj_t BgL_escapez00_1795;
{ 
int BgL_auxz00_2385;int BgL_auxz00_2383;
BgL_auxz00_2385 = 
(int)(((long)1)); 
BgL_auxz00_2383 = 
(int)(((long)1)); 
BgL_escapez00_1795 = 
make_fx_procedure(BGl_escapez00zzmodule_impusez00, BgL_auxz00_2383, BgL_auxz00_2385); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2388;
BgL_auxz00_2388 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_1795, BgL_auxz00_2388, BgL_an_exitd1784z00_775); } 
{ /* ./Module/impuse.scm 376 */
obj_t BgL_res1786z00_778;
{ /* ./Module/impuse.scm 376 */
obj_t BgL_zc3anonymousza32333ze3z83_1793;obj_t BgL_zc3anonymousza32331ze3z83_1797;
{ 
int BgL_auxz00_2393;int BgL_auxz00_2391;
BgL_auxz00_2393 = 
(int)(((long)1)); 
BgL_auxz00_2391 = 
(int)(((long)0)); 
BgL_zc3anonymousza32333ze3z83_1793 = 
make_fx_procedure(BGl_zc3anonymousza32333ze3z83zzmodule_impusez00, BgL_auxz00_2391, BgL_auxz00_2393); } 
{ 
int BgL_auxz00_2398;int BgL_auxz00_2396;
BgL_auxz00_2398 = 
(int)(((long)5)); 
BgL_auxz00_2396 = 
(int)(((long)0)); 
BgL_zc3anonymousza32331ze3z83_1797 = 
make_fx_procedure(BGl_zc3anonymousza32331ze3z83zzmodule_impusez00, BgL_auxz00_2396, BgL_auxz00_2398); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2401;
BgL_auxz00_2401 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_1793, BgL_auxz00_2401, BgL_armed1782z00_1833); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2404;
BgL_auxz00_2404 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32331ze3z83_1797, BgL_auxz00_2404, BgL_an_exitd1784z00_775); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2407;
BgL_auxz00_2407 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32331ze3z83_1797, BgL_auxz00_2407, BgL_armed1782z00_1833); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2410;
BgL_auxz00_2410 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32331ze3z83_1797, BgL_auxz00_2410, BgL_handler1779z00_1834); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2413;
BgL_auxz00_2413 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32331ze3z83_1797, BgL_auxz00_2413, BgL_zc3anonymousza32337ze3z83_1835); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2416;
BgL_auxz00_2416 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32331ze3z83_1797, BgL_auxz00_2416, BgL_escapez00_1795); } 
BgL_res1786z00_778 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32331ze3z83_1797, BgL_zc3anonymousza32340ze3z83_1836, BgL_zc3anonymousza32333ze3z83_1793); } 
POP_EXIT(); 
return BgL_res1786z00_778;} } } } 
} } 
}



/* <anonymous:2333> */
obj_t BGl_zc3anonymousza32333ze3z83zzmodule_impusez00(obj_t BgL_envz00_1799)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 376 */
{ /* ./Module/impuse.scm 376 */
obj_t BgL_armed1782z00_1800;
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2421;
BgL_auxz00_2421 = 
(int)(((long)0)); 
BgL_armed1782z00_1800 = 
PROCEDURE_REF(BgL_envz00_1799, BgL_auxz00_2421); } 
{ 

{ /* ./Module/impuse.scm 376 */
bool_t BgL_testz00_2424;
{ /* ./Module/impuse.scm 376 */
obj_t BgL_auxz00_2425;
BgL_auxz00_2425 = 
CELL_REF(BgL_armed1782z00_1800); 
BgL_testz00_2424 = 
CBOOL(BgL_auxz00_2425); } 
if(BgL_testz00_2424)
{ /* ./Module/impuse.scm 376 */
CELL_SET(BgL_armed1782z00_1800, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* ./Module/impuse.scm 376 */
return BFALSE;} } } } } 
}



/* <anonymous:2340> */
obj_t BGl_zc3anonymousza32340ze3z83zzmodule_impusez00(obj_t BgL_envz00_1802)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 376 */
{ /* ./Module/impuse.scm 377 */
obj_t BgL_portz00_1803;obj_t BgL_modulez00_1804;obj_t BgL_imodez00_1805;obj_t BgL_wantedz00_1806;obj_t BgL_fnamesz00_1807;
{ /* ./Module/impuse.scm 377 */
int BgL_auxz00_2428;
BgL_auxz00_2428 = 
(int)(((long)0)); 
BgL_portz00_1803 = 
PROCEDURE_REF(BgL_envz00_1802, BgL_auxz00_2428); } 
{ /* ./Module/impuse.scm 377 */
int BgL_auxz00_2431;
BgL_auxz00_2431 = 
(int)(((long)1)); 
BgL_modulez00_1804 = 
PROCEDURE_REF(BgL_envz00_1802, BgL_auxz00_2431); } 
{ /* ./Module/impuse.scm 377 */
int BgL_auxz00_2434;
BgL_auxz00_2434 = 
(int)(((long)2)); 
BgL_imodez00_1805 = 
PROCEDURE_REF(BgL_envz00_1802, BgL_auxz00_2434); } 
{ /* ./Module/impuse.scm 377 */
int BgL_auxz00_2437;
BgL_auxz00_2437 = 
(int)(((long)3)); 
BgL_wantedz00_1806 = 
PROCEDURE_REF(BgL_envz00_1802, BgL_auxz00_2437); } 
{ /* ./Module/impuse.scm 377 */
int BgL_auxz00_2440;
BgL_auxz00_2440 = 
(int)(((long)4)); 
BgL_fnamesz00_1807 = 
PROCEDURE_REF(BgL_envz00_1802, BgL_auxz00_2440); } 
{ 

{ /* ./Module/impuse.scm 377 */
obj_t BgL_mdeclz00_791;
{ /* ./Module/impuse.scm 377 */
obj_t BgL_list2364z00_801;
{ /* ./Module/impuse.scm 377 */
obj_t BgL_arg2366z00_802;
BgL_arg2366z00_802 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list2364z00_801 = 
MAKE_PAIR(BgL_portz00_1803, BgL_arg2366z00_802); } 
BgL_mdeclz00_791 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list2364z00_801); } 
{ /* ./Module/impuse.scm 377 */
obj_t BgL_provz00_792;
{ /* ./Module/impuse.scm 380 */
obj_t BgL_arg2356z00_799;obj_t BgL_arg2357z00_800;
BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(); 
BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(); 
BgL_arg2356z00_799 = 
BGl_consumezd2modulez12zc0zzmodule_modulez00(BgL_modulez00_1804, BgL_mdeclz00_791); 
BgL_arg2357z00_800 = 
BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00(); 
BgL_provz00_792 = 
bgl_append2(BgL_arg2356z00_799, BgL_arg2357z00_800); } 
{ /* ./Module/impuse.scm 378 */
obj_t BgL_codez00_793;
BgL_codez00_793 = 
BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00(); 
{ /* ./Module/impuse.scm 384 */
long BgL_checkz00_794;
BgL_checkz00_794 = 
BGl_modulezd2checksumzd2zzmodule_checksumz00(BgL_mdeclz00_791); 
{ /* ./Module/impuse.scm 385 */
obj_t BgL_srcz00_795;
{ /* ./Module/impuse.scm 386 */
int BgL_auxz00_2453;
BgL_auxz00_2453 = 
(int)(((long)5)); 
BgL_srcz00_795 = 
STRUCT_REF(BgL_imodez00_1805, BgL_auxz00_2453); } 
{ /* ./Module/impuse.scm 386 */

{ /* ./Module/impuse.scm 387 */
int BgL_kz00_1466;obj_t BgL_oz00_1467;
BgL_kz00_1466 = 
(int)(((long)3)); 
BgL_oz00_1467 = 
BINT(BgL_checkz00_794); 
STRUCT_SET(BgL_imodez00_1805, BgL_kz00_1466, BgL_oz00_1467); } 
{ /* ./Module/impuse.scm 389 */
obj_t BgL_arg2343z00_796;obj_t BgL_arg2344z00_797;
{ /* ./Module/impuse.scm 389 */
bool_t BgL_test2346z00_798;
BgL_test2346z00_798 = 
PAIRP(BgL_wantedz00_1806); 
if(BgL_test2346z00_798)
{ /* ./Module/impuse.scm 389 */
BgL_arg2343z00_796 = 
BGl_importzd2wantedzd2zzmodule_impusez00(BgL_provz00_792, BgL_wantedz00_1806, BgL_modulez00_1804, BgL_srcz00_795); }  else 
{ /* ./Module/impuse.scm 389 */
BgL_arg2343z00_796 = 
BGl_importzd2everythingzd2zzmodule_impusez00(BgL_provz00_792, BgL_modulez00_1804, BgL_srcz00_795); } } 
BgL_arg2344z00_797 = 
CDR(BgL_fnamesz00_1807); 
BGl_lookzd2forzd2inlinez00zzread_inlinez00(BgL_arg2343z00_796, BgL_codez00_793, BgL_portz00_1803, BgL_arg2344z00_797, BgL_modulez00_1804); } 
return 
close_input_port(BgL_portz00_1803);} } } } } } } } } 
}



/* <anonymous:2331> */
obj_t BGl_zc3anonymousza32331ze3z83zzmodule_impusez00(obj_t BgL_envz00_1808)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 376 */
{ /* ./Module/impuse.scm 376 */
obj_t BgL_zc3anonymousza32337ze3z83_1812;obj_t BgL_escapez00_1813;
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2466;
BgL_auxz00_2466 = 
(int)(((long)3)); 
BgL_zc3anonymousza32337ze3z83_1812 = 
PROCEDURE_REF(BgL_envz00_1808, BgL_auxz00_2466); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2469;
BgL_auxz00_2469 = 
(int)(((long)4)); 
BgL_escapez00_1813 = 
PROCEDURE_REF(BgL_envz00_1808, BgL_auxz00_2469); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza32337ze3z83_1812, BgL_escapez00_1813);} } } 
}



/* escape */
obj_t BGl_escapez00zzmodule_impusez00(obj_t BgL_envz00_1814, obj_t BgL_val1785z00_1816)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 376 */
{ /* ./Module/impuse.scm 376 */
obj_t BgL_an_exitd1784z00_1815;
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2473;
BgL_auxz00_2473 = 
(int)(((long)0)); 
BgL_an_exitd1784z00_1815 = 
PROCEDURE_REF(BgL_envz00_1814, BgL_auxz00_2473); } 
{ 
obj_t BgL_val1785z00_776;
BgL_val1785z00_776 = BgL_val1785z00_1816; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1784z00_1815, BgL_val1785z00_776);} } } 
}



/* <anonymous:2337> */
obj_t BGl_zc3anonymousza32337ze3z83zzmodule_impusez00(obj_t BgL_envz00_1817, obj_t BgL_escz00_1820, obj_t BgL_objz00_1821, obj_t BgL_procz00_1822, obj_t BgL_msgz00_1823)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 376 */
{ /* ./Module/impuse.scm 376 */
obj_t BgL_armed1782z00_1818;obj_t BgL_handler1779z00_1819;
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2477;
BgL_auxz00_2477 = 
(int)(((long)0)); 
BgL_armed1782z00_1818 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_2477); } 
{ /* ./Module/impuse.scm 376 */
int BgL_auxz00_2480;
BgL_auxz00_2480 = 
(int)(((long)1)); 
BgL_handler1779z00_1819 = 
PROCEDURE_REF(BgL_envz00_1817, BgL_auxz00_2480); } 
{ 
obj_t BgL_escz00_785;obj_t BgL_objz00_786;obj_t BgL_procz00_787;obj_t BgL_msgz00_788;
BgL_escz00_785 = BgL_escz00_1820; 
BgL_objz00_786 = BgL_objz00_1821; 
BgL_procz00_787 = BgL_procz00_1822; 
BgL_msgz00_788 = BgL_msgz00_1823; 
CELL_SET(BgL_armed1782z00_1818, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* ./Module/impuse.scm 376 */
obj_t BgL_auxz00_2485;
BgL_auxz00_2485 = 
CELL_REF(BgL_handler1779z00_1819); 
return 
PROCEDURE_ENTRY(BgL_auxz00_2485)(
CELL_REF(BgL_handler1779z00_1819), BgL_escz00_785, BgL_objz00_786, BgL_procz00_787, BgL_msgz00_788, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzmodule_impusez00(obj_t BgL_envz00_1825, obj_t BgL_escapez00_1827, obj_t BgL_procz00_1828, obj_t BgL_mesz00_1829, obj_t BgL_objz00_1830)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 371 */
{ /* ./Module/impuse.scm 372 */
obj_t BgL_portz00_1826;
{ /* ./Module/impuse.scm 372 */
int BgL_auxz00_2486;
BgL_auxz00_2486 = 
(int)(((long)0)); 
BgL_portz00_1826 = 
PROCEDURE_REF(BgL_envz00_1825, BgL_auxz00_2486); } 
{ 
obj_t BgL_escapez00_805;obj_t BgL_procz00_806;obj_t BgL_mesz00_807;obj_t BgL_objz00_808;
BgL_escapez00_805 = BgL_escapez00_1827; 
BgL_procz00_806 = BgL_procz00_1828; 
BgL_mesz00_807 = BgL_mesz00_1829; 
BgL_objz00_808 = BgL_objz00_1830; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_806, BgL_mesz00_807, BgL_objz00_808); 
{ /* ./Module/impuse.scm 373 */
obj_t BgL_arg2373z00_1471;
BgL_arg2373z00_1471 = 
BGL_CURRENT_ERROR_PORT(); 
FLUSH_OUTPUT_PORT(BgL_arg2373z00_1471); } 
close_input_port(BgL_portz00_1826); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-7)));} } } 
}



/* import-everything */
obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t BgL_providedz00_62, obj_t BgL_modulez00_63, obj_t BgL_srcz00_64)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 402 */
{ 
obj_t BgL_providedz00_831;obj_t BgL_inlinez00_832;
BgL_providedz00_831 = BgL_providedz00_62; 
BgL_inlinez00_832 = BNIL; 
BgL_loopz00_833:
{ /* ./Module/impuse.scm 405 */
bool_t BgL_test2423z00_834;
BgL_test2423z00_834 = 
NULLP(BgL_providedz00_831); 
if(BgL_test2423z00_834)
{ /* ./Module/impuse.scm 405 */
return BgL_inlinez00_832;}  else 
{ /* ./Module/impuse.scm 407 */
obj_t BgL_pz00_835;
{ /* ./Module/impuse.scm 407 */
obj_t BgL_arg2457z00_850;
BgL_arg2457z00_850 = 
CAR(BgL_providedz00_831); 
{ /* ./Module/impuse.scm 407 */
obj_t BgL_list2459z00_851;
BgL_list2459z00_851 = 
MAKE_PAIR(BgL_srcz00_64, BNIL); 
BgL_pz00_835 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_63, BgL_arg2457z00_850, BgL_list2459z00_851); } } 
{ /* ./Module/impuse.scm 408 */
bool_t BgL_test2424z00_836;
BgL_test2424z00_836 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_835, BGl_globalz00zzast_varz00); 
if(BgL_test2424z00_836)
{ /* ./Module/impuse.scm 409 */
BgL_valuez00_bglt BgL_valz00_837;
{ /* ./Module/impuse.scm 409 */
BgL_variablez00_bglt BgL_obj1324z00_1488;
BgL_obj1324z00_1488 = 
(BgL_variablez00_bglt)(BgL_pz00_835); 
BgL_valz00_837 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1324z00_1488))->BgL_valuez00); } 
{ /* ./Module/impuse.scm 410 */
obj_t BgL_arg2426z00_838;obj_t BgL_arg2428z00_839;
BgL_arg2426z00_838 = 
CDR(BgL_providedz00_831); 
{ /* ./Module/impuse.scm 412 */
bool_t BgL_test2431z00_840;
{ /* ./Module/impuse.scm 412 */
bool_t BgL_test2446z00_847;
BgL_test2446z00_847 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_835, BGl_globalz00zzast_varz00); 
if(BgL_test2446z00_847)
{ /* ./Module/impuse.scm 413 */
bool_t BgL_test2447z00_848;
{ /* ./Module/impuse.scm 413 */
obj_t BgL_obj1647z00_1491;
BgL_obj1647z00_1491 = 
(obj_t)(BgL_valz00_837); 
BgL_test2447z00_848 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1647z00_1491, BGl_sfunz00zzast_varz00); } 
if(BgL_test2447z00_848)
{ /* ./Module/impuse.scm 413 */
BgL_test2431z00_840 = ((bool_t)0); }  else 
{ /* ./Module/impuse.scm 413 */
BgL_test2431z00_840 = ((bool_t)1); } }  else 
{ /* ./Module/impuse.scm 412 */
BgL_test2431z00_840 = ((bool_t)1); } } 
if(BgL_test2431z00_840)
{ /* ./Module/impuse.scm 412 */
BgL_arg2428z00_839 = BgL_inlinez00_832; }  else 
{ /* ./Module/impuse.scm 415 */
bool_t BgL_test2432z00_841;
{ /* ./Module/impuse.scm 415 */
obj_t BgL_auxz00_2514;obj_t BgL_auxz00_2511;
BgL_auxz00_2514 = 
CNST_TABLE_REF(((long)22)); 
{ /* ./Module/impuse.scm 415 */
BgL_sfunz00_bglt BgL_obj1597z00_1492;
BgL_obj1597z00_1492 = 
(BgL_sfunz00_bglt)(BgL_valz00_837); 
BgL_auxz00_2511 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1597z00_1492))->BgL_classz00); } 
BgL_test2432z00_841 = 
(BgL_auxz00_2511==BgL_auxz00_2514); } 
if(BgL_test2432z00_841)
{ /* ./Module/impuse.scm 415 */
{ /* ./Module/impuse.scm 416 */
obj_t BgL_arg2434z00_842;
{ /* ./Module/impuse.scm 416 */
obj_t BgL_arg2437z00_843;obj_t BgL_arg2438z00_844;
{ /* ./Module/impuse.scm 416 */
BgL_variablez00_bglt BgL_obj1317z00_1493;
BgL_obj1317z00_1493 = 
(BgL_variablez00_bglt)(BgL_pz00_835); 
BgL_arg2437z00_843 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1317z00_1493))->BgL_idz00); } 
BgL_arg2438z00_844 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2434z00_842 = 
MAKE_PAIR(BgL_arg2437z00_843, BgL_arg2438z00_844); } 
BgL_arg2428z00_839 = 
MAKE_PAIR(BgL_arg2434z00_842, BgL_inlinez00_832); } }  else 
{ /* ./Module/impuse.scm 415 */
BgL_arg2428z00_839 = BgL_inlinez00_832; } } } 
{ 
obj_t BgL_inlinez00_2524;obj_t BgL_providedz00_2523;
BgL_providedz00_2523 = BgL_arg2426z00_838; 
BgL_inlinez00_2524 = BgL_arg2428z00_839; 
BgL_inlinez00_832 = BgL_inlinez00_2524; 
BgL_providedz00_831 = BgL_providedz00_2523; 
goto BgL_loopz00_833;} } }  else 
{ /* ./Module/impuse.scm 419 */
obj_t BgL_arg2452z00_849;
BgL_arg2452z00_849 = 
CDR(BgL_providedz00_831); 
{ 
obj_t BgL_providedz00_2526;
BgL_providedz00_2526 = BgL_arg2452z00_849; 
BgL_providedz00_831 = BgL_providedz00_2526; 
goto BgL_loopz00_833;} } } } } } } 
}



/* import-wanted */
obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t BgL_providedz00_65, obj_t BgL_wantedz00_66, obj_t BgL_modulez00_67, obj_t BgL_srcz00_68)
{ AN_OBJECT;
{ /* ./Module/impuse.scm 424 */
{ 
obj_t BgL_providedz00_852;obj_t BgL_inlinez00_853;obj_t BgL_wantedz00_854;
BgL_providedz00_852 = BgL_providedz00_65; 
BgL_inlinez00_853 = BNIL; 
BgL_wantedz00_854 = BgL_wantedz00_66; 
BgL_loopz00_855:
{ /* ./Module/impuse.scm 431 */
bool_t BgL_test2464z00_856;
BgL_test2464z00_856 = 
NULLP(BgL_wantedz00_854); 
if(BgL_test2464z00_856)
{ /* ./Module/impuse.scm 431 */
return BgL_inlinez00_853;}  else 
{ /* ./Module/impuse.scm 433 */
bool_t BgL_test2465z00_857;
BgL_test2465z00_857 = 
NULLP(BgL_providedz00_852); 
if(BgL_test2465z00_857)
{ /* ./Module/impuse.scm 433 */
{ /* ./Module/impuse.scm 434 */
obj_t BgL_arg2467z00_858;
BgL_arg2467z00_858 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/impuse.scm 434 */
obj_t BgL_list2471z00_861;
BgL_list2471z00_861 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2467z00_858, BgL_modulez00_67, BGl_string2968z00zzmodule_impusez00, BgL_wantedz00_854, BgL_list2471z00_861);} } }  else 
{ /* ./Module/impuse.scm 433 */
{ /* ./Module/impuse.scm 440 */
obj_t BgL_protoz00_862;
{ /* ./Module/impuse.scm 440 */
obj_t BgL_arg2535z00_887;
BgL_arg2535z00_887 = 
CAR(BgL_providedz00_852); 
BgL_protoz00_862 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_arg2535z00_887); } 
{ /* ./Module/impuse.scm 441 */
bool_t BgL_test2474z00_863;
BgL_test2474z00_863 = 
PAIRP(BgL_protoz00_862); 
if(BgL_test2474z00_863)
{ /* ./Module/impuse.scm 442 */
obj_t BgL_idz00_864;
{ /* ./Module/impuse.scm 442 */
obj_t BgL_arg2521z00_883;obj_t BgL_arg2522z00_884;
{ /* ./Module/impuse.scm 442 */
obj_t BgL_auxz00_2538;
BgL_auxz00_2538 = 
CDR(BgL_protoz00_862); 
BgL_arg2521z00_883 = 
CAR(BgL_auxz00_2538); } 
{ /* ./Module/impuse.scm 443 */
obj_t BgL_arg2526z00_885;
BgL_arg2526z00_885 = 
CAR(BgL_providedz00_852); 
BgL_arg2522z00_884 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_arg2526z00_885); } 
BgL_idz00_864 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_arg2521z00_883, BgL_arg2522z00_884); } 
{ /* ./Module/impuse.scm 444 */
bool_t BgL_test2475z00_865;
{ /* ./Module/impuse.scm 444 */
obj_t BgL_auxz00_2544;
BgL_auxz00_2544 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_864, BgL_wantedz00_854); 
BgL_test2475z00_865 = 
CBOOL(BgL_auxz00_2544); } 
if(BgL_test2475z00_865)
{ /* ./Module/impuse.scm 448 */
obj_t BgL_pz00_866;
{ /* ./Module/impuse.scm 448 */
obj_t BgL_arg2510z00_880;
BgL_arg2510z00_880 = 
CAR(BgL_providedz00_852); 
{ /* ./Module/impuse.scm 448 */
obj_t BgL_list2512z00_881;
BgL_list2512z00_881 = 
MAKE_PAIR(BgL_srcz00_68, BNIL); 
BgL_pz00_866 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_67, BgL_arg2510z00_880, BgL_list2512z00_881); } } 
{ /* ./Module/impuse.scm 450 */
bool_t BgL_test2476z00_867;
BgL_test2476z00_867 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_866, BGl_globalz00zzast_varz00); 
if(BgL_test2476z00_867)
{ /* ./Module/impuse.scm 450 */
{ /* ./Module/impuse.scm 451 */
obj_t BgL_arg2478z00_868;obj_t BgL_arg2479z00_869;obj_t BgL_arg2480z00_870;
BgL_arg2478z00_868 = 
CDR(BgL_providedz00_852); 
{ /* ./Module/impuse.scm 453 */
bool_t BgL_test2483z00_871;
{ /* ./Module/impuse.scm 453 */
obj_t BgL_auxz00_2556;obj_t BgL_auxz00_2554;
BgL_auxz00_2556 = 
CNST_TABLE_REF(((long)22)); 
BgL_auxz00_2554 = 
CAR(BgL_protoz00_862); 
BgL_test2483z00_871 = 
(BgL_auxz00_2554==BgL_auxz00_2556); } 
if(BgL_test2483z00_871)
{ /* ./Module/impuse.scm 453 */
{ /* ./Module/impuse.scm 454 */
obj_t BgL_arg2485z00_872;
{ /* ./Module/impuse.scm 454 */
obj_t BgL_auxz00_2560;
BgL_auxz00_2560 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2485z00_872 = 
MAKE_PAIR(BgL_idz00_864, BgL_auxz00_2560); } 
BgL_arg2479z00_869 = 
MAKE_PAIR(BgL_arg2485z00_872, BgL_inlinez00_853); } }  else 
{ /* ./Module/impuse.scm 453 */
BgL_arg2479z00_869 = BgL_inlinez00_853; } } 
BgL_arg2480z00_870 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_864, BgL_wantedz00_854); 
{ 
obj_t BgL_wantedz00_2567;obj_t BgL_inlinez00_2566;obj_t BgL_providedz00_2565;
BgL_providedz00_2565 = BgL_arg2478z00_868; 
BgL_inlinez00_2566 = BgL_arg2479z00_869; 
BgL_wantedz00_2567 = BgL_arg2480z00_870; 
BgL_wantedz00_854 = BgL_wantedz00_2567; 
BgL_inlinez00_853 = BgL_inlinez00_2566; 
BgL_providedz00_852 = BgL_providedz00_2565; 
goto BgL_loopz00_855;} } }  else 
{ /* ./Module/impuse.scm 458 */
bool_t BgL_test2494z00_875;
BgL_test2494z00_875 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_866, BGl_typez00zztype_typez00); 
if(BgL_test2494z00_875)
{ /* ./Module/impuse.scm 458 */
{ /* ./Module/impuse.scm 459 */
obj_t BgL_arg2496z00_876;obj_t BgL_arg2497z00_877;
BgL_arg2496z00_876 = 
CDR(BgL_providedz00_852); 
BgL_arg2497z00_877 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_864, BgL_wantedz00_854); 
{ 
obj_t BgL_wantedz00_2573;obj_t BgL_providedz00_2572;
BgL_providedz00_2572 = BgL_arg2496z00_876; 
BgL_wantedz00_2573 = BgL_arg2497z00_877; 
BgL_wantedz00_854 = BgL_wantedz00_2573; 
BgL_providedz00_852 = BgL_providedz00_2572; 
goto BgL_loopz00_855;} } }  else 
{ /* ./Module/impuse.scm 458 */
{ /* ./Module/impuse.scm 463 */
obj_t BgL_arg2502z00_878;obj_t BgL_arg2503z00_879;
BgL_arg2502z00_878 = 
CDR(BgL_providedz00_852); 
BgL_arg2503z00_879 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_864, BgL_wantedz00_854); 
{ 
obj_t BgL_wantedz00_2577;obj_t BgL_providedz00_2576;
BgL_providedz00_2576 = BgL_arg2502z00_878; 
BgL_wantedz00_2577 = BgL_arg2503z00_879; 
BgL_wantedz00_854 = BgL_wantedz00_2577; 
BgL_providedz00_852 = BgL_providedz00_2576; 
goto BgL_loopz00_855;} } } } } }  else 
{ /* ./Module/impuse.scm 445 */
obj_t BgL_arg2516z00_882;
BgL_arg2516z00_882 = 
CDR(BgL_providedz00_852); 
{ 
obj_t BgL_providedz00_2579;
BgL_providedz00_2579 = BgL_arg2516z00_882; 
BgL_providedz00_852 = BgL_providedz00_2579; 
goto BgL_loopz00_855;} } } }  else 
{ /* ./Module/impuse.scm 466 */
obj_t BgL_arg2530z00_886;
BgL_arg2530z00_886 = 
CDR(BgL_providedz00_852); 
{ 
obj_t BgL_providedz00_2581;
BgL_providedz00_2581 = BgL_arg2530z00_886; 
BgL_providedz00_852 = BgL_providedz00_2581; 
goto BgL_loopz00_855;} } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* ./Module/impuse.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)38783), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long)9611), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long)54092), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_accessz00(((long)2266), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_inlinez00(((long)26859), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)59854), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)31087), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_impuse"); 
return 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), "module_impuse");} 
}

