/*===========================================================================*/
/*   (Module/load.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/load.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_loadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_methodzd2initzd2zzmodule_loadz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31588ze3z83zzmodule_loadz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31589ze3z83zzmodule_loadz00(obj_t);
static obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t, obj_t);
static obj_t BGl__loadzd2producerzd2zzmodule_loadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_loadzd2modulezd2zzread_loadz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_loadz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00();
static obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_loadz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00();
static obj_t BGl__makezd2loadzd2compilerz00zzmodule_loadz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc1830z00zzmodule_loadz00, BgL_bgl_za7c3anonymousza7a31588za7e3za783za7za7module_loadza7001863za7, BGl_zc3anonymousza31588ze3z83zzmodule_loadz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc1829z00zzmodule_loadz00, BgL_bgl_za7c3anonymousza7a31589za7e3za783za7za7module_loadza7001864za7, BGl_zc3anonymousza31589ze3z83zzmodule_loadz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2loadzd2compilerzd2envzd2zzmodule_loadz00, BgL_bgl__makeza7d2loadza7d2compilerza700za7za7module_loadza7001865z00, BGl__makezd2loadzd2compilerz00zzmodule_loadz00, 0L, 0 );
DEFINE_STRING( BGl_string1836z00zzmodule_loadz00, BgL_bgl_string1836za700za7za7module_loadza7001866z00, "void load ", 10 );
DEFINE_STRING( BGl_string1835z00zzmodule_loadz00, BgL_bgl_string1835za700za7za7module_loadza7001867z00, "Can't load module", 17 );
DEFINE_STRING( BGl_string1834z00zzmodule_loadz00, BgL_bgl_string1834za700za7za7module_loadza7001868z00, "load", 4 );
DEFINE_STRING( BGl_string1833z00zzmodule_loadz00, BgL_bgl_string1833za700za7za7module_loadza7001869z00, "Illegal load clause", 19 );
DEFINE_STRING( BGl_string1832z00zzmodule_loadz00, BgL_bgl_string1832za700za7za7module_loadza7001870z00, "Illegal `load' clause", 21 );
DEFINE_STRING( BGl_string1831z00zzmodule_loadz00, BgL_bgl_string1831za700za7za7module_loadza7001871z00, "Parse error", 11 );
DEFINE_STATIC_PROCEDURE( BGl_loadzd2producerzd2envz00zzmodule_loadz00, BgL_bgl__loadza7d2producerza7d2za7za7module_loadza7001872za7, BGl__loadzd2producerzd2zzmodule_loadz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long BgL_checksumz00_761, char * BgL_fromz00_762)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_loadz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_loadz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_loadz00(); 
BGl_cnstzd2initzd2zzmodule_loadz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_loadz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_load"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_load"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_load"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
{ /* ./Module/load.scm 15 */
obj_t BgL_cportz00_754;
BgL_cportz00_754 = 
open_input_string(BGl_string1836z00zzmodule_loadz00); 
{ 
long BgL_iz00_755;
BgL_iz00_755 = ((long)1); 
BgL_loopz00_756:
{ /* ./Module/load.scm 15 */
bool_t BgL_test1838z00_757;
BgL_test1838z00_757 = 
(BgL_iz00_755==((long)-1)); 
if(BgL_test1838z00_757)
{ /* ./Module/load.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/load.scm 15 */
{ /* ./Module/load.scm 15 */
obj_t BgL_arg1841z00_758;
{ /* ./Module/load.scm 15 */
obj_t BgL_list1844z00_759;
BgL_list1844z00_759 = 
MAKE_PAIR(BgL_cportz00_754, BNIL); 
BgL_arg1841z00_758 = 
BGl_readz00zz__readerz00(BgL_list1844z00_759); } 
{ /* ./Module/load.scm 15 */
int BgL_auxz00_777;
BgL_auxz00_777 = 
(int)(BgL_iz00_755); 
CNST_TABLE_SET(BgL_auxz00_777, BgL_arg1841z00_758); } } 
{ /* ./Module/load.scm 15 */
int BgL_auxz00_760;
{ /* ./Module/load.scm 15 */
long BgL_auxz00_780;
BgL_auxz00_780 = 
(BgL_iz00_755-((long)1)); 
BgL_auxz00_760 = 
(int)(BgL_auxz00_780); } 
{ 
long BgL_iz00_783;
BgL_iz00_783 = 
(long)(BgL_auxz00_760); 
BgL_iz00_755 = BgL_iz00_783; 
goto BgL_loopz00_756;} } } } } } } 
}



/* make-load-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 30 */
{ /* ./Module/load.scm 31 */
obj_t BgL_arg1580z00_357;obj_t BgL_arg1581z00_358;
BgL_arg1580z00_357 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1581z00_358 = BGl_loadzd2producerzd2envz00zzmodule_loadz00; 
{ /* ./Module/load.scm 31 */
BgL_ccompz00_bglt BgL_res1805z00_553;
{ /* ./Module/load.scm 31 */
BgL_ccompz00_bglt BgL_new1021z00_538;
{ /* ./Module/load.scm 31 */
BgL_ccompz00_bglt BgL_res1803z00_544;
{ /* ./Module/load.scm 31 */
BgL_ccompz00_bglt BgL_new1023z00_539;
BgL_new1023z00_539 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/load.scm 31 */
long BgL_arg1789z00_540;
BgL_arg1789z00_540 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/load.scm 31 */
BgL_objectz00_bglt BgL_objz00_541;
BgL_objz00_541 = 
(BgL_objectz00_bglt)(BgL_new1023z00_539); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_541, BgL_arg1789z00_540); } } 
{ /* ./Module/load.scm 31 */
BgL_objectz00_bglt BgL_auxz00_790;
BgL_auxz00_790 = 
(BgL_objectz00_bglt)(BgL_new1023z00_539); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_790, BFALSE); } 
{ /* ./Module/load.scm 31 */
obj_t BgL_objz00_543;
BgL_objz00_543 = 
(obj_t)(BgL_new1023z00_539); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_543); BUNSPEC; } 
BgL_res1803z00_544 = BgL_new1023z00_539; } 
BgL_new1021z00_538 = BgL_res1803z00_544; } 
{ /* ./Module/load.scm 31 */
BgL_ccompz00_bglt BgL_res1804z00_552;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_538))->BgL_idz00) = ((obj_t)BgL_arg1580z00_357), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_538))->BgL_producerz00) = ((obj_t)BgL_arg1581z00_358), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_538))->BgL_consumerz00) = ((obj_t)BGl_proc1830z00zzmodule_loadz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_538))->BgL_finaliza7erza7) = ((obj_t)BGl_proc1829z00zzmodule_loadz00), BUNSPEC); 
BgL_res1804z00_552 = BgL_new1021z00_538; BgL_res1804z00_552; } 
BgL_res1805z00_553 = BgL_new1021z00_538; } 
return 
(obj_t)(BgL_res1805z00_553);} } } 
}



/* _make-load-compiler */
obj_t BGl__makezd2loadzd2compilerz00zzmodule_loadz00(obj_t BgL_envz00_747)
{ AN_OBJECT;
{ /* ./Module/load.scm 30 */
return 
BGl_makezd2loadzd2compilerz00zzmodule_loadz00();} 
}



/* <anonymous:1589> */
obj_t BGl_zc3anonymousza31589ze3z83zzmodule_loadz00(obj_t BgL_envz00_748)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1588> */
obj_t BGl_zc3anonymousza31588ze3z83zzmodule_loadz00(obj_t BgL_envz00_749, obj_t BgL_mz00_750, obj_t BgL_cz00_751)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_361;obj_t BgL_cz00_362;
BgL_mz00_361 = BgL_mz00_750; 
BgL_cz00_362 = BgL_cz00_751; 
return BNIL;} } 
}



/* load-producer */
obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t BgL_clausez00_1)
{ AN_OBJECT;
{ /* ./Module/load.scm 37 */
{ 
obj_t BgL_protosz00_367;
{ /* ./Module/load.scm 38 */
bool_t BgL_test1590z00_371;
BgL_test1590z00_371 = 
PAIRP(BgL_clausez00_1); 
if(BgL_test1590z00_371)
{ /* ./Module/load.scm 38 */
obj_t BgL_arg1592z00_372;
BgL_arg1592z00_372 = 
CDR(BgL_clausez00_1); 
{ /* ./Module/load.scm 38 */
bool_t BgL_auxz00_805;
BgL_protosz00_367 = BgL_arg1592z00_372; 
{ 
obj_t BgL_l1576z00_373;
BgL_l1576z00_373 = BgL_protosz00_367; 
BgL_forzd2each1577zd2_374:
{ /* ./Module/load.scm 40 */
bool_t BgL_test1598z00_375;
BgL_test1598z00_375 = 
PAIRP(BgL_l1576z00_373); 
if(BgL_test1598z00_375)
{ /* ./Module/load.scm 40 */
{ /* ./Module/load.scm 40 */
obj_t BgL_protoz00_376;
BgL_protoz00_376 = 
CAR(BgL_l1576z00_373); 
BGl_loadzd2parserzd2zzmodule_loadz00(BgL_protoz00_376, BgL_clausez00_1); } 
{ /* ./Module/load.scm 40 */
obj_t BgL_arg1602z00_377;
BgL_arg1602z00_377 = 
CDR(BgL_l1576z00_373); 
{ 
obj_t BgL_l1576z00_811;
BgL_l1576z00_811 = BgL_arg1602z00_377; 
BgL_l1576z00_373 = BgL_l1576z00_811; 
goto BgL_forzd2each1577zd2_374;} } }  else 
{ /* ./Module/load.scm 40 */
BgL_auxz00_805 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_805);} }  else 
{ /* ./Module/load.scm 38 */
{ /* ./Module/load.scm 42 */
obj_t BgL_list1607z00_378;
BgL_list1607z00_378 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1831z00zzmodule_loadz00, BGl_string1832z00zzmodule_loadz00, BgL_clausez00_1, BgL_list1607z00_378);} } } } } 
}



/* _load-producer */
obj_t BGl__loadzd2producerzd2zzmodule_loadz00(obj_t BgL_envz00_752, obj_t BgL_clausez00_753)
{ AN_OBJECT;
{ /* ./Module/load.scm 37 */
return 
BGl_loadzd2producerzd2zzmodule_loadz00(BgL_clausez00_753);} 
}



/* load-parser */
obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t BgL_protoz00_2, obj_t BgL_clausez00_3)
{ AN_OBJECT;
{ /* ./Module/load.scm 50 */
{ 
obj_t BgL_modulez00_379;obj_t BgL_filez00_380;obj_t BgL_filesz00_381;
{ /* ./Module/load.scm 51 */
bool_t BgL_test1609z00_386;
BgL_test1609z00_386 = 
PAIRP(BgL_protoz00_2); 
if(BgL_test1609z00_386)
{ /* ./Module/load.scm 51 */
obj_t BgL_carzd2119zd2_387;obj_t BgL_cdrzd2120zd2_388;
BgL_carzd2119zd2_387 = 
CAR(BgL_protoz00_2); 
BgL_cdrzd2120zd2_388 = 
CDR(BgL_protoz00_2); 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1610z00_389;
BgL_test1610z00_389 = 
SYMBOLP(BgL_carzd2119zd2_387); 
if(BgL_test1610z00_389)
{ /* ./Module/load.scm 51 */
bool_t BgL_test1611z00_390;
BgL_test1611z00_390 = 
PAIRP(BgL_cdrzd2120zd2_388); 
if(BgL_test1611z00_390)
{ /* ./Module/load.scm 51 */
obj_t BgL_carzd2125zd2_391;
BgL_carzd2125zd2_391 = 
CAR(BgL_cdrzd2120zd2_388); 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1612z00_392;
BgL_test1612z00_392 = 
STRINGP(BgL_carzd2125zd2_391); 
if(BgL_test1612z00_392)
{ /* ./Module/load.scm 51 */
obj_t BgL_arg1614z00_393;
BgL_arg1614z00_393 = 
CDR(BgL_cdrzd2120zd2_388); 
BgL_modulez00_379 = BgL_carzd2119zd2_387; 
BgL_filez00_380 = BgL_carzd2125zd2_391; 
BgL_filesz00_381 = BgL_arg1614z00_393; 
{ 
obj_t BgL_fz00_398;
BgL_fz00_398 = BgL_filesz00_381; 
BgL_loopz00_399:
{ /* ./Module/load.scm 55 */
bool_t BgL_test1641z00_400;
BgL_test1641z00_400 = 
NULLP(BgL_fz00_398); 
if(BgL_test1641z00_400)
{ /* ./Module/load.scm 55 */
{ /* ./Module/load.scm 56 */
obj_t BgL_arg1643z00_401;
BgL_arg1643z00_401 = 
MAKE_PAIR(BgL_filez00_380, BgL_filesz00_381); 
return 
BGl_loadzd2modulezd2zzread_loadz00(BgL_modulez00_379, BgL_arg1643z00_401);} }  else 
{ /* ./Module/load.scm 57 */
bool_t BgL_test1646z00_402;
{ /* ./Module/load.scm 57 */
obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
CAR(BgL_fz00_398); 
BgL_test1646z00_402 = 
STRINGP(BgL_auxz00_832); } 
if(BgL_test1646z00_402)
{ /* ./Module/load.scm 57 */
{ /* ./Module/load.scm 60 */
obj_t BgL_arg1649z00_403;
BgL_arg1649z00_403 = 
CDR(BgL_fz00_398); 
{ 
obj_t BgL_fz00_837;
BgL_fz00_837 = BgL_arg1649z00_403; 
BgL_fz00_398 = BgL_fz00_837; 
goto BgL_loopz00_399;} } }  else 
{ /* ./Module/load.scm 57 */
{ /* ./Module/load.scm 58 */
obj_t BgL_list1653z00_404;
BgL_list1653z00_404 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1831z00zzmodule_loadz00, BGl_string1833z00zzmodule_loadz00, BgL_clausez00_3, BgL_list1653z00_404);} } } } } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1617z00_394;
BgL_test1617z00_394 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1617z00_394)
{ /* ./Module/load.scm 51 */
BgL_tagzd2110zd2_383:
{ /* ./Module/load.scm 62 */
obj_t BgL_bz00_406;
BgL_bz00_406 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_protoz00_2, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
if(
CBOOL(BgL_bz00_406))
{ /* ./Module/load.scm 65 */
obj_t BgL_arg1663z00_407;
BgL_arg1663z00_407 = 
CDR(BgL_bz00_406); 
return 
BGl_loadzd2modulezd2zzread_loadz00(BgL_protoz00_2, BgL_arg1663z00_407);}  else 
{ /* ./Module/load.scm 63 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1834z00zzmodule_loadz00, BGl_string1835z00zzmodule_loadz00, BgL_protoz00_2, BNIL);} } }  else 
{ /* ./Module/load.scm 51 */
BgL_tagzd2111zd2_384:
{ /* ./Module/load.scm 67 */
obj_t BgL_list1670z00_409;
BgL_list1670z00_409 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1831z00zzmodule_loadz00, BGl_string1833z00zzmodule_loadz00, BgL_clausez00_3, BgL_list1670z00_409);} } } } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1623z00_395;
BgL_test1623z00_395 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1623z00_395)
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2110zd2_383;}  else 
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2111zd2_384;} } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1628z00_396;
BgL_test1628z00_396 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1628z00_396)
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2110zd2_383;}  else 
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2111zd2_384;} } } }  else 
{ /* ./Module/load.scm 51 */
bool_t BgL_test1635z00_397;
BgL_test1635z00_397 = 
SYMBOLP(BgL_protoz00_2); 
if(BgL_test1635z00_397)
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2110zd2_383;}  else 
{ /* ./Module/load.scm 51 */
goto BgL_tagzd2111zd2_384;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00()
{ AN_OBJECT;
{ /* ./Module/load.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_load"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_load"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_load"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_load"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_load"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "module_load"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "module_load"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "module_load"); 
return 
BGl_modulezd2initializa7ationz75zzread_loadz00(((long)11987), "module_load");} 
}

