/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/pragma.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t, BgL_variablez00_bglt);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
extern obj_t BGl_funz00zzast_varz00;
static obj_t BGl_zc3anonymousza31594ze3z83zzmodule_pragmaz00(obj_t, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31599ze3z83zzmodule_pragmaz00(obj_t, obj_t);
static bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t, obj_t, obj_t);
static obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00();
BGL_EXPORTED_DECL obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
static obj_t BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00(obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
static obj_t BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 11 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc2065z00zzmodule_pragmaz00, BgL_bgl_za7c3anonymousza7a31594za7e3za783za7za7module_pragmaza7002107za7, BGl_zc3anonymousza31594ze3z83zzmodule_pragmaz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00, BgL_bgl__makeza7d2pragmaza7d2compilerza700za7za7module_pragmaza7002108z00, BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00, 0L, 0 );
DEFINE_STRING( BGl_string2080z00zzmodule_pragmaz00, BgL_bgl_string2080za700za7za7module_pragmaza7002109z00, "coerce predicate-of nesting no-trace allocator no-cfa-top side-effect-free void @ foreign pragma ", 97 );
DEFINE_STRING( BGl_string2079z00zzmodule_pragmaz00, BgL_bgl_string2079za700za7za7module_pragmaza7002110z00, "predicate-of", 12 );
DEFINE_STRING( BGl_string2078z00zzmodule_pragmaz00, BgL_bgl_string2078za700za7za7module_pragmaza7002111z00, "Illegal `pragma' form", 21 );
DEFINE_STRING( BGl_string2077z00zzmodule_pragmaz00, BgL_bgl_string2077za700za7za7module_pragmaza7002112z00, "no-trace", 8 );
DEFINE_STRING( BGl_string2076z00zzmodule_pragmaz00, BgL_bgl_string2076za700za7za7module_pragmaza7002113z00, "allocator", 9 );
DEFINE_STRING( BGl_string2075z00zzmodule_pragmaz00, BgL_bgl_string2075za700za7za7module_pragmaza7002114z00, "no-cfa-top", 10 );
DEFINE_STRING( BGl_string2074z00zzmodule_pragmaz00, BgL_bgl_string2074za700za7za7module_pragmaza7002115z00, "side-effect-free", 16 );
DEFINE_STRING( BGl_string2073z00zzmodule_pragmaz00, BgL_bgl_string2073za700za7za7module_pragmaza7002116z00, "property is not concerning a function", 37 );
DEFINE_STRING( BGl_string2072z00zzmodule_pragmaz00, BgL_bgl_string2072za700za7za7module_pragmaza7002117z00, ")", 1 );
DEFINE_STRING( BGl_string2071z00zzmodule_pragmaz00, BgL_bgl_string2071za700za7za7module_pragmaza7002118z00, "pragma(", 7 );
DEFINE_STRING( BGl_string2070z00zzmodule_pragmaz00, BgL_bgl_string2070za700za7za7module_pragmaza7002119z00, "Illegal `pragma' finalizer form", 31 );
DEFINE_STRING( BGl_string2069z00zzmodule_pragmaz00, BgL_bgl_string2069za700za7za7module_pragmaza7002120z00, "pragma-finalizer", 16 );
DEFINE_STRING( BGl_string2068z00zzmodule_pragmaz00, BgL_bgl_string2068za700za7za7module_pragmaza7002121z00, "Can't find global variable -- ", 30 );
DEFINE_STRING( BGl_string2067z00zzmodule_pragmaz00, BgL_bgl_string2067za700za7za7module_pragmaza7002122z00, "Illegal `pragma' clause", 23 );
DEFINE_STRING( BGl_string2066z00zzmodule_pragmaz00, BgL_bgl_string2066za700za7za7module_pragmaza7002123z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00, BgL_bgl__pragmaza7d2finaliza7a7erza775za7za7module_pragmaza7002124z00, BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long BgL_checksumz00_913, char * BgL_fromz00_914)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00(); 
BGl_cnstzd2initzd2zzmodule_pragmaz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00(); 
BGl_toplevelzd2initzd2zzmodule_pragmaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_pragma"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_pragma"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_pragma"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 15 */
{ /* ./Module/pragma.scm 15 */
obj_t BgL_cportz00_906;
BgL_cportz00_906 = 
open_input_string(BGl_string2080z00zzmodule_pragmaz00); 
{ 
long BgL_iz00_907;
BgL_iz00_907 = ((long)10); 
BgL_loopz00_908:
{ /* ./Module/pragma.scm 15 */
bool_t BgL_test2082z00_909;
BgL_test2082z00_909 = 
(BgL_iz00_907==((long)-1)); 
if(BgL_test2082z00_909)
{ /* ./Module/pragma.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/pragma.scm 15 */
{ /* ./Module/pragma.scm 15 */
obj_t BgL_arg2084z00_910;
{ /* ./Module/pragma.scm 15 */
obj_t BgL_list2087z00_911;
BgL_list2087z00_911 = 
MAKE_PAIR(BgL_cportz00_906, BNIL); 
BgL_arg2084z00_910 = 
BGl_readz00zz__readerz00(BgL_list2087z00_911); } 
{ /* ./Module/pragma.scm 15 */
int BgL_auxz00_930;
BgL_auxz00_930 = 
(int)(BgL_iz00_907); 
CNST_TABLE_SET(BgL_auxz00_930, BgL_arg2084z00_910); } } 
{ /* ./Module/pragma.scm 15 */
int BgL_auxz00_912;
{ /* ./Module/pragma.scm 15 */
long BgL_auxz00_933;
BgL_auxz00_933 = 
(BgL_iz00_907-((long)1)); 
BgL_auxz00_912 = 
(int)(BgL_auxz00_933); } 
{ 
long BgL_iz00_936;
BgL_iz00_936 = 
(long)(BgL_auxz00_912); 
BgL_iz00_907 = BgL_iz00_936; 
goto BgL_loopz00_908;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 15 */
return ( 
BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC) ;} 
}



/* make-pragma-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 33 */
{ /* ./Module/pragma.scm 34 */
obj_t BgL_arg1584z00_364;obj_t BgL_arg1586z00_365;obj_t BgL_arg1591z00_367;
BgL_arg1584z00_364 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1586z00_365 = 
BGl_pragmazd2producerzd2zzmodule_pragmaz00(BGl_za2moduleza2z00zzmodule_modulez00); 
BgL_arg1591z00_367 = BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00; 
{ /* ./Module/pragma.scm 34 */
BgL_ccompz00_bglt BgL_res1989z00_653;
{ /* ./Module/pragma.scm 34 */
BgL_ccompz00_bglt BgL_new1021z00_637;
{ /* ./Module/pragma.scm 34 */
BgL_ccompz00_bglt BgL_res1987z00_643;
{ /* ./Module/pragma.scm 34 */
BgL_ccompz00_bglt BgL_new1023z00_638;
BgL_new1023z00_638 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/pragma.scm 34 */
long BgL_arg1971z00_639;
BgL_arg1971z00_639 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/pragma.scm 34 */
BgL_objectz00_bglt BgL_objz00_640;
BgL_objz00_640 = 
(BgL_objectz00_bglt)(BgL_new1023z00_638); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_640, BgL_arg1971z00_639); } } 
{ /* ./Module/pragma.scm 34 */
BgL_objectz00_bglt BgL_auxz00_944;
BgL_auxz00_944 = 
(BgL_objectz00_bglt)(BgL_new1023z00_638); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_944, BFALSE); } 
{ /* ./Module/pragma.scm 34 */
obj_t BgL_objz00_642;
BgL_objz00_642 = 
(obj_t)(BgL_new1023z00_638); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_642); BUNSPEC; } 
BgL_res1987z00_643 = BgL_new1023z00_638; } 
BgL_new1021z00_637 = BgL_res1987z00_643; } 
{ /* ./Module/pragma.scm 34 */
BgL_ccompz00_bglt BgL_res1988z00_652;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_637))->BgL_idz00) = ((obj_t)BgL_arg1584z00_364), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_637))->BgL_producerz00) = ((obj_t)BgL_arg1586z00_365), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_637))->BgL_consumerz00) = ((obj_t)BGl_proc2065z00zzmodule_pragmaz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_637))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1591z00_367), BUNSPEC); 
BgL_res1988z00_652 = BgL_new1021z00_637; BgL_res1988z00_652; } 
BgL_res1989z00_653 = BgL_new1021z00_637; } 
return 
(obj_t)(BgL_res1989z00_653);} } } 
}



/* _make-pragma-compiler */
obj_t BGl__makezd2pragmazd2compilerz00zzmodule_pragmaz00(obj_t BgL_envz00_897)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 33 */
return 
BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();} 
}



/* <anonymous:1594> */
obj_t BGl_zc3anonymousza31594ze3z83zzmodule_pragmaz00(obj_t BgL_envz00_898, obj_t BgL_mz00_899, obj_t BgL_cz00_900)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 36 */
{ 
obj_t BgL_mz00_368;obj_t BgL_cz00_369;
BgL_mz00_368 = BgL_mz00_899; 
BgL_cz00_369 = BgL_cz00_900; 
{ /* ./Module/pragma.scm 37 */
obj_t BgL_fun1597z00_654;
BgL_fun1597z00_654 = 
BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_368); 
return 
PROCEDURE_ENTRY(BgL_fun1597z00_654)(BgL_fun1597z00_654, BgL_cz00_369, BEOA);} } } 
}



/* pragma-producer */
obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_1)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 43 */
{ /* ./Module/pragma.scm 44 */
obj_t BgL_zc3anonymousza31599ze3z83_902;
{ 
int BgL_auxz00_960;int BgL_auxz00_958;
BgL_auxz00_960 = 
(int)(((long)1)); 
BgL_auxz00_958 = 
(int)(((long)1)); 
BgL_zc3anonymousza31599ze3z83_902 = 
make_fx_procedure(BGl_zc3anonymousza31599ze3z83zzmodule_pragmaz00, BgL_auxz00_958, BgL_auxz00_960); } 
{ /* ./Module/pragma.scm 44 */
int BgL_auxz00_963;
BgL_auxz00_963 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31599ze3z83_902, BgL_auxz00_963, BgL_modulez00_1); } 
return BgL_zc3anonymousza31599ze3z83_902;} } 
}



/* <anonymous:1599> */
obj_t BGl_zc3anonymousza31599ze3z83zzmodule_pragmaz00(obj_t BgL_envz00_903, obj_t BgL_clausez00_905)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 44 */
{ /* ./Module/pragma.scm 44 */
obj_t BgL_modulez00_904;
{ /* ./Module/pragma.scm 44 */
int BgL_auxz00_966;
BgL_auxz00_966 = 
(int)(((long)0)); 
BgL_modulez00_904 = 
PROCEDURE_REF(BgL_envz00_903, BgL_auxz00_966); } 
{ 
obj_t BgL_clausez00_373;
BgL_clausez00_373 = BgL_clausez00_905; 
{ 
obj_t BgL_protosz00_375;
{ /* ./Module/pragma.scm 44 */
bool_t BgL_test1600z00_379;
BgL_test1600z00_379 = 
PAIRP(BgL_clausez00_373); 
if(BgL_test1600z00_379)
{ /* ./Module/pragma.scm 44 */
obj_t BgL_arg1602z00_380;
BgL_arg1602z00_380 = 
CDR(BgL_clausez00_373); 
BgL_protosz00_375 = BgL_arg1602z00_380; 
{ 
obj_t BgL_l1576z00_381;
BgL_l1576z00_381 = BgL_protosz00_375; 
BgL_forzd2each1577zd2_382:
{ /* ./Module/pragma.scm 47 */
bool_t BgL_test1608z00_383;
BgL_test1608z00_383 = 
PAIRP(BgL_l1576z00_381); 
if(BgL_test1608z00_383)
{ /* ./Module/pragma.scm 47 */
{ /* ./Module/pragma.scm 47 */
obj_t BgL_protoz00_384;
BgL_protoz00_384 = 
CAR(BgL_l1576z00_381); 
BGl_pragmazd2parserzd2zzmodule_pragmaz00(BgL_protoz00_384, BgL_modulez00_904, BgL_clausez00_373); } 
{ /* ./Module/pragma.scm 47 */
obj_t BgL_arg1613z00_385;
BgL_arg1613z00_385 = 
CDR(BgL_l1576z00_381); 
{ 
obj_t BgL_l1576z00_977;
BgL_l1576z00_977 = BgL_arg1613z00_385; 
BgL_l1576z00_381 = BgL_l1576z00_977; 
goto BgL_forzd2each1577zd2_382;} } }  else 
{ /* ./Module/pragma.scm 47 */((bool_t)1); } } } 
return BNIL;}  else 
{ /* ./Module/pragma.scm 44 */
{ /* ./Module/pragma.scm 51 */
obj_t BgL_list1618z00_386;
BgL_list1618z00_386 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2066z00zzmodule_pragmaz00, BGl_string2067z00zzmodule_pragmaz00, BgL_clausez00_373, BgL_list1618z00_386);} } } } } } } 
}



/* pragma-parser */
obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_2, obj_t BgL_modulez00_3, obj_t BgL_clausez00_4)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 59 */
{ 
obj_t BgL_idz00_387;obj_t BgL_propz00_388;
{ /* ./Module/pragma.scm 60 */
bool_t BgL_test1620z00_392;
BgL_test1620z00_392 = 
PAIRP(BgL_protoz00_2); 
if(BgL_test1620z00_392)
{ /* ./Module/pragma.scm 60 */
obj_t BgL_carzd2116zd2_393;
BgL_carzd2116zd2_393 = 
CAR(BgL_protoz00_2); 
{ /* ./Module/pragma.scm 60 */
bool_t BgL_test1621z00_394;
BgL_test1621z00_394 = 
SYMBOLP(BgL_carzd2116zd2_393); 
if(BgL_test1621z00_394)
{ /* ./Module/pragma.scm 60 */
obj_t BgL_arg1623z00_395;
BgL_arg1623z00_395 = 
CDR(BgL_protoz00_2); 
BgL_idz00_387 = BgL_carzd2116zd2_393; 
BgL_propz00_388 = BgL_arg1623z00_395; 
{ /* ./Module/pragma.scm 62 */
obj_t BgL_arg1632z00_396;
{ /* ./Module/pragma.scm 62 */
obj_t BgL_list1635z00_397;
{ /* ./Module/pragma.scm 62 */
obj_t BgL_arg1637z00_398;
{ /* ./Module/pragma.scm 62 */
obj_t BgL_arg1641z00_399;
{ /* ./Module/pragma.scm 62 */
obj_t BgL_arg1645z00_400;
BgL_arg1645z00_400 = 
MAKE_PAIR(BgL_clausez00_4, BNIL); 
BgL_arg1641z00_399 = 
MAKE_PAIR(BgL_propz00_388, BgL_arg1645z00_400); } 
BgL_arg1637z00_398 = 
MAKE_PAIR(BgL_modulez00_3, BgL_arg1641z00_399); } 
BgL_list1635z00_397 = 
MAKE_PAIR(BgL_idz00_387, BgL_arg1637z00_398); } 
BgL_arg1632z00_396 = BgL_list1635z00_397; } 
return ( 
BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = 
MAKE_PAIR(BgL_arg1632z00_396, BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC) ;} }  else 
{ /* ./Module/pragma.scm 60 */
BgL_tagzd2110zd2_390:
{ /* ./Module/pragma.scm 64 */
obj_t BgL_list1649z00_401;
BgL_list1649z00_401 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2066z00zzmodule_pragmaz00, BGl_string2067z00zzmodule_pragmaz00, BgL_clausez00_4, BgL_list1649z00_401);} } } }  else 
{ /* ./Module/pragma.scm 60 */
goto BgL_tagzd2110zd2_390;} } } } 
}



/* pragma-finalizer */
BGL_EXPORTED_DEF obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 74 */
{ 
obj_t BgL_l1578z00_402;
BgL_l1578z00_402 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00; 
BgL_forzd2each1579zd2_403:
{ /* ./Module/pragma.scm 75 */
bool_t BgL_test1652z00_404;
BgL_test1652z00_404 = 
PAIRP(BgL_l1578z00_402); 
if(BgL_test1652z00_404)
{ /* ./Module/pragma.scm 75 */
{ /* ./Module/pragma.scm 76 */
obj_t BgL_pragmaz00_405;
BgL_pragmaz00_405 = 
CAR(BgL_l1578z00_402); 
{ 
obj_t BgL_idz00_406;obj_t BgL_modulez00_407;obj_t BgL_propza2za2_408;obj_t BgL_clausez00_409;
{ /* ./Module/pragma.scm 76 */
bool_t BgL_test1653z00_413;
BgL_test1653z00_413 = 
PAIRP(BgL_pragmaz00_405); 
if(BgL_test1653z00_413)
{ /* ./Module/pragma.scm 76 */
obj_t BgL_cdrzd2133zd2_414;
BgL_cdrzd2133zd2_414 = 
CDR(BgL_pragmaz00_405); 
{ /* ./Module/pragma.scm 76 */
bool_t BgL_test1654z00_415;
BgL_test1654z00_415 = 
PAIRP(BgL_cdrzd2133zd2_414); 
if(BgL_test1654z00_415)
{ /* ./Module/pragma.scm 76 */
obj_t BgL_cdrzd2139zd2_416;
BgL_cdrzd2139zd2_416 = 
CDR(BgL_cdrzd2133zd2_414); 
{ /* ./Module/pragma.scm 76 */
bool_t BgL_test1655z00_417;
BgL_test1655z00_417 = 
PAIRP(BgL_cdrzd2139zd2_416); 
if(BgL_test1655z00_417)
{ /* ./Module/pragma.scm 76 */
obj_t BgL_cdrzd2144zd2_418;
BgL_cdrzd2144zd2_418 = 
CDR(BgL_cdrzd2139zd2_416); 
{ /* ./Module/pragma.scm 76 */
bool_t BgL_test1656z00_419;
BgL_test1656z00_419 = 
PAIRP(BgL_cdrzd2144zd2_418); 
if(BgL_test1656z00_419)
{ /* ./Module/pragma.scm 76 */
bool_t BgL_test1657z00_420;
{ /* ./Module/pragma.scm 76 */
obj_t BgL_auxz00_1007;
BgL_auxz00_1007 = 
CDR(BgL_cdrzd2144zd2_418); 
BgL_test1657z00_420 = 
NULLP(BgL_auxz00_1007); } 
if(BgL_test1657z00_420)
{ /* ./Module/pragma.scm 76 */
obj_t BgL_arg1659z00_421;obj_t BgL_arg1660z00_422;obj_t BgL_arg1661z00_423;obj_t BgL_arg1663z00_424;
BgL_arg1659z00_421 = 
CAR(BgL_pragmaz00_405); 
BgL_arg1660z00_422 = 
CAR(BgL_cdrzd2133zd2_414); 
BgL_arg1661z00_423 = 
CAR(BgL_cdrzd2139zd2_416); 
BgL_arg1663z00_424 = 
CAR(BgL_cdrzd2144zd2_418); 
BgL_idz00_406 = BgL_arg1659z00_421; 
BgL_modulez00_407 = BgL_arg1660z00_422; 
BgL_propza2za2_408 = BgL_arg1661z00_423; 
BgL_clausez00_409 = BgL_arg1663z00_424; 
{ /* ./Module/pragma.scm 78 */
obj_t BgL_globalz00_426;
{ /* ./Module/pragma.scm 78 */
obj_t BgL_globalz00_437;
BgL_globalz00_437 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_406, BgL_modulez00_407); 
{ /* ./Module/pragma.scm 80 */
bool_t BgL_test1710z00_438;
BgL_test1710z00_438 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_437, BGl_globalz00zzast_varz00); 
if(BgL_test1710z00_438)
{ /* ./Module/pragma.scm 80 */
BgL_globalz00_426 = BgL_globalz00_437; }  else 
{ /* ./Module/pragma.scm 80 */
BgL_globalz00_426 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_406, 
CNST_TABLE_REF(((long)1))); } } } 
{ /* ./Module/pragma.scm 83 */
bool_t BgL_test1686z00_427;
BgL_test1686z00_427 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_426, BGl_globalz00zzast_varz00); 
if(BgL_test1686z00_427)
{ /* ./Module/pragma.scm 87 */
bool_t BgL_auxz00_1022;
BgL_auxz00_1022 = 
BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(BgL_globalz00_426, BgL_propza2za2_408, BgL_clausez00_409); 
BBOOL(BgL_auxz00_1022); }  else 
{ /* ./Module/pragma.scm 84 */
obj_t BgL_arg1691z00_430;
{ /* ./Module/pragma.scm 86 */
obj_t BgL_arg1702z00_434;obj_t BgL_arg1703z00_435;
BgL_arg1702z00_434 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Module/pragma.scm 86 */
obj_t BgL_arg1706z00_436;
BgL_arg1706z00_436 = 
MAKE_PAIR(BgL_modulez00_407, BNIL); 
BgL_arg1703z00_435 = 
MAKE_PAIR(BgL_idz00_406, BgL_arg1706z00_436); } 
BgL_arg1691z00_430 = 
MAKE_PAIR(BgL_arg1702z00_434, BgL_arg1703z00_435); } 
{ /* ./Module/pragma.scm 84 */
obj_t BgL_list1693z00_431;
{ /* ./Module/pragma.scm 84 */
obj_t BgL_arg1695z00_432;
{ /* ./Module/pragma.scm 84 */
obj_t BgL_arg1698z00_433;
BgL_arg1698z00_433 = 
MAKE_PAIR(BgL_arg1691z00_430, BNIL); 
BgL_arg1695z00_432 = 
MAKE_PAIR(BGl_string2068z00zzmodule_pragmaz00, BgL_arg1698z00_433); } 
BgL_list1693z00_431 = 
MAKE_PAIR(BGl_string2069z00zzmodule_pragmaz00, BgL_arg1695z00_432); } 
BGl_warningz00zz__errorz00(BgL_list1693z00_431); } } } } }  else 
{ /* ./Module/pragma.scm 76 */
BgL_tagzd2122zd2_411:
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2069z00zzmodule_pragmaz00, BGl_string2070z00zzmodule_pragmaz00, BgL_pragmaz00_405); } }  else 
{ /* ./Module/pragma.scm 76 */
goto BgL_tagzd2122zd2_411;} } }  else 
{ /* ./Module/pragma.scm 76 */
goto BgL_tagzd2122zd2_411;} } }  else 
{ /* ./Module/pragma.scm 76 */
goto BgL_tagzd2122zd2_411;} } }  else 
{ /* ./Module/pragma.scm 76 */
goto BgL_tagzd2122zd2_411;} } } } 
{ /* ./Module/pragma.scm 75 */
obj_t BgL_arg1717z00_439;
BgL_arg1717z00_439 = 
CDR(BgL_l1578z00_402); 
{ 
obj_t BgL_l1578z00_1035;
BgL_l1578z00_1035 = BgL_arg1717z00_439; 
BgL_l1578z00_402 = BgL_l1578z00_1035; 
goto BgL_forzd2each1579zd2_403;} } }  else 
{ /* ./Module/pragma.scm 75 */((bool_t)1); } } } 
BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL; 
return 
CNST_TABLE_REF(((long)3));} 
}



/* _pragma-finalizer */
obj_t BGl__pragmazd2finaliza7erz75zzmodule_pragmaz00(obj_t BgL_envz00_901)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 74 */
return 
BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();} 
}



/* set-pragma-properties! */
bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t BgL_globalz00_5, obj_t BgL_propza2za2_6, obj_t BgL_clausez00_7)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 99 */
{ 
obj_t BgL_l1580z00_440;
BgL_l1580z00_440 = BgL_propza2za2_6; 
BgL_forzd2each1581zd2_441:
{ /* ./Module/pragma.scm 100 */
bool_t BgL_test1722z00_442;
BgL_test1722z00_442 = 
PAIRP(BgL_l1580z00_440); 
if(BgL_test1722z00_442)
{ /* ./Module/pragma.scm 100 */
{ /* ./Module/pragma.scm 100 */
obj_t BgL_propz00_443;
BgL_propz00_443 = 
CAR(BgL_l1580z00_440); 
BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_5, BgL_propz00_443, BgL_clausez00_7); } 
{ /* ./Module/pragma.scm 100 */
obj_t BgL_arg1726z00_444;
BgL_arg1726z00_444 = 
CDR(BgL_l1580z00_440); 
{ 
obj_t BgL_l1580z00_1043;
BgL_l1580z00_1043 = BgL_arg1726z00_444; 
BgL_l1580z00_440 = BgL_l1580z00_1043; 
goto BgL_forzd2each1581zd2_441;} } }  else 
{ /* ./Module/pragma.scm 100 */
return ((bool_t)1);} } } } 
}



/* set-pragma-property! */
obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t BgL_globalz00_8, obj_t BgL_propz00_9, obj_t BgL_clausez00_10)
{ AN_OBJECT;
{ /* ./Module/pragma.scm 106 */
{ 
obj_t BgL_pz00_499;BgL_globalz00_bglt BgL_gz00_500;
{ 
obj_t BgL_keyz00_447;obj_t BgL_valuez00_448;
{ /* ./Module/pragma.scm 113 */
bool_t BgL_test1730z00_452;
BgL_test1730z00_452 = 
SYMBOLP(BgL_propz00_9); 
if(BgL_test1730z00_452)
{ /* ./Module/pragma.scm 113 */
{ /* ./Module/pragma.scm 115 */
bool_t BgL_test1758z00_463;
{ /* ./Module/pragma.scm 115 */
obj_t BgL_auxz00_1046;
BgL_auxz00_1046 = 
CNST_TABLE_REF(((long)4)); 
BgL_test1758z00_463 = 
(BgL_propz00_9==BgL_auxz00_1046); } 
if(BgL_test1758z00_463)
{ /* ./Module/pragma.scm 118 */
BgL_valuez00_bglt BgL_valuez00_464;
{ /* ./Module/pragma.scm 118 */
BgL_variablez00_bglt BgL_obj1126z00_697;
BgL_obj1126z00_697 = 
(BgL_variablez00_bglt)(BgL_globalz00_8); 
BgL_valuez00_464 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_697))->BgL_valuez00); } 
{ /* ./Module/pragma.scm 119 */
bool_t BgL_test1759z00_465;
{ /* ./Module/pragma.scm 119 */
obj_t BgL_obj1373z00_698;
BgL_obj1373z00_698 = 
(obj_t)(BgL_valuez00_464); 
BgL_test1759z00_465 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1373z00_698, BGl_funz00zzast_varz00); } 
if(BgL_test1759z00_465)
{ /* ./Module/pragma.scm 121 */
BgL_funz00_bglt BgL_obj1337z00_699;
BgL_obj1337z00_699 = 
(BgL_funz00_bglt)(BgL_valuez00_464); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1337z00_699))->BgL_sidezd2effectzf3z21) = ((obj_t)BFALSE), BUNSPEC);}  else 
{ /* ./Module/pragma.scm 119 */
BgL_pz00_499 = BGl_string2074z00zzmodule_pragmaz00; 
BgL_gz00_500 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_zc3anonymousza31843ze3z83_501:
if(
CBOOL(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
{ /* ./Module/pragma.scm 108 */
return BFALSE;}  else 
{ /* ./Module/pragma.scm 109 */
obj_t BgL_arg1846z00_502;obj_t BgL_arg1848z00_504;
BgL_arg1846z00_502 = 
string_append_3(BGl_string2071z00zzmodule_pragmaz00, BgL_pz00_499, BGl_string2072z00zzmodule_pragmaz00); 
BgL_arg1848z00_504 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_gz00_500)); 
{ /* ./Module/pragma.scm 109 */
obj_t BgL_list1851z00_506;
BgL_list1851z00_506 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1846z00_502, BGl_string2073z00zzmodule_pragmaz00, BgL_arg1848z00_504, BgL_list1851z00_506);} } } } }  else 
{ /* ./Module/pragma.scm 115 */
bool_t BgL_test1764z00_466;
{ /* ./Module/pragma.scm 115 */
obj_t BgL_auxz00_1065;
BgL_auxz00_1065 = 
CNST_TABLE_REF(((long)5)); 
BgL_test1764z00_466 = 
(BgL_propz00_9==BgL_auxz00_1065); } 
if(BgL_test1764z00_466)
{ /* ./Module/pragma.scm 124 */
BgL_valuez00_bglt BgL_valuez00_467;
{ /* ./Module/pragma.scm 124 */
BgL_variablez00_bglt BgL_obj1126z00_701;
BgL_obj1126z00_701 = 
(BgL_variablez00_bglt)(BgL_globalz00_8); 
BgL_valuez00_467 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_701))->BgL_valuez00); } 
{ /* ./Module/pragma.scm 125 */
bool_t BgL_test1765z00_468;
{ /* ./Module/pragma.scm 125 */
obj_t BgL_obj1373z00_702;
BgL_obj1373z00_702 = 
(obj_t)(BgL_valuez00_467); 
BgL_test1765z00_468 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1373z00_702, BGl_funz00zzast_varz00); } 
if(BgL_test1765z00_468)
{ /* ./Module/pragma.scm 127 */
BgL_funz00_bglt BgL_obj1346z00_703;
BgL_obj1346z00_703 = 
(BgL_funz00_bglt)(BgL_valuez00_467); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1346z00_703))->BgL_topzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC);}  else 
{ 
BgL_globalz00_bglt BgL_gz00_1077;obj_t BgL_pz00_1076;
BgL_pz00_1076 = BGl_string2075z00zzmodule_pragmaz00; 
BgL_gz00_1077 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_gz00_500 = BgL_gz00_1077; 
BgL_pz00_499 = BgL_pz00_1076; 
goto BgL_zc3anonymousza31843ze3z83_501;} } }  else 
{ /* ./Module/pragma.scm 115 */
bool_t BgL_test1770z00_469;
{ /* ./Module/pragma.scm 115 */
obj_t BgL_auxz00_1079;
BgL_auxz00_1079 = 
CNST_TABLE_REF(((long)6)); 
BgL_test1770z00_469 = 
(BgL_propz00_9==BgL_auxz00_1079); } 
if(BgL_test1770z00_469)
{ /* ./Module/pragma.scm 131 */
BgL_valuez00_bglt BgL_valuez00_470;
{ /* ./Module/pragma.scm 131 */
BgL_variablez00_bglt BgL_obj1126z00_705;
BgL_obj1126z00_705 = 
(BgL_variablez00_bglt)(BgL_globalz00_8); 
BgL_valuez00_470 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_705))->BgL_valuez00); } 
{ /* ./Module/pragma.scm 132 */
bool_t BgL_test1771z00_471;
{ /* ./Module/pragma.scm 132 */
obj_t BgL_obj1450z00_706;
BgL_obj1450z00_706 = 
(obj_t)(BgL_valuez00_470); 
BgL_test1771z00_471 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1450z00_706, BGl_sfunz00zzast_varz00); } 
if(BgL_test1771z00_471)
{ /* ./Module/pragma.scm 135 */
obj_t BgL_arg1773z00_472;
{ /* ./Module/pragma.scm 135 */
obj_t BgL_arg1777z00_473;
{ /* ./Module/pragma.scm 135 */
BgL_sfunz00_bglt BgL_obj1391z00_707;
BgL_obj1391z00_707 = 
(BgL_sfunz00_bglt)(BgL_valuez00_470); 
BgL_arg1777z00_473 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1391z00_707))->BgL_propertyz00); } 
BgL_arg1773z00_472 = 
MAKE_PAIR(BgL_propz00_9, BgL_arg1777z00_473); } 
{ /* ./Module/pragma.scm 134 */
BgL_sfunz00_bglt BgL_obj1393z00_708;
BgL_obj1393z00_708 = 
(BgL_sfunz00_bglt)(BgL_valuez00_470); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1393z00_708))->BgL_propertyz00) = ((obj_t)BgL_arg1773z00_472), BUNSPEC);} }  else 
{ 
BgL_globalz00_bglt BgL_gz00_1094;obj_t BgL_pz00_1093;
BgL_pz00_1093 = BGl_string2076z00zzmodule_pragmaz00; 
BgL_gz00_1094 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_gz00_500 = BgL_gz00_1094; 
BgL_pz00_499 = BgL_pz00_1093; 
goto BgL_zc3anonymousza31843ze3z83_501;} } }  else 
{ /* ./Module/pragma.scm 115 */
bool_t BgL_test1783z00_474;
{ /* ./Module/pragma.scm 115 */
obj_t BgL_auxz00_1096;
BgL_auxz00_1096 = 
CNST_TABLE_REF(((long)7)); 
BgL_test1783z00_474 = 
(BgL_propz00_9==BgL_auxz00_1096); } 
if(BgL_test1783z00_474)
{ /* ./Module/pragma.scm 137 */
BgL_valuez00_bglt BgL_valuez00_475;
{ /* ./Module/pragma.scm 137 */
BgL_variablez00_bglt BgL_obj1126z00_710;
BgL_obj1126z00_710 = 
(BgL_variablez00_bglt)(BgL_globalz00_8); 
BgL_valuez00_475 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_710))->BgL_valuez00); } 
{ /* ./Module/pragma.scm 138 */
bool_t BgL_test1784z00_476;
{ /* ./Module/pragma.scm 138 */
obj_t BgL_obj1450z00_711;
BgL_obj1450z00_711 = 
(obj_t)(BgL_valuez00_475); 
BgL_test1784z00_476 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1450z00_711, BGl_sfunz00zzast_varz00); } 
if(BgL_test1784z00_476)
{ /* ./Module/pragma.scm 141 */
obj_t BgL_arg1786z00_477;
{ /* ./Module/pragma.scm 141 */
obj_t BgL_arg1789z00_478;
{ /* ./Module/pragma.scm 141 */
BgL_sfunz00_bglt BgL_obj1391z00_712;
BgL_obj1391z00_712 = 
(BgL_sfunz00_bglt)(BgL_valuez00_475); 
BgL_arg1789z00_478 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1391z00_712))->BgL_propertyz00); } 
BgL_arg1786z00_477 = 
MAKE_PAIR(BgL_propz00_9, BgL_arg1789z00_478); } 
{ /* ./Module/pragma.scm 140 */
BgL_sfunz00_bglt BgL_obj1393z00_713;
BgL_obj1393z00_713 = 
(BgL_sfunz00_bglt)(BgL_valuez00_475); 
return 
((((BgL_sfunz00_bglt)CREF(BgL_obj1393z00_713))->BgL_propertyz00) = ((obj_t)BgL_arg1786z00_477), BUNSPEC);} }  else 
{ 
BgL_globalz00_bglt BgL_gz00_1111;obj_t BgL_pz00_1110;
BgL_pz00_1110 = BGl_string2077z00zzmodule_pragmaz00; 
BgL_gz00_1111 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_gz00_500 = BgL_gz00_1111; 
BgL_pz00_499 = BgL_pz00_1110; 
goto BgL_zc3anonymousza31843ze3z83_501;} } }  else 
{ /* ./Module/pragma.scm 115 */
bool_t BgL_test1795z00_479;
{ /* ./Module/pragma.scm 115 */
obj_t BgL_auxz00_1113;
BgL_auxz00_1113 = 
CNST_TABLE_REF(((long)8)); 
BgL_test1795z00_479 = 
(BgL_propz00_9==BgL_auxz00_1113); } 
if(BgL_test1795z00_479)
{ /* ./Module/pragma.scm 143 */
BgL_valuez00_bglt BgL_valuez00_480;
{ /* ./Module/pragma.scm 143 */
BgL_variablez00_bglt BgL_obj1126z00_715;
BgL_obj1126z00_715 = 
(BgL_variablez00_bglt)(BgL_globalz00_8); 
BgL_valuez00_480 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_715))->BgL_valuez00); } 
{ /* ./Module/pragma.scm 144 */
bool_t BgL_test1796z00_481;
{ /* ./Module/pragma.scm 144 */
obj_t BgL_obj1511z00_716;
BgL_obj1511z00_716 = 
(obj_t)(BgL_valuez00_480); 
BgL_test1796z00_481 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1511z00_716, BGl_cfunz00zzast_varz00); } 
if(BgL_test1796z00_481)
{ /* ./Module/pragma.scm 146 */
obj_t BgL_arg1798z00_482;
{ /* ./Module/pragma.scm 146 */
obj_t BgL_arg1801z00_483;obj_t BgL_arg1802z00_484;
BgL_arg1801z00_483 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Module/pragma.scm 147 */
BgL_globalz00_bglt BgL_obj1208z00_717;
BgL_obj1208z00_717 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_arg1802z00_484 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1208z00_717))->BgL_pragmaz00); } 
BgL_arg1798z00_482 = 
MAKE_PAIR(BgL_arg1801z00_483, BgL_arg1802z00_484); } 
{ /* ./Module/pragma.scm 145 */
BgL_globalz00_bglt BgL_obj1210z00_718;
BgL_obj1210z00_718 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
return 
((((BgL_globalz00_bglt)CREF(BgL_obj1210z00_718))->BgL_pragmaz00) = ((obj_t)BgL_arg1798z00_482), BUNSPEC);} }  else 
{ /* ./Module/pragma.scm 144 */
return BFALSE;} } }  else 
{ /* ./Module/pragma.scm 149 */
obj_t BgL_list1808z00_485;
BgL_list1808z00_485 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2066z00zzmodule_pragmaz00, BGl_string2078z00zzmodule_pragmaz00, BgL_clausez00_10, BgL_list1808z00_485);} } } } } } }  else 
{ /* ./Module/pragma.scm 113 */
bool_t BgL_test1732z00_453;
BgL_test1732z00_453 = 
PAIRP(BgL_propz00_9); 
if(BgL_test1732z00_453)
{ /* ./Module/pragma.scm 113 */
obj_t BgL_carzd2160zd2_454;obj_t BgL_cdrzd2161zd2_455;
BgL_carzd2160zd2_454 = 
CAR(BgL_propz00_9); 
BgL_cdrzd2161zd2_455 = 
CDR(BgL_propz00_9); 
{ /* ./Module/pragma.scm 113 */
bool_t BgL_test1733z00_456;
BgL_test1733z00_456 = 
SYMBOLP(BgL_carzd2160zd2_454); 
if(BgL_test1733z00_456)
{ /* ./Module/pragma.scm 113 */
bool_t BgL_test1734z00_457;
BgL_test1734z00_457 = 
PAIRP(BgL_cdrzd2161zd2_455); 
if(BgL_test1734z00_457)
{ /* ./Module/pragma.scm 113 */
obj_t BgL_carzd2166zd2_458;
BgL_carzd2166zd2_458 = 
CAR(BgL_cdrzd2161zd2_455); 
{ /* ./Module/pragma.scm 113 */
bool_t BgL_test1735z00_459;
BgL_test1735z00_459 = 
SYMBOLP(BgL_carzd2166zd2_458); 
if(BgL_test1735z00_459)
{ /* ./Module/pragma.scm 113 */
bool_t BgL_test1736z00_460;
{ /* ./Module/pragma.scm 113 */
obj_t BgL_auxz00_1141;
BgL_auxz00_1141 = 
CDR(BgL_cdrzd2161zd2_455); 
BgL_test1736z00_460 = 
NULLP(BgL_auxz00_1141); } 
if(BgL_test1736z00_460)
{ /* ./Module/pragma.scm 113 */
BgL_keyz00_447 = BgL_carzd2160zd2_454; 
BgL_valuez00_448 = BgL_carzd2166zd2_458; 
{ /* ./Module/pragma.scm 151 */
bool_t BgL_test1815z00_487;
{ /* ./Module/pragma.scm 151 */
obj_t BgL_auxz00_1145;
BgL_auxz00_1145 = 
CNST_TABLE_REF(((long)9)); 
BgL_test1815z00_487 = 
(BgL_keyz00_447==BgL_auxz00_1145); } 
if(BgL_test1815z00_487)
{ /* ./Module/pragma.scm 154 */
BgL_typez00_bglt BgL_typez00_488;BgL_valuez00_bglt BgL_valuez00_489;
{ /* ./Module/pragma.scm 154 */
obj_t BgL_arg1824z00_491;
BgL_arg1824z00_491 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_propz00_9); 
BgL_typez00_488 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_valuez00_448, BgL_arg1824z00_491); } 
{ /* ./Module/pragma.scm 155 */
BgL_variablez00_bglt BgL_obj1126z00_720;
BgL_obj1126z00_720 = 
(BgL_variablez00_bglt)(BgL_globalz00_8); 
BgL_valuez00_489 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_720))->BgL_valuez00); } 
{ /* ./Module/pragma.scm 156 */
bool_t BgL_test1817z00_490;
{ /* ./Module/pragma.scm 156 */
obj_t BgL_obj1373z00_721;
BgL_obj1373z00_721 = 
(obj_t)(BgL_valuez00_489); 
BgL_test1817z00_490 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1373z00_721, BGl_funz00zzast_varz00); } 
if(BgL_test1817z00_490)
{ /* ./Module/pragma.scm 156 */
{ /* ./Module/pragma.scm 159 */
BgL_funz00_bglt BgL_obj1340z00_722;obj_t BgL_val1339z00_723;
BgL_obj1340z00_722 = 
(BgL_funz00_bglt)(BgL_valuez00_489); 
BgL_val1339z00_723 = 
(obj_t)(BgL_typez00_488); 
((((BgL_funz00_bglt)CREF(BgL_obj1340z00_722))->BgL_predicatezd2ofzd2) = ((obj_t)BgL_val1339z00_723), BUNSPEC); } 
BGl_removezd2varzd2fromz12z12zzast_removez00(
CNST_TABLE_REF(((long)10)), 
(BgL_variablez00_bglt)(BgL_globalz00_8)); 
{ /* ./Module/pragma.scm 165 */
BgL_funz00_bglt BgL_obj1337z00_724;
BgL_obj1337z00_724 = 
(BgL_funz00_bglt)(BgL_valuez00_489); 
return 
((((BgL_funz00_bglt)CREF(BgL_obj1337z00_724))->BgL_sidezd2effectzf3z21) = ((obj_t)BFALSE), BUNSPEC);} }  else 
{ 
BgL_globalz00_bglt BgL_gz00_1165;obj_t BgL_pz00_1164;
BgL_pz00_1164 = BGl_string2079z00zzmodule_pragmaz00; 
BgL_gz00_1165 = 
(BgL_globalz00_bglt)(BgL_globalz00_8); 
BgL_gz00_500 = BgL_gz00_1165; 
BgL_pz00_499 = BgL_pz00_1164; 
goto BgL_zc3anonymousza31843ze3z83_501;} } }  else 
{ /* ./Module/pragma.scm 167 */
obj_t BgL_list1829z00_492;
BgL_list1829z00_492 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2066z00zzmodule_pragmaz00, BGl_string2078z00zzmodule_pragmaz00, BgL_propz00_9, BgL_list1829z00_492);} } }  else 
{ /* ./Module/pragma.scm 113 */
BgL_tagzd2152zd2_450:
{ /* ./Module/pragma.scm 169 */
obj_t BgL_arg1836z00_495;
if(
PAIRP(BgL_propz00_9))
{ /* ./Module/pragma.scm 171 */
BgL_arg1836z00_495 = BgL_propz00_9; }  else 
{ /* ./Module/pragma.scm 171 */
BgL_arg1836z00_495 = BgL_clausez00_10; } 
{ /* ./Module/pragma.scm 169 */
obj_t BgL_list1839z00_497;
BgL_list1839z00_497 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2066z00zzmodule_pragmaz00, BGl_string2078z00zzmodule_pragmaz00, BgL_arg1836z00_495, BgL_list1839z00_497);} } } }  else 
{ /* ./Module/pragma.scm 113 */
goto BgL_tagzd2152zd2_450;} } }  else 
{ /* ./Module/pragma.scm 113 */
goto BgL_tagzd2152zd2_450;} }  else 
{ /* ./Module/pragma.scm 113 */
goto BgL_tagzd2152zd2_450;} } }  else 
{ /* ./Module/pragma.scm 113 */
goto BgL_tagzd2152zd2_450;} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00()
{ AN_OBJECT;
{ /* ./Module/pragma.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long)12722), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "module_pragma"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "module_pragma"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "module_pragma"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_pragma");} 
}

