/*===========================================================================*/
/*   (Object/coercion.scm)                                                   */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/coercion.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_coercionz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
static obj_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_coercionz00();
extern obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t);
static obj_t BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00();
static obj_t BGl_jvmzd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
static obj_t BGl__genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t, obj_t);
extern obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t, obj_t);
extern obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
static obj_t BGl_makezd2onezd2coercionz00zzobject_coercionz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t, obj_t);
static obj_t BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
static obj_t BGl_czd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_coercionz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00();
static obj_t __cnst[ 15 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2coercionsz12zd2envzc0zzobject_coercionz00, BgL_bgl__genza7d2classza7d2coercionsza712za712za7za7object_coercionza7002673za7, BGl__genzd2classzd2coercionsz12z12zzobject_coercionz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2javazd2classzd2coercionsz12zd2envz12zzobject_coercionz00, BgL_bgl__genza7d2javaza7d2classza7d2coercionsza712za7c0za7za7object_coercionza7002674z00, BGl__genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00, 0L, 1 );
DEFINE_STRING( BGl_string2646z00zzobject_coercionz00, BgL_bgl_string2646za700za7za7object_coercionza7002675z00, "macro no-cfa-top side-effect-free pragma -> foreign cast x x::char lambda bool obj type coerce (jvm .net) ", 106 );
DEFINE_STRING( BGl_string2645z00zzobject_coercionz00, BgL_bgl_string2645za700za7za7object_coercionza7002676z00, ")", 1 );
DEFINE_STRING( BGl_string2644z00zzobject_coercionz00, BgL_bgl_string2644za700za7za7object_coercionza7002677z00, "(", 1 );
DEFINE_STRING( BGl_string2643z00zzobject_coercionz00, BgL_bgl_string2643za700za7za7object_coercionza7002678z00, "obj_t", 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long BgL_checksumz00_1210, char * BgL_fromz00_1211)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_coercionz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_coercionz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_coercionz00(); 
BGl_cnstzd2initzd2zzobject_coercionz00(); 
BGl_importedzd2moduleszd2initz00zzobject_coercionz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00()
{ AN_OBJECT;
{ /* ./Object/coercion.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_coercion"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_coercion"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_coercion"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_coercion"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_coercionz00()
{ AN_OBJECT;
{ /* ./Object/coercion.scm 21 */
{ /* ./Object/coercion.scm 21 */
obj_t BgL_cportz00_1203;
BgL_cportz00_1203 = 
open_input_string(BGl_string2646z00zzobject_coercionz00); 
{ 
long BgL_iz00_1204;
BgL_iz00_1204 = ((long)14); 
BgL_loopz00_1205:
{ /* ./Object/coercion.scm 21 */
bool_t BgL_test2648z00_1206;
BgL_test2648z00_1206 = 
(BgL_iz00_1204==((long)-1)); 
if(BgL_test2648z00_1206)
{ /* ./Object/coercion.scm 21 */
return BUNSPEC;}  else 
{ /* ./Object/coercion.scm 21 */
{ /* ./Object/coercion.scm 21 */
obj_t BgL_arg2650z00_1207;
{ /* ./Object/coercion.scm 21 */
obj_t BgL_list2653z00_1208;
BgL_list2653z00_1208 = 
MAKE_PAIR(BgL_cportz00_1203, BNIL); 
BgL_arg2650z00_1207 = 
BGl_readz00zz__readerz00(BgL_list2653z00_1208); } 
{ /* ./Object/coercion.scm 21 */
int BgL_auxz00_1227;
BgL_auxz00_1227 = 
(int)(BgL_iz00_1204); 
CNST_TABLE_SET(BgL_auxz00_1227, BgL_arg2650z00_1207); } } 
{ /* ./Object/coercion.scm 21 */
int BgL_auxz00_1209;
{ /* ./Object/coercion.scm 21 */
long BgL_auxz00_1230;
BgL_auxz00_1230 = 
(BgL_iz00_1204-((long)1)); 
BgL_auxz00_1209 = 
(int)(BgL_auxz00_1230); } 
{ 
long BgL_iz00_1233;
BgL_iz00_1233 = 
(long)(BgL_auxz00_1209); 
BgL_iz00_1204 = BgL_iz00_1233; 
goto BgL_loopz00_1205;} } } } } } } 
}



/* gen-class-coercions! */
BGL_EXPORTED_DEF obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_classz00_1)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 46 */
{ /* ./Object/coercion.scm 48 */
obj_t BgL_arg1835z00_502;obj_t BgL_arg1836z00_503;
{ /* ./Object/coercion.scm 48 */
BgL_typez00_bglt BgL_obj1003z00_922;
BgL_obj1003z00_922 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_arg1835z00_502 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_922))->BgL_idz00); } 
{ /* ./Object/coercion.scm 48 */
BgL_tclassz00_bglt BgL_obj1607z00_923;
BgL_obj1607z00_923 = 
(BgL_tclassz00_bglt)(BgL_classz00_1); 
{ 
obj_t BgL_auxz00_1238;
{ /* ./Object/coercion.scm 48 */
BgL_objectz00_bglt BgL_auxz00_1239;
BgL_auxz00_1239 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_923); 
BgL_auxz00_1238 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1239); } 
BgL_arg1836z00_503 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1238))->BgL_itszd2superzd2); } } 
BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_arg1835z00_502, BgL_arg1836z00_503); } 
return 
BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_1);} 
}



/* _gen-class-coercions! */
obj_t BGl__genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_envz00_1199, obj_t BgL_classz00_1200)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 46 */
return 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(BgL_classz00_1200);} 
}



/* gen-java-class-coercions! */
BGL_EXPORTED_DEF obj_t BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t BgL_classz00_2)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 54 */
{ /* ./Object/coercion.scm 56 */
obj_t BgL_arg1842z00_505;obj_t BgL_arg1844z00_506;
{ /* ./Object/coercion.scm 56 */
BgL_typez00_bglt BgL_obj1003z00_924;
BgL_obj1003z00_924 = 
(BgL_typez00_bglt)(BgL_classz00_2); 
BgL_arg1842z00_505 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_924))->BgL_idz00); } 
{ /* ./Object/coercion.scm 56 */
BgL_jclassz00_bglt BgL_obj1699z00_925;
BgL_obj1699z00_925 = 
(BgL_jclassz00_bglt)(BgL_classz00_2); 
{ 
obj_t BgL_auxz00_1249;
{ /* ./Object/coercion.scm 56 */
BgL_objectz00_bglt BgL_auxz00_1250;
BgL_auxz00_1250 = 
(BgL_objectz00_bglt)(BgL_obj1699z00_925); 
BgL_auxz00_1249 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1250); } 
BgL_arg1844z00_506 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1249))->BgL_itszd2superzd2); } } 
BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_arg1842z00_505, BgL_arg1844z00_506); } 
return 
BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_2);} 
}



/* _gen-java-class-coercions! */
obj_t BGl__genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t BgL_envz00_1201, obj_t BgL_classz00_1202)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 54 */
return 
BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(BgL_classz00_1202);} 
}



/* gen-coercion-clause! */
obj_t BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(obj_t BgL_czd2idzd2_3, obj_t BgL_superz00_4)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 70 */
{ /* ./Object/coercion.scm 72 */
obj_t BgL_arg1850z00_507;
{ /* ./Object/coercion.scm 72 */
obj_t BgL_casezd2valuezd2_508;
BgL_casezd2valuezd2_508 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Object/coercion.scm 72 */
bool_t BgL_test1852z00_509;
{ /* ./Object/coercion.scm 72 */
obj_t BgL_auxz00_1257;
BgL_auxz00_1257 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_508, 
CNST_TABLE_REF(((long)0))); 
BgL_test1852z00_509 = 
CBOOL(BgL_auxz00_1257); } 
if(BgL_test1852z00_509)
{ /* ./Object/coercion.scm 72 */
BgL_arg1850z00_507 = 
BGl_jvmzd2makezd2coercionzd2clausezd2zzobject_coercionz00(BgL_czd2idzd2_3, BgL_superz00_4); }  else 
{ /* ./Object/coercion.scm 72 */
BgL_arg1850z00_507 = 
BGl_czd2makezd2coercionzd2clausezd2zzobject_coercionz00(BgL_czd2idzd2_3, BgL_superz00_4); } } } 
return 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1850z00_507);} } 
}



/* c-make-coercion-clause */
obj_t BGl_czd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t BgL_czd2idzd2_5, obj_t BgL_superz00_6)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 81 */
{ /* ./Object/coercion.scm 82 */
obj_t BgL_classzd2ze3objz31_510;
BgL_classzd2ze3objz31_510 = 
BGl_classzd2ze3objzd2idze3zzobject_toolsz00(BgL_czd2idzd2_5); 
{ /* ./Object/coercion.scm 82 */
obj_t BgL_objzd2ze3classz31_511;
BgL_objzd2ze3classz31_511 = 
BGl_objzd2ze3classzd2idze3zzobject_toolsz00(BgL_czd2idzd2_5); 
{ /* ./Object/coercion.scm 83 */
obj_t BgL_classzd2idzf3z21_512;
BgL_classzd2idzf3z21_512 = 
BGl_classzf3zd2idz21zzobject_toolsz00(BgL_czd2idzd2_5); 
{ /* ./Object/coercion.scm 84 */

{ 
obj_t BgL_superz00_513;obj_t BgL_coercerz00_514;
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1857z00_516;
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1860z00_517;obj_t BgL_arg1861z00_518;obj_t BgL_arg1862z00_519;
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1875z00_523;obj_t BgL_arg1876z00_524;
BgL_arg1875z00_523 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1879z00_525;obj_t BgL_arg1881z00_526;
BgL_arg1879z00_525 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1885z00_527;
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1888z00_528;obj_t BgL_arg1890z00_529;
BgL_arg1888z00_528 = 
MAKE_PAIR(BgL_classzd2idzf3z21_512, BNIL); 
{ /* ./Object/coercion.scm 87 */
obj_t BgL_arg1894z00_530;
BgL_arg1894z00_530 = 
MAKE_PAIR(BgL_objzd2ze3classz31_511, BNIL); 
BgL_arg1890z00_529 = 
MAKE_PAIR(BgL_arg1894z00_530, BNIL); } 
BgL_arg1885z00_527 = 
MAKE_PAIR(BgL_arg1888z00_528, BgL_arg1890z00_529); } 
BgL_arg1881z00_526 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1885z00_527); } 
BgL_arg1876z00_524 = 
MAKE_PAIR(BgL_arg1879z00_525, BgL_arg1881z00_526); } 
BgL_arg1860z00_517 = 
MAKE_PAIR(BgL_arg1875z00_523, BgL_arg1876z00_524); } 
{ /* ./Object/coercion.scm 88 */
obj_t BgL_arg1899z00_532;obj_t BgL_arg1900z00_533;
BgL_arg1899z00_532 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 88 */
obj_t BgL_arg1903z00_534;
{ /* ./Object/coercion.scm 88 */
obj_t BgL_arg1906z00_535;obj_t BgL_arg1907z00_536;
BgL_arg1906z00_535 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/coercion.scm 88 */
obj_t BgL_arg1911z00_538;
{ /* ./Object/coercion.scm 88 */
obj_t BgL_arg1914z00_539;
BgL_arg1914z00_539 = 
MAKE_PAIR(BgL_classzd2ze3objz31_510, BNIL); 
BgL_arg1911z00_538 = 
MAKE_PAIR(BgL_arg1914z00_539, BNIL); } 
BgL_arg1907z00_536 = 
MAKE_PAIR(BNIL, BgL_arg1911z00_538); } 
BgL_arg1903z00_534 = 
MAKE_PAIR(BgL_arg1906z00_535, BgL_arg1907z00_536); } 
BgL_arg1900z00_533 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1903z00_534); } 
BgL_arg1861z00_518 = 
MAKE_PAIR(BgL_arg1899z00_532, BgL_arg1900z00_533); } 
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1921z00_541;obj_t BgL_arg1922z00_542;
BgL_arg1921z00_541 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1926z00_543;
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1929z00_544;obj_t BgL_arg1930z00_545;
BgL_arg1929z00_544 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1935z00_547;
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1940z00_548;
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1944z00_550;
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1948z00_552;obj_t BgL_arg1949z00_553;
BgL_arg1948z00_552 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/coercion.scm 89 */
obj_t BgL_arg1952z00_554;obj_t BgL_arg1953z00_555;
{ /* ./Object/coercion.scm 89 */
obj_t BgL_auxz00_1288;
BgL_auxz00_1288 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1952z00_554 = 
MAKE_PAIR(BgL_auxz00_1288, BNIL); } 
BgL_arg1953z00_555 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_arg1949z00_553 = 
MAKE_PAIR(BgL_arg1952z00_554, BgL_arg1953z00_555); } 
BgL_arg1944z00_550 = 
MAKE_PAIR(BgL_arg1948z00_552, BgL_arg1949z00_553); } 
BgL_arg1940z00_548 = 
MAKE_PAIR(BgL_arg1944z00_550, BNIL); } 
BgL_arg1935z00_547 = 
MAKE_PAIR(BgL_arg1940z00_548, BNIL); } 
BgL_arg1930z00_545 = 
MAKE_PAIR(BNIL, BgL_arg1935z00_547); } 
BgL_arg1926z00_543 = 
MAKE_PAIR(BgL_arg1929z00_544, BgL_arg1930z00_545); } 
BgL_arg1922z00_542 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1926z00_543); } 
BgL_arg1862z00_519 = 
MAKE_PAIR(BgL_arg1921z00_541, BgL_arg1922z00_542); } 
{ /* ./Object/coercion.scm 86 */
obj_t BgL_list1864z00_520;
{ /* ./Object/coercion.scm 86 */
obj_t BgL_arg1866z00_521;
{ /* ./Object/coercion.scm 86 */
obj_t BgL_arg1870z00_522;
BgL_arg1870z00_522 = 
MAKE_PAIR(BgL_arg1862z00_519, BNIL); 
BgL_arg1866z00_521 = 
MAKE_PAIR(BgL_arg1861z00_518, BgL_arg1870z00_522); } 
BgL_list1864z00_520 = 
MAKE_PAIR(BgL_arg1860z00_517, BgL_arg1866z00_521); } 
BgL_arg1857z00_516 = BgL_list1864z00_520; } } 
BgL_superz00_513 = BgL_superz00_6; 
BgL_coercerz00_514 = BgL_arg1857z00_516; 
BgL_loopz00_515:
{ /* ./Object/coercion.scm 90 */
bool_t BgL_test1957z00_556;
BgL_test1957z00_556 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_513, BGl_tclassz00zzobject_classz00); 
if(BgL_test1957z00_556)
{ /* ./Object/coercion.scm 92 */
obj_t BgL_superzd2idzd2_557;
{ /* ./Object/coercion.scm 92 */
BgL_typez00_bglt BgL_obj1003z00_929;
BgL_obj1003z00_929 = 
(BgL_typez00_bglt)(BgL_superz00_513); 
BgL_superzd2idzd2_557 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_929))->BgL_idz00); } 
{ /* ./Object/coercion.scm 92 */
obj_t BgL_classzd2ze3superz31_558;
BgL_classzd2ze3superz31_558 = 
BGl_classzd2ze3superzd2idze3zzobject_toolsz00(BgL_czd2idzd2_5, BgL_superzd2idzd2_557); 
{ /* ./Object/coercion.scm 93 */
obj_t BgL_superzd2ze3classz31_559;
BgL_superzd2ze3classz31_559 = 
BGl_superzd2ze3classzd2idze3zzobject_toolsz00(BgL_superzd2idzd2_557, BgL_czd2idzd2_5); 
{ /* ./Object/coercion.scm 94 */

{ /* ./Object/coercion.scm 95 */
obj_t BgL_arg1960z00_560;obj_t BgL_arg1961z00_561;
{ /* ./Object/coercion.scm 95 */
BgL_tclassz00_bglt BgL_obj1607z00_930;
BgL_obj1607z00_930 = 
(BgL_tclassz00_bglt)(BgL_superz00_513); 
{ 
obj_t BgL_auxz00_1310;
{ /* ./Object/coercion.scm 95 */
BgL_objectz00_bglt BgL_auxz00_1311;
BgL_auxz00_1311 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_930); 
BgL_auxz00_1310 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1311); } 
BgL_arg1960z00_560 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1310))->BgL_itszd2superzd2); } } 
{ /* ./Object/coercion.scm 97 */
obj_t BgL_arg1965z00_562;obj_t BgL_arg1966z00_563;
{ /* ./Object/coercion.scm 97 */
obj_t BgL_arg1971z00_564;obj_t BgL_arg1972z00_565;
BgL_arg1971z00_564 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 97 */
obj_t BgL_arg1977z00_566;
{ /* ./Object/coercion.scm 97 */
obj_t BgL_arg1980z00_567;
{ /* ./Object/coercion.scm 97 */
obj_t BgL_arg1983z00_568;obj_t BgL_arg1984z00_569;
BgL_arg1983z00_568 = 
MAKE_PAIR(BgL_classzd2idzf3z21_512, BNIL); 
{ /* ./Object/coercion.scm 97 */
obj_t BgL_arg1988z00_570;
BgL_arg1988z00_570 = 
MAKE_PAIR(BgL_superzd2ze3classz31_559, BNIL); 
BgL_arg1984z00_569 = 
MAKE_PAIR(BgL_arg1988z00_570, BNIL); } 
BgL_arg1980z00_567 = 
MAKE_PAIR(BgL_arg1983z00_568, BgL_arg1984z00_569); } 
BgL_arg1977z00_566 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg1980z00_567); } 
BgL_arg1972z00_565 = 
MAKE_PAIR(BgL_superzd2idzd2_557, BgL_arg1977z00_566); } 
BgL_arg1965z00_562 = 
MAKE_PAIR(BgL_arg1971z00_564, BgL_arg1972z00_565); } 
{ /* ./Object/coercion.scm 99 */
obj_t BgL_arg1994z00_572;
{ /* ./Object/coercion.scm 99 */
obj_t BgL_arg1997z00_573;obj_t BgL_arg1998z00_574;
BgL_arg1997z00_573 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 99 */
obj_t BgL_arg2001z00_575;
{ /* ./Object/coercion.scm 99 */
obj_t BgL_arg2004z00_576;
{ /* ./Object/coercion.scm 99 */
obj_t BgL_arg2009z00_578;
{ /* ./Object/coercion.scm 99 */
obj_t BgL_arg2012z00_579;
BgL_arg2012z00_579 = 
MAKE_PAIR(BgL_classzd2ze3superz31_558, BNIL); 
BgL_arg2009z00_578 = 
MAKE_PAIR(BgL_arg2012z00_579, BNIL); } 
BgL_arg2004z00_576 = 
MAKE_PAIR(BNIL, BgL_arg2009z00_578); } 
BgL_arg2001z00_575 = 
MAKE_PAIR(BgL_superzd2idzd2_557, BgL_arg2004z00_576); } 
BgL_arg1998z00_574 = 
MAKE_PAIR(BgL_czd2idzd2_5, BgL_arg2001z00_575); } 
BgL_arg1994z00_572 = 
MAKE_PAIR(BgL_arg1997z00_573, BgL_arg1998z00_574); } 
BgL_arg1966z00_563 = 
MAKE_PAIR(BgL_arg1994z00_572, BgL_coercerz00_514); } 
BgL_arg1961z00_561 = 
MAKE_PAIR(BgL_arg1965z00_562, BgL_arg1966z00_563); } 
{ 
obj_t BgL_coercerz00_1333;obj_t BgL_superz00_1332;
BgL_superz00_1332 = BgL_arg1960z00_560; 
BgL_coercerz00_1333 = BgL_arg1961z00_561; 
BgL_coercerz00_514 = BgL_coercerz00_1333; 
BgL_superz00_513 = BgL_superz00_1332; 
goto BgL_loopz00_515;} } } } } }  else 
{ /* ./Object/coercion.scm 91 */
obj_t BgL_arg2021z00_581;obj_t BgL_arg2022z00_582;
BgL_arg2021z00_581 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2022z00_582 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_coercerz00_514, BNIL); 
return 
MAKE_PAIR(BgL_arg2021z00_581, BgL_arg2022z00_582);} } } } } } } } } 
}



/* jvm-make-coercion-clause */
obj_t BGl_jvmzd2makezd2coercionzd2clausezd2zzobject_coercionz00(obj_t BgL_czd2idzd2_7, obj_t BgL_superz00_8)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 105 */
{ /* ./Object/coercion.scm 106 */
obj_t BgL_classzd2ze3objz31_583;
{ /* ./Object/coercion.scm 106 */
obj_t BgL_arg2248z00_680;obj_t BgL_arg2249z00_681;
BgL_arg2248z00_680 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/coercion.scm 106 */
obj_t BgL_arg2252z00_682;obj_t BgL_arg2253z00_683;
{ /* ./Object/coercion.scm 106 */
obj_t BgL_auxz00_1338;
BgL_auxz00_1338 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2252z00_682 = 
MAKE_PAIR(BgL_auxz00_1338, BNIL); } 
{ /* ./Object/coercion.scm 107 */
obj_t BgL_arg2257z00_684;
{ /* ./Object/coercion.scm 107 */
obj_t BgL_list2261z00_686;
{ /* ./Object/coercion.scm 107 */
obj_t BgL_auxz00_1341;
BgL_auxz00_1341 = 
CNST_TABLE_REF(((long)7)); 
BgL_list2261z00_686 = 
MAKE_PAIR(BgL_auxz00_1341, BNIL); } 
BgL_arg2257z00_684 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), 
CNST_TABLE_REF(((long)3)), BgL_list2261z00_686); } 
BgL_arg2253z00_683 = 
MAKE_PAIR(BgL_arg2257z00_684, BNIL); } 
BgL_arg2249z00_681 = 
MAKE_PAIR(BgL_arg2252z00_682, BgL_arg2253z00_683); } 
BgL_classzd2ze3objz31_583 = 
MAKE_PAIR(BgL_arg2248z00_680, BgL_arg2249z00_681); } 
{ /* ./Object/coercion.scm 106 */
obj_t BgL_objzd2ze3classz31_584;
{ /* ./Object/coercion.scm 108 */
obj_t BgL_arg2232z00_673;obj_t BgL_arg2233z00_674;
BgL_arg2232z00_673 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/coercion.scm 108 */
obj_t BgL_arg2236z00_675;obj_t BgL_arg2237z00_676;
{ /* ./Object/coercion.scm 108 */
obj_t BgL_auxz00_1351;
BgL_auxz00_1351 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2236z00_675 = 
MAKE_PAIR(BgL_auxz00_1351, BNIL); } 
{ /* ./Object/coercion.scm 109 */
obj_t BgL_arg2241z00_677;
{ /* ./Object/coercion.scm 109 */
obj_t BgL_list2245z00_679;
{ /* ./Object/coercion.scm 109 */
obj_t BgL_auxz00_1354;
BgL_auxz00_1354 = 
CNST_TABLE_REF(((long)7)); 
BgL_list2245z00_679 = 
MAKE_PAIR(BgL_auxz00_1354, BNIL); } 
BgL_arg2241z00_677 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), BgL_czd2idzd2_7, BgL_list2245z00_679); } 
BgL_arg2237z00_676 = 
MAKE_PAIR(BgL_arg2241z00_677, BNIL); } 
BgL_arg2233z00_674 = 
MAKE_PAIR(BgL_arg2236z00_675, BgL_arg2237z00_676); } 
BgL_objzd2ze3classz31_584 = 
MAKE_PAIR(BgL_arg2232z00_673, BgL_arg2233z00_674); } 
{ /* ./Object/coercion.scm 108 */
obj_t BgL_classzd2idzf3z21_585;
BgL_classzd2idzf3z21_585 = 
BGl_classzf3zd2idz21zzobject_toolsz00(BgL_czd2idzd2_7); 
{ /* ./Object/coercion.scm 110 */

{ 
obj_t BgL_superz00_586;obj_t BgL_coercerz00_587;
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2030z00_589;
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2033z00_590;obj_t BgL_arg2034z00_591;obj_t BgL_arg2035z00_592;
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2046z00_596;obj_t BgL_arg2047z00_597;
BgL_arg2046z00_596 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2050z00_598;obj_t BgL_arg2051z00_599;
BgL_arg2050z00_598 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2055z00_600;
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2058z00_601;obj_t BgL_arg2059z00_602;
BgL_arg2058z00_601 = 
MAKE_PAIR(BgL_classzd2idzf3z21_585, BNIL); 
{ /* ./Object/coercion.scm 113 */
obj_t BgL_arg2065z00_603;
BgL_arg2065z00_603 = 
MAKE_PAIR(BgL_objzd2ze3classz31_584, BNIL); 
BgL_arg2059z00_602 = 
MAKE_PAIR(BgL_arg2065z00_603, BNIL); } 
BgL_arg2055z00_600 = 
MAKE_PAIR(BgL_arg2058z00_601, BgL_arg2059z00_602); } 
BgL_arg2051z00_599 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg2055z00_600); } 
BgL_arg2047z00_597 = 
MAKE_PAIR(BgL_arg2050z00_598, BgL_arg2051z00_599); } 
BgL_arg2033z00_590 = 
MAKE_PAIR(BgL_arg2046z00_596, BgL_arg2047z00_597); } 
{ /* ./Object/coercion.scm 114 */
obj_t BgL_arg2070z00_605;obj_t BgL_arg2071z00_606;
BgL_arg2070z00_605 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 114 */
obj_t BgL_arg2074z00_607;
{ /* ./Object/coercion.scm 114 */
obj_t BgL_arg2077z00_608;obj_t BgL_arg2078z00_609;
BgL_arg2077z00_608 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/coercion.scm 114 */
obj_t BgL_arg2083z00_611;
{ /* ./Object/coercion.scm 114 */
obj_t BgL_arg2086z00_612;
BgL_arg2086z00_612 = 
MAKE_PAIR(BgL_classzd2ze3objz31_583, BNIL); 
BgL_arg2083z00_611 = 
MAKE_PAIR(BgL_arg2086z00_612, BNIL); } 
BgL_arg2078z00_609 = 
MAKE_PAIR(BNIL, BgL_arg2083z00_611); } 
BgL_arg2074z00_607 = 
MAKE_PAIR(BgL_arg2077z00_608, BgL_arg2078z00_609); } 
BgL_arg2071z00_606 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg2074z00_607); } 
BgL_arg2034z00_591 = 
MAKE_PAIR(BgL_arg2070z00_605, BgL_arg2071z00_606); } 
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2091z00_614;obj_t BgL_arg2092z00_615;
BgL_arg2091z00_614 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2095z00_616;
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2098z00_617;obj_t BgL_arg2099z00_618;
BgL_arg2098z00_617 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2103z00_620;
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2107z00_621;
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2112z00_623;
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2116z00_625;obj_t BgL_arg2118z00_626;
BgL_arg2116z00_625 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/coercion.scm 115 */
obj_t BgL_arg2123z00_627;obj_t BgL_arg2124z00_628;
{ /* ./Object/coercion.scm 115 */
obj_t BgL_auxz00_1383;
BgL_auxz00_1383 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2123z00_627 = 
MAKE_PAIR(BgL_auxz00_1383, BNIL); } 
BgL_arg2124z00_628 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_arg2118z00_626 = 
MAKE_PAIR(BgL_arg2123z00_627, BgL_arg2124z00_628); } 
BgL_arg2112z00_623 = 
MAKE_PAIR(BgL_arg2116z00_625, BgL_arg2118z00_626); } 
BgL_arg2107z00_621 = 
MAKE_PAIR(BgL_arg2112z00_623, BNIL); } 
BgL_arg2103z00_620 = 
MAKE_PAIR(BgL_arg2107z00_621, BNIL); } 
BgL_arg2099z00_618 = 
MAKE_PAIR(BNIL, BgL_arg2103z00_620); } 
BgL_arg2095z00_616 = 
MAKE_PAIR(BgL_arg2098z00_617, BgL_arg2099z00_618); } 
BgL_arg2092z00_615 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg2095z00_616); } 
BgL_arg2035z00_592 = 
MAKE_PAIR(BgL_arg2091z00_614, BgL_arg2092z00_615); } 
{ /* ./Object/coercion.scm 112 */
obj_t BgL_list2037z00_593;
{ /* ./Object/coercion.scm 112 */
obj_t BgL_arg2039z00_594;
{ /* ./Object/coercion.scm 112 */
obj_t BgL_arg2042z00_595;
BgL_arg2042z00_595 = 
MAKE_PAIR(BgL_arg2035z00_592, BNIL); 
BgL_arg2039z00_594 = 
MAKE_PAIR(BgL_arg2034z00_591, BgL_arg2042z00_595); } 
BgL_list2037z00_593 = 
MAKE_PAIR(BgL_arg2033z00_590, BgL_arg2039z00_594); } 
BgL_arg2030z00_589 = BgL_list2037z00_593; } } 
BgL_superz00_586 = BgL_superz00_8; 
BgL_coercerz00_587 = BgL_arg2030z00_589; 
BgL_loopz00_588:
{ /* ./Object/coercion.scm 116 */
bool_t BgL_test2129z00_629;
{ /* ./Object/coercion.scm 116 */
bool_t BgL_test2226z00_672;
BgL_test2226z00_672 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_586, BGl_jclassz00zzobject_classz00); 
if(BgL_test2226z00_672)
{ /* ./Object/coercion.scm 116 */
BgL_test2129z00_629 = ((bool_t)1); }  else 
{ /* ./Object/coercion.scm 116 */
BgL_test2129z00_629 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_586, BGl_tclassz00zzobject_classz00); } } 
if(BgL_test2129z00_629)
{ /* ./Object/coercion.scm 118 */
obj_t BgL_superzd2idzd2_630;
{ /* ./Object/coercion.scm 118 */
bool_t BgL_test2217z00_669;
BgL_test2217z00_669 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_586, BGl_tclassz00zzobject_classz00); 
if(BgL_test2217z00_669)
{ /* ./Object/coercion.scm 119 */
BgL_typez00_bglt BgL_obj1003z00_936;
BgL_obj1003z00_936 = 
(BgL_typez00_bglt)(BgL_superz00_586); 
BgL_superzd2idzd2_630 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_936))->BgL_idz00); }  else 
{ /* ./Object/coercion.scm 120 */
BgL_typez00_bglt BgL_obj1003z00_937;
BgL_obj1003z00_937 = 
(BgL_typez00_bglt)(BgL_superz00_586); 
BgL_superzd2idzd2_630 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_937))->BgL_idz00); } } 
{ /* ./Object/coercion.scm 118 */
obj_t BgL_classzd2ze3superz31_631;
{ /* ./Object/coercion.scm 121 */
obj_t BgL_arg2201z00_662;obj_t BgL_arg2202z00_663;
BgL_arg2201z00_662 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/coercion.scm 121 */
obj_t BgL_arg2206z00_664;obj_t BgL_arg2207z00_665;
{ /* ./Object/coercion.scm 121 */
obj_t BgL_auxz00_1409;
BgL_auxz00_1409 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2206z00_664 = 
MAKE_PAIR(BgL_auxz00_1409, BNIL); } 
{ /* ./Object/coercion.scm 122 */
obj_t BgL_arg2211z00_666;
{ /* ./Object/coercion.scm 122 */
obj_t BgL_list2215z00_668;
{ /* ./Object/coercion.scm 122 */
obj_t BgL_auxz00_1412;
BgL_auxz00_1412 = 
CNST_TABLE_REF(((long)7)); 
BgL_list2215z00_668 = 
MAKE_PAIR(BgL_auxz00_1412, BNIL); } 
BgL_arg2211z00_666 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), BgL_superzd2idzd2_630, BgL_list2215z00_668); } 
BgL_arg2207z00_665 = 
MAKE_PAIR(BgL_arg2211z00_666, BNIL); } 
BgL_arg2202z00_663 = 
MAKE_PAIR(BgL_arg2206z00_664, BgL_arg2207z00_665); } 
BgL_classzd2ze3superz31_631 = 
MAKE_PAIR(BgL_arg2201z00_662, BgL_arg2202z00_663); } 
{ /* ./Object/coercion.scm 121 */
obj_t BgL_superzd2ze3classz31_632;
{ /* ./Object/coercion.scm 123 */
obj_t BgL_arg2185z00_655;obj_t BgL_arg2186z00_656;
BgL_arg2185z00_655 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/coercion.scm 123 */
obj_t BgL_arg2189z00_657;obj_t BgL_arg2190z00_658;
{ /* ./Object/coercion.scm 123 */
obj_t BgL_auxz00_1421;
BgL_auxz00_1421 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2189z00_657 = 
MAKE_PAIR(BgL_auxz00_1421, BNIL); } 
{ /* ./Object/coercion.scm 124 */
obj_t BgL_arg2194z00_659;
{ /* ./Object/coercion.scm 124 */
obj_t BgL_list2198z00_661;
{ /* ./Object/coercion.scm 124 */
obj_t BgL_auxz00_1424;
BgL_auxz00_1424 = 
CNST_TABLE_REF(((long)7)); 
BgL_list2198z00_661 = 
MAKE_PAIR(BgL_auxz00_1424, BNIL); } 
BgL_arg2194z00_659 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)8)), BgL_czd2idzd2_7, BgL_list2198z00_661); } 
BgL_arg2190z00_658 = 
MAKE_PAIR(BgL_arg2194z00_659, BNIL); } 
BgL_arg2186z00_656 = 
MAKE_PAIR(BgL_arg2189z00_657, BgL_arg2190z00_658); } 
BgL_superzd2ze3classz31_632 = 
MAKE_PAIR(BgL_arg2185z00_655, BgL_arg2186z00_656); } 
{ /* ./Object/coercion.scm 123 */

{ /* ./Object/coercion.scm 125 */
obj_t BgL_arg2131z00_633;obj_t BgL_arg2132z00_634;
{ /* ./Object/coercion.scm 125 */
bool_t BgL_test2134z00_635;
BgL_test2134z00_635 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_586, BGl_tclassz00zzobject_classz00); 
if(BgL_test2134z00_635)
{ /* ./Object/coercion.scm 126 */
BgL_tclassz00_bglt BgL_obj1607z00_939;
BgL_obj1607z00_939 = 
(BgL_tclassz00_bglt)(BgL_superz00_586); 
{ 
obj_t BgL_auxz00_1435;
{ /* ./Object/coercion.scm 126 */
BgL_objectz00_bglt BgL_auxz00_1436;
BgL_auxz00_1436 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_939); 
BgL_auxz00_1435 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1436); } 
BgL_arg2131z00_633 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1435))->BgL_itszd2superzd2); } }  else 
{ /* ./Object/coercion.scm 127 */
BgL_jclassz00_bglt BgL_obj1699z00_940;
BgL_obj1699z00_940 = 
(BgL_jclassz00_bglt)(BgL_superz00_586); 
{ 
obj_t BgL_auxz00_1441;
{ /* ./Object/coercion.scm 127 */
BgL_objectz00_bglt BgL_auxz00_1442;
BgL_auxz00_1442 = 
(BgL_objectz00_bglt)(BgL_obj1699z00_940); 
BgL_auxz00_1441 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1442); } 
BgL_arg2131z00_633 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1441))->BgL_itszd2superzd2); } } } 
{ /* ./Object/coercion.scm 129 */
obj_t BgL_arg2139z00_636;obj_t BgL_arg2140z00_637;
{ /* ./Object/coercion.scm 129 */
obj_t BgL_arg2143z00_638;obj_t BgL_arg2144z00_639;
BgL_arg2143z00_638 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 129 */
obj_t BgL_arg2147z00_640;
{ /* ./Object/coercion.scm 129 */
obj_t BgL_arg2150z00_641;
{ /* ./Object/coercion.scm 129 */
obj_t BgL_arg2153z00_642;obj_t BgL_arg2154z00_643;
BgL_arg2153z00_642 = 
MAKE_PAIR(BgL_classzd2idzf3z21_585, BNIL); 
{ /* ./Object/coercion.scm 129 */
obj_t BgL_arg2158z00_644;
BgL_arg2158z00_644 = 
MAKE_PAIR(BgL_superzd2ze3classz31_632, BNIL); 
BgL_arg2154z00_643 = 
MAKE_PAIR(BgL_arg2158z00_644, BNIL); } 
BgL_arg2150z00_641 = 
MAKE_PAIR(BgL_arg2153z00_642, BgL_arg2154z00_643); } 
BgL_arg2147z00_640 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg2150z00_641); } 
BgL_arg2144z00_639 = 
MAKE_PAIR(BgL_superzd2idzd2_630, BgL_arg2147z00_640); } 
BgL_arg2139z00_636 = 
MAKE_PAIR(BgL_arg2143z00_638, BgL_arg2144z00_639); } 
{ /* ./Object/coercion.scm 131 */
obj_t BgL_arg2163z00_646;
{ /* ./Object/coercion.scm 131 */
obj_t BgL_arg2166z00_647;obj_t BgL_arg2167z00_648;
BgL_arg2166z00_647 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Object/coercion.scm 131 */
obj_t BgL_arg2170z00_649;
{ /* ./Object/coercion.scm 131 */
obj_t BgL_arg2173z00_650;
{ /* ./Object/coercion.scm 131 */
obj_t BgL_arg2177z00_652;
{ /* ./Object/coercion.scm 131 */
obj_t BgL_arg2180z00_653;
BgL_arg2180z00_653 = 
MAKE_PAIR(BgL_classzd2ze3superz31_631, BNIL); 
BgL_arg2177z00_652 = 
MAKE_PAIR(BgL_arg2180z00_653, BNIL); } 
BgL_arg2173z00_650 = 
MAKE_PAIR(BNIL, BgL_arg2177z00_652); } 
BgL_arg2170z00_649 = 
MAKE_PAIR(BgL_superzd2idzd2_630, BgL_arg2173z00_650); } 
BgL_arg2167z00_648 = 
MAKE_PAIR(BgL_czd2idzd2_7, BgL_arg2170z00_649); } 
BgL_arg2163z00_646 = 
MAKE_PAIR(BgL_arg2166z00_647, BgL_arg2167z00_648); } 
BgL_arg2140z00_637 = 
MAKE_PAIR(BgL_arg2163z00_646, BgL_coercerz00_587); } 
BgL_arg2132z00_634 = 
MAKE_PAIR(BgL_arg2139z00_636, BgL_arg2140z00_637); } 
{ 
obj_t BgL_coercerz00_1464;obj_t BgL_superz00_1463;
BgL_superz00_1463 = BgL_arg2131z00_633; 
BgL_coercerz00_1464 = BgL_arg2132z00_634; 
BgL_coercerz00_587 = BgL_coercerz00_1464; 
BgL_superz00_586 = BgL_superz00_1463; 
goto BgL_loopz00_588;} } } } } }  else 
{ /* ./Object/coercion.scm 117 */
obj_t BgL_arg2222z00_670;obj_t BgL_arg2223z00_671;
BgL_arg2222z00_670 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2223z00_671 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_coercerz00_587, BNIL); 
return 
MAKE_PAIR(BgL_arg2222z00_670, BgL_arg2223z00_671);} } } } } } } } } 
}



/* gen-class-coercers! */
obj_t BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t BgL_classz00_9)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 148 */
{ /* ./Object/coercion.scm 149 */
obj_t BgL_casezd2valuezd2_687;
BgL_casezd2valuezd2_687 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Object/coercion.scm 149 */
bool_t BgL_test2263z00_688;
{ /* ./Object/coercion.scm 149 */
obj_t BgL_auxz00_1468;
BgL_auxz00_1468 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_687, 
CNST_TABLE_REF(((long)0))); 
BgL_test2263z00_688 = 
CBOOL(BgL_auxz00_1468); } 
if(BgL_test2263z00_688)
{ /* ./Object/coercion.scm 149 */
return BUNSPEC;}  else 
{ /* ./Object/coercion.scm 149 */
return 
BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(BgL_classz00_9);} } } } 
}



/* c-gen-class-coercers! */
obj_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t BgL_classz00_10)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 158 */
{ /* ./Object/coercion.scm 169 */
obj_t BgL_tidz00_690;obj_t BgL_tnamez00_691;
{ /* ./Object/coercion.scm 169 */
BgL_typez00_bglt BgL_obj1003z00_942;
BgL_obj1003z00_942 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_tidz00_690 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_942))->BgL_idz00); } 
{ /* ./Object/coercion.scm 170 */
BgL_typez00_bglt BgL_obj1004z00_943;
BgL_obj1004z00_943 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_tnamez00_691 = 
(((BgL_typez00_bglt)CREF(BgL_obj1004z00_943))->BgL_namez00); } 
{ 
obj_t BgL_superz00_692;obj_t BgL_coercerz00_693;
{ /* ./Object/coercion.scm 171 */
obj_t BgL_arg2268z00_695;obj_t BgL_arg2269z00_696;
{ /* ./Object/coercion.scm 171 */
BgL_tclassz00_bglt BgL_obj1607z00_944;
BgL_obj1607z00_944 = 
(BgL_tclassz00_bglt)(BgL_classz00_10); 
{ 
obj_t BgL_auxz00_1479;
{ /* ./Object/coercion.scm 171 */
BgL_objectz00_bglt BgL_auxz00_1480;
BgL_auxz00_1480 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_944); 
BgL_auxz00_1479 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1480); } 
BgL_arg2268z00_695 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1479))->BgL_itszd2superzd2); } } 
BgL_arg2269z00_696 = 
BGl_makezd2onezd2coercionz00zzobject_coercionz00(BgL_tidz00_690, BgL_tnamez00_691, 
CNST_TABLE_REF(((long)3)), BGl_string2643z00zzobject_coercionz00); 
BgL_superz00_692 = BgL_arg2268z00_695; 
BgL_coercerz00_693 = BgL_arg2269z00_696; 
BgL_loopz00_694:
{ /* ./Object/coercion.scm 173 */
bool_t BgL_test2273z00_697;
BgL_test2273z00_697 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_692, BGl_tclassz00zzobject_classz00); 
if(BgL_test2273z00_697)
{ /* ./Object/coercion.scm 175 */
obj_t BgL_sidz00_698;obj_t BgL_snamez00_699;
{ /* ./Object/coercion.scm 175 */
BgL_typez00_bglt BgL_obj1003z00_946;
BgL_obj1003z00_946 = 
(BgL_typez00_bglt)(BgL_superz00_692); 
BgL_sidz00_698 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_946))->BgL_idz00); } 
{ /* ./Object/coercion.scm 176 */
BgL_typez00_bglt BgL_obj1004z00_947;
BgL_obj1004z00_947 = 
(BgL_typez00_bglt)(BgL_superz00_692); 
BgL_snamez00_699 = 
(((BgL_typez00_bglt)CREF(BgL_obj1004z00_947))->BgL_namez00); } 
{ /* ./Object/coercion.scm 177 */
obj_t BgL_arg2275z00_700;obj_t BgL_arg2276z00_701;
{ /* ./Object/coercion.scm 177 */
BgL_tclassz00_bglt BgL_obj1607z00_948;
BgL_obj1607z00_948 = 
(BgL_tclassz00_bglt)(BgL_superz00_692); 
{ 
obj_t BgL_auxz00_1493;
{ /* ./Object/coercion.scm 177 */
BgL_objectz00_bglt BgL_auxz00_1494;
BgL_auxz00_1494 = 
(BgL_objectz00_bglt)(BgL_obj1607z00_948); 
BgL_auxz00_1493 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1494); } 
BgL_arg2275z00_700 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1493))->BgL_itszd2superzd2); } } 
{ /* ./Object/coercion.scm 178 */
obj_t BgL_arg2280z00_702;
BgL_arg2280z00_702 = 
BGl_makezd2onezd2coercionz00zzobject_coercionz00(BgL_tidz00_690, BgL_tnamez00_691, BgL_sidz00_698, BgL_snamez00_699); 
BgL_arg2276z00_701 = 
bgl_append2(BgL_arg2280z00_702, BgL_coercerz00_693); } 
{ 
obj_t BgL_coercerz00_1501;obj_t BgL_superz00_1500;
BgL_superz00_1500 = BgL_arg2275z00_700; 
BgL_coercerz00_1501 = BgL_arg2276z00_701; 
BgL_coercerz00_693 = BgL_coercerz00_1501; 
BgL_superz00_692 = BgL_superz00_1500; 
goto BgL_loopz00_694;} } }  else 
{ /* ./Object/coercion.scm 174 */
obj_t BgL_arg2286z00_703;
{ /* ./Object/coercion.scm 174 */
obj_t BgL_arg2289z00_704;obj_t BgL_arg2290z00_705;
BgL_arg2289z00_704 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2290z00_705 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_coercerz00_693, BNIL); 
BgL_arg2286z00_703 = 
MAKE_PAIR(BgL_arg2289z00_704, BgL_arg2290z00_705); } 
return 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2286z00_703);} } } } } } 
}



/* make-one-coercion */
obj_t BGl_makezd2onezd2coercionz00zzobject_coercionz00(obj_t BgL_fromzd2idzd2_706, obj_t BgL_fromzd2namezd2_707, obj_t BgL_tozd2idzd2_708, obj_t BgL_tozd2namezd2_709)
{ AN_OBJECT;
{ /* ./Object/coercion.scm 168 */
{ /* ./Object/coercion.scm 160 */
obj_t BgL_tzd2ze3fz31_711;obj_t BgL_fzd2ze3tz31_712;
{ /* ./Object/coercion.scm 160 */
obj_t BgL_list2383z00_746;
{ /* ./Object/coercion.scm 160 */
obj_t BgL_arg2385z00_747;
{ /* ./Object/coercion.scm 160 */
obj_t BgL_arg2388z00_748;obj_t BgL_arg2389z00_749;
BgL_arg2388z00_748 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2389z00_749 = 
MAKE_PAIR(BgL_fromzd2idzd2_706, BNIL); 
BgL_arg2385z00_747 = 
MAKE_PAIR(BgL_arg2388z00_748, BgL_arg2389z00_749); } 
BgL_list2383z00_746 = 
MAKE_PAIR(BgL_tozd2idzd2_708, BgL_arg2385z00_747); } 
BgL_tzd2ze3fz31_711 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2383z00_746); } 
{ /* ./Object/coercion.scm 161 */
obj_t BgL_list2393z00_750;
{ /* ./Object/coercion.scm 161 */
obj_t BgL_arg2395z00_751;
{ /* ./Object/coercion.scm 161 */
obj_t BgL_arg2398z00_752;obj_t BgL_arg2399z00_753;
BgL_arg2398z00_752 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2399z00_753 = 
MAKE_PAIR(BgL_tozd2idzd2_708, BNIL); 
BgL_arg2395z00_751 = 
MAKE_PAIR(BgL_arg2398z00_752, BgL_arg2399z00_753); } 
BgL_list2393z00_750 = 
MAKE_PAIR(BgL_fromzd2idzd2_706, BgL_arg2395z00_751); } 
BgL_fzd2ze3tz31_712 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2393z00_750); } 
{ /* ./Object/coercion.scm 163 */
obj_t BgL_arg2298z00_713;
{ /* ./Object/coercion.scm 163 */
obj_t BgL_arg2301z00_714;obj_t BgL_arg2302z00_715;
BgL_arg2301z00_714 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Object/coercion.scm 163 */
obj_t BgL_arg2305z00_716;obj_t BgL_arg2306z00_717;
{ /* ./Object/coercion.scm 163 */
obj_t BgL_arg2309z00_718;
{ /* ./Object/coercion.scm 163 */
obj_t BgL_arg2312z00_719;obj_t BgL_arg2313z00_720;
BgL_arg2312z00_719 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/coercion.scm 163 */
obj_t BgL_auxz00_1518;
BgL_auxz00_1518 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2313z00_720 = 
MAKE_PAIR(BgL_auxz00_1518, BNIL); } 
BgL_arg2309z00_718 = 
MAKE_PAIR(BgL_arg2312z00_719, BgL_arg2313z00_720); } 
BgL_arg2305z00_716 = 
MAKE_PAIR(BgL_tzd2ze3fz31_711, BgL_arg2309z00_718); } 
{ /* ./Object/coercion.scm 164 */
obj_t BgL_arg2317z00_721;
{ /* ./Object/coercion.scm 164 */
obj_t BgL_arg2321z00_723;
{ /* ./Object/coercion.scm 164 */
obj_t BgL_arg2324z00_724;obj_t BgL_arg2325z00_725;
BgL_arg2324z00_724 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/coercion.scm 164 */
obj_t BgL_auxz00_1524;
BgL_auxz00_1524 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2325z00_725 = 
MAKE_PAIR(BgL_auxz00_1524, BNIL); } 
BgL_arg2321z00_723 = 
MAKE_PAIR(BgL_arg2324z00_724, BgL_arg2325z00_725); } 
BgL_arg2317z00_721 = 
MAKE_PAIR(BgL_fzd2ze3tz31_712, BgL_arg2321z00_723); } 
BgL_arg2306z00_717 = 
MAKE_PAIR(BgL_arg2317z00_721, BNIL); } 
BgL_arg2302z00_715 = 
MAKE_PAIR(BgL_arg2305z00_716, BgL_arg2306z00_717); } 
BgL_arg2298z00_713 = 
MAKE_PAIR(BgL_arg2301z00_714, BgL_arg2302z00_715); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2298z00_713); } 
{ /* ./Object/coercion.scm 165 */
obj_t BgL_arg2329z00_726;obj_t BgL_arg2330z00_727;
{ /* ./Object/coercion.scm 165 */
obj_t BgL_arg2338z00_730;obj_t BgL_arg2339z00_731;
BgL_arg2338z00_730 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Object/coercion.scm 165 */
obj_t BgL_arg2342z00_732;
{ /* ./Object/coercion.scm 165 */
obj_t BgL_arg2345z00_733;
{ /* ./Object/coercion.scm 165 */
obj_t BgL_arg2348z00_734;obj_t BgL_arg2350z00_735;
BgL_arg2348z00_734 = 
MAKE_PAIR(BgL_tozd2idzd2_708, BNIL); 
{ /* ./Object/coercion.scm 166 */
obj_t BgL_arg2355z00_736;
BgL_arg2355z00_736 = 
string_append_3(BGl_string2644z00zzobject_coercionz00, BgL_fromzd2namezd2_707, BGl_string2645z00zzobject_coercionz00); 
BgL_arg2350z00_735 = 
MAKE_PAIR(BgL_arg2355z00_736, BNIL); } 
BgL_arg2345z00_733 = 
MAKE_PAIR(BgL_arg2348z00_734, BgL_arg2350z00_735); } 
BgL_arg2342z00_732 = 
MAKE_PAIR(BgL_tzd2ze3fz31_711, BgL_arg2345z00_733); } 
BgL_arg2339z00_731 = 
MAKE_PAIR(BgL_fromzd2idzd2_706, BgL_arg2342z00_732); } 
BgL_arg2329z00_726 = 
MAKE_PAIR(BgL_arg2338z00_730, BgL_arg2339z00_731); } 
{ /* ./Object/coercion.scm 167 */
obj_t BgL_arg2360z00_738;obj_t BgL_arg2362z00_739;
BgL_arg2360z00_738 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Object/coercion.scm 167 */
obj_t BgL_arg2365z00_740;
{ /* ./Object/coercion.scm 167 */
obj_t BgL_arg2368z00_741;
{ /* ./Object/coercion.scm 167 */
obj_t BgL_arg2371z00_742;obj_t BgL_arg2373z00_743;
BgL_arg2371z00_742 = 
MAKE_PAIR(BgL_fromzd2idzd2_706, BNIL); 
{ /* ./Object/coercion.scm 168 */
obj_t BgL_arg2378z00_744;
BgL_arg2378z00_744 = 
string_append_3(BGl_string2644z00zzobject_coercionz00, BgL_tozd2namezd2_709, BGl_string2645z00zzobject_coercionz00); 
BgL_arg2373z00_743 = 
MAKE_PAIR(BgL_arg2378z00_744, BNIL); } 
BgL_arg2368z00_741 = 
MAKE_PAIR(BgL_arg2371z00_742, BgL_arg2373z00_743); } 
BgL_arg2365z00_740 = 
MAKE_PAIR(BgL_fzd2ze3tz31_712, BgL_arg2368z00_741); } 
BgL_arg2362z00_739 = 
MAKE_PAIR(BgL_tozd2idzd2_708, BgL_arg2365z00_740); } 
BgL_arg2330z00_727 = 
MAKE_PAIR(BgL_arg2360z00_738, BgL_arg2362z00_739); } 
{ /* ./Object/coercion.scm 165 */
obj_t BgL_list2332z00_728;
{ /* ./Object/coercion.scm 165 */
obj_t BgL_arg2334z00_729;
BgL_arg2334z00_729 = 
MAKE_PAIR(BgL_arg2330z00_727, BNIL); 
BgL_list2332z00_728 = 
MAKE_PAIR(BgL_arg2329z00_726, BgL_arg2334z00_729); } 
return BgL_list2332z00_728;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_coercionz00()
{ AN_OBJECT;
{ /* ./Object/coercion.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00()
{ AN_OBJECT;
{ /* ./Object/coercion.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "object_coercion"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41062), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)58597), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)12782), "object_coercion"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "object_coercion"); 
return 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "object_coercion");} 
}

