/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.96 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_symbol2331z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2330z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2329z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2328z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_symbol2325z00zz__processz00 = BUNSPEC;
extern bool_t c_process_alivep(obj_t);
static obj_t BGl_symbol2323z00zz__processz00 = BUNSPEC;
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_symbol2309z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2299z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2308z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2298z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2307z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2297z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2306z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2296z00zz__processz00 = BUNSPEC;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_symbol2305z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2295z00zz__processz00 = BUNSPEC;
extern obj_t close_output_port(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_symbol2304z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2294z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2303z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2293z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2302z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2292z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2291z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2300z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2290z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2289z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2288z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2287z00zz__processz00 = BUNSPEC;
extern obj_t c_process_wait(obj_t);
static obj_t BGl_symbol2284z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2283z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2282z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
static obj_t BGl__processzd2wait1884zd2zz__processz00(obj_t, obj_t);
extern obj_t c_process_continue(obj_t);
static obj_t BGl__processzd2errorzd2port1880z00zz__processz00(obj_t, obj_t);
extern obj_t c_process_send_signal(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_list2310z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzf3zf3zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
static obj_t BGl_cnstzd2initzd2zz__processz00();
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
static obj_t BGl__processzd2outputzd2port1876z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2listzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl__processzd2inputzd2port1878z00zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
extern obj_t close_input_port(obj_t);
static obj_t BGl__processzd2alivezf31882z21zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__processzd2pid1874zd2zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword2311z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2314z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2continue1894zd2zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword2317z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2318z00zz__processz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl_keyword2320z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2319z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2321z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2322z00zz__processz00 = BUNSPEC;
static obj_t BGl__unregisterzd2process1901zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t c_process_list();
extern obj_t c_process_xstatus(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2stop1892zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
extern obj_t c_process_kill(obj_t);
static obj_t BGl__processzd2sendzd2signal1888z00zz__processz00(obj_t, obj_t, obj_t);
extern obj_t string_to_keyword(char *);
static obj_t BGl__runzd2process1897zd2zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl__processzd2exitzd2status1886z00zz__processz00(obj_t, obj_t);
extern obj_t c_unregister_process(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
static obj_t BGl__closezd2processzd2ports1899z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2kill1890zd2zz__processz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl__processza7d2pid1874za7d2za7za7__processza7002342za7, BGl__processzd2pid1874zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl__processza7d2kill1890za7d2za7za7__processza7002343za7, BGl__processzd2kill1890zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2errorza7d2port1880za700za7za7__processza7002344z00, BGl__processzd2errorzd2port1880z00zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string2327z00zz__processz00, BgL_bgl_string2327za700za7za7__processza7002345z00, "input-port", 10 );
DEFINE_STRING( BGl_string2326z00zz__processz00, BgL_bgl_string2326za700za7za7__processza7002346z00, "output-port", 11 );
DEFINE_STRING( BGl_string2324z00zz__processz00, BgL_bgl_string2324za700za7za7__processza7002347z00, "bstring", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl__processza7d2sendza7d2signal1888za700za7za7__processza7002348z00, BGl__processzd2sendzd2signal1888z00zz__processz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl__processza7d2exitza7d2status1886za700za7za7__processza7002349z00, BGl__processzd2exitzd2status1886z00zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string2316z00zz__processz00, BgL_bgl_string2316za700za7za7__processza7002350z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2315z00zz__processz00, BgL_bgl_string2315za700za7za7__processza7002351z00, "run-process", 11 );
DEFINE_STRING( BGl_string2313z00zz__processz00, BgL_bgl_string2313za700za7za7__processza7002352z00, "pair", 4 );
DEFINE_STRING( BGl_string2312z00zz__processz00, BgL_bgl_string2312za700za7za7__processza7002353z00, "pair-nil", 8 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl__processza7d2aliveza7f31882za721za7za7__processza7002354z00, BGl__processzd2alivezf31882z21zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl__processza7d2listza7d2za7za7__processza7002355za7, BGl__processzd2listzd2zz__processz00, 0L, 0 );
DEFINE_STRING( BGl_string2301z00zz__processz00, BgL_bgl_string2301za700za7za7__processza7002356z00, "int", 3 );
DEFINE_STRING( BGl_string2286z00zz__processz00, BgL_bgl_string2286za700za7za7__processza7002357z00, "/tmp/bigloo/runtime/./Llib/process.scm", 38 );
DEFINE_STRING( BGl_string2285z00zz__processz00, BgL_bgl_string2285za700za7za7__processza7002358z00, "process", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl__processza7d2continue1894za7d2za7za7__processza7002359za7, BGl__processzd2continue1894zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl__processza7f3za7f3za7za7__processza7002360za7, BGl__processzf3zf3zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl__processza7d2wait1884za7d2za7za7__processza7002361za7, BGl__processzd2wait1884zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2outputza7d2port1876za700za7za7__processza7002362z00, BGl__processzd2outputzd2port1876z00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl__closeza7d2processza7d2ports1899za700za7za7__processza7002363z00, BGl__closezd2processzd2ports1899z00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl__unregisterza7d2process1901za7d2za7za7__processza7002364za7, BGl__unregisterzd2process1901zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl__processza7d2stop1892za7d2za7za7__processza7002365za7, BGl__processzd2stop1892zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2inputza7d2port1878za700za7za7__processza7002366z00, BGl__processzd2inputzd2port1878z00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl__runza7d2process1897za7d2za7za7__processza7002367za7, va_generic_entry, BGl__runzd2process1897zd2zz__processz00, -2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_863, char * BgL_fromz00_864)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* ./Llib/process.scm 15 */
BGl_symbol2282z00zz__processz00 = 
string_to_symbol("process?"); 
BGl_symbol2283z00zz__processz00 = 
string_to_symbol("process-pid"); 
BGl_symbol2284z00zz__processz00 = 
string_to_symbol("_process-pid1874"); 
BGl_symbol2287z00zz__processz00 = 
string_to_symbol("process-output-port"); 
BGl_symbol2288z00zz__processz00 = 
string_to_symbol("_process-output-port1876"); 
BGl_symbol2289z00zz__processz00 = 
string_to_symbol("process-input-port"); 
BGl_symbol2290z00zz__processz00 = 
string_to_symbol("_process-input-port1878"); 
BGl_symbol2291z00zz__processz00 = 
string_to_symbol("process-error-port"); 
BGl_symbol2292z00zz__processz00 = 
string_to_symbol("_process-error-port1880"); 
BGl_symbol2293z00zz__processz00 = 
string_to_symbol("process-alive?"); 
BGl_symbol2294z00zz__processz00 = 
string_to_symbol("_process-alive?1882"); 
BGl_symbol2295z00zz__processz00 = 
string_to_symbol("process-wait"); 
BGl_symbol2296z00zz__processz00 = 
string_to_symbol("_process-wait1884"); 
BGl_symbol2297z00zz__processz00 = 
string_to_symbol("process-exit-status"); 
BGl_symbol2298z00zz__processz00 = 
string_to_symbol("_process-exit-status1886"); 
BGl_symbol2299z00zz__processz00 = 
string_to_symbol("process-send-signal"); 
BGl_symbol2300z00zz__processz00 = 
string_to_symbol("_process-send-signal1888"); 
BGl_symbol2302z00zz__processz00 = 
string_to_symbol("process-kill"); 
BGl_symbol2303z00zz__processz00 = 
string_to_symbol("_process-kill1890"); 
BGl_symbol2304z00zz__processz00 = 
string_to_symbol("process-stop"); 
BGl_symbol2305z00zz__processz00 = 
string_to_symbol("_process-stop1892"); 
BGl_symbol2306z00zz__processz00 = 
string_to_symbol("process-continue"); 
BGl_symbol2307z00zz__processz00 = 
string_to_symbol("_process-continue1894"); 
BGl_symbol2308z00zz__processz00 = 
string_to_symbol("process-list"); 
BGl_symbol2309z00zz__processz00 = 
string_to_symbol("run-process"); 
BGl_keyword2311z00zz__processz00 = 
string_to_keyword("pipe:"); 
BGl_list2310z00zz__processz00 = 
MAKE_PAIR(BGl_keyword2311z00zz__processz00, BNIL); 
BGl_keyword2314z00zz__processz00 = 
string_to_keyword("wait:"); 
BGl_keyword2317z00zz__processz00 = 
string_to_keyword("fork:"); 
BGl_keyword2318z00zz__processz00 = 
string_to_keyword("input:"); 
BGl_keyword2319z00zz__processz00 = 
string_to_keyword("output:"); 
BGl_keyword2320z00zz__processz00 = 
string_to_keyword("error:"); 
BGl_keyword2321z00zz__processz00 = 
string_to_keyword("host:"); 
BGl_keyword2322z00zz__processz00 = 
string_to_keyword("env:"); 
BGl_symbol2323z00zz__processz00 = 
string_to_symbol("_run-process1897"); 
BGl_symbol2325z00zz__processz00 = 
string_to_symbol("close-process-ports"); 
BGl_symbol2328z00zz__processz00 = 
string_to_symbol("_close-process-ports1899"); 
BGl_symbol2329z00zz__processz00 = 
string_to_symbol("unregister-process"); 
BGl_symbol2330z00zz__processz00 = 
string_to_symbol("_unregister-process1901"); 
return ( 
BGl_symbol2331z00zz__processz00 = 
string_to_symbol("%import@__process"), BUNSPEC) ;} 
}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/process.scm 114 */
{ /* ./Llib/process.scm 115 */
obj_t BgL_symbol1797z00_784;
BgL_symbol1797z00_784 = BGl_symbol2282z00zz__processz00; 
{ /* ./Llib/process.scm 115 */

PUSH_TRACE(BgL_symbol1797z00_784); BUNSPEC; 
{ /* ./Llib/process.scm 115 */
bool_t BgL_aux1796z00_785;
BgL_aux1796z00_785 = 
PROCESSP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1796z00_785;} } } } 
}



/* _process? */
obj_t BGl__processzf3zf3zz__processz00(obj_t BgL_envz00_691, obj_t BgL_objz00_692)
{ AN_OBJECT;
{ /* ./Llib/process.scm 114 */
{ /* ./Llib/process.scm 115 */
bool_t BgL_auxz00_913;
{ /* ./Llib/process.scm 115 */
bool_t BgL_res2332z00_789;
{ /* ./Llib/process.scm 115 */
obj_t BgL_symbol1797z00_787;
BgL_symbol1797z00_787 = BGl_symbol2282z00zz__processz00; 
{ /* ./Llib/process.scm 115 */

PUSH_TRACE(BgL_symbol1797z00_787); BUNSPEC; 
{ /* ./Llib/process.scm 115 */
bool_t BgL_aux1796z00_788;
BgL_aux1796z00_788 = 
PROCESSP(BgL_objz00_692); 
POP_TRACE(); 
BgL_res2332z00_789 = BgL_aux1796z00_788; } } } 
BgL_auxz00_913 = BgL_res2332z00_789; } 
return 
BBOOL(BgL_auxz00_913);} } 
}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_2)
{ AN_OBJECT;
{ /* ./Llib/process.scm 120 */
{ /* ./Llib/process.scm 121 */
obj_t BgL_symbol1801z00_790;
BgL_symbol1801z00_790 = BGl_symbol2283z00zz__processz00; 
{ /* ./Llib/process.scm 121 */

PUSH_TRACE(BgL_symbol1801z00_790); BUNSPEC; 
{ /* ./Llib/process.scm 121 */
int BgL_aux1800z00_791;
BgL_aux1800z00_791 = 
PROCESS_PID(BgL_procz00_2); 
POP_TRACE(); 
return BgL_aux1800z00_791;} } } } 
}



/* _process-pid1874 */
obj_t BGl__processzd2pid1874zd2zz__processz00(obj_t BgL_envz00_693, obj_t BgL_procz00_694)
{ AN_OBJECT;
{ /* ./Llib/process.scm 120 */
{ /* ./Llib/process.scm 121 */
int BgL_auxz00_921;
{ /* ./Llib/process.scm 121 */
int BgL_res2333z00_795;
{ /* ./Llib/process.scm 121 */
obj_t BgL_procz00_792;
if(
PROCESSP(BgL_procz00_694))
{ /* ./Llib/process.scm 121 */
BgL_procz00_792 = BgL_procz00_694; }  else 
{ /* ./Llib/process.scm 121 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2284z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_694, BGl_string2286z00zz__processz00, 
BINT(((long)5174))); 
exit( -1 );} 
{ /* ./Llib/process.scm 121 */
obj_t BgL_symbol1801z00_793;
BgL_symbol1801z00_793 = BGl_symbol2283z00zz__processz00; 
{ /* ./Llib/process.scm 121 */

PUSH_TRACE(BgL_symbol1801z00_793); BUNSPEC; 
{ /* ./Llib/process.scm 121 */
int BgL_aux1800z00_794;
BgL_aux1800z00_794 = 
PROCESS_PID(BgL_procz00_792); 
POP_TRACE(); 
BgL_res2333z00_795 = BgL_aux1800z00_794; } } } } 
BgL_auxz00_921 = BgL_res2333z00_795; } 
return 
BINT(BgL_auxz00_921);} } 
}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_3)
{ AN_OBJECT;
{ /* ./Llib/process.scm 126 */
{ /* ./Llib/process.scm 127 */
obj_t BgL_symbol1805z00_796;
BgL_symbol1805z00_796 = BGl_symbol2287z00zz__processz00; 
{ /* ./Llib/process.scm 127 */

PUSH_TRACE(BgL_symbol1805z00_796); BUNSPEC; 
{ /* ./Llib/process.scm 127 */
obj_t BgL_aux1804z00_797;
BgL_aux1804z00_797 = 
PROCESS_OUTPUT_PORT(BgL_procz00_3); 
POP_TRACE(); 
return BgL_aux1804z00_797;} } } } 
}



/* _process-output-port1876 */
obj_t BGl__processzd2outputzd2port1876z00zz__processz00(obj_t BgL_envz00_695, obj_t BgL_procz00_696)
{ AN_OBJECT;
{ /* ./Llib/process.scm 126 */
{ /* ./Llib/process.scm 127 */
obj_t BgL_procz00_798;
if(
PROCESSP(BgL_procz00_696))
{ /* ./Llib/process.scm 127 */
BgL_procz00_798 = BgL_procz00_696; }  else 
{ /* ./Llib/process.scm 127 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2288z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_696, BGl_string2286z00zz__processz00, 
BINT(((long)5464))); 
exit( -1 );} 
{ /* ./Llib/process.scm 127 */
obj_t BgL_symbol1805z00_799;
BgL_symbol1805z00_799 = BGl_symbol2287z00zz__processz00; 
{ /* ./Llib/process.scm 127 */

PUSH_TRACE(BgL_symbol1805z00_799); BUNSPEC; 
{ /* ./Llib/process.scm 127 */
obj_t BgL_aux1804z00_800;
BgL_aux1804z00_800 = 
PROCESS_OUTPUT_PORT(BgL_procz00_798); 
POP_TRACE(); 
return BgL_aux1804z00_800;} } } } } 
}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* ./Llib/process.scm 132 */
{ /* ./Llib/process.scm 133 */
obj_t BgL_symbol1809z00_801;
BgL_symbol1809z00_801 = BGl_symbol2289z00zz__processz00; 
{ /* ./Llib/process.scm 133 */

PUSH_TRACE(BgL_symbol1809z00_801); BUNSPEC; 
{ /* ./Llib/process.scm 133 */
obj_t BgL_aux1808z00_802;
BgL_aux1808z00_802 = 
PROCESS_INPUT_PORT(BgL_procz00_4); 
POP_TRACE(); 
return BgL_aux1808z00_802;} } } } 
}



/* _process-input-port1878 */
obj_t BGl__processzd2inputzd2port1878z00zz__processz00(obj_t BgL_envz00_697, obj_t BgL_procz00_698)
{ AN_OBJECT;
{ /* ./Llib/process.scm 132 */
{ /* ./Llib/process.scm 133 */
obj_t BgL_procz00_803;
if(
PROCESSP(BgL_procz00_698))
{ /* ./Llib/process.scm 133 */
BgL_procz00_803 = BgL_procz00_698; }  else 
{ /* ./Llib/process.scm 133 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2290z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_698, BGl_string2286z00zz__processz00, 
BINT(((long)5761))); 
exit( -1 );} 
{ /* ./Llib/process.scm 133 */
obj_t BgL_symbol1809z00_804;
BgL_symbol1809z00_804 = BGl_symbol2289z00zz__processz00; 
{ /* ./Llib/process.scm 133 */

PUSH_TRACE(BgL_symbol1809z00_804); BUNSPEC; 
{ /* ./Llib/process.scm 133 */
obj_t BgL_aux1808z00_805;
BgL_aux1808z00_805 = 
PROCESS_INPUT_PORT(BgL_procz00_803); 
POP_TRACE(); 
return BgL_aux1808z00_805;} } } } } 
}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* ./Llib/process.scm 138 */
{ /* ./Llib/process.scm 139 */
obj_t BgL_symbol1813z00_806;
BgL_symbol1813z00_806 = BGl_symbol2291z00zz__processz00; 
{ /* ./Llib/process.scm 139 */

PUSH_TRACE(BgL_symbol1813z00_806); BUNSPEC; 
{ /* ./Llib/process.scm 139 */
obj_t BgL_aux1812z00_807;
BgL_aux1812z00_807 = 
PROCESS_ERROR_PORT(BgL_procz00_5); 
POP_TRACE(); 
return BgL_aux1812z00_807;} } } } 
}



/* _process-error-port1880 */
obj_t BGl__processzd2errorzd2port1880z00zz__processz00(obj_t BgL_envz00_699, obj_t BgL_procz00_700)
{ AN_OBJECT;
{ /* ./Llib/process.scm 138 */
{ /* ./Llib/process.scm 139 */
obj_t BgL_procz00_808;
if(
PROCESSP(BgL_procz00_700))
{ /* ./Llib/process.scm 139 */
BgL_procz00_808 = BgL_procz00_700; }  else 
{ /* ./Llib/process.scm 139 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2292z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_700, BGl_string2286z00zz__processz00, 
BINT(((long)6057))); 
exit( -1 );} 
{ /* ./Llib/process.scm 139 */
obj_t BgL_symbol1813z00_809;
BgL_symbol1813z00_809 = BGl_symbol2291z00zz__processz00; 
{ /* ./Llib/process.scm 139 */

PUSH_TRACE(BgL_symbol1813z00_809); BUNSPEC; 
{ /* ./Llib/process.scm 139 */
obj_t BgL_aux1812z00_810;
BgL_aux1812z00_810 = 
PROCESS_ERROR_PORT(BgL_procz00_808); 
POP_TRACE(); 
return BgL_aux1812z00_810;} } } } } 
}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* ./Llib/process.scm 144 */
{ /* ./Llib/process.scm 145 */
obj_t BgL_symbol1817z00_811;
BgL_symbol1817z00_811 = BGl_symbol2293z00zz__processz00; 
{ /* ./Llib/process.scm 145 */

PUSH_TRACE(BgL_symbol1817z00_811); BUNSPEC; 
{ /* ./Llib/process.scm 145 */
bool_t BgL_aux1816z00_812;
BgL_aux1816z00_812 = 
c_process_alivep(BgL_procz00_6); 
POP_TRACE(); 
return BgL_aux1816z00_812;} } } } 
}



/* _process-alive?1882 */
obj_t BGl__processzd2alivezf31882z21zz__processz00(obj_t BgL_envz00_701, obj_t BgL_procz00_702)
{ AN_OBJECT;
{ /* ./Llib/process.scm 144 */
{ /* ./Llib/process.scm 145 */
bool_t BgL_auxz00_967;
{ /* ./Llib/process.scm 145 */
bool_t BgL_res2334z00_816;
{ /* ./Llib/process.scm 145 */
obj_t BgL_procz00_813;
if(
PROCESSP(BgL_procz00_702))
{ /* ./Llib/process.scm 145 */
BgL_procz00_813 = BgL_procz00_702; }  else 
{ /* ./Llib/process.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2294z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_702, BGl_string2286z00zz__processz00, 
BINT(((long)6349))); 
exit( -1 );} 
{ /* ./Llib/process.scm 145 */
obj_t BgL_symbol1817z00_814;
BgL_symbol1817z00_814 = BGl_symbol2293z00zz__processz00; 
{ /* ./Llib/process.scm 145 */

PUSH_TRACE(BgL_symbol1817z00_814); BUNSPEC; 
{ /* ./Llib/process.scm 145 */
bool_t BgL_aux1816z00_815;
BgL_aux1816z00_815 = 
c_process_alivep(BgL_procz00_813); 
POP_TRACE(); 
BgL_res2334z00_816 = BgL_aux1816z00_815; } } } } 
BgL_auxz00_967 = BgL_res2334z00_816; } 
return 
BBOOL(BgL_auxz00_967);} } 
}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* ./Llib/process.scm 150 */
{ /* ./Llib/process.scm 151 */
obj_t BgL_symbol1821z00_817;
BgL_symbol1821z00_817 = BGl_symbol2295z00zz__processz00; 
{ /* ./Llib/process.scm 151 */

PUSH_TRACE(BgL_symbol1821z00_817); BUNSPEC; 
{ /* ./Llib/process.scm 151 */
bool_t BgL_aux1820z00_818;
if(
c_process_alivep(BgL_procz00_7))
{ /* ./Llib/process.scm 151 */
obj_t BgL_auxz00_980;
BgL_auxz00_980 = 
c_process_wait(BgL_procz00_7); 
BgL_aux1820z00_818 = 
CBOOL(BgL_auxz00_980); }  else 
{ /* ./Llib/process.scm 151 */
BgL_aux1820z00_818 = ((bool_t)0); } 
POP_TRACE(); 
return BgL_aux1820z00_818;} } } } 
}



/* _process-wait1884 */
obj_t BGl__processzd2wait1884zd2zz__processz00(obj_t BgL_envz00_703, obj_t BgL_procz00_704)
{ AN_OBJECT;
{ /* ./Llib/process.scm 150 */
{ /* ./Llib/process.scm 151 */
bool_t BgL_auxz00_984;
{ /* ./Llib/process.scm 151 */
bool_t BgL_res2335z00_822;
{ /* ./Llib/process.scm 151 */
obj_t BgL_procz00_819;
if(
PROCESSP(BgL_procz00_704))
{ /* ./Llib/process.scm 151 */
BgL_procz00_819 = BgL_procz00_704; }  else 
{ /* ./Llib/process.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2296z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_704, BGl_string2286z00zz__processz00, 
BINT(((long)6635))); 
exit( -1 );} 
{ /* ./Llib/process.scm 151 */
obj_t BgL_symbol1821z00_820;
BgL_symbol1821z00_820 = BGl_symbol2295z00zz__processz00; 
{ /* ./Llib/process.scm 151 */

PUSH_TRACE(BgL_symbol1821z00_820); BUNSPEC; 
{ /* ./Llib/process.scm 151 */
bool_t BgL_aux1820z00_821;
if(
c_process_alivep(BgL_procz00_819))
{ /* ./Llib/process.scm 151 */
obj_t BgL_auxz00_993;
BgL_auxz00_993 = 
c_process_wait(BgL_procz00_819); 
BgL_aux1820z00_821 = 
CBOOL(BgL_auxz00_993); }  else 
{ /* ./Llib/process.scm 151 */
BgL_aux1820z00_821 = ((bool_t)0); } 
POP_TRACE(); 
BgL_res2335z00_822 = BgL_aux1820z00_821; } } } } 
BgL_auxz00_984 = BgL_res2335z00_822; } 
return 
BBOOL(BgL_auxz00_984);} } 
}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* ./Llib/process.scm 157 */
{ /* ./Llib/process.scm 158 */
obj_t BgL_symbol1825z00_823;
BgL_symbol1825z00_823 = BGl_symbol2297z00zz__processz00; 
{ /* ./Llib/process.scm 158 */

PUSH_TRACE(BgL_symbol1825z00_823); BUNSPEC; 
{ /* ./Llib/process.scm 158 */
obj_t BgL_aux1824z00_824;
BgL_aux1824z00_824 = 
c_process_xstatus(BgL_procz00_8); 
POP_TRACE(); 
return BgL_aux1824z00_824;} } } } 
}



/* _process-exit-status1886 */
obj_t BGl__processzd2exitzd2status1886z00zz__processz00(obj_t BgL_envz00_705, obj_t BgL_procz00_706)
{ AN_OBJECT;
{ /* ./Llib/process.scm 157 */
{ /* ./Llib/process.scm 158 */
obj_t BgL_procz00_825;
if(
PROCESSP(BgL_procz00_706))
{ /* ./Llib/process.scm 158 */
BgL_procz00_825 = BgL_procz00_706; }  else 
{ /* ./Llib/process.scm 158 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2298z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_706, BGl_string2286z00zz__processz00, 
BINT(((long)6960))); 
exit( -1 );} 
{ /* ./Llib/process.scm 158 */
obj_t BgL_symbol1825z00_826;
BgL_symbol1825z00_826 = BGl_symbol2297z00zz__processz00; 
{ /* ./Llib/process.scm 158 */

PUSH_TRACE(BgL_symbol1825z00_826); BUNSPEC; 
{ /* ./Llib/process.scm 158 */
obj_t BgL_aux1824z00_827;
BgL_aux1824z00_827 = 
c_process_xstatus(BgL_procz00_825); 
POP_TRACE(); 
return BgL_aux1824z00_827;} } } } } 
}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_9, int BgL_signalz00_10)
{ AN_OBJECT;
{ /* ./Llib/process.scm 163 */
{ /* ./Llib/process.scm 164 */
obj_t BgL_symbol1829z00_828;
BgL_symbol1829z00_828 = BGl_symbol2299z00zz__processz00; 
{ /* ./Llib/process.scm 164 */

PUSH_TRACE(BgL_symbol1829z00_828); BUNSPEC; 
{ /* ./Llib/process.scm 164 */
obj_t BgL_aux1828z00_829;
BgL_aux1828z00_829 = 
c_process_send_signal(BgL_procz00_9, BgL_signalz00_10); 
POP_TRACE(); 
return BgL_aux1828z00_829;} } } } 
}



/* _process-send-signal1888 */
obj_t BGl__processzd2sendzd2signal1888z00zz__processz00(obj_t BgL_envz00_707, obj_t BgL_procz00_708, obj_t BgL_signalz00_709)
{ AN_OBJECT;
{ /* ./Llib/process.scm 163 */
{ /* ./Llib/process.scm 164 */
obj_t BgL_procz00_830;int BgL_signalz00_831;
if(
PROCESSP(BgL_procz00_708))
{ /* ./Llib/process.scm 164 */
BgL_procz00_830 = BgL_procz00_708; }  else 
{ /* ./Llib/process.scm 164 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2300z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_708, BGl_string2286z00zz__processz00, 
BINT(((long)7265))); 
exit( -1 );} 
{ /* ./Llib/process.scm 164 */
obj_t BgL_auxz00_1017;
if(
INTEGERP(BgL_signalz00_709))
{ /* ./Llib/process.scm 164 */
BgL_auxz00_1017 = BgL_signalz00_709
; }  else 
{ /* ./Llib/process.scm 164 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2300z00zz__processz00, BGl_string2301z00zz__processz00, BgL_signalz00_709, BGl_string2286z00zz__processz00, 
BINT(((long)7265))); 
exit( -1 );} 
BgL_signalz00_831 = 
CINT(BgL_auxz00_1017); } 
{ /* ./Llib/process.scm 164 */
obj_t BgL_symbol1829z00_832;
BgL_symbol1829z00_832 = BGl_symbol2299z00zz__processz00; 
{ /* ./Llib/process.scm 164 */

PUSH_TRACE(BgL_symbol1829z00_832); BUNSPEC; 
{ /* ./Llib/process.scm 164 */
obj_t BgL_aux1828z00_833;
BgL_aux1828z00_833 = 
c_process_send_signal(BgL_procz00_830, BgL_signalz00_831); 
POP_TRACE(); 
return BgL_aux1828z00_833;} } } } } 
}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_11)
{ AN_OBJECT;
{ /* ./Llib/process.scm 169 */
{ /* ./Llib/process.scm 170 */
obj_t BgL_symbol1833z00_834;
BgL_symbol1833z00_834 = BGl_symbol2302z00zz__processz00; 
{ /* ./Llib/process.scm 170 */

PUSH_TRACE(BgL_symbol1833z00_834); BUNSPEC; 
{ /* ./Llib/process.scm 170 */
obj_t BgL_aux1832z00_835;
c_process_kill(BgL_procz00_11); 
BgL_aux1832z00_835 = 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_11); 
POP_TRACE(); 
return BgL_aux1832z00_835;} } } } 
}



/* _process-kill1890 */
obj_t BGl__processzd2kill1890zd2zz__processz00(obj_t BgL_envz00_710, obj_t BgL_procz00_711)
{ AN_OBJECT;
{ /* ./Llib/process.scm 169 */
{ /* ./Llib/process.scm 170 */
obj_t BgL_procz00_836;
if(
PROCESSP(BgL_procz00_711))
{ /* ./Llib/process.scm 170 */
BgL_procz00_836 = BgL_procz00_711; }  else 
{ /* ./Llib/process.scm 170 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2303z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_711, BGl_string2286z00zz__processz00, 
BINT(((long)7563))); 
exit( -1 );} 
{ /* ./Llib/process.scm 170 */
obj_t BgL_symbol1833z00_837;
BgL_symbol1833z00_837 = BGl_symbol2302z00zz__processz00; 
{ /* ./Llib/process.scm 170 */

PUSH_TRACE(BgL_symbol1833z00_837); BUNSPEC; 
{ /* ./Llib/process.scm 170 */
obj_t BgL_aux1832z00_838;
c_process_kill(BgL_procz00_836); 
BgL_aux1832z00_838 = 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_836); 
POP_TRACE(); 
return BgL_aux1832z00_838;} } } } } 
}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_12)
{ AN_OBJECT;
{ /* ./Llib/process.scm 176 */
{ /* ./Llib/process.scm 177 */
obj_t BgL_symbol1837z00_839;
BgL_symbol1837z00_839 = BGl_symbol2304z00zz__processz00; 
{ /* ./Llib/process.scm 177 */

PUSH_TRACE(BgL_symbol1837z00_839); BUNSPEC; 
{ /* ./Llib/process.scm 177 */
obj_t BgL_aux1836z00_840;
BgL_aux1836z00_840 = 
c_process_stop(BgL_procz00_12); 
POP_TRACE(); 
return BgL_aux1836z00_840;} } } } 
}



/* _process-stop1892 */
obj_t BGl__processzd2stop1892zd2zz__processz00(obj_t BgL_envz00_712, obj_t BgL_procz00_713)
{ AN_OBJECT;
{ /* ./Llib/process.scm 176 */
{ /* ./Llib/process.scm 177 */
obj_t BgL_procz00_841;
if(
PROCESSP(BgL_procz00_713))
{ /* ./Llib/process.scm 177 */
BgL_procz00_841 = BgL_procz00_713; }  else 
{ /* ./Llib/process.scm 177 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2305z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_713, BGl_string2286z00zz__processz00, 
BINT(((long)7877))); 
exit( -1 );} 
{ /* ./Llib/process.scm 177 */
obj_t BgL_symbol1837z00_842;
BgL_symbol1837z00_842 = BGl_symbol2304z00zz__processz00; 
{ /* ./Llib/process.scm 177 */

PUSH_TRACE(BgL_symbol1837z00_842); BUNSPEC; 
{ /* ./Llib/process.scm 177 */
obj_t BgL_aux1836z00_843;
BgL_aux1836z00_843 = 
c_process_stop(BgL_procz00_841); 
POP_TRACE(); 
return BgL_aux1836z00_843;} } } } } 
}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* ./Llib/process.scm 182 */
{ /* ./Llib/process.scm 183 */
obj_t BgL_symbol1841z00_844;
BgL_symbol1841z00_844 = BGl_symbol2306z00zz__processz00; 
{ /* ./Llib/process.scm 183 */

PUSH_TRACE(BgL_symbol1841z00_844); BUNSPEC; 
{ /* ./Llib/process.scm 183 */
obj_t BgL_aux1840z00_845;
BgL_aux1840z00_845 = 
c_process_continue(BgL_procz00_13); 
POP_TRACE(); 
return BgL_aux1840z00_845;} } } } 
}



/* _process-continue1894 */
obj_t BGl__processzd2continue1894zd2zz__processz00(obj_t BgL_envz00_714, obj_t BgL_procz00_715)
{ AN_OBJECT;
{ /* ./Llib/process.scm 182 */
{ /* ./Llib/process.scm 183 */
obj_t BgL_procz00_846;
if(
PROCESSP(BgL_procz00_715))
{ /* ./Llib/process.scm 183 */
BgL_procz00_846 = BgL_procz00_715; }  else 
{ /* ./Llib/process.scm 183 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2307z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_715, BGl_string2286z00zz__processz00, 
BINT(((long)8165))); 
exit( -1 );} 
{ /* ./Llib/process.scm 183 */
obj_t BgL_symbol1841z00_847;
BgL_symbol1841z00_847 = BGl_symbol2306z00zz__processz00; 
{ /* ./Llib/process.scm 183 */

PUSH_TRACE(BgL_symbol1841z00_847); BUNSPEC; 
{ /* ./Llib/process.scm 183 */
obj_t BgL_aux1840z00_848;
BgL_aux1840z00_848 = 
c_process_continue(BgL_procz00_846); 
POP_TRACE(); 
return BgL_aux1840z00_848;} } } } } 
}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* ./Llib/process.scm 188 */
{ /* ./Llib/process.scm 189 */
obj_t BgL_symbol1845z00_849;
BgL_symbol1845z00_849 = BGl_symbol2308z00zz__processz00; 
{ /* ./Llib/process.scm 189 */

PUSH_TRACE(BgL_symbol1845z00_849); BUNSPEC; 
{ /* ./Llib/process.scm 189 */
obj_t BgL_aux1844z00_850;
BgL_aux1844z00_850 = 
c_process_list(); 
POP_TRACE(); 
return BgL_aux1844z00_850;} } } } 
}



/* _process-list */
obj_t BGl__processzd2listzd2zz__processz00(obj_t BgL_envz00_716)
{ AN_OBJECT;
{ /* ./Llib/process.scm 188 */
{ /* ./Llib/process.scm 189 */
obj_t BgL_symbol1845z00_851;
BgL_symbol1845z00_851 = BGl_symbol2308z00zz__processz00; 
{ /* ./Llib/process.scm 189 */

PUSH_TRACE(BgL_symbol1845z00_851); BUNSPEC; 
{ /* ./Llib/process.scm 189 */
obj_t BgL_aux1844z00_852;
BgL_aux1844z00_852 = 
c_process_list(); 
POP_TRACE(); 
return BgL_aux1844z00_852;} } } } 
}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_14, obj_t BgL_restz00_15)
{ AN_OBJECT;
{ /* ./Llib/process.scm 197 */
{ /* ./Llib/process.scm 198 */
obj_t BgL_symbol1849z00_683;
BgL_symbol1849z00_683 = BGl_symbol2309z00zz__processz00; 
{ /* ./Llib/process.scm 198 */

PUSH_TRACE(BgL_symbol1849z00_683); BUNSPEC; 
{ /* ./Llib/process.scm 198 */
obj_t BgL_aux1848z00_684;
{ /* ./Llib/process.scm 198 */
obj_t BgL_forkz00_365;obj_t BgL_waitz00_366;obj_t BgL_inputz00_367;obj_t BgL_outputz00_368;obj_t BgL_errorz00_369;obj_t BgL_hostz00_370;obj_t BgL_pipesz00_371;obj_t BgL_argsz00_372;obj_t BgL_envz00_373;
BgL_forkz00_365 = BTRUE; 
BgL_waitz00_366 = BFALSE; 
BgL_inputz00_367 = BUNSPEC; 
BgL_outputz00_368 = BUNSPEC; 
BgL_errorz00_369 = BUNSPEC; 
BgL_hostz00_370 = BUNSPEC; 
BgL_pipesz00_371 = BGl_list2310z00zz__processz00; 
BgL_argsz00_372 = BNIL; 
BgL_envz00_373 = BNIL; 
{ 
obj_t BgL_restz00_375;
{ /* ./Llib/process.scm 209 */
obj_t BgL_aux2209z00_770;
BgL_restz00_375 = BgL_restz00_15; 
BgL_loopz00_376:
if(
NULLP(BgL_restz00_375))
{ /* ./Llib/process.scm 211 */
{ /* ./Llib/process.scm 214 */
obj_t BgL_arg1023z00_378;
{ /* ./Llib/process.scm 214 */
obj_t BgL_auxz00_1071;
{ /* ./Llib/process.scm 214 */
obj_t BgL_aux2033z00_748;
BgL_aux2033z00_748 = BgL_argsz00_372; 
{ /* ./Llib/process.scm 214 */
bool_t BgL_testz00_1072;
if(
PAIRP(BgL_aux2033z00_748))
{ /* ./Llib/process.scm 214 */
BgL_testz00_1072 = ((bool_t)1)
; }  else 
{ /* ./Llib/process.scm 214 */
BgL_testz00_1072 = 
NULLP(BgL_aux2033z00_748)
; } 
if(BgL_testz00_1072)
{ /* ./Llib/process.scm 214 */
BgL_auxz00_1071 = BgL_aux2033z00_748
; }  else 
{ /* ./Llib/process.scm 214 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2312z00zz__processz00, BgL_aux2033z00_748, BGl_string2286z00zz__processz00, 
BINT(((long)9362))); 
exit( -1 );} } } 
BgL_arg1023z00_378 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_1071); } 
BgL_aux2209z00_770 = 
c_run_process(BgL_hostz00_370, BgL_forkz00_365, BgL_waitz00_366, BgL_inputz00_367, BgL_outputz00_368, BgL_errorz00_369, BgL_commandz00_14, BgL_arg1023z00_378, BgL_envz00_373); } }  else 
{ /* ./Llib/process.scm 215 */
bool_t BgL_test1026z00_379;
{ /* ./Llib/process.scm 215 */
bool_t BgL_test1093z00_405;
{ /* ./Llib/process.scm 215 */
obj_t BgL_arg1099z00_407;
{ /* ./Llib/process.scm 215 */
obj_t BgL_pairz00_576;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 215 */
BgL_pairz00_576 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)9400))); 
exit( -1 );} 
BgL_arg1099z00_407 = 
CAR(BgL_pairz00_576); } 
BgL_test1093z00_405 = 
KEYWORDP(BgL_arg1099z00_407); } 
if(BgL_test1093z00_405)
{ /* ./Llib/process.scm 215 */
obj_t BgL_arg1095z00_406;
{ /* ./Llib/process.scm 215 */
obj_t BgL_pairz00_578;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 215 */
BgL_pairz00_578 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)9419))); 
exit( -1 );} 
BgL_arg1095z00_406 = 
CDR(BgL_pairz00_578); } 
BgL_test1026z00_379 = 
PAIRP(BgL_arg1095z00_406); }  else 
{ /* ./Llib/process.scm 215 */
BgL_test1026z00_379 = ((bool_t)0); } } 
if(BgL_test1026z00_379)
{ /* ./Llib/process.scm 215 */
{ /* ./Llib/process.scm 216 */
obj_t BgL_valz00_380;
{ /* ./Llib/process.scm 216 */
obj_t BgL_pairz00_580;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 216 */
BgL_pairz00_580 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)9450))); 
exit( -1 );} 
{ /* ./Llib/process.scm 216 */
obj_t BgL_arg1514z00_581;
BgL_arg1514z00_581 = 
CDR(BgL_pairz00_580); 
{ /* ./Llib/process.scm 216 */
obj_t BgL_pairz00_583;
if(
PAIRP(BgL_arg1514z00_581))
{ /* ./Llib/process.scm 216 */
BgL_pairz00_583 = BgL_arg1514z00_581; }  else 
{ /* ./Llib/process.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_arg1514z00_581, BGl_string2286z00zz__processz00, 
BINT(((long)9441))); 
exit( -1 );} 
BgL_valz00_380 = 
CAR(BgL_pairz00_583); } } } 
{ /* ./Llib/process.scm 217 */
obj_t BgL_casezd2valuezd2_381;
{ /* ./Llib/process.scm 217 */
obj_t BgL_pairz00_584;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 217 */
BgL_pairz00_584 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 217 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)9471))); 
exit( -1 );} 
BgL_casezd2valuezd2_381 = 
CAR(BgL_pairz00_584); } 
if(
(BgL_casezd2valuezd2_381==BGl_keyword2314z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
BOOLEANP(BgL_valz00_380))
{ /* ./Llib/process.scm 219 */
BgL_waitz00_366 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 219 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)9535))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
(BgL_casezd2valuezd2_381==BGl_keyword2317z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
BOOLEANP(BgL_valz00_380))
{ /* ./Llib/process.scm 223 */
BgL_forkz00_365 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 223 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)9615))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
(BgL_casezd2valuezd2_381==BGl_keyword2318z00zz__processz00))
{ /* ./Llib/process.scm 227 */
bool_t BgL_test1036z00_387;
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 227 */
BgL_test1036z00_387 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 227 */
obj_t BgL_auxz00_1133;
BgL_auxz00_1133 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_380, BgL_pipesz00_371); 
BgL_test1036z00_387 = 
CBOOL(BgL_auxz00_1133); } 
if(BgL_test1036z00_387)
{ /* ./Llib/process.scm 227 */
BgL_inputz00_367 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 227 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)9718))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
(BgL_casezd2valuezd2_381==BGl_keyword2319z00zz__processz00))
{ /* ./Llib/process.scm 231 */
bool_t BgL_test1042z00_390;
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 231 */
BgL_test1042z00_390 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 231 */
obj_t BgL_auxz00_1144;
BgL_auxz00_1144 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_380, BgL_pipesz00_371); 
BgL_test1042z00_390 = 
CBOOL(BgL_auxz00_1144); } 
if(BgL_test1042z00_390)
{ /* ./Llib/process.scm 231 */
BgL_outputz00_368 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 231 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)9823))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
(BgL_casezd2valuezd2_381==BGl_keyword2320z00zz__processz00))
{ /* ./Llib/process.scm 235 */
bool_t BgL_test1048z00_393;
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 235 */
BgL_test1048z00_393 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 235 */
obj_t BgL_auxz00_1155;
BgL_auxz00_1155 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_380, BgL_pipesz00_371); 
BgL_test1048z00_393 = 
CBOOL(BgL_auxz00_1155); } 
if(BgL_test1048z00_393)
{ /* ./Llib/process.scm 235 */
BgL_errorz00_369 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 235 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)9926))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
(BgL_casezd2valuezd2_381==BGl_keyword2321z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 239 */
BgL_hostz00_370 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 239 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)10005))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
(BgL_casezd2valuezd2_381==BGl_keyword2322z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 243 */
BgL_envz00_373 = 
MAKE_PAIR(BgL_valz00_380, BgL_envz00_373); }  else 
{ /* ./Llib/process.scm 243 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)10093))); } }  else 
{ /* ./Llib/process.scm 217 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)10129))); } } } } } } } } 
{ /* ./Llib/process.scm 248 */
obj_t BgL_arg1072z00_399;
{ /* ./Llib/process.scm 248 */
obj_t BgL_arg1075z00_400;
{ /* ./Llib/process.scm 248 */
obj_t BgL_pairz00_624;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 248 */
BgL_pairz00_624 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 248 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)10169))); 
exit( -1 );} 
BgL_arg1075z00_400 = 
CDR(BgL_pairz00_624); } 
{ /* ./Llib/process.scm 248 */
obj_t BgL_pairz00_625;
if(
PAIRP(BgL_arg1075z00_400))
{ /* ./Llib/process.scm 248 */
BgL_pairz00_625 = BgL_arg1075z00_400; }  else 
{ /* ./Llib/process.scm 248 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_arg1075z00_400, BGl_string2286z00zz__processz00, 
BINT(((long)10170))); 
exit( -1 );} 
BgL_arg1072z00_399 = 
CDR(BgL_pairz00_625); } } 
{ 
obj_t BgL_restz00_1192;
BgL_restz00_1192 = BgL_arg1072z00_399; 
BgL_restz00_375 = BgL_restz00_1192; 
goto BgL_loopz00_376;} } } }  else 
{ /* ./Llib/process.scm 249 */
bool_t BgL_test1079z00_401;
{ /* ./Llib/process.scm 249 */
obj_t BgL_arg1090z00_404;
{ /* ./Llib/process.scm 249 */
obj_t BgL_pairz00_626;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 249 */
BgL_pairz00_626 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 249 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)10199))); 
exit( -1 );} 
BgL_arg1090z00_404 = 
CAR(BgL_pairz00_626); } 
BgL_test1079z00_401 = 
STRINGP(BgL_arg1090z00_404); } 
if(BgL_test1079z00_401)
{ /* ./Llib/process.scm 249 */
{ /* ./Llib/process.scm 250 */
obj_t BgL_arg1081z00_402;
{ /* ./Llib/process.scm 250 */
obj_t BgL_pairz00_628;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 250 */
BgL_pairz00_628 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 250 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)10234))); 
exit( -1 );} 
BgL_arg1081z00_402 = 
CAR(BgL_pairz00_628); } 
BgL_argsz00_372 = 
MAKE_PAIR(BgL_arg1081z00_402, BgL_argsz00_372); } 
{ /* ./Llib/process.scm 251 */
obj_t BgL_arg1085z00_403;
{ /* ./Llib/process.scm 251 */
obj_t BgL_pairz00_629;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 251 */
BgL_pairz00_629 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 251 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2313z00zz__processz00, BgL_restz00_375, BGl_string2286z00zz__processz00, 
BINT(((long)10264))); 
exit( -1 );} 
BgL_arg1085z00_403 = 
CDR(BgL_pairz00_629); } 
{ 
obj_t BgL_restz00_1214;
BgL_restz00_1214 = BgL_arg1085z00_403; 
BgL_restz00_375 = BgL_restz00_1214; 
goto BgL_loopz00_376;} } }  else 
{ /* ./Llib/process.scm 249 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2315z00zz__processz00, BGl_string2316z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9166)); 
BgL_aux2209z00_770 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2286z00zz__processz00, 
BINT(((long)10286))); } } } 
if(
PROCESSP(BgL_aux2209z00_770))
{ /* ./Llib/process.scm 209 */
BgL_aux1848z00_684 = BgL_aux2209z00_770; }  else 
{ /* ./Llib/process.scm 209 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2309z00zz__processz00, BGl_string2285z00zz__processz00, BgL_aux2209z00_770, BGl_string2286z00zz__processz00, 
BINT(((long)9221))); 
exit( -1 );} } } } 
POP_TRACE(); 
return BgL_aux1848z00_684;} } } } 
}



/* _run-process1897 */
obj_t BGl__runzd2process1897zd2zz__processz00(obj_t BgL_envz00_717, obj_t BgL_commandz00_718, obj_t BgL_restz00_719)
{ AN_OBJECT;
{ /* ./Llib/process.scm 197 */
{ /* ./Llib/process.scm 198 */
obj_t BgL_auxz00_1224;
if(
STRINGP(BgL_commandz00_718))
{ /* ./Llib/process.scm 198 */
BgL_auxz00_1224 = BgL_commandz00_718
; }  else 
{ /* ./Llib/process.scm 198 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2323z00zz__processz00, BGl_string2324z00zz__processz00, BgL_commandz00_718, BGl_string2286z00zz__processz00, 
BINT(((long)8951))); 
exit( -1 );} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1224, BgL_restz00_719);} } 
}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_16)
{ AN_OBJECT;
{ /* ./Llib/process.scm 258 */
{ /* ./Llib/process.scm 259 */
obj_t BgL_symbol1853z00_685;
BgL_symbol1853z00_685 = BGl_symbol2325z00zz__processz00; 
{ /* ./Llib/process.scm 259 */

PUSH_TRACE(BgL_symbol1853z00_685); BUNSPEC; 
{ /* ./Llib/process.scm 259 */
obj_t BgL_aux1852z00_686;
{ /* ./Llib/process.scm 259 */
bool_t BgL_testz00_1232;
{ /* ./Llib/process.scm 259 */
obj_t BgL_auxz00_1233;
BgL_auxz00_1233 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
BgL_testz00_1232 = 
OUTPUT_PORTP(BgL_auxz00_1233); } 
if(BgL_testz00_1232)
{ /* ./Llib/process.scm 260 */
obj_t BgL_arg1108z00_412;
BgL_arg1108z00_412 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
{ /* ./Llib/process.scm 260 */
obj_t BgL_portz00_640;
if(
OUTPUT_PORTP(BgL_arg1108z00_412))
{ /* ./Llib/process.scm 260 */
BgL_portz00_640 = BgL_arg1108z00_412; }  else 
{ /* ./Llib/process.scm 260 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2325z00zz__processz00, BGl_string2326z00zz__processz00, BgL_arg1108z00_412, BGl_string2286z00zz__processz00, 
BINT(((long)10664))); 
exit( -1 );} 
close_output_port(BgL_portz00_640); } }  else 
{ /* ./Llib/process.scm 259 */BFALSE; } } 
{ /* ./Llib/process.scm 261 */
bool_t BgL_testz00_1243;
{ /* ./Llib/process.scm 261 */
obj_t BgL_auxz00_1244;
BgL_auxz00_1244 = 
PROCESS_ERROR_PORT(BgL_procz00_16); 
BgL_testz00_1243 = 
INPUT_PORTP(BgL_auxz00_1244); } 
if(BgL_testz00_1243)
{ /* ./Llib/process.scm 262 */
obj_t BgL_arg1117z00_415;
BgL_arg1117z00_415 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
{ /* ./Llib/process.scm 262 */
obj_t BgL_portz00_644;
if(
INPUT_PORTP(BgL_arg1117z00_415))
{ /* ./Llib/process.scm 262 */
BgL_portz00_644 = BgL_arg1117z00_415; }  else 
{ /* ./Llib/process.scm 262 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2325z00zz__processz00, BGl_string2327z00zz__processz00, BgL_arg1117z00_415, BGl_string2286z00zz__processz00, 
BINT(((long)10764))); 
exit( -1 );} 
close_input_port(BgL_portz00_644); } }  else 
{ /* ./Llib/process.scm 261 */BFALSE; } } 
{ /* ./Llib/process.scm 263 */
bool_t BgL_testz00_1254;
{ /* ./Llib/process.scm 263 */
obj_t BgL_auxz00_1255;
BgL_auxz00_1255 = 
PROCESS_OUTPUT_PORT(BgL_procz00_16); 
BgL_testz00_1254 = 
INPUT_PORTP(BgL_auxz00_1255); } 
if(BgL_testz00_1254)
{ /* ./Llib/process.scm 264 */
obj_t BgL_arg1126z00_418;
BgL_arg1126z00_418 = 
PROCESS_OUTPUT_PORT(BgL_procz00_16); 
{ /* ./Llib/process.scm 264 */
obj_t BgL_portz00_648;
if(
INPUT_PORTP(BgL_arg1126z00_418))
{ /* ./Llib/process.scm 264 */
BgL_portz00_648 = BgL_arg1126z00_418; }  else 
{ /* ./Llib/process.scm 264 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2325z00zz__processz00, BGl_string2327z00zz__processz00, BgL_arg1126z00_418, BGl_string2286z00zz__processz00, 
BINT(((long)10866))); 
exit( -1 );} 
BgL_aux1852z00_686 = 
close_input_port(BgL_portz00_648); } }  else 
{ /* ./Llib/process.scm 263 */
BgL_aux1852z00_686 = BFALSE; } } 
POP_TRACE(); 
return BgL_aux1852z00_686;} } } } 
}



/* _close-process-ports1899 */
obj_t BGl__closezd2processzd2ports1899z00zz__processz00(obj_t BgL_envz00_720, obj_t BgL_procz00_721)
{ AN_OBJECT;
{ /* ./Llib/process.scm 258 */
{ /* ./Llib/process.scm 259 */
obj_t BgL_auxz00_1266;
if(
PROCESSP(BgL_procz00_721))
{ /* ./Llib/process.scm 259 */
BgL_auxz00_1266 = BgL_procz00_721
; }  else 
{ /* ./Llib/process.scm 259 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2328z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_721, BGl_string2286z00zz__processz00, 
BINT(((long)10569))); 
exit( -1 );} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1266);} } 
}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_17)
{ AN_OBJECT;
{ /* ./Llib/process.scm 269 */
{ /* ./Llib/process.scm 270 */
obj_t BgL_symbol1857z00_858;
BgL_symbol1857z00_858 = BGl_symbol2329z00zz__processz00; 
{ /* ./Llib/process.scm 270 */

PUSH_TRACE(BgL_symbol1857z00_858); BUNSPEC; 
{ /* ./Llib/process.scm 270 */
obj_t BgL_aux1856z00_859;
BgL_aux1856z00_859 = 
c_unregister_process(BgL_procz00_17); 
POP_TRACE(); 
return BgL_aux1856z00_859;} } } } 
}



/* _unregister-process1901 */
obj_t BGl__unregisterzd2process1901zd2zz__processz00(obj_t BgL_envz00_722, obj_t BgL_procz00_723)
{ AN_OBJECT;
{ /* ./Llib/process.scm 269 */
{ /* ./Llib/process.scm 270 */
obj_t BgL_procz00_860;
if(
PROCESSP(BgL_procz00_723))
{ /* ./Llib/process.scm 270 */
BgL_procz00_860 = BgL_procz00_723; }  else 
{ /* ./Llib/process.scm 270 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2330z00zz__processz00, BGl_string2285z00zz__processz00, BgL_procz00_723, BGl_string2286z00zz__processz00, 
BINT(((long)11138))); 
exit( -1 );} 
{ /* ./Llib/process.scm 270 */
obj_t BgL_symbol1857z00_861;
BgL_symbol1857z00_861 = BGl_symbol2329z00zz__processz00; 
{ /* ./Llib/process.scm 270 */

PUSH_TRACE(BgL_symbol1857z00_861); BUNSPEC; 
{ /* ./Llib/process.scm 270 */
obj_t BgL_aux1856z00_862;
BgL_aux1856z00_862 = 
c_unregister_process(BgL_procz00_860); 
POP_TRACE(); 
return BgL_aux1856z00_862;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* ./Llib/process.scm 15 */
{ /* ./Llib/process.scm 15 */
obj_t BgL_symbol1861z00_689;
BgL_symbol1861z00_689 = BGl_symbol2331z00zz__processz00; 
{ /* ./Llib/process.scm 15 */

PUSH_TRACE(BgL_symbol1861z00_689); BUNSPEC; 
{ /* ./Llib/process.scm 15 */
obj_t BgL_aux1860z00_690;
BgL_aux1860z00_690 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__process"); 
POP_TRACE(); 
return BgL_aux1860z00_690;} } } } 
}

