/*===========================================================================*/
/*   (Cfa/set.scm)                                                           */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Cfa/set.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl__setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcfa_setz00();
BGL_EXPORTED_DECL obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
static obj_t BGl__setzd2forzd2each5987z00zzcfa_setz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
static long BGl_maxzd2largezd2siza7eza7zzcfa_setz00;
static obj_t BGl__setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_setz00();
BGL_EXPORTED_DECL obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00();
static obj_t BGl__declarezd2setz125981zc0zzcfa_setz00(obj_t, obj_t);
static obj_t BGl__setzd2ze3listz31zzcfa_setz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_setz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(int, unsigned char);
static obj_t BGl__setzd2lengthzd2zzcfa_setz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl__setzf3zf3zzcfa_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2setz12zc0zzcfa_setz00(obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl__setzd2ze3vectorz31zzcfa_setz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_setz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_setzf3zf3zzcfa_setz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_setzd2lengthzd2envz00zzcfa_setz00, BgL_bgl__setza7d2lengthza7d2za7za7cfa_setza7006096za7, BGl__setzd2lengthzd2zzcfa_setz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2ze3vectorzd2envze3zzcfa_setz00, BgL_bgl__setza7d2za7e3vectorza731za7za7cfa_setza7006097z00, BGl__setzd2ze3vectorz31zzcfa_setz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2ze3listzd2envze3zzcfa_setz00, BgL_bgl__setza7d2za7e3listza731za7za7cfa_setza7006098z00, BGl__setzd2ze3listz31zzcfa_setz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2extendz12zd2envz12zzcfa_setz00, BgL_bgl__setza7d2extendza712za7c0za7za7cfa_setza7006099z00, BGl__setzd2extendz12zc0zzcfa_setz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2setz12zd2envz12zzcfa_setz00, BgL_bgl__makeza7d2setza712za7c0za7za7cfa_setza7006100z00, BGl__makezd2setz12zc0zzcfa_setz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_setzf3zd2envz21zzcfa_setz00, BgL_bgl__setza7f3za7f3za7za7cfa_setza7006101za7, BGl__setzf3zf3zzcfa_setz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2setz12zd2envz12zzcfa_setz00, BgL_bgl__declareza7d2setza7125981za7c0za7za7cfa_setza7006102z00, BGl__declarezd2setz125981zc0zzcfa_setz00, 0L, 1 );
DEFINE_STRING( BGl_string6070z00zzcfa_setz00, BgL_bgl_string6070za700za7za7cfa_setza7006103z00, "large-set meta-set ", 19 );
DEFINE_STRING( BGl_string6069z00zzcfa_setz00, BgL_bgl_string6069za700za7za7cfa_setza7006104z00, "Incompatible sets", 17 );
DEFINE_STRING( BGl_string6068z00zzcfa_setz00, BgL_bgl_string6068za700za7za7cfa_setza7006105z00, "set-union!", 10 );
DEFINE_STRING( BGl_string6067z00zzcfa_setz00, BgL_bgl_string6067za700za7za7cfa_setza7006106z00, "Not a meta-set", 14 );
DEFINE_STRING( BGl_string6066z00zzcfa_setz00, BgL_bgl_string6066za700za7za7cfa_setza7006107z00, "make-set", 8 );
DEFINE_STRING( BGl_string6065z00zzcfa_setz00, BgL_bgl_string6065za700za7za7cfa_setza7006108z00, "Too many element in set", 23 );
DEFINE_STRING( BGl_string6064z00zzcfa_setz00, BgL_bgl_string6064za700za7za7cfa_setza7006109z00, "define-set!", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2unionz12zd2envz12zzcfa_setz00, BgL_bgl__setza7d2unionza712za7c0za7za7cfa_setza7006110z00, va_generic_entry, BGl__setzd2unionz12zc0zzcfa_setz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2forzd2eachzd2envzd2zzcfa_setz00, BgL_bgl__setza7d2forza7d2each5987za700za7za7cfa_setza7006111z00, BGl__setzd2forzd2each5987z00zzcfa_setz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long BgL_checksumz00_4067, char * BgL_fromz00_4068)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_setz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_setz00(); 
BGl_cnstzd2initzd2zzcfa_setz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_setz00(); 
BGl_toplevelzd2initzd2zzcfa_setz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00()
{ AN_OBJECT;
{ /* ./Cfa/set.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_set"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "cfa_set"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_setz00()
{ AN_OBJECT;
{ /* ./Cfa/set.scm 15 */
{ /* ./Cfa/set.scm 15 */
obj_t BgL_cportz00_4060;
BgL_cportz00_4060 = 
open_input_string(BGl_string6070z00zzcfa_setz00); 
{ 
long BgL_iz00_4061;
BgL_iz00_4061 = ((long)1); 
BgL_loopz00_4062:
{ /* ./Cfa/set.scm 15 */
bool_t BgL_test6072z00_4063;
BgL_test6072z00_4063 = 
(BgL_iz00_4061==((long)-1)); 
if(BgL_test6072z00_4063)
{ /* ./Cfa/set.scm 15 */
return BUNSPEC;}  else 
{ /* ./Cfa/set.scm 15 */
{ /* ./Cfa/set.scm 15 */
obj_t BgL_arg6074z00_4064;
{ /* ./Cfa/set.scm 15 */
obj_t BgL_list6077z00_4065;
BgL_list6077z00_4065 = 
MAKE_PAIR(BgL_cportz00_4060, BNIL); 
BgL_arg6074z00_4064 = 
BGl_readz00zz__readerz00(BgL_list6077z00_4065); } 
{ /* ./Cfa/set.scm 15 */
int BgL_auxz00_4083;
BgL_auxz00_4083 = 
(int)(BgL_iz00_4061); 
CNST_TABLE_SET(BgL_auxz00_4083, BgL_arg6074z00_4064); } } 
{ /* ./Cfa/set.scm 15 */
int BgL_auxz00_4066;
{ /* ./Cfa/set.scm 15 */
long BgL_auxz00_4086;
BgL_auxz00_4086 = 
(BgL_iz00_4061-((long)1)); 
BgL_auxz00_4066 = 
(int)(BgL_auxz00_4086); } 
{ 
long BgL_iz00_4089;
BgL_iz00_4089 = 
(long)(BgL_auxz00_4066); 
BgL_iz00_4061 = BgL_iz00_4089; 
goto BgL_loopz00_4062;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_setz00()
{ AN_OBJECT;
{ /* ./Cfa/set.scm 15 */
return ( 
BGl_maxzd2largezd2siza7eza7zzcfa_setz00 = ((long)10000), BUNSPEC) ;} 
}



/* declare-set! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t BgL_tablez00_21)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 49 */
{ /* ./Cfa/set.scm 50 */
int BgL_cardinalz00_1576;
BgL_cardinalz00_1576 = 
VECTOR_LENGTH(BgL_tablez00_21); 
{ /* ./Cfa/set.scm 50 */
long BgL_quotientz00_1577;
{ /* ./Cfa/set.scm 51 */
long BgL_n1z00_2530;
BgL_n1z00_2530 = 
(long)(BgL_cardinalz00_1576); 
BgL_quotientz00_1577 = 
(BgL_n1z00_2530/((long)8)); } 
{ /* ./Cfa/set.scm 51 */
long BgL_remainderz00_1578;
{ /* ./Cfa/set.scm 52 */
long BgL_n1z00_2532;
BgL_n1z00_2532 = 
(long)(BgL_cardinalz00_1576); 
BgL_remainderz00_1578 = 
(BgL_n1z00_2532%((long)8)); } 
{ /* ./Cfa/set.scm 52 */
long BgL_siza7eza7_1579;
if(
(BgL_remainderz00_1578==((long)0)))
{ /* ./Cfa/set.scm 54 */
BgL_siza7eza7_1579 = 
(BgL_quotientz00_1577+((long)1)); }  else 
{ /* ./Cfa/set.scm 54 */
BgL_siza7eza7_1579 = 
(BgL_quotientz00_1577+((long)2)); } 
{ /* ./Cfa/set.scm 53 */

{ /* ./Cfa/set.scm 59 */
bool_t BgL_test4346z00_1580;
{ /* ./Cfa/set.scm 59 */
long BgL_auxz00_4100;
BgL_auxz00_4100 = 
(long)(BgL_cardinalz00_1576); 
BgL_test4346z00_1580 = 
(BgL_auxz00_4100>=((long)10000)); } 
if(BgL_test4346z00_1580)
{ /* ./Cfa/set.scm 59 */
{ /* ./Cfa/set.scm 60 */
obj_t BgL_arg4350z00_1583;
BgL_arg4350z00_1583 = 
BGl_shapez00zztools_shapez00(BgL_tablez00_21); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string6064z00zzcfa_setz00, BGl_string6065z00zzcfa_setz00, BgL_arg4350z00_1583);} }  else 
{ /* ./Cfa/set.scm 59 */
{ 
long BgL_iz00_1584;long BgL_quotientz00_1585;long BgL_maskz00_1586;
BgL_iz00_1584 = ((long)0); 
BgL_quotientz00_1585 = ((long)0); 
BgL_maskz00_1586 = ((long)1); 
BgL_loopz00_1587:
{ /* ./Cfa/set.scm 68 */
bool_t BgL_test4354z00_1588;
{ /* ./Cfa/set.scm 68 */
long BgL_auxz00_4106;
BgL_auxz00_4106 = 
(long)(BgL_cardinalz00_1576); 
BgL_test4354z00_1588 = 
(BgL_iz00_1584==BgL_auxz00_4106); } 
if(BgL_test4354z00_1588)
{ /* ./Cfa/set.scm 68 */
{ /* ./Cfa/set.scm 69 */
obj_t BgL_newz00_2546;
{ /* ./Cfa/set.scm 69 */
int BgL_auxz00_4112;obj_t BgL_auxz00_4110;
BgL_auxz00_4112 = 
(int)(((long)2)); 
BgL_auxz00_4110 = 
CNST_TABLE_REF(((long)0)); 
BgL_newz00_2546 = 
create_struct(BgL_auxz00_4110, BgL_auxz00_4112); } 
{ /* ./Cfa/set.scm 69 */
int BgL_kz00_2550;obj_t BgL_oz00_2551;
BgL_kz00_2550 = 
(int)(((long)1)); 
BgL_oz00_2551 = 
BINT(BgL_siza7eza7_1579); 
STRUCT_SET(BgL_newz00_2546, BgL_kz00_2550, BgL_oz00_2551); } 
{ /* ./Cfa/set.scm 69 */
int BgL_kz00_2555;
BgL_kz00_2555 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2546, BgL_kz00_2555, BgL_tablez00_21); } 
return BgL_newz00_2546;} }  else 
{ /* ./Cfa/set.scm 70 */
bool_t BgL_test4356z00_1589;
BgL_test4356z00_1589 = 
(BgL_maskz00_1586==((long)256)); 
if(BgL_test4356z00_1589)
{ /* ./Cfa/set.scm 70 */
{ /* ./Cfa/set.scm 71 */
long BgL_arg4358z00_1590;
BgL_arg4358z00_1590 = 
(BgL_quotientz00_1585+((long)1)); 
{ 
long BgL_maskz00_4124;long BgL_quotientz00_4123;
BgL_quotientz00_4123 = BgL_arg4358z00_1590; 
BgL_maskz00_4124 = ((long)1); 
BgL_maskz00_1586 = BgL_maskz00_4124; 
BgL_quotientz00_1585 = BgL_quotientz00_4123; 
goto BgL_loopz00_1587;} } }  else 
{ /* ./Cfa/set.scm 70 */
{ /* ./Cfa/set.scm 73 */
obj_t BgL_arg4363z00_1592;obj_t BgL_arg4364z00_1593;
{ /* ./Cfa/set.scm 73 */
int BgL_kz00_2562;
BgL_kz00_2562 = 
(int)(BgL_iz00_1584); 
BgL_arg4363z00_1592 = 
VECTOR_REF(BgL_tablez00_21,BgL_kz00_2562); } 
{ /* ./Cfa/set.scm 73 */
obj_t BgL_auxz00_4129;obj_t BgL_auxz00_4127;
BgL_auxz00_4129 = 
BINT(BgL_maskz00_1586); 
BgL_auxz00_4127 = 
BINT(BgL_quotientz00_1585); 
BgL_arg4364z00_1593 = 
MAKE_PAIR(BgL_auxz00_4127, BgL_auxz00_4129); } 
{ /* ./Cfa/set.scm 73 */
BgL_nodezf2effectzf2_bglt BgL_nodez00_2563;
BgL_nodez00_2563 = 
(BgL_nodezf2effectzf2_bglt)(BgL_arg4363z00_1592); 
((((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_2563))->BgL_keyz00) = ((obj_t)BgL_arg4364z00_1593), BUNSPEC); } } 
{ /* ./Cfa/set.scm 74 */
long BgL_arg4369z00_1594;long BgL_arg4370z00_1595;
BgL_arg4369z00_1594 = 
(BgL_iz00_1584+((long)1)); 
BgL_arg4370z00_1595 = 
(BgL_maskz00_1586*((long)2)); 
{ 
long BgL_maskz00_4137;long BgL_iz00_4136;
BgL_iz00_4136 = BgL_arg4369z00_1594; 
BgL_maskz00_4137 = BgL_arg4370z00_1595; 
BgL_maskz00_1586 = BgL_maskz00_4137; 
BgL_iz00_1584 = BgL_iz00_4136; 
goto BgL_loopz00_1587;} } } } } } } } } } } } } } 
}



/* _declare-set!5981 */
obj_t BGl__declarezd2setz125981zc0zzcfa_setz00(obj_t BgL_envz00_4037, obj_t BgL_tablez00_4038)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 49 */
return 
BGl_declarezd2setz12zc0zzcfa_setz00(BgL_tablez00_4038);} 
}



/* make-set! */
BGL_EXPORTED_DEF obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t BgL_metazd2setzd2_22)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 79 */
{ /* ./Cfa/set.scm 81 */
bool_t BgL_test4384z00_1597;
if(
STRUCTP(BgL_metazd2setzd2_22))
{ /* ./Cfa/set.scm 81 */
obj_t BgL_auxz00_4143;obj_t BgL_auxz00_4141;
BgL_auxz00_4143 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_4141 = 
STRUCT_KEY(BgL_metazd2setzd2_22); 
BgL_test4384z00_1597 = 
(BgL_auxz00_4141==BgL_auxz00_4143); }  else 
{ /* ./Cfa/set.scm 81 */
BgL_test4384z00_1597 = ((bool_t)0); } 
if(BgL_test4384z00_1597)
{ /* ./Cfa/set.scm 81 */
{ /* ./Cfa/set.scm 84 */
obj_t BgL_arg4386z00_1598;
{ /* ./Cfa/set.scm 84 */
obj_t BgL_arg4389z00_1599;
{ /* ./Cfa/set.scm 84 */
int BgL_auxz00_4147;
BgL_auxz00_4147 = 
(int)(((long)1)); 
BgL_arg4389z00_1599 = 
STRUCT_REF(BgL_metazd2setzd2_22, BgL_auxz00_4147); } 
{ /* ./Cfa/set.scm 84 */
obj_t BgL_list4391z00_1600;
{ /* ./Cfa/set.scm 84 */
obj_t BgL_auxz00_4150;
BgL_auxz00_4150 = 
BCHAR(((unsigned char)'\000')); 
BgL_list4391z00_1600 = 
MAKE_PAIR(BgL_auxz00_4150, BNIL); } 
{ /* ./Cfa/set.scm 84 */
obj_t BgL_res5897z00_2587;
{ /* ./Cfa/set.scm 84 */
int BgL_kz00_2581;
BgL_kz00_2581 = 
CINT(BgL_arg4389z00_1599); 
{ /* ./Cfa/set.scm 84 */
obj_t BgL_arg1237z00_2584;
BgL_arg1237z00_2584 = 
CAR(BgL_list4391z00_1600); 
{ /* ./Cfa/set.scm 84 */
unsigned char BgL_auxz00_4155;
BgL_auxz00_4155 = 
(unsigned char)CCHAR(BgL_arg1237z00_2584); 
BgL_res5897z00_2587 = 
make_string(BgL_kz00_2581, BgL_auxz00_4155); } } } 
BgL_arg4386z00_1598 = BgL_res5897z00_2587; } } } 
{ /* ./Cfa/set.scm 84 */
obj_t BgL_newz00_2590;
{ /* ./Cfa/set.scm 84 */
int BgL_auxz00_4160;obj_t BgL_auxz00_4158;
BgL_auxz00_4160 = 
(int)(((long)2)); 
BgL_auxz00_4158 = 
CNST_TABLE_REF(((long)1)); 
BgL_newz00_2590 = 
create_struct(BgL_auxz00_4158, BgL_auxz00_4160); } 
{ /* ./Cfa/set.scm 84 */
int BgL_kz00_2594;
BgL_kz00_2594 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2590, BgL_kz00_2594, BgL_metazd2setzd2_22); } 
{ /* ./Cfa/set.scm 84 */
int BgL_kz00_2599;
BgL_kz00_2599 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2590, BgL_kz00_2599, BgL_arg4386z00_1598); } 
return BgL_newz00_2590;} } }  else 
{ /* ./Cfa/set.scm 81 */
{ /* ./Cfa/set.scm 82 */
obj_t BgL_arg4397z00_1603;
BgL_arg4397z00_1603 = 
BGl_shapez00zztools_shapez00(BgL_metazd2setzd2_22); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string6066z00zzcfa_setz00, BGl_string6067z00zzcfa_setz00, BgL_arg4397z00_1603);} } } } 
}



/* _make-set! */
obj_t BGl__makezd2setz12zc0zzcfa_setz00(obj_t BgL_envz00_4039, obj_t BgL_metazd2setzd2_4040)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 79 */
return 
BGl_makezd2setz12zc0zzcfa_setz00(BgL_metazd2setzd2_4040);} 
}



/* set? */
BGL_EXPORTED_DEF bool_t BGl_setzf3zf3zzcfa_setz00(obj_t BgL_objz00_23)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 90 */
if(
STRUCTP(BgL_objz00_23))
{ /* ./Cfa/set.scm 91 */
obj_t BgL_auxz00_4174;obj_t BgL_auxz00_4172;
BgL_auxz00_4174 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_4172 = 
STRUCT_KEY(BgL_objz00_23); 
return 
(BgL_auxz00_4172==BgL_auxz00_4174);}  else 
{ /* ./Cfa/set.scm 91 */
return ((bool_t)0);} } 
}



/* _set? */
obj_t BGl__setzf3zf3zzcfa_setz00(obj_t BgL_envz00_4041, obj_t BgL_objz00_4042)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 90 */
{ /* ./Cfa/set.scm 91 */
bool_t BgL_auxz00_4177;
BgL_auxz00_4177 = 
BGl_setzf3zf3zzcfa_setz00(BgL_objz00_4042); 
return 
BBOOL(BgL_auxz00_4177);} } 
}



/* set-extend! */
BGL_EXPORTED_DEF obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t BgL_setz00_24, obj_t BgL_objz00_25)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 96 */
{ /* ./Cfa/set.scm 97 */
obj_t BgL_keyz00_1604;
{ /* ./Cfa/set.scm 97 */
BgL_nodezf2effectzf2_bglt BgL_nodez00_2608;
BgL_nodez00_2608 = 
(BgL_nodezf2effectzf2_bglt)(BgL_objz00_25); 
BgL_keyz00_1604 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_2608))->BgL_keyz00); } 
{ /* ./Cfa/set.scm 97 */
obj_t BgL_thezd2setzd2_1605;
{ /* ./Cfa/set.scm 98 */
int BgL_auxz00_4182;
BgL_auxz00_4182 = 
(int)(((long)0)); 
BgL_thezd2setzd2_1605 = 
STRUCT_REF(BgL_setz00_24, BgL_auxz00_4182); } 
{ /* ./Cfa/set.scm 98 */
obj_t BgL_quotientz00_1606;
BgL_quotientz00_1606 = 
CAR(BgL_keyz00_1604); 
{ /* ./Cfa/set.scm 99 */
obj_t BgL_maskz00_1607;
BgL_maskz00_1607 = 
CDR(BgL_keyz00_1604); 
{ /* ./Cfa/set.scm 100 */

{ /* ./Cfa/set.scm 103 */
unsigned char BgL_arg4403z00_1608;
{ /* ./Cfa/set.scm 103 */
unsigned char BgL_auxz00_4191;unsigned char BgL_auxz00_4187;
{ /* ./Cfa/set.scm 104 */
int BgL_auxz00_4192;
BgL_auxz00_4192 = 
CINT(BgL_quotientz00_1606); 
BgL_auxz00_4191 = 
STRING_REF(BgL_thezd2setzd2_1605, BgL_auxz00_4192); } 
{ /* ./Cfa/set.scm 103 */
long BgL_auxz00_4188;
BgL_auxz00_4188 = 
(long)CINT(BgL_maskz00_1607); 
BgL_auxz00_4187 = 
(BgL_auxz00_4188); } 
BgL_arg4403z00_1608 = 
(BgL_auxz00_4187|BgL_auxz00_4191); } 
{ /* ./Cfa/set.scm 101 */
int BgL_kz00_2621;
BgL_kz00_2621 = 
CINT(BgL_quotientz00_1606); 
STRING_SET(BgL_thezd2setzd2_1605, BgL_kz00_2621, BgL_arg4403z00_1608); } } 
return BUNSPEC;} } } } } } 
}



/* _set-extend! */
obj_t BGl__setzd2extendz12zc0zzcfa_setz00(obj_t BgL_envz00_4043, obj_t BgL_setz00_4044, obj_t BgL_objz00_4045)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 96 */
return 
BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_4044, BgL_objz00_4045);} 
}



/* set-union-2! */
obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t BgL_dstz00_28, obj_t BgL_srcz00_29)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 123 */
{ 

{ /* ./Cfa/set.scm 140 */
bool_t BgL_test4430z00_1620;
if(
STRUCTP(BgL_srcz00_29))
{ /* ./Cfa/set.scm 140 */
obj_t BgL_auxz00_4203;obj_t BgL_auxz00_4201;
BgL_auxz00_4203 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_4201 = 
STRUCT_KEY(BgL_srcz00_29); 
BgL_test4430z00_1620 = 
(BgL_auxz00_4201==BgL_auxz00_4203); }  else 
{ /* ./Cfa/set.scm 140 */
BgL_test4430z00_1620 = ((bool_t)0); } 
if(BgL_test4430z00_1620)
{ /* ./Cfa/set.scm 142 */
bool_t BgL_test4431z00_1621;
{ /* ./Cfa/set.scm 142 */
long BgL_auxz00_4215;long BgL_auxz00_4207;
{ /* ./Cfa/set.scm 143 */
int BgL_auxz00_4216;
{ /* ./Cfa/set.scm 143 */
obj_t BgL_auxz00_4217;
{ /* ./Cfa/set.scm 143 */
int BgL_auxz00_4218;
BgL_auxz00_4218 = 
(int)(((long)0)); 
BgL_auxz00_4217 = 
STRUCT_REF(BgL_srcz00_29, BgL_auxz00_4218); } 
BgL_auxz00_4216 = 
STRING_LENGTH(BgL_auxz00_4217); } 
BgL_auxz00_4215 = 
(long)(BgL_auxz00_4216); } 
{ /* ./Cfa/set.scm 142 */
int BgL_auxz00_4208;
{ /* ./Cfa/set.scm 142 */
obj_t BgL_auxz00_4209;
{ /* ./Cfa/set.scm 142 */
int BgL_auxz00_4210;
BgL_auxz00_4210 = 
(int)(((long)0)); 
BgL_auxz00_4209 = 
STRUCT_REF(BgL_dstz00_28, BgL_auxz00_4210); } 
BgL_auxz00_4208 = 
STRING_LENGTH(BgL_auxz00_4209); } 
BgL_auxz00_4207 = 
(long)(BgL_auxz00_4208); } 
BgL_test4431z00_1621 = 
(BgL_auxz00_4207==BgL_auxz00_4215); } 
if(BgL_test4431z00_1621)
{ /* ./Cfa/set.scm 145 */
bool_t BgL_auxz00_4225;
{ /* ./Cfa/set.scm 125 */
obj_t BgL_thezd2dstzd2_1633;obj_t BgL_thezd2srczd2_1634;
{ /* ./Cfa/set.scm 125 */
int BgL_auxz00_4226;
BgL_auxz00_4226 = 
(int)(((long)0)); 
BgL_thezd2dstzd2_1633 = 
STRUCT_REF(BgL_dstz00_28, BgL_auxz00_4226); } 
{ /* ./Cfa/set.scm 126 */
int BgL_auxz00_4229;
BgL_auxz00_4229 = 
(int)(((long)0)); 
BgL_thezd2srczd2_1634 = 
STRUCT_REF(BgL_srcz00_29, BgL_auxz00_4229); } 
{ 
long BgL_iz00_1635;bool_t BgL_resz00_1636;
{ /* ./Cfa/set.scm 127 */
long BgL_arg4460z00_1638;
{ /* ./Cfa/set.scm 127 */
long BgL_auxz00_4232;
{ /* ./Cfa/set.scm 127 */
obj_t BgL_auxz00_4233;
{ /* ./Cfa/set.scm 127 */
int BgL_auxz00_4238;obj_t BgL_auxz00_4234;
BgL_auxz00_4238 = 
(int)(((long)1)); 
{ /* ./Cfa/set.scm 127 */
int BgL_auxz00_4235;
BgL_auxz00_4235 = 
(int)(((long)1)); 
BgL_auxz00_4234 = 
STRUCT_REF(BgL_dstz00_28, BgL_auxz00_4235); } 
BgL_auxz00_4233 = 
STRUCT_REF(BgL_auxz00_4234, BgL_auxz00_4238); } 
BgL_auxz00_4232 = 
(long)CINT(BgL_auxz00_4233); } 
BgL_arg4460z00_1638 = 
(BgL_auxz00_4232-((long)1)); } 
BgL_iz00_1635 = BgL_arg4460z00_1638; 
BgL_resz00_1636 = ((bool_t)0); 
BgL_loopz00_1637:
{ /* ./Cfa/set.scm 130 */
bool_t BgL_test4472z00_1642;
BgL_test4472z00_1642 = 
(BgL_iz00_1635==((long)-1)); 
if(BgL_test4472z00_1642)
{ /* ./Cfa/set.scm 130 */
BgL_auxz00_4225 = BgL_resz00_1636
; }  else 
{ /* ./Cfa/set.scm 132 */
unsigned char BgL_oldz00_1643;unsigned char BgL_newz00_1644;
{ /* ./Cfa/set.scm 132 */
int BgL_auxz00_4245;
BgL_auxz00_4245 = 
(int)(BgL_iz00_1635); 
BgL_oldz00_1643 = 
STRING_REF(BgL_thezd2dstzd2_1633, BgL_auxz00_4245); } 
{ /* ./Cfa/set.scm 133 */
unsigned char BgL_auxz00_4252;unsigned char BgL_auxz00_4248;
{ /* ./Cfa/set.scm 134 */
int BgL_auxz00_4253;
BgL_auxz00_4253 = 
(int)(BgL_iz00_1635); 
BgL_auxz00_4252 = 
STRING_REF(BgL_thezd2srczd2_1634, BgL_auxz00_4253); } 
{ /* ./Cfa/set.scm 133 */
int BgL_auxz00_4249;
BgL_auxz00_4249 = 
(int)(BgL_iz00_1635); 
BgL_auxz00_4248 = 
STRING_REF(BgL_thezd2dstzd2_1633, BgL_auxz00_4249); } 
BgL_newz00_1644 = 
(BgL_auxz00_4248|BgL_auxz00_4252); } 
{ /* ./Cfa/set.scm 135 */
bool_t BgL_test4473z00_1645;
BgL_test4473z00_1645 = 
(BgL_newz00_1644==BgL_oldz00_1643); 
if(BgL_test4473z00_1645)
{ /* ./Cfa/set.scm 136 */
long BgL_arg4475z00_1646;
BgL_arg4475z00_1646 = 
(BgL_iz00_1635-((long)1)); 
{ 
long BgL_iz00_4260;
BgL_iz00_4260 = BgL_arg4475z00_1646; 
BgL_iz00_1635 = BgL_iz00_4260; 
goto BgL_loopz00_1637;} }  else 
{ /* ./Cfa/set.scm 135 */
{ /* ./Cfa/set.scm 138 */
int BgL_kz00_2691;
BgL_kz00_2691 = 
(int)(BgL_iz00_1635); 
STRING_SET(BgL_thezd2dstzd2_1633, BgL_kz00_2691, BgL_newz00_1644); } 
{ /* ./Cfa/set.scm 139 */
long BgL_arg4480z00_1647;
BgL_arg4480z00_1647 = 
(BgL_iz00_1635-((long)1)); 
{ 
bool_t BgL_resz00_4265;long BgL_iz00_4264;
BgL_iz00_4264 = BgL_arg4480z00_1647; 
BgL_resz00_4265 = ((bool_t)1); 
BgL_resz00_1636 = BgL_resz00_4265; 
BgL_iz00_1635 = BgL_iz00_4264; 
goto BgL_loopz00_1637;} } } } } } } } } 
return 
BBOOL(BgL_auxz00_4225);}  else 
{ /* ./Cfa/set.scm 144 */
obj_t BgL_arg4436z00_1624;
BgL_arg4436z00_1624 = 
BGl_shapez00zztools_shapez00(BgL_srcz00_29); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string6068z00zzcfa_setz00, BGl_string6069z00zzcfa_setz00, BgL_arg4436z00_1624);} }  else 
{ /* ./Cfa/set.scm 141 */
obj_t BgL_arg4454z00_1631;
BgL_arg4454z00_1631 = 
BGl_shapez00zztools_shapez00(BgL_srcz00_29); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string6068z00zzcfa_setz00, BGl_string6069z00zzcfa_setz00, BgL_arg4454z00_1631);} } } } 
}



/* set-union! */
BGL_EXPORTED_DEF obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t BgL_dstz00_30, obj_t BgL_srcza2za2_31)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 153 */
{ /* ./Cfa/set.scm 155 */
bool_t BgL_test4494z00_1651;
BgL_test4494z00_1651 = 
NULLP(BgL_srcza2za2_31); 
if(BgL_test4494z00_1651)
{ /* ./Cfa/set.scm 155 */
return BgL_dstz00_30;}  else 
{ /* ./Cfa/set.scm 157 */
bool_t BgL_test4495z00_1652;
{ /* ./Cfa/set.scm 157 */
obj_t BgL_auxz00_4273;
BgL_auxz00_4273 = 
CDR(BgL_srcza2za2_31); 
BgL_test4495z00_1652 = 
NULLP(BgL_auxz00_4273); } 
if(BgL_test4495z00_1652)
{ /* ./Cfa/set.scm 157 */
{ /* ./Cfa/set.scm 158 */
obj_t BgL_arg4497z00_1653;
BgL_arg4497z00_1653 = 
CAR(BgL_srcza2za2_31); 
return 
BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_30, BgL_arg4497z00_1653);} }  else 
{ /* ./Cfa/set.scm 157 */
{ 
obj_t BgL_srcza2za2_1654;obj_t BgL_resz00_1655;
BgL_srcza2za2_1654 = BgL_srcza2za2_31; 
BgL_resz00_1655 = BFALSE; 
BgL_loopz00_1656:
{ /* ./Cfa/set.scm 162 */
bool_t BgL_test4501z00_1657;
BgL_test4501z00_1657 = 
NULLP(BgL_srcza2za2_1654); 
if(BgL_test4501z00_1657)
{ /* ./Cfa/set.scm 162 */
return BgL_resz00_1655;}  else 
{ /* ./Cfa/set.scm 164 */
obj_t BgL_arg4503z00_1658;obj_t BgL_arg4504z00_1659;
BgL_arg4503z00_1658 = 
CDR(BgL_srcza2za2_1654); 
{ /* ./Cfa/set.scm 165 */
obj_t BgL__ortest_4284z00_1660;
{ /* ./Cfa/set.scm 165 */
obj_t BgL_arg4508z00_1661;
BgL_arg4508z00_1661 = 
CAR(BgL_srcza2za2_1654); 
BgL__ortest_4284z00_1660 = 
BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_30, BgL_arg4508z00_1661); } 
if(
CBOOL(BgL__ortest_4284z00_1660))
{ /* ./Cfa/set.scm 165 */
BgL_arg4504z00_1659 = BgL__ortest_4284z00_1660; }  else 
{ /* ./Cfa/set.scm 165 */
BgL_arg4504z00_1659 = BgL_resz00_1655; } } 
{ 
obj_t BgL_resz00_4287;obj_t BgL_srcza2za2_4286;
BgL_srcza2za2_4286 = BgL_arg4503z00_1658; 
BgL_resz00_4287 = BgL_arg4504z00_1659; 
BgL_resz00_1655 = BgL_resz00_4287; 
BgL_srcza2za2_1654 = BgL_srcza2za2_4286; 
goto BgL_loopz00_1656;} } } } } } } } 
}



/* _set-union! */
obj_t BGl__setzd2unionz12zc0zzcfa_setz00(obj_t BgL_envz00_4046, obj_t BgL_dstz00_4047, obj_t BgL_srcza2za2_4048)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 153 */
return 
BGl_setzd2unionz12zc0zzcfa_setz00(BgL_dstz00_4047, BgL_srcza2za2_4048);} 
}



/* set-for-each */
BGL_EXPORTED_DEF obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t BgL_procz00_32, obj_t BgL_setz00_33)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 170 */
{ 

{ /* ./Cfa/set.scm 172 */
obj_t BgL_metaz00_1665;
{ /* ./Cfa/set.scm 172 */
int BgL_auxz00_4289;
BgL_auxz00_4289 = 
(int)(((long)1)); 
BgL_metaz00_1665 = 
STRUCT_REF(BgL_setz00_33, BgL_auxz00_4289); } 
{ /* ./Cfa/set.scm 172 */
obj_t BgL_tablez00_1666;
{ /* ./Cfa/set.scm 173 */
int BgL_auxz00_4292;
BgL_auxz00_4292 = 
(int)(((long)0)); 
BgL_tablez00_1666 = 
STRUCT_REF(BgL_metaz00_1665, BgL_auxz00_4292); } 
{ /* ./Cfa/set.scm 173 */

{ 
long BgL_iz00_1667;
{ /* ./Cfa/set.scm 174 */
long BgL_arg4520z00_1669;
{ /* ./Cfa/set.scm 174 */
int BgL_arg4523z00_1670;
BgL_arg4523z00_1670 = 
VECTOR_LENGTH(BgL_tablez00_1666); 
{ /* ./Cfa/set.scm 174 */
long BgL_auxz00_4296;
BgL_auxz00_4296 = 
(long)(BgL_arg4523z00_1670); 
BgL_arg4520z00_1669 = 
(BgL_auxz00_4296-((long)1)); } } 
BgL_iz00_1667 = BgL_arg4520z00_1669; 
BgL_loopz00_1668:
{ /* ./Cfa/set.scm 176 */
bool_t BgL_test4527z00_1672;
BgL_test4527z00_1672 = 
(BgL_iz00_1667==((long)-1)); 
if(BgL_test4527z00_1672)
{ /* ./Cfa/set.scm 176 */
return BUNSPEC;}  else 
{ /* ./Cfa/set.scm 178 */
bool_t BgL_test4528z00_1673;
{ /* ./Cfa/set.scm 178 */
obj_t BgL_arg4542z00_1677;
{ /* ./Cfa/set.scm 178 */
int BgL_kz00_2714;
BgL_kz00_2714 = 
(int)(BgL_iz00_1667); 
BgL_arg4542z00_1677 = 
VECTOR_REF(BgL_tablez00_1666,BgL_kz00_2714); } 
{ /* ./Cfa/set.scm 178 */
obj_t BgL_keyz00_2717;
{ /* ./Cfa/set.scm 178 */
BgL_nodezf2effectzf2_bglt BgL_nodez00_2725;
BgL_nodez00_2725 = 
(BgL_nodezf2effectzf2_bglt)(BgL_arg4542z00_1677); 
BgL_keyz00_2717 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_2725))->BgL_keyz00); } 
{ /* ./Cfa/set.scm 178 */

{ /* ./Cfa/set.scm 178 */
long BgL_auxz00_4305;
{ /* ./Cfa/set.scm 178 */
long BgL_auxz00_4310;long BgL_auxz00_4306;
{ /* ./Cfa/set.scm 178 */
unsigned char BgL_auxz00_4311;
{ /* ./Cfa/set.scm 178 */
int BgL_auxz00_4316;obj_t BgL_auxz00_4312;
{ /* ./Cfa/set.scm 178 */
obj_t BgL_auxz00_4317;
BgL_auxz00_4317 = 
CAR(BgL_keyz00_2717); 
BgL_auxz00_4316 = 
CINT(BgL_auxz00_4317); } 
{ /* ./Cfa/set.scm 178 */
int BgL_auxz00_4313;
BgL_auxz00_4313 = 
(int)(((long)0)); 
BgL_auxz00_4312 = 
STRUCT_REF(BgL_setz00_33, BgL_auxz00_4313); } 
BgL_auxz00_4311 = 
STRING_REF(BgL_auxz00_4312, BgL_auxz00_4316); } 
BgL_auxz00_4310 = 
(BgL_auxz00_4311); } 
{ /* ./Cfa/set.scm 178 */
obj_t BgL_auxz00_4307;
BgL_auxz00_4307 = 
CDR(BgL_keyz00_2717); 
BgL_auxz00_4306 = 
(long)CINT(BgL_auxz00_4307); } 
BgL_auxz00_4305 = 
(BgL_auxz00_4306 & BgL_auxz00_4310); } 
BgL_test4528z00_1673 = 
(BgL_auxz00_4305>((long)0)); } } } } 
if(BgL_test4528z00_1673)
{ /* ./Cfa/set.scm 178 */
{ /* ./Cfa/set.scm 179 */
obj_t BgL_arg4530z00_1674;
{ /* ./Cfa/set.scm 179 */
int BgL_kz00_2740;
BgL_kz00_2740 = 
(int)(BgL_iz00_1667); 
BgL_arg4530z00_1674 = 
VECTOR_REF(BgL_tablez00_1666,BgL_kz00_2740); } 
PROCEDURE_ENTRY(BgL_procz00_32)(BgL_procz00_32, BgL_arg4530z00_1674, BEOA); } 
{ /* ./Cfa/set.scm 180 */
long BgL_arg4534z00_1675;
BgL_arg4534z00_1675 = 
(BgL_iz00_1667-((long)1)); 
{ 
long BgL_iz00_4330;
BgL_iz00_4330 = BgL_arg4534z00_1675; 
BgL_iz00_1667 = BgL_iz00_4330; 
goto BgL_loopz00_1668;} } }  else 
{ /* ./Cfa/set.scm 178 */
{ /* ./Cfa/set.scm 182 */
long BgL_arg4538z00_1676;
BgL_arg4538z00_1676 = 
(BgL_iz00_1667-((long)1)); 
{ 
long BgL_iz00_4332;
BgL_iz00_4332 = BgL_arg4538z00_1676; 
BgL_iz00_1667 = BgL_iz00_4332; 
goto BgL_loopz00_1668;} } } } } } } } } } } } 
}



/* _set-for-each5987 */
obj_t BGl__setzd2forzd2each5987z00zzcfa_setz00(obj_t BgL_envz00_4049, obj_t BgL_procz00_4050, obj_t BgL_setz00_4051)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 170 */
return 
BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_4050, BgL_setz00_4051);} 
}



/* set-length */
BGL_EXPORTED_DEF obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t BgL_setz00_34)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 188 */
{ 

{ /* ./Cfa/set.scm 204 */
long BgL_auxz00_4334;
{ /* ./Cfa/set.scm 190 */
obj_t BgL_thezd2setzd2_1681;
{ /* ./Cfa/set.scm 190 */
int BgL_auxz00_4335;
BgL_auxz00_4335 = 
(int)(((long)0)); 
BgL_thezd2setzd2_1681 = 
STRUCT_REF(BgL_setz00_34, BgL_auxz00_4335); } 
{ /* ./Cfa/set.scm 190 */
int BgL_thezd2lenzd2_1682;
BgL_thezd2lenzd2_1682 = 
STRING_LENGTH(BgL_thezd2setzd2_1681); 
{ /* ./Cfa/set.scm 191 */

{ 
long BgL_offsetz00_1683;long BgL_numz00_1684;
BgL_offsetz00_1683 = ((long)0); 
BgL_numz00_1684 = ((long)0); 
BgL_loopz00_1685:
{ /* ./Cfa/set.scm 194 */
bool_t BgL_testz00_4339;
{ /* ./Cfa/set.scm 194 */
long BgL_auxz00_4340;
BgL_auxz00_4340 = 
(long)(BgL_thezd2lenzd2_1682); 
BgL_testz00_4339 = 
(BgL_offsetz00_1683==BgL_auxz00_4340); } 
if(BgL_testz00_4339)
{ /* ./Cfa/set.scm 194 */
BgL_auxz00_4334 = BgL_numz00_1684
; }  else 
{ 
long BgL_charz00_1687;long BgL_numz00_1688;
{ /* ./Cfa/set.scm 196 */
unsigned char BgL_auxz00_4356;
{ /* ./Cfa/set.scm 196 */
int BgL_auxz00_4357;
BgL_auxz00_4357 = 
(int)(BgL_offsetz00_1683); 
BgL_auxz00_4356 = 
STRING_REF(BgL_thezd2setzd2_1681, BgL_auxz00_4357); } 
BgL_charz00_1687 = 
(BgL_auxz00_4356); } 
BgL_numz00_1688 = BgL_numz00_1684; 
BgL_liipz00_1689:
if(
(BgL_charz00_1687==((long)0)))
{ /* ./Cfa/set.scm 199 */
{ 
long BgL_numz00_4347;long BgL_offsetz00_4345;
BgL_offsetz00_4345 = 
(((long)1)+BgL_offsetz00_1683); 
BgL_numz00_4347 = BgL_numz00_1688; 
BgL_numz00_1684 = BgL_numz00_4347; 
BgL_offsetz00_1683 = BgL_offsetz00_4345; 
goto BgL_loopz00_1685;} }  else 
{ /* ./Cfa/set.scm 199 */
{ 
long BgL_numz00_4352;long BgL_charz00_4348;
{ /* ./Cfa/set.scm 202 */
int BgL_auxz00_4349;
BgL_auxz00_4349 = 
(int)(((long)1)); 
BgL_charz00_4348 = 
(BgL_charz00_1687 >> BgL_auxz00_4349); } 
{ /* ./Cfa/set.scm 203 */
long BgL_auxz00_4353;
BgL_auxz00_4353 = 
(BgL_charz00_1687 & ((long)1)); 
BgL_numz00_4352 = 
(BgL_numz00_1688+BgL_auxz00_4353); } 
BgL_numz00_1688 = BgL_numz00_4352; 
BgL_charz00_1687 = BgL_charz00_4348; 
goto BgL_liipz00_1689;} } } } } } } } 
return 
BINT(BgL_auxz00_4334);} } } 
}



/* _set-length */
obj_t BGl__setzd2lengthzd2zzcfa_setz00(obj_t BgL_envz00_4052, obj_t BgL_setz00_4053)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 188 */
return 
BGl_setzd2lengthzd2zzcfa_setz00(BgL_setz00_4053);} 
}



/* set->list */
BGL_EXPORTED_DEF obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t BgL_setz00_35)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 209 */
{ /* ./Cfa/set.scm 210 */
obj_t BgL_metaz00_1698;
{ /* ./Cfa/set.scm 210 */
int BgL_auxz00_4363;
BgL_auxz00_4363 = 
(int)(((long)1)); 
BgL_metaz00_1698 = 
STRUCT_REF(BgL_setz00_35, BgL_auxz00_4363); } 
{ /* ./Cfa/set.scm 211 */
obj_t BgL_tablez00_1699;
{ /* ./Cfa/set.scm 211 */
int BgL_auxz00_4366;
BgL_auxz00_4366 = 
(int)(((long)0)); 
BgL_tablez00_1699 = 
STRUCT_REF(BgL_metaz00_1698, BgL_auxz00_4366); } 
{ /* ./Cfa/set.scm 211 */
int BgL_siza7eza7_1700;
BgL_siza7eza7_1700 = 
VECTOR_LENGTH(BgL_tablez00_1699); 
{ /* ./Cfa/set.scm 212 */

{ 
long BgL_iz00_1701;obj_t BgL_lz00_1702;
BgL_iz00_1701 = ((long)0); 
BgL_lz00_1702 = BNIL; 
BgL_loopz00_1703:
{ /* ./Cfa/set.scm 216 */
bool_t BgL_test4578z00_1704;
{ /* ./Cfa/set.scm 216 */
long BgL_auxz00_4370;
BgL_auxz00_4370 = 
(long)(BgL_siza7eza7_1700); 
BgL_test4578z00_1704 = 
(BgL_iz00_1701==BgL_auxz00_4370); } 
if(BgL_test4578z00_1704)
{ /* ./Cfa/set.scm 216 */
return BgL_lz00_1702;}  else 
{ /* ./Cfa/set.scm 218 */
bool_t BgL_test4579z00_1705;
{ /* ./Cfa/set.scm 218 */
obj_t BgL_arg4595z00_1710;
{ /* ./Cfa/set.scm 218 */
int BgL_kz00_2774;
BgL_kz00_2774 = 
(int)(BgL_iz00_1701); 
BgL_arg4595z00_1710 = 
VECTOR_REF(BgL_tablez00_1699,BgL_kz00_2774); } 
{ /* ./Cfa/set.scm 218 */
obj_t BgL_keyz00_2777;
{ /* ./Cfa/set.scm 218 */
BgL_nodezf2effectzf2_bglt BgL_nodez00_2785;
BgL_nodez00_2785 = 
(BgL_nodezf2effectzf2_bglt)(BgL_arg4595z00_1710); 
BgL_keyz00_2777 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_2785))->BgL_keyz00); } 
{ /* ./Cfa/set.scm 218 */

{ /* ./Cfa/set.scm 218 */
long BgL_auxz00_4378;
{ /* ./Cfa/set.scm 218 */
long BgL_auxz00_4383;long BgL_auxz00_4379;
{ /* ./Cfa/set.scm 218 */
unsigned char BgL_auxz00_4384;
{ /* ./Cfa/set.scm 218 */
int BgL_auxz00_4389;obj_t BgL_auxz00_4385;
{ /* ./Cfa/set.scm 218 */
obj_t BgL_auxz00_4390;
BgL_auxz00_4390 = 
CAR(BgL_keyz00_2777); 
BgL_auxz00_4389 = 
CINT(BgL_auxz00_4390); } 
{ /* ./Cfa/set.scm 218 */
int BgL_auxz00_4386;
BgL_auxz00_4386 = 
(int)(((long)0)); 
BgL_auxz00_4385 = 
STRUCT_REF(BgL_setz00_35, BgL_auxz00_4386); } 
BgL_auxz00_4384 = 
STRING_REF(BgL_auxz00_4385, BgL_auxz00_4389); } 
BgL_auxz00_4383 = 
(BgL_auxz00_4384); } 
{ /* ./Cfa/set.scm 218 */
obj_t BgL_auxz00_4380;
BgL_auxz00_4380 = 
CDR(BgL_keyz00_2777); 
BgL_auxz00_4379 = 
(long)CINT(BgL_auxz00_4380); } 
BgL_auxz00_4378 = 
(BgL_auxz00_4379 & BgL_auxz00_4383); } 
BgL_test4579z00_1705 = 
(BgL_auxz00_4378>((long)0)); } } } } 
if(BgL_test4579z00_1705)
{ /* ./Cfa/set.scm 218 */
{ /* ./Cfa/set.scm 219 */
long BgL_arg4581z00_1706;obj_t BgL_arg4582z00_1707;
BgL_arg4581z00_1706 = 
(BgL_iz00_1701+((long)1)); 
{ /* ./Cfa/set.scm 219 */
obj_t BgL_arg4586z00_1708;
{ /* ./Cfa/set.scm 219 */
int BgL_kz00_2802;
BgL_kz00_2802 = 
(int)(BgL_iz00_1701); 
BgL_arg4586z00_1708 = 
VECTOR_REF(BgL_tablez00_1699,BgL_kz00_2802); } 
BgL_arg4582z00_1707 = 
MAKE_PAIR(BgL_arg4586z00_1708, BgL_lz00_1702); } 
{ 
obj_t BgL_lz00_4403;long BgL_iz00_4402;
BgL_iz00_4402 = BgL_arg4581z00_1706; 
BgL_lz00_4403 = BgL_arg4582z00_1707; 
BgL_lz00_1702 = BgL_lz00_4403; 
BgL_iz00_1701 = BgL_iz00_4402; 
goto BgL_loopz00_1703;} } }  else 
{ /* ./Cfa/set.scm 218 */
{ /* ./Cfa/set.scm 221 */
long BgL_arg4591z00_1709;
BgL_arg4591z00_1709 = 
(BgL_iz00_1701+((long)1)); 
{ 
long BgL_iz00_4405;
BgL_iz00_4405 = BgL_arg4591z00_1709; 
BgL_iz00_1701 = BgL_iz00_4405; 
goto BgL_loopz00_1703;} } } } } } } } } } } 
}



/* _set->list */
obj_t BGl__setzd2ze3listz31zzcfa_setz00(obj_t BgL_envz00_4054, obj_t BgL_setz00_4055)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 209 */
return 
BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_4055);} 
}



/* set->vector */
BGL_EXPORTED_DEF obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t BgL_setz00_36)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 226 */
{ /* ./Cfa/set.scm 227 */
obj_t BgL_arg4603z00_2805;
BgL_arg4603z00_2805 = 
BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_36); 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4603z00_2805);} } 
}



/* _set->vector */
obj_t BGl__setzd2ze3vectorz31zzcfa_setz00(obj_t BgL_envz00_4056, obj_t BgL_setz00_4057)
{ AN_OBJECT;
{ /* ./Cfa/set.scm 226 */
return 
BGl_setzd2ze3vectorz31zzcfa_setz00(BgL_setz00_4057);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_setz00()
{ AN_OBJECT;
{ /* ./Cfa/set.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00()
{ AN_OBJECT;
{ /* ./Cfa/set.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cfa_set"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "cfa_set"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cfa_set"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)2565), "cfa_set"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)0), "cfa_set"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cfa_set"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cfa_set"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)43477), "cfa_set");} 
}

