/*===========================================================================*/
/*   (Cfa/vector.scm)                                                        */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Cfa/vector.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


static obj_t BGl_nodezd2setupz12zd2vlength4799z12zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzcfa_vectorz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern obj_t BGl_vlengthzf2Cinfozf2zzcfa_info3z00;
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
static obj_t BGl_nodezd2setupz12zd2prezd2makezd2vectorzd2app4793zc0zzcfa_vectorz00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
extern obj_t BGl_valloczf2Cinfozf2zzcfa_info3z00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
extern BgL_approxz00_bglt BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt, BgL_nodez00_bglt);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_loosezd2allocz12zd2valloczf2Cinfozb2optim4819z52zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2vlengthzf2Cinfo4811z32zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2makezd2vectorzd2app4805zc0zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza36740ze3z83zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl__vectorzd2optimzf3z21zzcfa_vectorz00(obj_t);
static obj_t BGl_loosezd2allocz12zd2makezd2vectorzd2app4817z12zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
static obj_t BGl_cnstzd2initzd2zzcfa_vectorz00();
extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00();
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2setupz12zd2prezd2valloczf2Cinfo4795z32zzcfa_vectorz00(obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_nodezd2setupz12zd2vsetz124803z00zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
static obj_t BGl_nodezd2setupz12zd2valloc4797z12zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2vsetz12zf2Cinfo4815z20zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
extern obj_t BGl_za2vectorza2z00zztype_cachez00;
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
static obj_t BGl_zc3anonymousza36666ze3z83zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t, BgL_approxz00_bglt);
static obj_t BGl_nodezd2setupz12zd2vref4801z12zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt, BgL_typez00_bglt);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
static obj_t BGl_cfaz12zd2vrefzf2Cinfo4813z32zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_vectorz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00();
static obj_t BGl_cfaz12zd2valloczf2Cinfozb2optim4807z80zzcfa_vectorz00(obj_t, obj_t);
static obj_t BGl_cfaz12zd2valloczf2Cinfo4809z32zzcfa_vectorz00(obj_t, obj_t);
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc7208z00zzcfa_vectorz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2makeza7d2vectorza7d2app4793za7c0za7za7cfa_vectorza7007248z00, BGl_nodezd2setupz12zd2prezd2makezd2vectorzd2app4793zc0zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7210z00zzcfa_vectorz00, BgL_bgl_nodeza7d2setupza712za7d2valloc4797za712za7za7cfa_vectorza7007249za7, BGl_nodezd2setupz12zd2valloc4797z12zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7209z00zzcfa_vectorz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2vallocza7f2cinfo4795za732za7za7cfa_vectorza7007250za7, BGl_nodezd2setupz12zd2prezd2valloczf2Cinfo4795z32zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7211z00zzcfa_vectorz00, BgL_bgl_nodeza7d2setupza712za7d2vlength4799za712za7za7cfa_vectorza7007251za7, BGl_nodezd2setupz12zd2vlength4799z12zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7212z00zzcfa_vectorz00, BgL_bgl_nodeza7d2setupza712za7d2vref4801za712za7za7cfa_vectorza7007252za7, BGl_nodezd2setupz12zd2vref4801z12zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7213z00zzcfa_vectorz00, BgL_bgl_nodeza7d2setupza712za7d2vsetza7124803za700za7za7cfa_vectorza7007253z00, BGl_nodezd2setupz12zd2vsetz124803z00zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7214z00zzcfa_vectorz00, BgL_bgl_cfaza712za7d2makeza7d2vectorza7d2app4805za7c0za7za7cfa_vectorza7007254z00, BGl_cfaz12zd2makezd2vectorzd2app4805zc0zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7215z00zzcfa_vectorz00, BgL_bgl_cfaza712za7d2vallocza7f2cinfoza7b2optim4807za780za7za7cfa_vectorza7007255z00, BGl_cfaz12zd2valloczf2Cinfozb2optim4807z80zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7216z00zzcfa_vectorz00, BgL_bgl_cfaza712za7d2vallocza7f2cinfo4809za732za7za7cfa_vectorza7007256za7, BGl_cfaz12zd2valloczf2Cinfo4809z32zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7217z00zzcfa_vectorz00, BgL_bgl_cfaza712za7d2vlengthza7f2cinfo4811za732za7za7cfa_vectorza7007257za7, BGl_cfaz12zd2vlengthzf2Cinfo4811z32zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7218z00zzcfa_vectorz00, BgL_bgl_cfaza712za7d2vrefza7f2cinfo4813za732za7za7cfa_vectorza7007258za7, BGl_cfaz12zd2vrefzf2Cinfo4813z32zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7220z00zzcfa_vectorz00, BgL_bgl_looseza7d2allocza712za7d2makeza7d2vectorza7d2app4817za712za7za7cfa_vectorza7007259za7, BGl_loosezd2allocz12zd2makezd2vectorzd2app4817z12zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7219z00zzcfa_vectorz00, BgL_bgl_cfaza712za7d2vsetza712za7f2cinfo4815za720za7za7cfa_vectorza7007260z00, BGl_cfaz12zd2vsetz12zf2Cinfo4815z20zzcfa_vectorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc7221z00zzcfa_vectorz00, BgL_bgl_looseza7d2allocza712za7d2vallocza7f2cinfoza7b2optim4819za752za7za7cfa_vectorza7007261za7, BGl_loosezd2allocz12zd2valloczf2Cinfozb2optim4819z52zzcfa_vectorz00, 0L, 1 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_STRING( BGl_string7222z00zzcfa_vectorz00, BgL_bgl_string7222za700za7za7cfa_vectorza7007262z00, "all nothing ", 12 );
extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2optimzf3zd2envzf3zzcfa_vectorz00, BgL_bgl__vectorza7d2optimza7f3za721za7za7cfa_vectorza7007263z00, BGl__vectorzd2optimzf3z21zzcfa_vectorz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long BgL_checksumz00_4689, char * BgL_fromz00_4690)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_vectorz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_vectorz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00(); 
BGl_cnstzd2initzd2zzcfa_vectorz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_vectorz00(); 
BGl_methodzd2initzd2zzcfa_vectorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00()
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 17 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_vector"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_vectorz00()
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 17 */
{ /* ./Cfa/vector.scm 17 */
obj_t BgL_cportz00_4682;
BgL_cportz00_4682 = 
open_input_string(BGl_string7222z00zzcfa_vectorz00); 
{ 
long BgL_iz00_4683;
BgL_iz00_4683 = ((long)1); 
BgL_loopz00_4684:
{ /* ./Cfa/vector.scm 17 */
bool_t BgL_test7224z00_4685;
BgL_test7224z00_4685 = 
(BgL_iz00_4683==((long)-1)); 
if(BgL_test7224z00_4685)
{ /* ./Cfa/vector.scm 17 */
return BUNSPEC;}  else 
{ /* ./Cfa/vector.scm 17 */
{ /* ./Cfa/vector.scm 17 */
obj_t BgL_arg7226z00_4686;
{ /* ./Cfa/vector.scm 17 */
obj_t BgL_list7229z00_4687;
BgL_list7229z00_4687 = 
MAKE_PAIR(BgL_cportz00_4682, BNIL); 
BgL_arg7226z00_4686 = 
BGl_readz00zz__readerz00(BgL_list7229z00_4687); } 
{ /* ./Cfa/vector.scm 17 */
int BgL_auxz00_4705;
BgL_auxz00_4705 = 
(int)(BgL_iz00_4683); 
CNST_TABLE_SET(BgL_auxz00_4705, BgL_arg7226z00_4686); } } 
{ /* ./Cfa/vector.scm 17 */
int BgL_auxz00_4688;
{ /* ./Cfa/vector.scm 17 */
long BgL_auxz00_4708;
BgL_auxz00_4708 = 
(BgL_iz00_4683-((long)1)); 
BgL_auxz00_4688 = 
(int)(BgL_auxz00_4708); } 
{ 
long BgL_iz00_4711;
BgL_iz00_4711 = 
(long)(BgL_auxz00_4688); 
BgL_iz00_4683 = BgL_iz00_4711; 
goto BgL_loopz00_4684;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00()
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 17 */
return BUNSPEC;} 
}



/* vector-optim? */
BGL_EXPORTED_DEF bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00()
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 40 */
{ /* ./Cfa/vector.scm 41 */
long BgL_n1z00_2841;
BgL_n1z00_2841 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
return 
(BgL_n1z00_2841>=((long)2));} } 
}



/* _vector-optim? */
obj_t BGl__vectorzd2optimzf3z21zzcfa_vectorz00(obj_t BgL_envz00_4625)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 40 */
{ /* ./Cfa/vector.scm 41 */
bool_t BgL_auxz00_4715;
BgL_auxz00_4715 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
return 
BBOOL(BgL_auxz00_4715);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_vectorz00()
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 17 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00, BGl_proc7208z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00, BGl_proc7209z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vallocz00zzast_nodez00, BGl_proc7210z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vlengthz00zzast_nodez00, BGl_proc7211z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vrefz00zzast_nodez00, BGl_proc7212z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vsetz12z12zzast_nodez00, BGl_proc7213z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_makezd2vectorzd2appz00zzcfa_info2z00, BGl_proc7214z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00, BGl_proc7215z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_valloczf2Cinfozf2zzcfa_info3z00, BGl_proc7216z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vlengthzf2Cinfozf2zzcfa_info3z00, BGl_proc7217z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vrefzf2Cinfozf2zzcfa_info3z00, BGl_proc7218z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vsetz12zf2Cinfoze0zzcfa_info3z00, BGl_proc7219z00zzcfa_vectorz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BGl_makezd2vectorzd2appz00zzcfa_info2z00, BGl_proc7220z00zzcfa_vectorz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00, BGl_proc7221z00zzcfa_vectorz00);} 
}



/* loose-alloc!-valloc/Cinfo+optim4819 */
obj_t BGl_loosezd2allocz12zd2valloczf2Cinfozb2optim4819z52zzcfa_vectorz00(obj_t BgL_envz00_4644, obj_t BgL_allocz00_4645)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 282 */
{ 
BgL_valloczf2cinfozb2optimz40_bglt BgL_allocz00_2830;
BgL_allocz00_2830 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_allocz00_4645); 
{ /* ./Cfa/vector.scm 284 */
bool_t BgL_test6805z00_2834;
{ /* ./Cfa/vector.scm 284 */
long BgL_arg6820z00_2838;
{ 
obj_t BgL_auxz00_4732;
{ /* ./Cfa/vector.scm 284 */
BgL_objectz00_bglt BgL_auxz00_4733;
BgL_auxz00_4733 = 
(BgL_objectz00_bglt)(BgL_allocz00_2830); 
BgL_auxz00_4732 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4733); } 
BgL_arg6820z00_2838 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4732))->BgL_lostzd2stampzd2); } 
{ /* ./Cfa/vector.scm 284 */
long BgL_n2z00_4619;
BgL_n2z00_4619 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test6805z00_2834 = 
(BgL_arg6820z00_2838==BgL_n2z00_4619); } } 
if(BgL_test6805z00_2834)
{ /* ./Cfa/vector.scm 284 */
return BUNSPEC;}  else 
{ /* ./Cfa/vector.scm 284 */
{ /* ./Cfa/vector.scm 289 */
long BgL_val4716z00_4621;
BgL_val4716z00_4621 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_4741;
{ /* ./Cfa/vector.scm 289 */
BgL_objectz00_bglt BgL_auxz00_4742;
BgL_auxz00_4742 = 
(BgL_objectz00_bglt)(BgL_allocz00_2830); 
BgL_auxz00_4741 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4742); } 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4741))->BgL_lostzd2stampzd2) = ((long)BgL_val4716z00_4621), BUNSPEC); } } 
{ /* ./Cfa/vector.scm 290 */
BgL_approxz00_bglt BgL_arg6808z00_2835;
{ 
obj_t BgL_auxz00_4746;
{ /* ./Cfa/vector.scm 290 */
BgL_objectz00_bglt BgL_auxz00_4747;
BgL_auxz00_4747 = 
(BgL_objectz00_bglt)(BgL_allocz00_2830); 
BgL_auxz00_4746 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4747); } 
BgL_arg6808z00_2835 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4746))->BgL_valuezd2approxzd2); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BgL_arg6808z00_2835); } 
{ /* ./Cfa/vector.scm 291 */
BgL_approxz00_bglt BgL_arg6812z00_2836;
{ 
obj_t BgL_auxz00_4752;
{ /* ./Cfa/vector.scm 291 */
BgL_objectz00_bglt BgL_auxz00_4753;
BgL_auxz00_4753 = 
(BgL_objectz00_bglt)(BgL_allocz00_2830); 
BgL_auxz00_4752 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4753); } 
BgL_arg6812z00_2836 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4752))->BgL_valuezd2approxzd2); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg6812z00_2836, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* ./Cfa/vector.scm 292 */
BgL_approxz00_bglt BgL_arg6816z00_2837;
{ 
obj_t BgL_auxz00_4759;
{ /* ./Cfa/vector.scm 292 */
BgL_objectz00_bglt BgL_auxz00_4760;
BgL_auxz00_4760 = 
(BgL_objectz00_bglt)(BgL_allocz00_2830); 
BgL_auxz00_4759 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4760); } 
BgL_arg6816z00_2837 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4759))->BgL_valuezd2approxzd2); } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg6816z00_2837);} } } } } 
}



/* loose-alloc!-make-vector-app4817 */
obj_t BGl_loosezd2allocz12zd2makezd2vectorzd2app4817z12zzcfa_vectorz00(obj_t BgL_envz00_4646, obj_t BgL_allocz00_4647)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 264 */
{ 
BgL_makezd2vectorzd2appz00_bglt BgL_allocz00_2819;
BgL_allocz00_2819 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_allocz00_4647); 
{ /* ./Cfa/vector.scm 266 */
bool_t BgL_test6781z00_2823;
{ /* ./Cfa/vector.scm 266 */
long BgL_arg6796z00_2827;
{ 
obj_t BgL_auxz00_4766;
{ /* ./Cfa/vector.scm 266 */
BgL_objectz00_bglt BgL_auxz00_4767;
BgL_auxz00_4767 = 
(BgL_objectz00_bglt)(BgL_allocz00_2819); 
BgL_auxz00_4766 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4767); } 
BgL_arg6796z00_2827 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4766))->BgL_lostzd2stampzd2); } 
{ /* ./Cfa/vector.scm 266 */
long BgL_n2z00_4611;
BgL_n2z00_4611 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
BgL_test6781z00_2823 = 
(BgL_arg6796z00_2827==BgL_n2z00_4611); } } 
if(BgL_test6781z00_2823)
{ /* ./Cfa/vector.scm 266 */
return BUNSPEC;}  else 
{ /* ./Cfa/vector.scm 266 */
{ /* ./Cfa/vector.scm 270 */
long BgL_val4032z00_4613;
BgL_val4032z00_4613 = 
(long)CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00); 
{ 
obj_t BgL_auxz00_4775;
{ /* ./Cfa/vector.scm 270 */
BgL_objectz00_bglt BgL_auxz00_4776;
BgL_auxz00_4776 = 
(BgL_objectz00_bglt)(BgL_allocz00_2819); 
BgL_auxz00_4775 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4776); } 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4775))->BgL_lostzd2stampzd2) = ((long)BgL_val4032z00_4613), BUNSPEC); } } 
{ /* ./Cfa/vector.scm 271 */
BgL_approxz00_bglt BgL_arg6784z00_2824;
{ 
obj_t BgL_auxz00_4780;
{ /* ./Cfa/vector.scm 271 */
BgL_objectz00_bglt BgL_auxz00_4781;
BgL_auxz00_4781 = 
(BgL_objectz00_bglt)(BgL_allocz00_2819); 
BgL_auxz00_4780 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4781); } 
BgL_arg6784z00_2824 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4780))->BgL_valuezd2approxzd2); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BgL_arg6784z00_2824); } 
{ /* ./Cfa/vector.scm 272 */
BgL_approxz00_bglt BgL_arg6788z00_2825;
{ 
obj_t BgL_auxz00_4786;
{ /* ./Cfa/vector.scm 272 */
BgL_objectz00_bglt BgL_auxz00_4787;
BgL_auxz00_4787 = 
(BgL_objectz00_bglt)(BgL_allocz00_2819); 
BgL_auxz00_4786 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4787); } 
BgL_arg6788z00_2825 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4786))->BgL_valuezd2approxzd2); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg6788z00_2825, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* ./Cfa/vector.scm 273 */
BgL_approxz00_bglt BgL_arg6792z00_2826;
{ 
obj_t BgL_auxz00_4793;
{ /* ./Cfa/vector.scm 273 */
BgL_objectz00_bglt BgL_auxz00_4794;
BgL_auxz00_4794 = 
(BgL_objectz00_bglt)(BgL_allocz00_2819); 
BgL_auxz00_4793 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4794); } 
BgL_arg6792z00_2826 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4793))->BgL_valuezd2approxzd2); } 
return 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg6792z00_2826);} } } } } 
}



/* cfa!-vset!/Cinfo4815 */
obj_t BGl_cfaz12zd2vsetz12zf2Cinfo4815z20zzcfa_vectorz00(obj_t BgL_envz00_4648, obj_t BgL_nodez00_4649)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 219 */
{ 
BgL_vsetz12zf2cinfoze0_bglt BgL_nodez00_2790;
{ /* ./Cfa/vector.scm 220 */
BgL_approxz00_bglt BgL_auxz00_4800;
BgL_nodez00_2790 = 
(BgL_vsetz12zf2cinfoze0_bglt)(BgL_nodez00_4649); 
{ /* ./Cfa/vector.scm 223 */
obj_t BgL_arg6721z00_2794;
{ /* ./Cfa/vector.scm 223 */
obj_t BgL_auxz00_4801;
{ /* ./Cfa/vector.scm 223 */
obj_t BgL_auxz00_4802;
{ /* ./Cfa/vector.scm 223 */
BgL_externz00_bglt BgL_obj1826z00_4581;
BgL_obj1826z00_4581 = 
(BgL_externz00_bglt)(BgL_nodez00_2790); 
BgL_auxz00_4802 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4581))->BgL_exprza2za2); } 
BgL_auxz00_4801 = 
CDR(BgL_auxz00_4802); } 
BgL_arg6721z00_2794 = 
CAR(BgL_auxz00_4801); } 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6721z00_2794)); } 
{ /* ./Cfa/vector.scm 224 */
BgL_approxz00_bglt BgL_veczd2approxzd2_2796;BgL_approxz00_bglt BgL_valzd2approxzd2_2797;
{ /* ./Cfa/vector.scm 224 */
obj_t BgL_arg6761z00_2813;
{ /* ./Cfa/vector.scm 224 */
obj_t BgL_auxz00_4809;
{ /* ./Cfa/vector.scm 224 */
BgL_externz00_bglt BgL_obj1826z00_4586;
BgL_obj1826z00_4586 = 
(BgL_externz00_bglt)(BgL_nodez00_2790); 
BgL_auxz00_4809 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4586))->BgL_exprza2za2); } 
BgL_arg6761z00_2813 = 
CAR(BgL_auxz00_4809); } 
BgL_veczd2approxzd2_2796 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6761z00_2813)); } 
{ /* ./Cfa/vector.scm 225 */
obj_t BgL_arg6768z00_2815;
{ /* ./Cfa/vector.scm 225 */
obj_t BgL_auxz00_4815;
{ /* ./Cfa/vector.scm 225 */
obj_t BgL_auxz00_4816;
{ /* ./Cfa/vector.scm 225 */
obj_t BgL_auxz00_4817;
{ /* ./Cfa/vector.scm 225 */
BgL_externz00_bglt BgL_obj1826z00_4588;
BgL_obj1826z00_4588 = 
(BgL_externz00_bglt)(BgL_nodez00_2790); 
BgL_auxz00_4817 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4588))->BgL_exprza2za2); } 
BgL_auxz00_4816 = 
CDR(BgL_auxz00_4817); } 
BgL_auxz00_4815 = 
CDR(BgL_auxz00_4816); } 
BgL_arg6768z00_2815 = 
CAR(BgL_auxz00_4815); } 
BgL_valzd2approxzd2_2797 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6768z00_2815)); } 
{ /* ./Cfa/vector.scm 227 */
bool_t BgL_test6727z00_2798;
{ 
obj_t BgL_auxz00_4825;
{ /* ./Cfa/vector.scm 227 */
BgL_objectz00_bglt BgL_auxz00_4826;
BgL_auxz00_4826 = 
(BgL_objectz00_bglt)(BgL_nodez00_2790); 
BgL_auxz00_4825 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4826); } 
BgL_test6727z00_2798 = 
(((BgL_vsetz12zf2cinfoze0_bglt)CREF(BgL_auxz00_4825))->BgL_tvectorzf3zf3); } 
if(BgL_test6727z00_2798)
{ /* ./Cfa/vector.scm 227 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Cfa/vector.scm 229 */
bool_t BgL_test6728z00_2799;
{ /* ./Cfa/vector.scm 229 */
long BgL_n1z00_4596;
BgL_n1z00_4596 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test6728z00_2799 = 
(BgL_n1z00_4596>=((long)2)); } 
if(BgL_test6728z00_2799)
{ /* ./Cfa/vector.scm 229 */
{ /* ./Cfa/vector.scm 233 */
bool_t BgL_test6729z00_2800;
{ /* ./Cfa/vector.scm 233 */
BgL_typez00_bglt BgL_arg6732z00_2801;
BgL_arg6732z00_2801 = 
(((BgL_approxz00_bglt)CREF(BgL_veczd2approxzd2_2796))->BgL_typez00); 
{ /* ./Cfa/vector.scm 233 */
obj_t BgL_auxz00_4836;
BgL_auxz00_4836 = 
(obj_t)(BgL_arg6732z00_2801); 
BgL_test6729z00_2800 = 
(BgL_auxz00_4836==BGl_za2vectorza2z00zztype_cachez00); } } 
if(BgL_test6729z00_2800)
{ /* ./Cfa/vector.scm 233 */BFALSE; }  else 
{ /* ./Cfa/vector.scm 233 */
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_valzd2approxzd2_2797, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } } 
{ /* ./Cfa/vector.scm 236 */
bool_t BgL_test6735z00_2802;
BgL_test6735z00_2802 = 
(((BgL_approxz00_bglt)CREF(BgL_veczd2approxzd2_2796))->BgL_topzf3zf3); 
if(BgL_test6735z00_2802)
{ /* ./Cfa/vector.scm 238 */
BgL_approxz00_bglt BgL_auxz00_4844;
BgL_auxz00_4844 = 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_2797, 
CNST_TABLE_REF(((long)1))); 
(obj_t)(BgL_auxz00_4844); }  else 
{ /* ./Cfa/vector.scm 243 */
obj_t BgL_zc3anonymousza36740ze3z83_4630;
{ 
int BgL_auxz00_4850;int BgL_auxz00_4848;
BgL_auxz00_4850 = 
(int)(((long)1)); 
BgL_auxz00_4848 = 
(int)(((long)1)); 
BgL_zc3anonymousza36740ze3z83_4630 = 
make_fx_procedure(BGl_zc3anonymousza36740ze3z83zzcfa_vectorz00, BgL_auxz00_4848, BgL_auxz00_4850); } 
{ /* ./Cfa/vector.scm 243 */
obj_t BgL_auxz00_4855;int BgL_auxz00_4853;
BgL_auxz00_4855 = 
(obj_t)(BgL_valzd2approxzd2_2797); 
BgL_auxz00_4853 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza36740ze3z83_4630, BgL_auxz00_4853, BgL_auxz00_4855); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza36740ze3z83_4630, BgL_veczd2approxzd2_2796); } } }  else 
{ /* ./Cfa/vector.scm 229 */
BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_2796, 
CNST_TABLE_REF(((long)1))); 
{ /* ./Cfa/vector.scm 254 */
BgL_approxz00_bglt BgL_auxz00_4861;
BgL_auxz00_4861 = 
BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_2797, 
CNST_TABLE_REF(((long)1))); 
(obj_t)(BgL_auxz00_4861); } } } } } 
{ 
obj_t BgL_auxz00_4865;
{ /* ./Cfa/vector.scm 255 */
BgL_objectz00_bglt BgL_auxz00_4866;
BgL_auxz00_4866 = 
(BgL_objectz00_bglt)(BgL_nodez00_2790); 
BgL_auxz00_4865 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4866); } 
BgL_auxz00_4800 = 
(((BgL_vsetz12zf2cinfoze0_bglt)CREF(BgL_auxz00_4865))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_4800);} } } 
}



/* <anonymous:6740> */
obj_t BGl_zc3anonymousza36740ze3z83zzcfa_vectorz00(obj_t BgL_envz00_4650, obj_t BgL_appz00_4652)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 241 */
{ /* ./Cfa/vector.scm 243 */
obj_t BgL_valzd2approxzd2_4651;
{ /* ./Cfa/vector.scm 243 */
int BgL_auxz00_4872;
BgL_auxz00_4872 = 
(int)(((long)0)); 
BgL_valzd2approxzd2_4651 = 
PROCEDURE_REF(BgL_envz00_4650, BgL_auxz00_4872); } 
{ 
obj_t BgL_appz00_2804;
BgL_appz00_2804 = BgL_appz00_4652; 
{ /* ./Cfa/vector.scm 243 */
bool_t BgL_test6741z00_2806;
BgL_test6741z00_2806 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_2804, BGl_makezd2vectorzd2appz00zzcfa_info2z00); 
if(BgL_test6741z00_2806)
{ /* ./Cfa/vector.scm 243 */
{ /* ./Cfa/vector.scm 245 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4040z00_4601;
BgL_obj4040z00_4601 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_appz00_2804); 
{ 
obj_t BgL_auxz00_4878;
{ /* ./Cfa/vector.scm 245 */
BgL_objectz00_bglt BgL_auxz00_4879;
BgL_auxz00_4879 = 
(BgL_objectz00_bglt)(BgL_obj4040z00_4601); 
BgL_auxz00_4878 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4879); } 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4878))->BgL_seenzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* ./Cfa/vector.scm 246 */
BgL_approxz00_bglt BgL_arg6744z00_2808;
{ /* ./Cfa/vector.scm 246 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4030z00_4603;
BgL_obj4030z00_4603 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_appz00_2804); 
{ 
obj_t BgL_auxz00_4884;
{ /* ./Cfa/vector.scm 246 */
BgL_objectz00_bglt BgL_auxz00_4885;
BgL_auxz00_4885 = 
(BgL_objectz00_bglt)(BgL_obj4030z00_4603); 
BgL_auxz00_4884 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4885); } 
BgL_arg6744z00_2808 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4884))->BgL_valuezd2approxzd2); } } 
{ /* ./Cfa/vector.scm 246 */
BgL_approxz00_bglt BgL_auxz00_4889;
BgL_auxz00_4889 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg6744z00_2808, 
(BgL_approxz00_bglt)(BgL_valzd2approxzd2_4651)); 
return 
(obj_t)(BgL_auxz00_4889);} } }  else 
{ /* ./Cfa/vector.scm 247 */
bool_t BgL_test6747z00_2809;
BgL_test6747z00_2809 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_2804, BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00); 
if(BgL_test6747z00_2809)
{ /* ./Cfa/vector.scm 247 */
{ /* ./Cfa/vector.scm 249 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4727z00_4605;
BgL_obj4727z00_4605 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_appz00_2804); 
{ 
obj_t BgL_auxz00_4896;
{ /* ./Cfa/vector.scm 249 */
BgL_objectz00_bglt BgL_auxz00_4897;
BgL_auxz00_4897 = 
(BgL_objectz00_bglt)(BgL_obj4727z00_4605); 
BgL_auxz00_4896 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4897); } 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4896))->BgL_seenzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* ./Cfa/vector.scm 250 */
BgL_approxz00_bglt BgL_arg6750z00_2811;
{ /* ./Cfa/vector.scm 250 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4714z00_4607;
BgL_obj4714z00_4607 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_appz00_2804); 
{ 
obj_t BgL_auxz00_4902;
{ /* ./Cfa/vector.scm 250 */
BgL_objectz00_bglt BgL_auxz00_4903;
BgL_auxz00_4903 = 
(BgL_objectz00_bglt)(BgL_obj4714z00_4607); 
BgL_auxz00_4902 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4903); } 
BgL_arg6750z00_2811 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_4902))->BgL_valuezd2approxzd2); } } 
{ /* ./Cfa/vector.scm 250 */
BgL_approxz00_bglt BgL_auxz00_4907;
BgL_auxz00_4907 = 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg6750z00_2811, 
(BgL_approxz00_bglt)(BgL_valzd2approxzd2_4651)); 
return 
(obj_t)(BgL_auxz00_4907);} } }  else 
{ /* ./Cfa/vector.scm 247 */
return BFALSE;} } } } } } 
}



/* cfa!-vref/Cinfo4813 */
obj_t BGl_cfaz12zd2vrefzf2Cinfo4813z32zzcfa_vectorz00(obj_t BgL_envz00_4653, obj_t BgL_nodez00_4654)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 175 */
{ 
BgL_vrefzf2cinfozf2_bglt BgL_nodez00_2753;
{ /* ./Cfa/vector.scm 176 */
BgL_approxz00_bglt BgL_auxz00_4911;
BgL_nodez00_2753 = 
(BgL_vrefzf2cinfozf2_bglt)(BgL_nodez00_4654); 
{ /* ./Cfa/vector.scm 179 */
obj_t BgL_arg6637z00_2757;
{ /* ./Cfa/vector.scm 179 */
obj_t BgL_auxz00_4912;
{ /* ./Cfa/vector.scm 179 */
obj_t BgL_auxz00_4913;
{ /* ./Cfa/vector.scm 179 */
BgL_externz00_bglt BgL_obj1826z00_4548;
BgL_obj1826z00_4548 = 
(BgL_externz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4913 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4548))->BgL_exprza2za2); } 
BgL_auxz00_4912 = 
CDR(BgL_auxz00_4913); } 
BgL_arg6637z00_2757 = 
CAR(BgL_auxz00_4912); } 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6637z00_2757)); } 
{ /* ./Cfa/vector.scm 180 */
BgL_approxz00_bglt BgL_veczd2approxzd2_2759;
{ /* ./Cfa/vector.scm 180 */
obj_t BgL_arg6708z00_2786;
{ /* ./Cfa/vector.scm 180 */
obj_t BgL_auxz00_4920;
{ /* ./Cfa/vector.scm 180 */
BgL_externz00_bglt BgL_obj1826z00_4553;
BgL_obj1826z00_4553 = 
(BgL_externz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4920 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4553))->BgL_exprza2za2); } 
BgL_arg6708z00_2786 = 
CAR(BgL_auxz00_4920); } 
BgL_veczd2approxzd2_2759 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6708z00_2786)); } 
{ /* ./Cfa/vector.scm 182 */
bool_t BgL_test6643z00_2760;
{ 
obj_t BgL_auxz00_4926;
{ /* ./Cfa/vector.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4927;
BgL_auxz00_4927 = 
(BgL_objectz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4926 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4927); } 
BgL_test6643z00_2760 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_4926))->BgL_tvectorzf3zf3); } 
if(BgL_test6643z00_2760)
{ /* ./Cfa/vector.scm 182 */
{ /* ./Cfa/vector.scm 182 */
BgL_approxz00_bglt BgL_auxz00_4932;
{ 
obj_t BgL_auxz00_4933;
{ /* ./Cfa/vector.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4934;
BgL_auxz00_4934 = 
(BgL_objectz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4933 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4934); } 
BgL_auxz00_4932 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_4933))->BgL_approxz00); } 
(obj_t)(BgL_auxz00_4932); } }  else 
{ /* ./Cfa/vector.scm 184 */
bool_t BgL_test6645z00_2761;
{ /* ./Cfa/vector.scm 184 */
long BgL_n1z00_4557;
BgL_n1z00_4557 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test6645z00_2761 = 
(BgL_n1z00_4557>=((long)2)); } 
if(BgL_test6645z00_2761)
{ /* ./Cfa/vector.scm 184 */
{ /* ./Cfa/vector.scm 189 */
bool_t BgL_test6646z00_2762;
{ /* ./Cfa/vector.scm 189 */
bool_t BgL_test6651z00_2764;
{ /* ./Cfa/vector.scm 189 */
BgL_typez00_bglt BgL_arg6654z00_2765;
BgL_arg6654z00_2765 = 
(((BgL_approxz00_bglt)CREF(BgL_veczd2approxzd2_2759))->BgL_typez00); 
{ /* ./Cfa/vector.scm 189 */
obj_t BgL_auxz00_4943;
BgL_auxz00_4943 = 
(obj_t)(BgL_arg6654z00_2765); 
BgL_test6651z00_2764 = 
(BgL_auxz00_4943==BGl_za2vectorza2z00zztype_cachez00); } } 
if(BgL_test6651z00_2764)
{ /* ./Cfa/vector.scm 189 */
BgL_test6646z00_2762 = 
(((BgL_approxz00_bglt)CREF(BgL_veczd2approxzd2_2759))->BgL_topzf3zf3); }  else 
{ /* ./Cfa/vector.scm 189 */
BgL_test6646z00_2762 = ((bool_t)1); } } 
if(BgL_test6646z00_2762)
{ /* ./Cfa/vector.scm 191 */
BgL_approxz00_bglt BgL_arg6648z00_2763;
{ 
obj_t BgL_auxz00_4949;
{ /* ./Cfa/vector.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4950;
BgL_auxz00_4950 = 
(BgL_objectz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4949 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4950); } 
BgL_arg6648z00_2763 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_4949))->BgL_approxz00); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg6648z00_2763, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); }  else 
{ /* ./Cfa/vector.scm 189 */BFALSE; } } 
{ /* ./Cfa/vector.scm 193 */
bool_t BgL_test6657z00_2766;
BgL_test6657z00_2766 = 
(((BgL_approxz00_bglt)CREF(BgL_veczd2approxzd2_2759))->BgL_topzf3zf3); 
if(BgL_test6657z00_2766)
{ /* ./Cfa/vector.scm 194 */
BgL_approxz00_bglt BgL_arg6659z00_2767;
{ 
obj_t BgL_auxz00_4958;
{ /* ./Cfa/vector.scm 194 */
BgL_objectz00_bglt BgL_auxz00_4959;
BgL_auxz00_4959 = 
(BgL_objectz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4958 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4959); } 
BgL_arg6659z00_2767 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_4958))->BgL_approxz00); } 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg6659z00_2767); }  else 
{ /* ./Cfa/vector.scm 193 */BFALSE; } } 
{ /* ./Cfa/vector.scm 199 */
obj_t BgL_zc3anonymousza36666ze3z83_4632;
{ 
int BgL_auxz00_4966;int BgL_auxz00_4964;
BgL_auxz00_4966 = 
(int)(((long)1)); 
BgL_auxz00_4964 = 
(int)(((long)1)); 
BgL_zc3anonymousza36666ze3z83_4632 = 
make_fx_procedure(BGl_zc3anonymousza36666ze3z83zzcfa_vectorz00, BgL_auxz00_4964, BgL_auxz00_4966); } 
{ /* ./Cfa/vector.scm 199 */
obj_t BgL_auxz00_4971;int BgL_auxz00_4969;
BgL_auxz00_4971 = 
(obj_t)(BgL_nodez00_2753); 
BgL_auxz00_4969 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza36666ze3z83_4632, BgL_auxz00_4969, BgL_auxz00_4971); } 
BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_zc3anonymousza36666ze3z83_4632, BgL_veczd2approxzd2_2759); } }  else 
{ /* ./Cfa/vector.scm 184 */
{ /* ./Cfa/vector.scm 213 */
BgL_approxz00_bglt BgL_auxz00_4975;
BgL_auxz00_4975 = 
BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_2759, 
CNST_TABLE_REF(((long)1))); 
(obj_t)(BgL_auxz00_4975); } } } } 
{ 
obj_t BgL_auxz00_4979;
{ /* ./Cfa/vector.scm 214 */
BgL_objectz00_bglt BgL_auxz00_4980;
BgL_auxz00_4980 = 
(BgL_objectz00_bglt)(BgL_nodez00_2753); 
BgL_auxz00_4979 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4980); } 
BgL_auxz00_4911 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_4979))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_4911);} } } 
}



/* <anonymous:6666> */
obj_t BGl_zc3anonymousza36666ze3z83zzcfa_vectorz00(obj_t BgL_envz00_4655, obj_t BgL_appz00_4657)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 197 */
{ /* ./Cfa/vector.scm 199 */
obj_t BgL_instance4776z00_4656;
{ /* ./Cfa/vector.scm 199 */
int BgL_auxz00_4986;
BgL_auxz00_4986 = 
(int)(((long)0)); 
BgL_instance4776z00_4656 = 
PROCEDURE_REF(BgL_envz00_4655, BgL_auxz00_4986); } 
{ 
obj_t BgL_appz00_2769;
BgL_appz00_2769 = BgL_appz00_4657; 
{ /* ./Cfa/vector.scm 199 */
bool_t BgL_test6667z00_2771;
BgL_test6667z00_2771 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_2769, BGl_makezd2vectorzd2appz00zzcfa_info2z00); 
if(BgL_test6667z00_2771)
{ /* ./Cfa/vector.scm 199 */
{ /* ./Cfa/vector.scm 201 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4040z00_4565;
BgL_obj4040z00_4565 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_appz00_2769); 
{ 
obj_t BgL_auxz00_4992;
{ /* ./Cfa/vector.scm 201 */
BgL_objectz00_bglt BgL_auxz00_4993;
BgL_auxz00_4993 = 
(BgL_objectz00_bglt)(BgL_obj4040z00_4565); 
BgL_auxz00_4992 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4993); } 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_4992))->BgL_seenzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* ./Cfa/vector.scm 202 */
BgL_approxz00_bglt BgL_arg6670z00_2773;BgL_approxz00_bglt BgL_arg6671z00_2774;
{ /* ./Cfa/vector.scm 202 */
BgL_vrefzf2cinfozf2_bglt BgL_obj4480z00_4567;
BgL_obj4480z00_4567 = 
(BgL_vrefzf2cinfozf2_bglt)(BgL_instance4776z00_4656); 
{ 
obj_t BgL_auxz00_4998;
{ /* ./Cfa/vector.scm 202 */
BgL_objectz00_bglt BgL_auxz00_4999;
BgL_auxz00_4999 = 
(BgL_objectz00_bglt)(BgL_obj4480z00_4567); 
BgL_auxz00_4998 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4999); } 
BgL_arg6670z00_2773 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_4998))->BgL_approxz00); } } 
{ /* ./Cfa/vector.scm 202 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4030z00_4568;
BgL_obj4030z00_4568 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_appz00_2769); 
{ 
obj_t BgL_auxz00_5004;
{ /* ./Cfa/vector.scm 202 */
BgL_objectz00_bglt BgL_auxz00_5005;
BgL_auxz00_5005 = 
(BgL_objectz00_bglt)(BgL_obj4030z00_4568); 
BgL_auxz00_5004 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5005); } 
BgL_arg6671z00_2774 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_5004))->BgL_valuezd2approxzd2); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg6670z00_2773, BgL_arg6671z00_2774); } 
{ /* ./Cfa/vector.scm 203 */
BgL_approxz00_bglt BgL_arg6676z00_2775;BgL_typez00_bglt BgL_arg6677z00_2776;
{ /* ./Cfa/vector.scm 203 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4030z00_4569;
BgL_obj4030z00_4569 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_appz00_2769); 
{ 
obj_t BgL_auxz00_5011;
{ /* ./Cfa/vector.scm 203 */
BgL_objectz00_bglt BgL_auxz00_5012;
BgL_auxz00_5012 = 
(BgL_objectz00_bglt)(BgL_obj4030z00_4569); 
BgL_auxz00_5011 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5012); } 
BgL_arg6676z00_2775 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_5011))->BgL_valuezd2approxzd2); } } 
{ /* ./Cfa/vector.scm 204 */
BgL_approxz00_bglt BgL_arg6681z00_2777;
{ /* ./Cfa/vector.scm 204 */
BgL_vrefzf2cinfozf2_bglt BgL_obj4480z00_4570;
BgL_obj4480z00_4570 = 
(BgL_vrefzf2cinfozf2_bglt)(BgL_instance4776z00_4656); 
{ 
obj_t BgL_auxz00_5017;
{ /* ./Cfa/vector.scm 204 */
BgL_objectz00_bglt BgL_auxz00_5018;
BgL_auxz00_5018 = 
(BgL_objectz00_bglt)(BgL_obj4480z00_4570); 
BgL_auxz00_5017 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5018); } 
BgL_arg6681z00_2777 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_5017))->BgL_approxz00); } } 
BgL_arg6677z00_2776 = 
(((BgL_approxz00_bglt)CREF(BgL_arg6681z00_2777))->BgL_typez00); } 
return 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg6676z00_2775, BgL_arg6677z00_2776);} }  else 
{ /* ./Cfa/vector.scm 205 */
bool_t BgL_test6684z00_2778;
BgL_test6684z00_2778 = 
BGl_iszd2azf3z21zz__objectz00(BgL_appz00_2769, BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00); 
if(BgL_test6684z00_2778)
{ /* ./Cfa/vector.scm 205 */
{ /* ./Cfa/vector.scm 207 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4727z00_4573;
BgL_obj4727z00_4573 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_appz00_2769); 
{ 
obj_t BgL_auxz00_5027;
{ /* ./Cfa/vector.scm 207 */
BgL_objectz00_bglt BgL_auxz00_5028;
BgL_auxz00_5028 = 
(BgL_objectz00_bglt)(BgL_obj4727z00_4573); 
BgL_auxz00_5027 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5028); } 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_5027))->BgL_seenzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } } 
{ /* ./Cfa/vector.scm 208 */
BgL_approxz00_bglt BgL_arg6687z00_2780;BgL_approxz00_bglt BgL_arg6688z00_2781;
{ /* ./Cfa/vector.scm 208 */
BgL_vrefzf2cinfozf2_bglt BgL_obj4480z00_4575;
BgL_obj4480z00_4575 = 
(BgL_vrefzf2cinfozf2_bglt)(BgL_instance4776z00_4656); 
{ 
obj_t BgL_auxz00_5033;
{ /* ./Cfa/vector.scm 208 */
BgL_objectz00_bglt BgL_auxz00_5034;
BgL_auxz00_5034 = 
(BgL_objectz00_bglt)(BgL_obj4480z00_4575); 
BgL_auxz00_5033 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5034); } 
BgL_arg6687z00_2780 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_5033))->BgL_approxz00); } } 
{ /* ./Cfa/vector.scm 208 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4714z00_4576;
BgL_obj4714z00_4576 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_appz00_2769); 
{ 
obj_t BgL_auxz00_5039;
{ /* ./Cfa/vector.scm 208 */
BgL_objectz00_bglt BgL_auxz00_5040;
BgL_auxz00_5040 = 
(BgL_objectz00_bglt)(BgL_obj4714z00_4576); 
BgL_auxz00_5039 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5040); } 
BgL_arg6688z00_2781 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_5039))->BgL_valuezd2approxzd2); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg6687z00_2780, BgL_arg6688z00_2781); } 
{ /* ./Cfa/vector.scm 209 */
BgL_approxz00_bglt BgL_arg6693z00_2782;BgL_typez00_bglt BgL_arg6694z00_2783;
{ /* ./Cfa/vector.scm 209 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4714z00_4577;
BgL_obj4714z00_4577 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_appz00_2769); 
{ 
obj_t BgL_auxz00_5046;
{ /* ./Cfa/vector.scm 209 */
BgL_objectz00_bglt BgL_auxz00_5047;
BgL_auxz00_5047 = 
(BgL_objectz00_bglt)(BgL_obj4714z00_4577); 
BgL_auxz00_5046 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5047); } 
BgL_arg6693z00_2782 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_5046))->BgL_valuezd2approxzd2); } } 
{ /* ./Cfa/vector.scm 210 */
BgL_approxz00_bglt BgL_arg6698z00_2784;
{ /* ./Cfa/vector.scm 210 */
BgL_vrefzf2cinfozf2_bglt BgL_obj4480z00_4578;
BgL_obj4480z00_4578 = 
(BgL_vrefzf2cinfozf2_bglt)(BgL_instance4776z00_4656); 
{ 
obj_t BgL_auxz00_5052;
{ /* ./Cfa/vector.scm 210 */
BgL_objectz00_bglt BgL_auxz00_5053;
BgL_auxz00_5053 = 
(BgL_objectz00_bglt)(BgL_obj4480z00_4578); 
BgL_auxz00_5052 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5053); } 
BgL_arg6698z00_2784 = 
(((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_auxz00_5052))->BgL_approxz00); } } 
BgL_arg6694z00_2783 = 
(((BgL_approxz00_bglt)CREF(BgL_arg6698z00_2784))->BgL_typez00); } 
return 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg6693z00_2782, BgL_arg6694z00_2783);} }  else 
{ /* ./Cfa/vector.scm 205 */
return BFALSE;} } } } } } 
}



/* cfa!-vlength/Cinfo4811 */
obj_t BGl_cfaz12zd2vlengthzf2Cinfo4811z32zzcfa_vectorz00(obj_t BgL_envz00_4658, obj_t BgL_nodez00_4659)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 164 */
{ 
BgL_vlengthzf2cinfozf2_bglt BgL_nodez00_2743;
{ /* ./Cfa/vector.scm 165 */
BgL_approxz00_bglt BgL_auxz00_5059;
BgL_nodez00_2743 = 
(BgL_vlengthzf2cinfozf2_bglt)(BgL_nodez00_4659); 
{ /* ./Cfa/vector.scm 167 */
BgL_approxz00_bglt BgL_veczd2approxzd2_2747;
{ /* ./Cfa/vector.scm 167 */
obj_t BgL_arg6623z00_2749;
{ /* ./Cfa/vector.scm 167 */
obj_t BgL_auxz00_5060;
{ /* ./Cfa/vector.scm 167 */
BgL_externz00_bglt BgL_obj1826z00_4543;
BgL_obj1826z00_4543 = 
(BgL_externz00_bglt)(BgL_nodez00_2743); 
BgL_auxz00_5060 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4543))->BgL_exprza2za2); } 
BgL_arg6623z00_2749 = 
CAR(BgL_auxz00_5060); } 
BgL_veczd2approxzd2_2747 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6623z00_2749)); } 
{ /* ./Cfa/vector.scm 168 */
bool_t BgL_test6619z00_2748;
{ /* ./Cfa/vector.scm 168 */
long BgL_n1z00_4545;
BgL_n1z00_4545 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test6619z00_2748 = 
(BgL_n1z00_4545>=((long)2)); } 
if(BgL_test6619z00_2748)
{ /* ./Cfa/vector.scm 168 */BFALSE; }  else 
{ /* ./Cfa/vector.scm 169 */
BgL_approxz00_bglt BgL_auxz00_5069;
BgL_auxz00_5069 = 
BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_2747, 
CNST_TABLE_REF(((long)1))); 
(obj_t)(BgL_auxz00_5069); } } } 
{ 
obj_t BgL_auxz00_5073;
{ /* ./Cfa/vector.scm 170 */
BgL_objectz00_bglt BgL_auxz00_5074;
BgL_auxz00_5074 = 
(BgL_objectz00_bglt)(BgL_nodez00_2743); 
BgL_auxz00_5073 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5074); } 
BgL_auxz00_5059 = 
(((BgL_vlengthzf2cinfozf2_bglt)CREF(BgL_auxz00_5073))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_5059);} } } 
}



/* cfa!-valloc/Cinfo4809 */
obj_t BGl_cfaz12zd2valloczf2Cinfo4809z32zzcfa_vectorz00(obj_t BgL_envz00_4660, obj_t BgL_nodez00_4661)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 155 */
{ 
BgL_valloczf2cinfozf2_bglt BgL_nodez00_2729;
{ /* ./Cfa/vector.scm 156 */
BgL_approxz00_bglt BgL_auxz00_5080;
BgL_nodez00_2729 = 
(BgL_valloczf2cinfozf2_bglt)(BgL_nodez00_4661); 
{ 
obj_t BgL_l4772z00_2733;
{ /* ./Cfa/vector.scm 158 */
obj_t BgL_arg6597z00_2735;
{ /* ./Cfa/vector.scm 158 */
BgL_externz00_bglt BgL_obj1826z00_4538;
BgL_obj1826z00_4538 = 
(BgL_externz00_bglt)(BgL_nodez00_2729); 
BgL_arg6597z00_2735 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4538))->BgL_exprza2za2); } 
BgL_l4772z00_2733 = BgL_arg6597z00_2735; 
BgL_forzd2each4773zd2_2734:
{ /* ./Cfa/vector.scm 158 */
bool_t BgL_test6600z00_2736;
BgL_test6600z00_2736 = 
PAIRP(BgL_l4772z00_2733); 
if(BgL_test6600z00_2736)
{ /* ./Cfa/vector.scm 158 */
{ /* ./Cfa/vector.scm 158 */
obj_t BgL_xz00_2737;
BgL_xz00_2737 = 
CAR(BgL_l4772z00_2733); 
{ /* ./Cfa/vector.scm 158 */
BgL_approxz00_bglt BgL_arg6602z00_2738;obj_t BgL_arg6603z00_2739;
BgL_arg6602z00_2738 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_xz00_2737)); 
BgL_arg6603z00_2739 = 
CNST_TABLE_REF(((long)1)); 
BGl_loosez12z12zzcfa_loosez00(BgL_arg6602z00_2738, BgL_arg6603z00_2739); } } 
{ /* ./Cfa/vector.scm 158 */
obj_t BgL_arg6608z00_2740;
BgL_arg6608z00_2740 = 
CDR(BgL_l4772z00_2733); 
{ 
obj_t BgL_l4772z00_5091;
BgL_l4772z00_5091 = BgL_arg6608z00_2740; 
BgL_l4772z00_2733 = BgL_l4772z00_5091; 
goto BgL_forzd2each4773zd2_2734;} } }  else 
{ /* ./Cfa/vector.scm 158 */((bool_t)1); } } } } 
{ 
obj_t BgL_auxz00_5092;
{ /* ./Cfa/vector.scm 159 */
BgL_objectz00_bglt BgL_auxz00_5093;
BgL_auxz00_5093 = 
(BgL_objectz00_bglt)(BgL_nodez00_2729); 
BgL_auxz00_5092 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5093); } 
BgL_auxz00_5080 = 
(((BgL_valloczf2cinfozf2_bglt)CREF(BgL_auxz00_5092))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_5080);} } } 
}



/* cfa!-valloc/Cinfo+optim4807 */
obj_t BGl_cfaz12zd2valloczf2Cinfozb2optim4807z80zzcfa_vectorz00(obj_t BgL_envz00_4662, obj_t BgL_nodez00_4663)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 146 */
{ 
BgL_valloczf2cinfozb2optimz40_bglt BgL_nodez00_2717;
{ /* ./Cfa/vector.scm 147 */
BgL_approxz00_bglt BgL_auxz00_5099;
BgL_nodez00_2717 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_nodez00_4663); 
{ 
obj_t BgL_l4768z00_2721;
{ /* ./Cfa/vector.scm 149 */
obj_t BgL_arg6576z00_2723;
{ /* ./Cfa/vector.scm 149 */
BgL_externz00_bglt BgL_obj1826z00_4533;
BgL_obj1826z00_4533 = 
(BgL_externz00_bglt)(BgL_nodez00_2717); 
BgL_arg6576z00_2723 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4533))->BgL_exprza2za2); } 
BgL_l4768z00_2721 = BgL_arg6576z00_2723; 
BgL_forzd2each4769zd2_2722:
{ /* ./Cfa/vector.scm 149 */
bool_t BgL_test6579z00_2724;
BgL_test6579z00_2724 = 
PAIRP(BgL_l4768z00_2721); 
if(BgL_test6579z00_2724)
{ /* ./Cfa/vector.scm 149 */
{ /* ./Cfa/vector.scm 149 */
obj_t BgL_arg6581z00_2725;
BgL_arg6581z00_2725 = 
CAR(BgL_l4768z00_2721); 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6581z00_2725)); } 
{ /* ./Cfa/vector.scm 149 */
obj_t BgL_arg6585z00_2726;
BgL_arg6585z00_2726 = 
CDR(BgL_l4768z00_2721); 
{ 
obj_t BgL_l4768z00_5108;
BgL_l4768z00_5108 = BgL_arg6585z00_2726; 
BgL_l4768z00_2721 = BgL_l4768z00_5108; 
goto BgL_forzd2each4769zd2_2722;} } }  else 
{ /* ./Cfa/vector.scm 149 */((bool_t)1); } } } } 
{ 
obj_t BgL_auxz00_5109;
{ /* ./Cfa/vector.scm 150 */
BgL_objectz00_bglt BgL_auxz00_5110;
BgL_auxz00_5110 = 
(BgL_objectz00_bglt)(BgL_nodez00_2717); 
BgL_auxz00_5109 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5110); } 
BgL_auxz00_5099 = 
(((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_5109))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_5099);} } } 
}



/* cfa!-make-vector-app4805 */
obj_t BGl_cfaz12zd2makezd2vectorzd2app4805zc0zzcfa_vectorz00(obj_t BgL_envz00_4664, obj_t BgL_nodez00_4665)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 135 */
{ 
BgL_makezd2vectorzd2appz00_bglt BgL_nodez00_2705;
{ /* ./Cfa/vector.scm 136 */
BgL_approxz00_bglt BgL_auxz00_5116;
BgL_nodez00_2705 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_nodez00_4665); 
{ /* ./Cfa/vector.scm 138 */
obj_t BgL_arg6550z00_2709;
{ /* ./Cfa/vector.scm 138 */
obj_t BgL_auxz00_5117;
{ /* ./Cfa/vector.scm 138 */
BgL_appz00_bglt BgL_obj1725z00_4524;
BgL_obj1725z00_4524 = 
(BgL_appz00_bglt)(BgL_nodez00_2705); 
BgL_auxz00_5117 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_4524))->BgL_argsz00); } 
BgL_arg6550z00_2709 = 
CAR(BgL_auxz00_5117); } 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6550z00_2709)); } 
{ /* ./Cfa/vector.scm 139 */
BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_2711;
{ /* ./Cfa/vector.scm 139 */
obj_t BgL_arg6563z00_2713;
{ /* ./Cfa/vector.scm 139 */
obj_t BgL_auxz00_5123;
{ /* ./Cfa/vector.scm 139 */
obj_t BgL_auxz00_5124;
{ /* ./Cfa/vector.scm 139 */
BgL_appz00_bglt BgL_obj1725z00_4526;
BgL_obj1725z00_4526 = 
(BgL_appz00_bglt)(BgL_nodez00_2705); 
BgL_auxz00_5124 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_4526))->BgL_argsz00); } 
BgL_auxz00_5123 = 
CDR(BgL_auxz00_5124); } 
BgL_arg6563z00_2713 = 
CAR(BgL_auxz00_5123); } 
BgL_initzd2valuezd2approxz00_2711 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg6563z00_2713)); } 
{ /* ./Cfa/vector.scm 140 */
BgL_approxz00_bglt BgL_arg6557z00_2712;
{ 
obj_t BgL_auxz00_5131;
{ /* ./Cfa/vector.scm 140 */
BgL_objectz00_bglt BgL_auxz00_5132;
BgL_auxz00_5132 = 
(BgL_objectz00_bglt)(BgL_nodez00_2705); 
BgL_auxz00_5131 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5132); } 
BgL_arg6557z00_2712 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_5131))->BgL_valuezd2approxzd2); } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg6557z00_2712, BgL_initzd2valuezd2approxz00_2711); } 
{ 
obj_t BgL_auxz00_5137;
{ /* ./Cfa/vector.scm 141 */
BgL_objectz00_bglt BgL_auxz00_5138;
BgL_auxz00_5138 = 
(BgL_objectz00_bglt)(BgL_nodez00_2705); 
BgL_auxz00_5137 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5138); } 
BgL_auxz00_5116 = 
(((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_5137))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_5116);} } } 
}



/* node-setup!-vset!4803 */
obj_t BGl_nodezd2setupz12zd2vsetz124803z00zzcfa_vectorz00(obj_t BgL_envz00_4666, obj_t BgL_nodez00_4667)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 125 */
{ 
BgL_vsetz12z12_bglt BgL_nodez00_2689;
{ /* ./Cfa/vector.scm 126 */
BgL_vsetz12z12_bglt BgL_auxz00_5144;
BgL_nodez00_2689 = 
(BgL_vsetz12z12_bglt)(BgL_nodez00_4667); 
{ /* ./Cfa/vector.scm 127 */
obj_t BgL_arg6517z00_2693;
{ /* ./Cfa/vector.scm 127 */
BgL_externz00_bglt BgL_obj1826z00_4508;
BgL_obj1826z00_4508 = 
(BgL_externz00_bglt)(BgL_nodez00_2689); 
BgL_arg6517z00_2693 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4508))->BgL_exprza2za2); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg6517z00_2693); } 
{ /* ./Cfa/vector.scm 128 */
BgL_vsetz12z12_bglt BgL_obj4763z00_2694;
BgL_obj4763z00_2694 = 
((BgL_vsetz12z12_bglt)BgL_nodez00_2689); 
{ /* ./Cfa/vector.scm 129 */
BgL_vsetz12zf2cinfoze0_bglt BgL_arg6521z00_2695;
{ /* ./Cfa/vector.scm 129 */
BgL_approxz00_bglt BgL_arg6524z00_2696;bool_t BgL_arg6525z00_2697;
BgL_arg6524z00_2696 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2unspecza2z00zztype_cachez00)); 
{ /* ./Cfa/vector.scm 130 */
bool_t BgL_test6528z00_2698;
{ /* ./Cfa/vector.scm 130 */
bool_t BgL_test6529z00_2699;
{ /* ./Cfa/vector.scm 130 */
BgL_typez00_bglt BgL_arg6535z00_2701;
BgL_arg6535z00_2701 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_2689))->BgL_ftypez00); 
{ /* ./Cfa/vector.scm 130 */
obj_t BgL_auxz00_5152;
BgL_auxz00_5152 = 
(obj_t)(BgL_arg6535z00_2701); 
BgL_test6529z00_2699 = 
(BgL_auxz00_5152==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test6529z00_2699)
{ /* ./Cfa/vector.scm 130 */
BgL_test6528z00_2698 = ((bool_t)1); }  else 
{ /* ./Cfa/vector.scm 130 */
BgL_typez00_bglt BgL_arg6531z00_2700;
BgL_arg6531z00_2700 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_nodez00_2689))->BgL_ftypez00); 
{ /* ./Cfa/vector.scm 130 */
obj_t BgL_auxz00_5157;
BgL_auxz00_5157 = 
(obj_t)(BgL_arg6531z00_2700); 
BgL_test6528z00_2698 = 
(BgL_auxz00_5157==BGl_za2objza2z00zztype_cachez00); } } } 
if(BgL_test6528z00_2698)
{ /* ./Cfa/vector.scm 130 */
BgL_arg6525z00_2697 = ((bool_t)0); }  else 
{ /* ./Cfa/vector.scm 130 */
BgL_arg6525z00_2697 = ((bool_t)1); } } 
{ /* ./Cfa/vector.scm 128 */
BgL_vsetz12zf2cinfoze0_bglt BgL_res6968z00_4520;
{ /* ./Cfa/vector.scm 128 */
BgL_vsetz12zf2cinfoze0_bglt BgL_new4505z00_4513;
BgL_new4505z00_4513 = 
((BgL_vsetz12zf2cinfoze0_bglt)BREF( GC_MALLOC (sizeof(struct BgL_vsetz12zf2cinfoze0_bgl)))); 
{ /* ./Cfa/vector.scm 128 */
BgL_vsetz12zf2cinfoze0_bglt BgL_res6967z00_4519;
((((BgL_vsetz12zf2cinfoze0_bglt)CREF(BgL_new4505z00_4513))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6524z00_2696), BUNSPEC); 
((((BgL_vsetz12zf2cinfoze0_bglt)CREF(BgL_new4505z00_4513))->BgL_tvectorzf3zf3) = ((bool_t)BgL_arg6525z00_2697), BUNSPEC); 
BgL_res6967z00_4519 = BgL_new4505z00_4513; BgL_res6967z00_4519; } 
BgL_res6968z00_4520 = BgL_new4505z00_4513; } 
BgL_arg6521z00_2695 = BgL_res6968z00_4520; } } 
{ /* ./Cfa/vector.scm 128 */
obj_t BgL_auxz00_5166;BgL_objectz00_bglt BgL_auxz00_5164;
BgL_auxz00_5166 = 
(obj_t)(BgL_arg6521z00_2695); 
BgL_auxz00_5164 = 
(BgL_objectz00_bglt)(BgL_obj4763z00_2694); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5164, BgL_auxz00_5166); } } 
{ /* ./Cfa/vector.scm 128 */
long BgL_arg6539z00_2702;
BgL_arg6539z00_2702 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12zf2Cinfoze0zzcfa_info3z00); 
{ /* ./Cfa/vector.scm 128 */
BgL_objectz00_bglt BgL_objz00_4521;
BgL_objz00_4521 = 
(BgL_objectz00_bglt)(BgL_obj4763z00_2694); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4521, BgL_arg6539z00_2702); } } 
{ /* ./Cfa/vector.scm 128 */
obj_t BgL_objz00_4523;
BgL_objz00_4523 = 
(obj_t)(BgL_obj4763z00_2694); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_4523); BUNSPEC; } 
BgL_auxz00_5144 = BgL_obj4763z00_2694; } 
return 
(obj_t)(BgL_auxz00_5144);} } } 
}



/* node-setup!-vref4801 */
obj_t BGl_nodezd2setupz12zd2vref4801z12zzcfa_vectorz00(obj_t BgL_envz00_4668, obj_t BgL_nodez00_4669)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 105 */
{ 
BgL_vrefz00_bglt BgL_nodez00_2668;
{ /* ./Cfa/vector.scm 106 */
BgL_vrefz00_bglt BgL_auxz00_5176;
BgL_nodez00_2668 = 
(BgL_vrefz00_bglt)(BgL_nodez00_4669); 
{ /* ./Cfa/vector.scm 107 */
obj_t BgL_arg6476z00_2672;
{ /* ./Cfa/vector.scm 107 */
BgL_externz00_bglt BgL_obj1826z00_4489;
BgL_obj1826z00_4489 = 
(BgL_externz00_bglt)(BgL_nodez00_2668); 
BgL_arg6476z00_2672 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4489))->BgL_exprza2za2); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg6476z00_2672); } 
{ /* ./Cfa/vector.scm 108 */
bool_t BgL_tvectorzf3zf3_2673;
{ /* ./Cfa/vector.scm 108 */
bool_t BgL_test6500z00_2683;
{ /* ./Cfa/vector.scm 108 */
bool_t BgL_test6501z00_2684;
{ /* ./Cfa/vector.scm 108 */
BgL_typez00_bglt BgL_arg6507z00_2686;
BgL_arg6507z00_2686 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_2668))->BgL_ftypez00); 
{ /* ./Cfa/vector.scm 108 */
obj_t BgL_auxz00_5181;
BgL_auxz00_5181 = 
(obj_t)(BgL_arg6507z00_2686); 
BgL_test6501z00_2684 = 
(BgL_auxz00_5181==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test6501z00_2684)
{ /* ./Cfa/vector.scm 108 */
BgL_test6500z00_2683 = ((bool_t)1); }  else 
{ /* ./Cfa/vector.scm 108 */
BgL_typez00_bglt BgL_arg6503z00_2685;
BgL_arg6503z00_2685 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_2668))->BgL_ftypez00); 
{ /* ./Cfa/vector.scm 108 */
obj_t BgL_auxz00_5186;
BgL_auxz00_5186 = 
(obj_t)(BgL_arg6503z00_2685); 
BgL_test6500z00_2683 = 
(BgL_auxz00_5186==BGl_za2objza2z00zztype_cachez00); } } } 
if(BgL_test6500z00_2683)
{ /* ./Cfa/vector.scm 108 */
BgL_tvectorzf3zf3_2673 = ((bool_t)0); }  else 
{ /* ./Cfa/vector.scm 108 */
BgL_tvectorzf3zf3_2673 = ((bool_t)1); } } 
{ /* ./Cfa/vector.scm 108 */
BgL_approxz00_bglt BgL_approxz00_2674;
if(BgL_tvectorzf3zf3_2673)
{ /* ./Cfa/vector.scm 110 */
{ /* ./Cfa/vector.scm 111 */
BgL_typez00_bglt BgL_arg6492z00_2680;
BgL_arg6492z00_2680 = 
(((BgL_vrefz00_bglt)CREF(BgL_nodez00_2668))->BgL_ftypez00); 
BgL_approxz00_2674 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg6492z00_2680); } }  else 
{ /* ./Cfa/vector.scm 112 */
bool_t BgL_test6495z00_2681;
{ /* ./Cfa/vector.scm 112 */
long BgL_n1z00_4493;
BgL_n1z00_4493 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test6495z00_2681 = 
(BgL_n1z00_4493>=((long)2)); } 
if(BgL_test6495z00_2681)
{ /* ./Cfa/vector.scm 112 */
BgL_approxz00_2674 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); }  else 
{ /* ./Cfa/vector.scm 112 */
{ /* ./Cfa/vector.scm 115 */
BgL_approxz00_bglt BgL_approxz00_2682;
BgL_approxz00_2682 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_2682); 
BgL_approxz00_2674 = BgL_approxz00_2682; } } } 
{ /* ./Cfa/vector.scm 109 */

{ /* ./Cfa/vector.scm 118 */
BgL_vrefz00_bglt BgL_obj4760z00_2675;
BgL_obj4760z00_2675 = 
((BgL_vrefz00_bglt)BgL_nodez00_2668); 
{ /* ./Cfa/vector.scm 119 */
BgL_vrefzf2cinfozf2_bglt BgL_arg6480z00_2676;
{ /* ./Cfa/vector.scm 119 */
BgL_approxz00_bglt BgL_arg6483z00_2677;bool_t BgL_arg6484z00_2678;
BgL_arg6483z00_2677 = BgL_approxz00_2674; 
BgL_arg6484z00_2678 = BgL_tvectorzf3zf3_2673; 
{ /* ./Cfa/vector.scm 118 */
BgL_vrefzf2cinfozf2_bglt BgL_res6966z00_4504;
{ /* ./Cfa/vector.scm 118 */
BgL_vrefzf2cinfozf2_bglt BgL_new4457z00_4497;
BgL_new4457z00_4497 = 
((BgL_vrefzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_vrefzf2cinfozf2_bgl)))); 
{ /* ./Cfa/vector.scm 118 */
BgL_vrefzf2cinfozf2_bglt BgL_res6965z00_4503;
((((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_new4457z00_4497))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6483z00_2677), BUNSPEC); 
((((BgL_vrefzf2cinfozf2_bglt)CREF(BgL_new4457z00_4497))->BgL_tvectorzf3zf3) = ((bool_t)BgL_arg6484z00_2678), BUNSPEC); 
BgL_res6965z00_4503 = BgL_new4457z00_4497; BgL_res6965z00_4503; } 
BgL_res6966z00_4504 = BgL_new4457z00_4497; } 
BgL_arg6480z00_2676 = BgL_res6966z00_4504; } } 
{ /* ./Cfa/vector.scm 118 */
obj_t BgL_auxz00_5206;BgL_objectz00_bglt BgL_auxz00_5204;
BgL_auxz00_5206 = 
(obj_t)(BgL_arg6480z00_2676); 
BgL_auxz00_5204 = 
(BgL_objectz00_bglt)(BgL_obj4760z00_2675); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5204, BgL_auxz00_5206); } } 
{ /* ./Cfa/vector.scm 118 */
long BgL_arg6487z00_2679;
BgL_arg6487z00_2679 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefzf2Cinfozf2zzcfa_info3z00); 
{ /* ./Cfa/vector.scm 118 */
BgL_objectz00_bglt BgL_objz00_4505;
BgL_objz00_4505 = 
(BgL_objectz00_bglt)(BgL_obj4760z00_2675); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4505, BgL_arg6487z00_2679); } } 
{ /* ./Cfa/vector.scm 118 */
obj_t BgL_objz00_4507;
BgL_objz00_4507 = 
(obj_t)(BgL_obj4760z00_2675); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_4507); BUNSPEC; } 
BgL_auxz00_5176 = BgL_obj4760z00_2675; } } } } 
return 
(obj_t)(BgL_auxz00_5176);} } } 
}



/* node-setup!-vlength4799 */
obj_t BGl_nodezd2setupz12zd2vlength4799z12zzcfa_vectorz00(obj_t BgL_envz00_4670, obj_t BgL_nodez00_4671)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 95 */
{ 
BgL_vlengthz00_bglt BgL_nodez00_2653;
{ /* ./Cfa/vector.scm 96 */
BgL_vlengthz00_bglt BgL_auxz00_5216;
BgL_nodez00_2653 = 
(BgL_vlengthz00_bglt)(BgL_nodez00_4671); 
{ /* ./Cfa/vector.scm 97 */
obj_t BgL_arg6443z00_2657;
{ /* ./Cfa/vector.scm 97 */
obj_t BgL_auxz00_5217;
{ /* ./Cfa/vector.scm 97 */
BgL_externz00_bglt BgL_obj1826z00_4471;
BgL_obj1826z00_4471 = 
(BgL_externz00_bglt)(BgL_nodez00_2653); 
BgL_auxz00_5217 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4471))->BgL_exprza2za2); } 
BgL_arg6443z00_2657 = 
CAR(BgL_auxz00_5217); } 
BGl_nodezd2setupz12zc0zzcfa_setupz00(
(BgL_nodez00_bglt)(BgL_arg6443z00_2657)); } 
{ /* ./Cfa/vector.scm 98 */
BgL_vlengthz00_bglt BgL_obj4757z00_2659;
BgL_obj4757z00_2659 = 
((BgL_vlengthz00_bglt)BgL_nodez00_2653); 
{ /* ./Cfa/vector.scm 99 */
BgL_vlengthzf2cinfozf2_bglt BgL_arg6450z00_2660;
{ /* ./Cfa/vector.scm 99 */
BgL_approxz00_bglt BgL_arg6453z00_2661;bool_t BgL_arg6454z00_2662;
{ /* ./Cfa/vector.scm 99 */
BgL_typez00_bglt BgL_arg6457z00_2663;
{ /* ./Cfa/vector.scm 99 */
BgL_nodez00_bglt BgL_obj1550z00_4473;
BgL_obj1550z00_4473 = 
(BgL_nodez00_bglt)(BgL_nodez00_2653); 
BgL_arg6457z00_2663 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_4473))->BgL_typez00); } 
BgL_arg6453z00_2661 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg6457z00_2663); } 
{ /* ./Cfa/vector.scm 100 */
obj_t BgL_auxz00_5227;
{ /* ./Cfa/vector.scm 100 */
BgL_typez00_bglt BgL_auxz00_5228;
BgL_auxz00_5228 = 
(((BgL_vlengthz00_bglt)CREF(BgL_nodez00_2653))->BgL_vtypez00); 
BgL_auxz00_5227 = 
(obj_t)(BgL_auxz00_5228); } 
BgL_arg6454z00_2662 = 
TVECTORP(BgL_auxz00_5227); } 
{ /* ./Cfa/vector.scm 98 */
BgL_vlengthzf2cinfozf2_bglt BgL_res6964z00_4485;
{ /* ./Cfa/vector.scm 98 */
BgL_vlengthzf2cinfozf2_bglt BgL_new4553z00_4478;
BgL_new4553z00_4478 = 
((BgL_vlengthzf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_vlengthzf2cinfozf2_bgl)))); 
{ /* ./Cfa/vector.scm 98 */
BgL_vlengthzf2cinfozf2_bglt BgL_res6963z00_4484;
((((BgL_vlengthzf2cinfozf2_bglt)CREF(BgL_new4553z00_4478))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6453z00_2661), BUNSPEC); 
((((BgL_vlengthzf2cinfozf2_bglt)CREF(BgL_new4553z00_4478))->BgL_tvectorzf3zf3) = ((bool_t)BgL_arg6454z00_2662), BUNSPEC); 
BgL_res6963z00_4484 = BgL_new4553z00_4478; BgL_res6963z00_4484; } 
BgL_res6964z00_4485 = BgL_new4553z00_4478; } 
BgL_arg6450z00_2660 = BgL_res6964z00_4485; } } 
{ /* ./Cfa/vector.scm 98 */
obj_t BgL_auxz00_5237;BgL_objectz00_bglt BgL_auxz00_5235;
BgL_auxz00_5237 = 
(obj_t)(BgL_arg6450z00_2660); 
BgL_auxz00_5235 = 
(BgL_objectz00_bglt)(BgL_obj4757z00_2659); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5235, BgL_auxz00_5237); } } 
{ /* ./Cfa/vector.scm 98 */
long BgL_arg6465z00_2665;
BgL_arg6465z00_2665 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthzf2Cinfozf2zzcfa_info3z00); 
{ /* ./Cfa/vector.scm 98 */
BgL_objectz00_bglt BgL_objz00_4486;
BgL_objz00_4486 = 
(BgL_objectz00_bglt)(BgL_obj4757z00_2659); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4486, BgL_arg6465z00_2665); } } 
{ /* ./Cfa/vector.scm 98 */
obj_t BgL_objz00_4488;
BgL_objz00_4488 = 
(obj_t)(BgL_obj4757z00_2659); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_4488); BUNSPEC; } 
BgL_auxz00_5216 = BgL_obj4757z00_2659; } 
return 
(obj_t)(BgL_auxz00_5216);} } } 
}



/* node-setup!-valloc4797 */
obj_t BGl_nodezd2setupz12zd2valloc4797z12zzcfa_vectorz00(obj_t BgL_envz00_4672, obj_t BgL_nodez00_4673)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 82 */
{ 
BgL_vallocz00_bglt BgL_nodez00_2639;
{ /* ./Cfa/vector.scm 83 */
BgL_vallocz00_bglt BgL_auxz00_5247;
BgL_nodez00_2639 = 
(BgL_vallocz00_bglt)(BgL_nodez00_4673); 
{ /* ./Cfa/vector.scm 84 */
obj_t BgL_arg6417z00_2643;
{ /* ./Cfa/vector.scm 84 */
BgL_externz00_bglt BgL_obj1826z00_4459;
BgL_obj1826z00_4459 = 
(BgL_externz00_bglt)(BgL_nodez00_2639); 
BgL_arg6417z00_2643 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4459))->BgL_exprza2za2); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg6417z00_2643); } 
{ /* ./Cfa/vector.scm 86 */
BgL_approxz00_bglt BgL_approxz00_2644;
{ /* ./Cfa/vector.scm 86 */
BgL_typez00_bglt BgL_arg6433z00_2650;
{ /* ./Cfa/vector.scm 86 */
BgL_nodez00_bglt BgL_obj1550z00_4460;
BgL_obj1550z00_4460 = 
(BgL_nodez00_bglt)(BgL_nodez00_2639); 
BgL_arg6433z00_2650 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_4460))->BgL_typez00); } 
BgL_approxz00_2644 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg6433z00_2650); } 
{ /* ./Cfa/vector.scm 86 */
BgL_vallocz00_bglt BgL_wnodez00_2645;
{ /* ./Cfa/vector.scm 87 */
BgL_vallocz00_bglt BgL_obj4754z00_2646;
BgL_obj4754z00_2646 = 
((BgL_vallocz00_bglt)BgL_nodez00_2639); 
{ /* ./Cfa/vector.scm 88 */
BgL_valloczf2cinfozf2_bglt BgL_arg6422z00_2647;
{ /* ./Cfa/vector.scm 88 */
BgL_approxz00_bglt BgL_arg6425z00_2648;
BgL_arg6425z00_2648 = BgL_approxz00_2644; 
{ /* ./Cfa/vector.scm 87 */
BgL_valloczf2cinfozf2_bglt BgL_res6962z00_4467;
{ /* ./Cfa/vector.scm 87 */
BgL_valloczf2cinfozf2_bglt BgL_new4631z00_4462;
BgL_new4631z00_4462 = 
((BgL_valloczf2cinfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_valloczf2cinfozf2_bgl)))); 
{ /* ./Cfa/vector.scm 87 */
BgL_valloczf2cinfozf2_bglt BgL_res6961z00_4466;
((((BgL_valloczf2cinfozf2_bglt)CREF(BgL_new4631z00_4462))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6425z00_2648), BUNSPEC); 
BgL_res6961z00_4466 = BgL_new4631z00_4462; BgL_res6961z00_4466; } 
BgL_res6962z00_4467 = BgL_new4631z00_4462; } 
BgL_arg6422z00_2647 = BgL_res6962z00_4467; } } 
{ /* ./Cfa/vector.scm 87 */
obj_t BgL_auxz00_5259;BgL_objectz00_bglt BgL_auxz00_5257;
BgL_auxz00_5259 = 
(obj_t)(BgL_arg6422z00_2647); 
BgL_auxz00_5257 = 
(BgL_objectz00_bglt)(BgL_obj4754z00_2646); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5257, BgL_auxz00_5259); } } 
{ /* ./Cfa/vector.scm 87 */
long BgL_arg6428z00_2649;
BgL_arg6428z00_2649 = 
BGl_classzd2numzd2zz__objectz00(BGl_valloczf2Cinfozf2zzcfa_info3z00); 
{ /* ./Cfa/vector.scm 87 */
BgL_objectz00_bglt BgL_objz00_4468;
BgL_objz00_4468 = 
(BgL_objectz00_bglt)(BgL_obj4754z00_2646); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4468, BgL_arg6428z00_2649); } } 
{ /* ./Cfa/vector.scm 87 */
obj_t BgL_objz00_4470;
BgL_objz00_4470 = 
(obj_t)(BgL_obj4754z00_2646); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_4470); BUNSPEC; } 
BgL_wnodez00_2645 = BgL_obj4754z00_2646; } 
{ /* ./Cfa/vector.scm 87 */

BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_2644); 
BgL_auxz00_5247 = BgL_wnodez00_2645; } } } 
return 
(obj_t)(BgL_auxz00_5247);} } } 
}



/* node-setup!-pre-valloc/Cinfo4795 */
obj_t BGl_nodezd2setupz12zd2prezd2valloczf2Cinfo4795z32zzcfa_vectorz00(obj_t BgL_envz00_4674, obj_t BgL_nodez00_4675)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 64 */
{ 
BgL_prezd2valloczf2cinfoz20_bglt BgL_nodez00_2615;
BgL_nodez00_2615 = 
(BgL_prezd2valloczf2cinfoz20_bglt)(BgL_nodez00_4675); 
BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
(BgL_nodez00_bglt)(BgL_nodez00_2615)); 
{ /* ./Cfa/vector.scm 67 */
obj_t BgL_arg6371z00_2619;
{ /* ./Cfa/vector.scm 67 */
BgL_externz00_bglt BgL_obj1826z00_4416;
BgL_obj1826z00_4416 = 
(BgL_externz00_bglt)(BgL_nodez00_2615); 
BgL_arg6371z00_2619 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_4416))->BgL_exprza2za2); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg6371z00_2619); } 
{ /* ./Cfa/vector.scm 68 */
BgL_variablez00_bglt BgL_ownerz00_2620;
{ 
obj_t BgL_auxz00_5275;
{ /* ./Cfa/vector.scm 68 */
BgL_objectz00_bglt BgL_auxz00_5276;
BgL_auxz00_5276 = 
(BgL_objectz00_bglt)(BgL_nodez00_2615); 
BgL_auxz00_5275 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5276); } 
BgL_ownerz00_2620 = 
(((BgL_prezd2valloczf2cinfoz20_bglt)CREF(BgL_auxz00_5275))->BgL_ownerz00); } 
{ /* ./Cfa/vector.scm 68 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_nodez00_2621;
{ /* ./Cfa/vector.scm 69 */
long BgL_arg6399z00_2634;
{ /* ./Cfa/vector.scm 69 */
obj_t BgL_arg6402z00_2635;
{ /* ./Cfa/vector.scm 69 */
obj_t BgL_arg6405z00_2636;
{ /* ./Cfa/vector.scm 69 */
BgL_objectz00_bglt BgL_objectz00_4418;
BgL_objectz00_4418 = 
(BgL_objectz00_bglt)(BgL_nodez00_2615); 
{ /* ./Cfa/vector.scm 69 */
long BgL_arg2007z00_4419;
{ /* ./Cfa/vector.scm 69 */
long BgL_arg2010z00_4420;
BgL_arg2010z00_4420 = 
BGL_OBJECT_CLASS_NUM(BgL_objectz00_4418); 
BgL_arg2007z00_4419 = 
(BgL_arg2010z00_4420-OBJECT_TYPE); } 
{ /* ./Cfa/vector.scm 69 */
obj_t BgL_vectorz00_4424;int BgL_kz00_4425;
BgL_vectorz00_4424 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4425 = 
(int)(BgL_arg2007z00_4419); 
BgL_arg6405z00_2636 = 
VECTOR_REF(BgL_vectorz00_4424,BgL_kz00_4425); } } } 
BgL_arg6402z00_2635 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg6405z00_2636); } 
BgL_arg6399z00_2634 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg6402z00_2635); } 
{ /* ./Cfa/vector.scm 69 */
BgL_objectz00_bglt BgL_objz00_4426;
BgL_objz00_4426 = 
(BgL_objectz00_bglt)(BgL_nodez00_2615); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4426, BgL_arg6399z00_2634); } } 
{ /* ./Cfa/vector.scm 69 */
BgL_objectz00_bglt BgL_auxz00_5289;
BgL_auxz00_5289 = 
(BgL_objectz00_bglt)(BgL_nodez00_2615); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5289, BFALSE); } 
BgL_nodez00_2621 = BgL_nodez00_2615; 
{ /* ./Cfa/vector.scm 69 */

{ /* ./Cfa/vector.scm 70 */
BgL_vallocz00_bglt BgL_wnodez00_2622;
{ /* ./Cfa/vector.scm 70 */
BgL_vallocz00_bglt BgL_obj4751z00_2625;
{ 
BgL_vallocz00_bglt BgL_auxz00_5292;
BgL_auxz00_5292 = 
(BgL_vallocz00_bglt)(BgL_nodez00_2621); 
BgL_obj4751z00_2625 = 
((BgL_vallocz00_bglt)BgL_auxz00_5292); } 
{ /* ./Cfa/vector.scm 72 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_arg6382z00_2626;
{ /* ./Cfa/vector.scm 72 */
BgL_approxz00_bglt BgL_arg6385z00_2627;BgL_approxz00_bglt BgL_arg6386z00_2628;BgL_variablez00_bglt BgL_arg6388z00_2630;
BgL_arg6385z00_2627 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_arg6386z00_2628 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_arg6388z00_2630 = BgL_ownerz00_2620; 
{ /* ./Cfa/vector.scm 70 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_res6960z00_4452;
{ /* ./Cfa/vector.scm 70 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_new4674z00_4435;
BgL_new4674z00_4435 = 
((BgL_valloczf2cinfozb2optimz40_bglt)BREF( GC_MALLOC (sizeof(struct BgL_valloczf2cinfozb2optimz40_bgl)))); 
{ /* ./Cfa/vector.scm 70 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_res6959z00_4451;
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6385z00_2627), BUNSPEC); 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_valuezd2approxzd2) = ((BgL_approxz00_bglt)BgL_arg6386z00_2628), BUNSPEC); 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_arg6388z00_2630), BUNSPEC); 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_stackablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_stackzd2stampzd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_new4674z00_4435))->BgL_seenzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res6959z00_4451 = BgL_new4674z00_4435; BgL_res6959z00_4451; } 
BgL_res6960z00_4452 = BgL_new4674z00_4435; } 
BgL_arg6382z00_2626 = BgL_res6960z00_4452; } } 
{ /* ./Cfa/vector.scm 70 */
obj_t BgL_auxz00_5307;BgL_objectz00_bglt BgL_auxz00_5305;
BgL_auxz00_5307 = 
(obj_t)(BgL_arg6382z00_2626); 
BgL_auxz00_5305 = 
(BgL_objectz00_bglt)(BgL_obj4751z00_2625); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5305, BgL_auxz00_5307); } } 
{ /* ./Cfa/vector.scm 70 */
long BgL_arg6394z00_2632;
BgL_arg6394z00_2632 = 
BGl_classzd2numzd2zz__objectz00(BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00); 
{ /* ./Cfa/vector.scm 70 */
BgL_objectz00_bglt BgL_objz00_4453;
BgL_objz00_4453 = 
(BgL_objectz00_bglt)(BgL_obj4751z00_2625); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4453, BgL_arg6394z00_2632); } } 
{ /* ./Cfa/vector.scm 70 */
obj_t BgL_objz00_4455;
BgL_objz00_4455 = 
(obj_t)(BgL_obj4751z00_2625); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_4455); BUNSPEC; } 
BgL_wnodez00_2622 = BgL_obj4751z00_2625; } 
{ /* ./Cfa/vector.scm 77 */
BgL_approxz00_bglt BgL_arg6375z00_2623;
{ /* ./Cfa/vector.scm 77 */
BgL_typez00_bglt BgL_arg6378z00_2624;
{ /* ./Cfa/vector.scm 77 */
BgL_nodez00_bglt BgL_obj1550z00_4456;
BgL_obj1550z00_4456 = 
(BgL_nodez00_bglt)(BgL_nodez00_2615); 
BgL_arg6378z00_2624 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_4456))->BgL_typez00); } 
BgL_arg6375z00_2623 = 
BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_arg6378z00_2624, 
(BgL_nodez00_bglt)(BgL_nodez00_2621)); } 
{ /* ./Cfa/vector.scm 75 */
BgL_valloczf2cinfozb2optimz40_bglt BgL_obj4713z00_4457;
BgL_obj4713z00_4457 = 
(BgL_valloczf2cinfozb2optimz40_bglt)(BgL_wnodez00_2622); 
{ 
obj_t BgL_auxz00_5320;
{ /* ./Cfa/vector.scm 75 */
BgL_objectz00_bglt BgL_auxz00_5321;
BgL_auxz00_5321 = 
(BgL_objectz00_bglt)(BgL_obj4713z00_4457); 
BgL_auxz00_5320 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5321); } 
return 
((((BgL_valloczf2cinfozb2optimz40_bglt)CREF(BgL_auxz00_5320))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6375z00_2623), BUNSPEC);} } } } } } } } } 
}



/* node-setup!-pre-make-vector-app4793 */
obj_t BGl_nodezd2setupz12zd2prezd2makezd2vectorzd2app4793zc0zzcfa_vectorz00(obj_t BgL_envz00_4676, obj_t BgL_nodez00_4677)
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 46 */
{ 
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_nodez00_2592;
BgL_nodez00_2592 = 
(BgL_prezd2makezd2vectorzd2appzd2_bglt)(BgL_nodez00_4677); 
BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
(BgL_nodez00_bglt)(BgL_nodez00_2592)); 
{ /* ./Cfa/vector.scm 49 */
obj_t BgL_arg6327z00_2596;
{ /* ./Cfa/vector.scm 49 */
BgL_appz00_bglt BgL_obj1725z00_4377;
BgL_obj1725z00_4377 = 
(BgL_appz00_bglt)(BgL_nodez00_2592); 
BgL_arg6327z00_2596 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_4377))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg6327z00_2596); } 
{ /* ./Cfa/vector.scm 50 */
BgL_variablez00_bglt BgL_ownerz00_2597;
{ 
obj_t BgL_auxz00_5331;
{ /* ./Cfa/vector.scm 50 */
BgL_objectz00_bglt BgL_auxz00_5332;
BgL_auxz00_5332 = 
(BgL_objectz00_bglt)(BgL_nodez00_2592); 
BgL_auxz00_5331 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5332); } 
BgL_ownerz00_2597 = 
(((BgL_prezd2makezd2vectorzd2appzd2_bglt)CREF(BgL_auxz00_5331))->BgL_ownerz00); } 
{ /* ./Cfa/vector.scm 50 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_nodez00_2598;
{ /* ./Cfa/vector.scm 51 */
long BgL_arg6352z00_2610;
{ /* ./Cfa/vector.scm 51 */
obj_t BgL_arg6355z00_2611;
{ /* ./Cfa/vector.scm 51 */
obj_t BgL_arg6358z00_2612;
{ /* ./Cfa/vector.scm 51 */
BgL_objectz00_bglt BgL_objectz00_4379;
BgL_objectz00_4379 = 
(BgL_objectz00_bglt)(BgL_nodez00_2592); 
{ /* ./Cfa/vector.scm 51 */
long BgL_arg2007z00_4380;
{ /* ./Cfa/vector.scm 51 */
long BgL_arg2010z00_4381;
BgL_arg2010z00_4381 = 
BGL_OBJECT_CLASS_NUM(BgL_objectz00_4379); 
BgL_arg2007z00_4380 = 
(BgL_arg2010z00_4381-OBJECT_TYPE); } 
{ /* ./Cfa/vector.scm 51 */
obj_t BgL_vectorz00_4385;int BgL_kz00_4386;
BgL_vectorz00_4385 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_4386 = 
(int)(BgL_arg2007z00_4380); 
BgL_arg6358z00_2612 = 
VECTOR_REF(BgL_vectorz00_4385,BgL_kz00_4386); } } } 
BgL_arg6355z00_2611 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg6358z00_2612); } 
BgL_arg6352z00_2610 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg6355z00_2611); } 
{ /* ./Cfa/vector.scm 51 */
BgL_objectz00_bglt BgL_objz00_4387;
BgL_objz00_4387 = 
(BgL_objectz00_bglt)(BgL_nodez00_2592); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4387, BgL_arg6352z00_2610); } } 
{ /* ./Cfa/vector.scm 51 */
BgL_objectz00_bglt BgL_auxz00_5345;
BgL_auxz00_5345 = 
(BgL_objectz00_bglt)(BgL_nodez00_2592); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5345, BFALSE); } 
BgL_nodez00_2598 = BgL_nodez00_2592; 
{ /* ./Cfa/vector.scm 51 */

{ /* ./Cfa/vector.scm 52 */
BgL_appz00_bglt BgL_wnodez00_2599;
{ /* ./Cfa/vector.scm 52 */
BgL_appz00_bglt BgL_obj4747z00_2601;
{ 
BgL_appz00_bglt BgL_auxz00_5348;
BgL_auxz00_5348 = 
(BgL_appz00_bglt)(BgL_nodez00_2598); 
BgL_obj4747z00_2601 = 
((BgL_appz00_bglt)BgL_auxz00_5348); } 
{ /* ./Cfa/vector.scm 54 */
BgL_makezd2vectorzd2appz00_bglt BgL_arg6335z00_2602;
{ /* ./Cfa/vector.scm 54 */
BgL_approxz00_bglt BgL_arg6338z00_2603;BgL_approxz00_bglt BgL_arg6339z00_2604;BgL_variablez00_bglt BgL_arg6341z00_2606;
BgL_arg6338z00_2603 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_arg6339z00_2604 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); 
BgL_arg6341z00_2606 = BgL_ownerz00_2597; 
{ /* ./Cfa/vector.scm 52 */
BgL_makezd2vectorzd2appz00_bglt BgL_res6958z00_4410;
{ /* ./Cfa/vector.scm 52 */
BgL_makezd2vectorzd2appz00_bglt BgL_new3994z00_4395;
BgL_new3994z00_4395 = 
((BgL_makezd2vectorzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_makezd2vectorzd2appz00_bgl)))); 
{ /* ./Cfa/vector.scm 52 */
BgL_makezd2vectorzd2appz00_bglt BgL_res6957z00_4409;
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_new3994z00_4395))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6338z00_2603), BUNSPEC); 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_new3994z00_4395))->BgL_valuezd2approxzd2) = ((BgL_approxz00_bglt)BgL_arg6339z00_2604), BUNSPEC); 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_new3994z00_4395))->BgL_lostzd2stampzd2) = ((long)((long)-1)), BUNSPEC); 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_new3994z00_4395))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_arg6341z00_2606), BUNSPEC); 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_new3994z00_4395))->BgL_stackzd2stampzd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_new3994z00_4395))->BgL_seenzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res6957z00_4409 = BgL_new3994z00_4395; BgL_res6957z00_4409; } 
BgL_res6958z00_4410 = BgL_new3994z00_4395; } 
BgL_arg6335z00_2602 = BgL_res6958z00_4410; } } 
{ /* ./Cfa/vector.scm 52 */
obj_t BgL_auxz00_5362;BgL_objectz00_bglt BgL_auxz00_5360;
BgL_auxz00_5362 = 
(obj_t)(BgL_arg6335z00_2602); 
BgL_auxz00_5360 = 
(BgL_objectz00_bglt)(BgL_obj4747z00_2601); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_5360, BgL_auxz00_5362); } } 
{ /* ./Cfa/vector.scm 52 */
long BgL_arg6347z00_2608;
BgL_arg6347z00_2608 = 
BGl_classzd2numzd2zz__objectz00(BGl_makezd2vectorzd2appz00zzcfa_info2z00); 
{ /* ./Cfa/vector.scm 52 */
BgL_objectz00_bglt BgL_objz00_4411;
BgL_objz00_4411 = 
(BgL_objectz00_bglt)(BgL_obj4747z00_2601); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4411, BgL_arg6347z00_2608); } } 
{ /* ./Cfa/vector.scm 52 */
obj_t BgL_objz00_4413;
BgL_objz00_4413 = 
(obj_t)(BgL_obj4747z00_2601); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_4413); BUNSPEC; } 
BgL_wnodez00_2599 = BgL_obj4747z00_2601; } 
{ /* ./Cfa/vector.scm 58 */
BgL_approxz00_bglt BgL_arg6331z00_2600;
BgL_arg6331z00_2600 = 
BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
(BgL_typez00_bglt)(BGl_za2vectorza2z00zztype_cachez00), 
(BgL_nodez00_bglt)(BgL_nodez00_2598)); 
{ /* ./Cfa/vector.scm 57 */
BgL_makezd2vectorzd2appz00_bglt BgL_obj4029z00_4414;
BgL_obj4029z00_4414 = 
(BgL_makezd2vectorzd2appz00_bglt)(BgL_wnodez00_2599); 
{ 
obj_t BgL_auxz00_5374;
{ /* ./Cfa/vector.scm 57 */
BgL_objectz00_bglt BgL_auxz00_5375;
BgL_auxz00_5375 = 
(BgL_objectz00_bglt)(BgL_obj4029z00_4414); 
BgL_auxz00_5374 = 
BGL_OBJECT_WIDENING(BgL_auxz00_5375); } 
return 
((((BgL_makezd2vectorzd2appz00_bglt)CREF(BgL_auxz00_5374))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg6331z00_2600), BUNSPEC);} } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00()
{ AN_OBJECT;
{ /* ./Cfa/vector.scm 17 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)2565), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)0), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)78579), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)17824), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65191), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47065), "cfa_vector"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)43477), "cfa_vector"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)20474), "cfa_vector");} 
}

