/*===========================================================================*/
/*   (DotNet/predicate.scm)                                                  */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/predicate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzdotnet_predicatez00();
static obj_t BGl__compilezd2predicatezd2zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2var2973z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2select2983z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2atom2971z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2pragma2993z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2setfield2997z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2funcall2991z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2new2999z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2fail3017z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzdotnet_predicatez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compz00zzdotnet_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2vlength3007z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2conditional2981z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_predicatez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2appzd2ly2989zd2zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2getfield2995z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzdotnet_predicatez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_compilezd2predicatezd2valloc3001z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__ifz00zzdotnet_instrz00(obj_t, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2makezd2box3019zd2zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2boxzd2ref3021zd2zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2cast3011z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2jumpzd2exzd2it3015z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2app2987z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_comp_3746z00zzdotnet_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3749z00zzdotnet_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3752z00zzdotnet_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3755z00zzdotnet_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3758z00zzdotnet_predicatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2setzd2exzd2it3013z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__compilezd2predicatezd2default2968z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2letzd2var2975zd2zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2vref3003z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_compilezd2predicatezd2zzdotnet_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2vsetz123005z12zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2letzd2fun2985zd2zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2sequence2979z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2isa3009z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_predicatez00 = BUNSPEC;
static obj_t BGl_compilezd2predicatezd2setq2977z00zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2boxzd2setz123023zc0zzdotnet_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__gotoz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_predicatez00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2default2968z00zzdotnet_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc4030z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2atom2971za700za7za7dotnet_predicateza7004084z00, BGl_compilezd2predicatezd2atom2971z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4031z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2var2973za700za7za7dotnet_predicateza7004085z00, BGl_compilezd2predicatezd2var2973z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4032z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2letza7d2var2975za7d2za7za7dotnet_predicateza7004086za7, BGl_compilezd2predicatezd2letzd2var2975zd2zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4033z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2setq2977za700za7za7dotnet_predicateza7004087z00, BGl_compilezd2predicatezd2setq2977z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4034z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2sequence2979za700za7za7dotnet_predicateza7004088z00, BGl_compilezd2predicatezd2sequence2979z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4035z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2conditional2981za700za7za7dotnet_predicateza7004089z00, BGl_compilezd2predicatezd2conditional2981z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4036z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2select2983za700za7za7dotnet_predicateza7004090z00, BGl_compilezd2predicatezd2select2983z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4037z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2letza7d2fun2985za7d2za7za7dotnet_predicateza7004091za7, BGl_compilezd2predicatezd2letzd2fun2985zd2zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4038z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2app2987za700za7za7dotnet_predicateza7004092z00, BGl_compilezd2predicatezd2app2987z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4040z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2funcall2991za700za7za7dotnet_predicateza7004093z00, BGl_compilezd2predicatezd2funcall2991z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4039z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2appza7d2ly2989za7d2za7za7dotnet_predicateza7004094za7, BGl_compilezd2predicatezd2appzd2ly2989zd2zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4041z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2pragma2993za700za7za7dotnet_predicateza7004095z00, BGl_compilezd2predicatezd2pragma2993z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4042z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2getfield2995za700za7za7dotnet_predicateza7004096z00, BGl_compilezd2predicatezd2getfield2995z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4043z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2setfield2997za700za7za7dotnet_predicateza7004097z00, BGl_compilezd2predicatezd2setfield2997z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4044z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2new2999za700za7za7dotnet_predicateza7004098z00, BGl_compilezd2predicatezd2new2999z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4045z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2valloc3001za700za7za7dotnet_predicateza7004099z00, BGl_compilezd2predicatezd2valloc3001z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4046z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2vref3003za700za7za7dotnet_predicateza7004100z00, BGl_compilezd2predicatezd2vref3003z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4047z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2vsetza7123005za712za7za7dotnet_predicateza7004101za7, BGl_compilezd2predicatezd2vsetz123005z12zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4048z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2vlength3007za700za7za7dotnet_predicateza7004102z00, BGl_compilezd2predicatezd2vlength3007z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4050z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2cast3011za700za7za7dotnet_predicateza7004103z00, BGl_compilezd2predicatezd2cast3011z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4049z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2isa3009za700za7za7dotnet_predicateza7004104z00, BGl_compilezd2predicatezd2isa3009z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_bgl__compileza7d2predicateza7d2za7za7dotnet_predicateza7004105za7, BGl__compilezd2predicatezd2zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4051z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2setza7d2exza7d2it3013za700za7za7dotnet_predicateza7004106z00, BGl_compilezd2predicatezd2setzd2exzd2it3013z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4052z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2jumpza7d2exza7d2it3015za700za7za7dotnet_predicateza7004107z00, BGl_compilezd2predicatezd2jumpzd2exzd2it3015z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4053z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2fail3017za700za7za7dotnet_predicateza7004108z00, BGl_compilezd2predicatezd2fail3017z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4054z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2makeza7d2box3019za7d2za7za7dotnet_predicateza7004109za7, BGl_compilezd2predicatezd2makezd2box3019zd2zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4055z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2boxza7d2ref3021za7d2za7za7dotnet_predicateza7004110za7, BGl_compilezd2predicatezd2boxzd2ref3021zd2zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4056z00zzdotnet_predicatez00, BgL_bgl_compileza7d2predicateza7d2boxza7d2setza7123023za7c0za7za7dotnet_predicateza7004111z00, BGl_compilezd2predicatezd2boxzd2setz123023zc0zzdotnet_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2predicatezd2default2968zd2envzd2zzdotnet_predicatez00, BgL_bgl__compileza7d2predicateza7d2default2968za700za7za7dotnet_predicateza7004112z00, BGl__compilezd2predicatezd2default2968z00zzdotnet_predicatez00, 0L, 4 );
DEFINE_STRING( BGl_string4058z00zzdotnet_predicatez00, BgL_bgl_string4058za700za7za7dotnet_predicateza7004113z00, "compile-predicate-default2968 eq ", 33 );
DEFINE_STRING( BGl_string4057z00zzdotnet_predicatez00, BgL_bgl_string4057za700za7za7dotnet_predicateza7004114z00, "No method for this object", 25 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_predicatez00(long BgL_checksumz00_2962, char * BgL_fromz00_2963)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_predicatez00(); 
BGl_cnstzd2initzd2zzdotnet_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_predicatez00(); 
BGl_methodzd2initzd2zzdotnet_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_predicatez00()
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "dotnet_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_predicatez00()
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
{ /* ./DotNet/predicate.scm 2 */
obj_t BgL_cportz00_2955;
BgL_cportz00_2955 = 
open_input_string(BGl_string4058z00zzdotnet_predicatez00); 
{ 
long BgL_iz00_2956;
BgL_iz00_2956 = ((long)1); 
BgL_loopz00_2957:
{ /* ./DotNet/predicate.scm 2 */
bool_t BgL_test4060z00_2958;
BgL_test4060z00_2958 = 
(BgL_iz00_2956==((long)-1)); 
if(BgL_test4060z00_2958)
{ /* ./DotNet/predicate.scm 2 */
return BUNSPEC;}  else 
{ /* ./DotNet/predicate.scm 2 */
{ /* ./DotNet/predicate.scm 2 */
obj_t BgL_arg4062z00_2959;
{ /* ./DotNet/predicate.scm 2 */
obj_t BgL_list4065z00_2960;
BgL_list4065z00_2960 = 
MAKE_PAIR(BgL_cportz00_2955, BNIL); 
BgL_arg4062z00_2959 = 
BGl_readz00zz__readerz00(BgL_list4065z00_2960); } 
{ /* ./DotNet/predicate.scm 2 */
int BgL_auxz00_2978;
BgL_auxz00_2978 = 
(int)(BgL_iz00_2956); 
CNST_TABLE_SET(BgL_auxz00_2978, BgL_arg4062z00_2959); } } 
{ /* ./DotNet/predicate.scm 2 */
int BgL_auxz00_2961;
{ /* ./DotNet/predicate.scm 2 */
long BgL_auxz00_2981;
BgL_auxz00_2981 = 
(BgL_iz00_2956-((long)1)); 
BgL_auxz00_2961 = 
(int)(BgL_auxz00_2981); } 
{ 
long BgL_iz00_2984;
BgL_iz00_2984 = 
(long)(BgL_auxz00_2961); 
BgL_iz00_2956 = BgL_iz00_2984; 
goto BgL_loopz00_2957;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_predicatez00()
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_predicatez00()
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_compilezd2predicatezd2default2968zd2envzd2zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_atomz00zzast_nodez00, BGl_proc4030z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_varz00zzast_nodez00, BGl_proc4031z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4032z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_setqz00zzast_nodez00, BGl_proc4033z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_sequencez00zzast_nodez00, BGl_proc4034z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_conditionalz00zzast_nodez00, BGl_proc4035z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_selectz00zzast_nodez00, BGl_proc4036z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4037z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_appz00zzast_nodez00, BGl_proc4038z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4039z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_funcallz00zzast_nodez00, BGl_proc4040z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_pragmaz00zzast_nodez00, BGl_proc4041z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_getfieldz00zzast_nodez00, BGl_proc4042z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_setfieldz00zzast_nodez00, BGl_proc4043z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_newz00zzast_nodez00, BGl_proc4044z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_vallocz00zzast_nodez00, BGl_proc4045z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_vrefz00zzast_nodez00, BGl_proc4046z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_vsetz12z12zzast_nodez00, BGl_proc4047z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_vlengthz00zzast_nodez00, BGl_proc4048z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_isaz00zzast_nodez00, BGl_proc4049z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_castz00zzast_nodez00, BGl_proc4050z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4051z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4052z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_failz00zzast_nodez00, BGl_proc4053z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4054z00zzdotnet_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4055z00zzdotnet_predicatez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4056z00zzdotnet_predicatez00);} 
}



/* compile-predicate-box-set!3023 */
obj_t BGl_compilezd2predicatezd2boxzd2setz123023zc0zzdotnet_predicatez00(obj_t BgL_envz00_2785, obj_t BgL_ez00_2786, obj_t BgL_tz00_2787, obj_t BgL_fz00_2788, obj_t BgL_envz00_2789)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 111 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_1863;obj_t BgL_tz00_1864;obj_t BgL_fz00_1865;BgL_envz00_bglt BgL_envz00_1866;
BgL_ez00_1863 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2786); 
BgL_tz00_1864 = BgL_tz00_2787; 
BgL_fz00_1865 = BgL_fz00_2788; 
BgL_envz00_1866 = 
(BgL_envz00_bglt)(BgL_envz00_2789); 
{ /* ./DotNet/predicate.scm 112 */
BgL_nodez00_bglt BgL_ez00_2716;
BgL_ez00_2716 = 
(BgL_nodez00_bglt)(BgL_ez00_1863); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2716, BgL_envz00_1866); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1866, BgL_tz00_1864);} } } 
}



/* compile-predicate-box-ref3021 */
obj_t BGl_compilezd2predicatezd2boxzd2ref3021zd2zzdotnet_predicatez00(obj_t BgL_envz00_2790, obj_t BgL_ez00_2791, obj_t BgL_tz00_2792, obj_t BgL_fz00_2793, obj_t BgL_envz00_2794)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 108 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_1855;obj_t BgL_tz00_1856;obj_t BgL_fz00_1857;BgL_envz00_bglt BgL_envz00_1858;
BgL_ez00_1855 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2791); 
BgL_tz00_1856 = BgL_tz00_2792; 
BgL_fz00_1857 = BgL_fz00_2793; 
BgL_envz00_1858 = 
(BgL_envz00_bglt)(BgL_envz00_2794); 
{ /* ./DotNet/predicate.scm 109 */
BgL_nodez00_bglt BgL_ez00_2712;
BgL_ez00_2712 = 
(BgL_nodez00_bglt)(BgL_ez00_1855); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2712, BgL_envz00_1858); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1858, BgL_fz00_1857); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1858, BgL_tz00_1856);} } } 
}



/* compile-predicate-make-box3019 */
obj_t BGl_compilezd2predicatezd2makezd2box3019zd2zzdotnet_predicatez00(obj_t BgL_envz00_2795, obj_t BgL_ez00_2796, obj_t BgL_tz00_2797, obj_t BgL_fz00_2798, obj_t BgL_envz00_2799)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 105 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_1847;obj_t BgL_tz00_1848;obj_t BgL_fz00_1849;BgL_envz00_bglt BgL_envz00_1850;
BgL_ez00_1847 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2796); 
BgL_tz00_1848 = BgL_tz00_2797; 
BgL_fz00_1849 = BgL_fz00_2798; 
BgL_envz00_1850 = 
(BgL_envz00_bglt)(BgL_envz00_2799); 
{ /* ./DotNet/predicate.scm 106 */
BgL_nodez00_bglt BgL_ez00_2709;
BgL_ez00_2709 = 
(BgL_nodez00_bglt)(BgL_ez00_1847); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2709, BgL_envz00_1850); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1850, BgL_tz00_1848);} } } 
}



/* compile-predicate-fail3017 */
obj_t BGl_compilezd2predicatezd2fail3017z00zzdotnet_predicatez00(obj_t BgL_envz00_2800, obj_t BgL_ez00_2801, obj_t BgL_tz00_2802, obj_t BgL_fz00_2803, obj_t BgL_envz00_2804)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 102 */
{ 
BgL_failz00_bglt BgL_ez00_1839;obj_t BgL_tz00_1840;obj_t BgL_fz00_1841;BgL_envz00_bglt BgL_envz00_1842;
BgL_ez00_1839 = 
(BgL_failz00_bglt)(BgL_ez00_2801); 
BgL_tz00_1840 = BgL_tz00_2802; 
BgL_fz00_1841 = BgL_fz00_2803; 
BgL_envz00_1842 = 
(BgL_envz00_bglt)(BgL_envz00_2804); 
{ /* ./DotNet/predicate.scm 103 */
BgL_nodez00_bglt BgL_ez00_2705;
BgL_ez00_2705 = 
(BgL_nodez00_bglt)(BgL_ez00_1839); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2705, BgL_envz00_1842); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1842, BgL_fz00_1841); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1842, BgL_tz00_1840);} } } 
}



/* compile-predicate-jump-ex-it3015 */
obj_t BGl_compilezd2predicatezd2jumpzd2exzd2it3015z00zzdotnet_predicatez00(obj_t BgL_envz00_2805, obj_t BgL_ez00_2806, obj_t BgL_tz00_2807, obj_t BgL_fz00_2808, obj_t BgL_envz00_2809)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 99 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1831;obj_t BgL_tz00_1832;obj_t BgL_fz00_1833;BgL_envz00_bglt BgL_envz00_1834;
BgL_ez00_1831 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2806); 
BgL_tz00_1832 = BgL_tz00_2807; 
BgL_fz00_1833 = BgL_fz00_2808; 
BgL_envz00_1834 = 
(BgL_envz00_bglt)(BgL_envz00_2809); 
{ /* ./DotNet/predicate.scm 100 */
BgL_nodez00_bglt BgL_ez00_2701;
BgL_ez00_2701 = 
(BgL_nodez00_bglt)(BgL_ez00_1831); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2701, BgL_envz00_1834); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1834, BgL_fz00_1833); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1834, BgL_tz00_1832);} } } 
}



/* compile-predicate-set-ex-it3013 */
obj_t BGl_compilezd2predicatezd2setzd2exzd2it3013z00zzdotnet_predicatez00(obj_t BgL_envz00_2810, obj_t BgL_ez00_2811, obj_t BgL_tz00_2812, obj_t BgL_fz00_2813, obj_t BgL_envz00_2814)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 96 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1823;obj_t BgL_tz00_1824;obj_t BgL_fz00_1825;BgL_envz00_bglt BgL_envz00_1826;
BgL_ez00_1823 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2811); 
BgL_tz00_1824 = BgL_tz00_2812; 
BgL_fz00_1825 = BgL_fz00_2813; 
BgL_envz00_1826 = 
(BgL_envz00_bglt)(BgL_envz00_2814); 
{ /* ./DotNet/predicate.scm 97 */
BgL_nodez00_bglt BgL_ez00_2697;
BgL_ez00_2697 = 
(BgL_nodez00_bglt)(BgL_ez00_1823); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2697, BgL_envz00_1826); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1826, BgL_fz00_1825); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1826, BgL_tz00_1824);} } } 
}



/* compile-predicate-cast3011 */
obj_t BGl_compilezd2predicatezd2cast3011z00zzdotnet_predicatez00(obj_t BgL_envz00_2815, obj_t BgL_ez00_2816, obj_t BgL_tz00_2817, obj_t BgL_fz00_2818, obj_t BgL_envz00_2819)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 92 */
{ 
BgL_castz00_bglt BgL_ez00_1810;obj_t BgL_tz00_1811;obj_t BgL_fz00_1812;BgL_envz00_bglt BgL_envz00_1813;
BgL_ez00_1810 = 
(BgL_castz00_bglt)(BgL_ez00_2816); 
BgL_tz00_1811 = BgL_tz00_2817; 
BgL_fz00_1812 = BgL_fz00_2818; 
BgL_envz00_1813 = 
(BgL_envz00_bglt)(BgL_envz00_2819); 
{ /* ./DotNet/predicate.scm 93 */
obj_t BgL_compz00_2753;
{ 
int BgL_auxz00_3054;int BgL_auxz00_3052;
BgL_auxz00_3054 = 
(int)(((long)2)); 
BgL_auxz00_3052 = 
(int)(((long)2)); 
BgL_compz00_2753 = 
make_fx_procedure(BGl_compz00zzdotnet_predicatez00, BgL_auxz00_3052, BgL_auxz00_3054); } 
{ /* ./DotNet/predicate.scm 93 */
int BgL_auxz00_3057;
BgL_auxz00_3057 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_2753, BgL_auxz00_3057, BgL_tz00_1811); } 
{ /* ./DotNet/predicate.scm 93 */
int BgL_auxz00_3060;
BgL_auxz00_3060 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_2753, BgL_auxz00_3060, BgL_fz00_1812); } 
return 
BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_ez00_1810, BgL_envz00_1813, BgL_compz00_2753);} } } 
}



/* comp */
obj_t BGl_compz00zzdotnet_predicatez00(obj_t BgL_envz00_2820, obj_t BgL_ez00_2823, obj_t BgL_envz00_2824)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 93 */
{ /* ./DotNet/predicate.scm 93 */
obj_t BgL_tz00_2821;obj_t BgL_fz00_2822;
{ /* ./DotNet/predicate.scm 93 */
int BgL_auxz00_3066;
BgL_auxz00_3066 = 
(int)(((long)0)); 
BgL_tz00_2821 = 
PROCEDURE_REF(BgL_envz00_2820, BgL_auxz00_3066); } 
{ /* ./DotNet/predicate.scm 93 */
int BgL_auxz00_3069;
BgL_auxz00_3069 = 
(int)(((long)1)); 
BgL_fz00_2822 = 
PROCEDURE_REF(BgL_envz00_2820, BgL_auxz00_3069); } 
{ 
obj_t BgL_ez00_2666;obj_t BgL_envz00_2667;
BgL_ez00_2666 = BgL_ez00_2823; 
BgL_envz00_2667 = BgL_envz00_2824; 
{ /* ./DotNet/predicate.scm 93 */
BgL_nodez00_bglt BgL_ez00_2668;BgL_envz00_bglt BgL_envz00_2671;
BgL_ez00_2668 = 
(BgL_nodez00_bglt)(BgL_ez00_2666); 
BgL_envz00_2671 = 
(BgL_envz00_bglt)(BgL_envz00_2667); 
{ /* ./DotNet/predicate.scm 93 */
obj_t BgL_method2969z00_2672;
{ /* ./DotNet/predicate.scm 93 */
BgL_objectz00_bglt BgL_objz00_2673;
BgL_objz00_2673 = 
(BgL_objectz00_bglt)(BgL_ez00_2668); 
{ /* ./DotNet/predicate.scm 93 */
long BgL_objzd2classzd2numz00_2674;
BgL_objzd2classzd2numz00_2674 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2673); 
{ /* ./DotNet/predicate.scm 93 */
obj_t BgL_arg1989z00_2675;
{ /* ./DotNet/predicate.scm 93 */
int BgL_auxz00_3076;
BgL_auxz00_3076 = 
(int)(((long)1)); 
BgL_arg1989z00_2675 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3076); } 
{ /* ./DotNet/predicate.scm 93 */
int BgL_offsetz00_2678;
BgL_offsetz00_2678 = 
(int)(BgL_objzd2classzd2numz00_2674); 
{ /* ./DotNet/predicate.scm 93 */
long BgL_offsetz00_2679;
{ /* ./DotNet/predicate.scm 93 */
long BgL_auxz00_3080;
BgL_auxz00_3080 = 
(long)(BgL_offsetz00_2678); 
BgL_offsetz00_2679 = 
(BgL_auxz00_3080-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 93 */
long BgL_modz00_2680;
{ /* ./DotNet/predicate.scm 93 */
int BgL_arg2000z00_2681;
BgL_arg2000z00_2681 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 93 */
long BgL_n2z00_2689;
BgL_n2z00_2689 = 
(long)(BgL_arg2000z00_2681); 
BgL_modz00_2680 = 
(BgL_offsetz00_2679/BgL_n2z00_2689); } } 
{ /* ./DotNet/predicate.scm 93 */
long BgL_restz00_2682;
{ /* ./DotNet/predicate.scm 93 */
int BgL_arg1996z00_2683;
BgL_arg1996z00_2683 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 93 */
long BgL_n2z00_2692;
BgL_n2z00_2692 = 
(long)(BgL_arg1996z00_2683); 
BgL_restz00_2682 = 
(BgL_offsetz00_2679%BgL_n2z00_2692); } } 
{ /* ./DotNet/predicate.scm 93 */

{ /* ./DotNet/predicate.scm 93 */
obj_t BgL_bucketz00_2684;
{ /* ./DotNet/predicate.scm 93 */
int BgL_kz00_2694;
BgL_kz00_2694 = 
(int)(BgL_modz00_2680); 
BgL_bucketz00_2684 = 
VECTOR_REF(BgL_arg1989z00_2675,BgL_kz00_2694); } 
{ /* ./DotNet/predicate.scm 93 */
int BgL_kz00_2696;
BgL_kz00_2696 = 
(int)(BgL_restz00_2682); 
BgL_method2969z00_2672 = 
VECTOR_REF(BgL_bucketz00_2684,BgL_kz00_2696); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2672)(BgL_method2969z00_2672, 
(obj_t)(BgL_ez00_2668), BgL_tz00_2821, BgL_fz00_2822, 
(obj_t)(BgL_envz00_2671), BEOA);} } } } } 
}



/* compile-predicate-isa3009 */
obj_t BGl_compilezd2predicatezd2isa3009z00zzdotnet_predicatez00(obj_t BgL_envz00_2825, obj_t BgL_ez00_2826, obj_t BgL_tz00_2827, obj_t BgL_fz00_2828, obj_t BgL_envz00_2829)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 89 */
{ 
BgL_isaz00_bglt BgL_ez00_1802;obj_t BgL_tz00_1803;obj_t BgL_fz00_1804;BgL_envz00_bglt BgL_envz00_1805;
BgL_ez00_1802 = 
(BgL_isaz00_bglt)(BgL_ez00_2826); 
BgL_tz00_1803 = BgL_tz00_2827; 
BgL_fz00_1804 = BgL_fz00_2828; 
BgL_envz00_1805 = 
(BgL_envz00_bglt)(BgL_envz00_2829); 
{ /* ./DotNet/predicate.scm 90 */
BgL_nodez00_bglt BgL_ez00_2661;
BgL_ez00_2661 = 
(BgL_nodez00_bglt)(BgL_ez00_1802); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2661, BgL_envz00_1805); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1805, BgL_fz00_1804); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1805, BgL_tz00_1803);} } } 
}



/* compile-predicate-vlength3007 */
obj_t BGl_compilezd2predicatezd2vlength3007z00zzdotnet_predicatez00(obj_t BgL_envz00_2830, obj_t BgL_ez00_2831, obj_t BgL_tz00_2832, obj_t BgL_fz00_2833, obj_t BgL_envz00_2834)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 86 */
{ 
BgL_vlengthz00_bglt BgL_ez00_1794;obj_t BgL_tz00_1795;obj_t BgL_fz00_1796;BgL_envz00_bglt BgL_envz00_1797;
BgL_ez00_1794 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2831); 
BgL_tz00_1795 = BgL_tz00_2832; 
BgL_fz00_1796 = BgL_fz00_2833; 
BgL_envz00_1797 = 
(BgL_envz00_bglt)(BgL_envz00_2834); 
{ /* ./DotNet/predicate.scm 87 */
BgL_nodez00_bglt BgL_ez00_2657;
BgL_ez00_2657 = 
(BgL_nodez00_bglt)(BgL_ez00_1794); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2657, BgL_envz00_1797); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1797, BgL_fz00_1796); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1797, BgL_tz00_1795);} } } 
}



/* compile-predicate-vset!3005 */
obj_t BGl_compilezd2predicatezd2vsetz123005z12zzdotnet_predicatez00(obj_t BgL_envz00_2835, obj_t BgL_ez00_2836, obj_t BgL_tz00_2837, obj_t BgL_fz00_2838, obj_t BgL_envz00_2839)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 83 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_1786;obj_t BgL_tz00_1787;obj_t BgL_fz00_1788;BgL_envz00_bglt BgL_envz00_1789;
BgL_ez00_1786 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2836); 
BgL_tz00_1787 = BgL_tz00_2837; 
BgL_fz00_1788 = BgL_fz00_2838; 
BgL_envz00_1789 = 
(BgL_envz00_bglt)(BgL_envz00_2839); 
{ /* ./DotNet/predicate.scm 84 */
BgL_nodez00_bglt BgL_ez00_2654;
BgL_ez00_2654 = 
(BgL_nodez00_bglt)(BgL_ez00_1786); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2654, BgL_envz00_1789); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1789, BgL_tz00_1787);} } } 
}



/* compile-predicate-vref3003 */
obj_t BGl_compilezd2predicatezd2vref3003z00zzdotnet_predicatez00(obj_t BgL_envz00_2840, obj_t BgL_ez00_2841, obj_t BgL_tz00_2842, obj_t BgL_fz00_2843, obj_t BgL_envz00_2844)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 80 */
{ 
BgL_vrefz00_bglt BgL_ez00_1778;obj_t BgL_tz00_1779;obj_t BgL_fz00_1780;BgL_envz00_bglt BgL_envz00_1781;
BgL_ez00_1778 = 
(BgL_vrefz00_bglt)(BgL_ez00_2841); 
BgL_tz00_1779 = BgL_tz00_2842; 
BgL_fz00_1780 = BgL_fz00_2843; 
BgL_envz00_1781 = 
(BgL_envz00_bglt)(BgL_envz00_2844); 
{ /* ./DotNet/predicate.scm 81 */
BgL_nodez00_bglt BgL_ez00_2650;
BgL_ez00_2650 = 
(BgL_nodez00_bglt)(BgL_ez00_1778); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2650, BgL_envz00_1781); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1781, BgL_fz00_1780); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1781, BgL_tz00_1779);} } } 
}



/* compile-predicate-valloc3001 */
obj_t BGl_compilezd2predicatezd2valloc3001z00zzdotnet_predicatez00(obj_t BgL_envz00_2845, obj_t BgL_ez00_2846, obj_t BgL_tz00_2847, obj_t BgL_fz00_2848, obj_t BgL_envz00_2849)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 77 */
{ 
BgL_vallocz00_bglt BgL_ez00_1770;obj_t BgL_tz00_1771;obj_t BgL_fz00_1772;BgL_envz00_bglt BgL_envz00_1773;
BgL_ez00_1770 = 
(BgL_vallocz00_bglt)(BgL_ez00_2846); 
BgL_tz00_1771 = BgL_tz00_2847; 
BgL_fz00_1772 = BgL_fz00_2848; 
BgL_envz00_1773 = 
(BgL_envz00_bglt)(BgL_envz00_2849); 
{ /* ./DotNet/predicate.scm 78 */
BgL_nodez00_bglt BgL_ez00_2647;
BgL_ez00_2647 = 
(BgL_nodez00_bglt)(BgL_ez00_1770); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2647, BgL_envz00_1773); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1773, BgL_tz00_1771);} } } 
}



/* compile-predicate-new2999 */
obj_t BGl_compilezd2predicatezd2new2999z00zzdotnet_predicatez00(obj_t BgL_envz00_2850, obj_t BgL_ez00_2851, obj_t BgL_tz00_2852, obj_t BgL_fz00_2853, obj_t BgL_envz00_2854)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 74 */
{ 
BgL_newz00_bglt BgL_ez00_1762;obj_t BgL_tz00_1763;obj_t BgL_fz00_1764;BgL_envz00_bglt BgL_envz00_1765;
BgL_ez00_1762 = 
(BgL_newz00_bglt)(BgL_ez00_2851); 
BgL_tz00_1763 = BgL_tz00_2852; 
BgL_fz00_1764 = BgL_fz00_2853; 
BgL_envz00_1765 = 
(BgL_envz00_bglt)(BgL_envz00_2854); 
{ /* ./DotNet/predicate.scm 75 */
BgL_nodez00_bglt BgL_ez00_2644;
BgL_ez00_2644 = 
(BgL_nodez00_bglt)(BgL_ez00_1762); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2644, BgL_envz00_1765); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1765, BgL_tz00_1763);} } } 
}



/* compile-predicate-setfield2997 */
obj_t BGl_compilezd2predicatezd2setfield2997z00zzdotnet_predicatez00(obj_t BgL_envz00_2855, obj_t BgL_ez00_2856, obj_t BgL_tz00_2857, obj_t BgL_fz00_2858, obj_t BgL_envz00_2859)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 71 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1754;obj_t BgL_tz00_1755;obj_t BgL_fz00_1756;BgL_envz00_bglt BgL_envz00_1757;
BgL_ez00_1754 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2856); 
BgL_tz00_1755 = BgL_tz00_2857; 
BgL_fz00_1756 = BgL_fz00_2858; 
BgL_envz00_1757 = 
(BgL_envz00_bglt)(BgL_envz00_2859); 
{ /* ./DotNet/predicate.scm 72 */
BgL_nodez00_bglt BgL_ez00_2641;
BgL_ez00_2641 = 
(BgL_nodez00_bglt)(BgL_ez00_1754); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2641, BgL_envz00_1757); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1757, BgL_tz00_1755);} } } 
}



/* compile-predicate-getfield2995 */
obj_t BGl_compilezd2predicatezd2getfield2995z00zzdotnet_predicatez00(obj_t BgL_envz00_2860, obj_t BgL_ez00_2861, obj_t BgL_tz00_2862, obj_t BgL_fz00_2863, obj_t BgL_envz00_2864)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 68 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1746;obj_t BgL_tz00_1747;obj_t BgL_fz00_1748;BgL_envz00_bglt BgL_envz00_1749;
BgL_ez00_1746 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2861); 
BgL_tz00_1747 = BgL_tz00_2862; 
BgL_fz00_1748 = BgL_fz00_2863; 
BgL_envz00_1749 = 
(BgL_envz00_bglt)(BgL_envz00_2864); 
{ /* ./DotNet/predicate.scm 69 */
BgL_nodez00_bglt BgL_ez00_2637;
BgL_ez00_2637 = 
(BgL_nodez00_bglt)(BgL_ez00_1746); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2637, BgL_envz00_1749); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1749, BgL_fz00_1748); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1749, BgL_tz00_1747);} } } 
}



/* compile-predicate-pragma2993 */
obj_t BGl_compilezd2predicatezd2pragma2993z00zzdotnet_predicatez00(obj_t BgL_envz00_2865, obj_t BgL_ez00_2866, obj_t BgL_tz00_2867, obj_t BgL_fz00_2868, obj_t BgL_envz00_2869)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 65 */
{ 
BgL_pragmaz00_bglt BgL_ez00_1738;obj_t BgL_tz00_1739;obj_t BgL_fz00_1740;BgL_envz00_bglt BgL_envz00_1741;
BgL_ez00_1738 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2866); 
BgL_tz00_1739 = BgL_tz00_2867; 
BgL_fz00_1740 = BgL_fz00_2868; 
BgL_envz00_1741 = 
(BgL_envz00_bglt)(BgL_envz00_2869); 
{ /* ./DotNet/predicate.scm 66 */
BgL_nodez00_bglt BgL_ez00_2633;
BgL_ez00_2633 = 
(BgL_nodez00_bglt)(BgL_ez00_1738); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2633, BgL_envz00_1741); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1741, BgL_fz00_1740); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1741, BgL_tz00_1739);} } } 
}



/* compile-predicate-funcall2991 */
obj_t BGl_compilezd2predicatezd2funcall2991z00zzdotnet_predicatez00(obj_t BgL_envz00_2870, obj_t BgL_ez00_2871, obj_t BgL_tz00_2872, obj_t BgL_fz00_2873, obj_t BgL_envz00_2874)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 62 */
{ 
BgL_funcallz00_bglt BgL_ez00_1730;obj_t BgL_tz00_1731;obj_t BgL_fz00_1732;BgL_envz00_bglt BgL_envz00_1733;
BgL_ez00_1730 = 
(BgL_funcallz00_bglt)(BgL_ez00_2871); 
BgL_tz00_1731 = BgL_tz00_2872; 
BgL_fz00_1732 = BgL_fz00_2873; 
BgL_envz00_1733 = 
(BgL_envz00_bglt)(BgL_envz00_2874); 
{ /* ./DotNet/predicate.scm 63 */
BgL_nodez00_bglt BgL_ez00_2629;
BgL_ez00_2629 = 
(BgL_nodez00_bglt)(BgL_ez00_1730); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2629, BgL_envz00_1733); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1733, BgL_fz00_1732); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1733, BgL_tz00_1731);} } } 
}



/* compile-predicate-app-ly2989 */
obj_t BGl_compilezd2predicatezd2appzd2ly2989zd2zzdotnet_predicatez00(obj_t BgL_envz00_2875, obj_t BgL_ez00_2876, obj_t BgL_tz00_2877, obj_t BgL_fz00_2878, obj_t BgL_envz00_2879)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 59 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1722;obj_t BgL_tz00_1723;obj_t BgL_fz00_1724;BgL_envz00_bglt BgL_envz00_1725;
BgL_ez00_1722 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2876); 
BgL_tz00_1723 = BgL_tz00_2877; 
BgL_fz00_1724 = BgL_fz00_2878; 
BgL_envz00_1725 = 
(BgL_envz00_bglt)(BgL_envz00_2879); 
{ /* ./DotNet/predicate.scm 60 */
BgL_nodez00_bglt BgL_ez00_2625;
BgL_ez00_2625 = 
(BgL_nodez00_bglt)(BgL_ez00_1722); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2625, BgL_envz00_1725); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1725, BgL_fz00_1724); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1725, BgL_tz00_1723);} } } 
}



/* compile-predicate-app2987 */
obj_t BGl_compilezd2predicatezd2app2987z00zzdotnet_predicatez00(obj_t BgL_envz00_2880, obj_t BgL_ez00_2881, obj_t BgL_tz00_2882, obj_t BgL_fz00_2883, obj_t BgL_envz00_2884)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 56 */
{ 
BgL_appz00_bglt BgL_ez00_1714;obj_t BgL_tz00_1715;obj_t BgL_fz00_1716;BgL_envz00_bglt BgL_envz00_1717;
BgL_ez00_1714 = 
(BgL_appz00_bglt)(BgL_ez00_2881); 
BgL_tz00_1715 = BgL_tz00_2882; 
BgL_fz00_1716 = BgL_fz00_2883; 
BgL_envz00_1717 = 
(BgL_envz00_bglt)(BgL_envz00_2884); 
{ /* ./DotNet/predicate.scm 57 */
BgL_nodez00_bglt BgL_ez00_2621;
BgL_ez00_2621 = 
(BgL_nodez00_bglt)(BgL_ez00_1714); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2621, BgL_envz00_1717); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1717, BgL_fz00_1716); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1717, BgL_tz00_1715);} } } 
}



/* compile-predicate-let-fun2985 */
obj_t BGl_compilezd2predicatezd2letzd2fun2985zd2zzdotnet_predicatez00(obj_t BgL_envz00_2885, obj_t BgL_ez00_2886, obj_t BgL_tz00_2887, obj_t BgL_fz00_2888, obj_t BgL_envz00_2889)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 52 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1701;obj_t BgL_tz00_1702;obj_t BgL_fz00_1703;BgL_envz00_bglt BgL_envz00_1704;
BgL_ez00_1701 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2886); 
BgL_tz00_1702 = BgL_tz00_2887; 
BgL_fz00_1703 = BgL_fz00_2888; 
BgL_envz00_1704 = 
(BgL_envz00_bglt)(BgL_envz00_2889); 
{ /* ./DotNet/predicate.scm 53 */
obj_t BgL_compz00_2772;
{ 
int BgL_auxz00_3175;int BgL_auxz00_3173;
BgL_auxz00_3175 = 
(int)(((long)2)); 
BgL_auxz00_3173 = 
(int)(((long)2)); 
BgL_compz00_2772 = 
make_fx_procedure(BGl_comp_3746z00zzdotnet_predicatez00, BgL_auxz00_3173, BgL_auxz00_3175); } 
{ /* ./DotNet/predicate.scm 53 */
int BgL_auxz00_3178;
BgL_auxz00_3178 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_2772, BgL_auxz00_3178, BgL_tz00_1702); } 
{ /* ./DotNet/predicate.scm 53 */
int BgL_auxz00_3181;
BgL_auxz00_3181 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_2772, BgL_auxz00_3181, BgL_fz00_1703); } 
return 
BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_ez00_1701, BgL_envz00_1704, BgL_compz00_2772);} } } 
}



/* comp_3746 */
obj_t BGl_comp_3746z00zzdotnet_predicatez00(obj_t BgL_envz00_2890, obj_t BgL_ez00_2893, obj_t BgL_envz00_2894)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 53 */
{ /* ./DotNet/predicate.scm 53 */
obj_t BgL_tz00_2891;obj_t BgL_fz00_2892;
{ /* ./DotNet/predicate.scm 53 */
int BgL_auxz00_3187;
BgL_auxz00_3187 = 
(int)(((long)0)); 
BgL_tz00_2891 = 
PROCEDURE_REF(BgL_envz00_2890, BgL_auxz00_3187); } 
{ /* ./DotNet/predicate.scm 53 */
int BgL_auxz00_3190;
BgL_auxz00_3190 = 
(int)(((long)1)); 
BgL_fz00_2892 = 
PROCEDURE_REF(BgL_envz00_2890, BgL_auxz00_3190); } 
{ 
obj_t BgL_ez00_2590;obj_t BgL_envz00_2591;
BgL_ez00_2590 = BgL_ez00_2893; 
BgL_envz00_2591 = BgL_envz00_2894; 
{ /* ./DotNet/predicate.scm 53 */
BgL_nodez00_bglt BgL_ez00_2592;BgL_envz00_bglt BgL_envz00_2595;
BgL_ez00_2592 = 
(BgL_nodez00_bglt)(BgL_ez00_2590); 
BgL_envz00_2595 = 
(BgL_envz00_bglt)(BgL_envz00_2591); 
{ /* ./DotNet/predicate.scm 53 */
obj_t BgL_method2969z00_2596;
{ /* ./DotNet/predicate.scm 53 */
BgL_objectz00_bglt BgL_objz00_2597;
BgL_objz00_2597 = 
(BgL_objectz00_bglt)(BgL_ez00_2592); 
{ /* ./DotNet/predicate.scm 53 */
long BgL_objzd2classzd2numz00_2598;
BgL_objzd2classzd2numz00_2598 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2597); 
{ /* ./DotNet/predicate.scm 53 */
obj_t BgL_arg1989z00_2599;
{ /* ./DotNet/predicate.scm 53 */
int BgL_auxz00_3197;
BgL_auxz00_3197 = 
(int)(((long)1)); 
BgL_arg1989z00_2599 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3197); } 
{ /* ./DotNet/predicate.scm 53 */
int BgL_offsetz00_2602;
BgL_offsetz00_2602 = 
(int)(BgL_objzd2classzd2numz00_2598); 
{ /* ./DotNet/predicate.scm 53 */
long BgL_offsetz00_2603;
{ /* ./DotNet/predicate.scm 53 */
long BgL_auxz00_3201;
BgL_auxz00_3201 = 
(long)(BgL_offsetz00_2602); 
BgL_offsetz00_2603 = 
(BgL_auxz00_3201-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 53 */
long BgL_modz00_2604;
{ /* ./DotNet/predicate.scm 53 */
int BgL_arg2000z00_2605;
BgL_arg2000z00_2605 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 53 */
long BgL_n2z00_2613;
BgL_n2z00_2613 = 
(long)(BgL_arg2000z00_2605); 
BgL_modz00_2604 = 
(BgL_offsetz00_2603/BgL_n2z00_2613); } } 
{ /* ./DotNet/predicate.scm 53 */
long BgL_restz00_2606;
{ /* ./DotNet/predicate.scm 53 */
int BgL_arg1996z00_2607;
BgL_arg1996z00_2607 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 53 */
long BgL_n2z00_2616;
BgL_n2z00_2616 = 
(long)(BgL_arg1996z00_2607); 
BgL_restz00_2606 = 
(BgL_offsetz00_2603%BgL_n2z00_2616); } } 
{ /* ./DotNet/predicate.scm 53 */

{ /* ./DotNet/predicate.scm 53 */
obj_t BgL_bucketz00_2608;
{ /* ./DotNet/predicate.scm 53 */
int BgL_kz00_2618;
BgL_kz00_2618 = 
(int)(BgL_modz00_2604); 
BgL_bucketz00_2608 = 
VECTOR_REF(BgL_arg1989z00_2599,BgL_kz00_2618); } 
{ /* ./DotNet/predicate.scm 53 */
int BgL_kz00_2620;
BgL_kz00_2620 = 
(int)(BgL_restz00_2606); 
BgL_method2969z00_2596 = 
VECTOR_REF(BgL_bucketz00_2608,BgL_kz00_2620); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2596)(BgL_method2969z00_2596, 
(obj_t)(BgL_ez00_2592), BgL_tz00_2891, BgL_fz00_2892, 
(obj_t)(BgL_envz00_2595), BEOA);} } } } } 
}



/* compile-predicate-select2983 */
obj_t BGl_compilezd2predicatezd2select2983z00zzdotnet_predicatez00(obj_t BgL_envz00_2895, obj_t BgL_ez00_2896, obj_t BgL_tz00_2897, obj_t BgL_fz00_2898, obj_t BgL_envz00_2899)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 48 */
{ 
BgL_selectz00_bglt BgL_ez00_1688;obj_t BgL_tz00_1689;obj_t BgL_fz00_1690;BgL_envz00_bglt BgL_envz00_1691;
BgL_ez00_1688 = 
(BgL_selectz00_bglt)(BgL_ez00_2896); 
BgL_tz00_1689 = BgL_tz00_2897; 
BgL_fz00_1690 = BgL_fz00_2898; 
BgL_envz00_1691 = 
(BgL_envz00_bglt)(BgL_envz00_2899); 
{ /* ./DotNet/predicate.scm 49 */
obj_t BgL_compz00_2774;
{ 
int BgL_auxz00_3220;int BgL_auxz00_3218;
BgL_auxz00_3220 = 
(int)(((long)2)); 
BgL_auxz00_3218 = 
(int)(((long)2)); 
BgL_compz00_2774 = 
make_fx_procedure(BGl_comp_3749z00zzdotnet_predicatez00, BgL_auxz00_3218, BgL_auxz00_3220); } 
{ /* ./DotNet/predicate.scm 49 */
int BgL_auxz00_3223;
BgL_auxz00_3223 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_2774, BgL_auxz00_3223, BgL_tz00_1689); } 
{ /* ./DotNet/predicate.scm 49 */
int BgL_auxz00_3226;
BgL_auxz00_3226 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_2774, BgL_auxz00_3226, BgL_fz00_1690); } 
return 
BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_ez00_1688, BgL_envz00_1691, BgL_compz00_2774);} } } 
}



/* comp_3749 */
obj_t BGl_comp_3749z00zzdotnet_predicatez00(obj_t BgL_envz00_2900, obj_t BgL_ez00_2903, obj_t BgL_envz00_2904)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 49 */
{ /* ./DotNet/predicate.scm 49 */
obj_t BgL_tz00_2901;obj_t BgL_fz00_2902;
{ /* ./DotNet/predicate.scm 49 */
int BgL_auxz00_3232;
BgL_auxz00_3232 = 
(int)(((long)0)); 
BgL_tz00_2901 = 
PROCEDURE_REF(BgL_envz00_2900, BgL_auxz00_3232); } 
{ /* ./DotNet/predicate.scm 49 */
int BgL_auxz00_3235;
BgL_auxz00_3235 = 
(int)(((long)1)); 
BgL_fz00_2902 = 
PROCEDURE_REF(BgL_envz00_2900, BgL_auxz00_3235); } 
{ 
obj_t BgL_ez00_2558;obj_t BgL_envz00_2559;
BgL_ez00_2558 = BgL_ez00_2903; 
BgL_envz00_2559 = BgL_envz00_2904; 
{ /* ./DotNet/predicate.scm 49 */
BgL_nodez00_bglt BgL_ez00_2560;BgL_envz00_bglt BgL_envz00_2563;
BgL_ez00_2560 = 
(BgL_nodez00_bglt)(BgL_ez00_2558); 
BgL_envz00_2563 = 
(BgL_envz00_bglt)(BgL_envz00_2559); 
{ /* ./DotNet/predicate.scm 49 */
obj_t BgL_method2969z00_2564;
{ /* ./DotNet/predicate.scm 49 */
BgL_objectz00_bglt BgL_objz00_2565;
BgL_objz00_2565 = 
(BgL_objectz00_bglt)(BgL_ez00_2560); 
{ /* ./DotNet/predicate.scm 49 */
long BgL_objzd2classzd2numz00_2566;
BgL_objzd2classzd2numz00_2566 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2565); 
{ /* ./DotNet/predicate.scm 49 */
obj_t BgL_arg1989z00_2567;
{ /* ./DotNet/predicate.scm 49 */
int BgL_auxz00_3242;
BgL_auxz00_3242 = 
(int)(((long)1)); 
BgL_arg1989z00_2567 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3242); } 
{ /* ./DotNet/predicate.scm 49 */
int BgL_offsetz00_2570;
BgL_offsetz00_2570 = 
(int)(BgL_objzd2classzd2numz00_2566); 
{ /* ./DotNet/predicate.scm 49 */
long BgL_offsetz00_2571;
{ /* ./DotNet/predicate.scm 49 */
long BgL_auxz00_3246;
BgL_auxz00_3246 = 
(long)(BgL_offsetz00_2570); 
BgL_offsetz00_2571 = 
(BgL_auxz00_3246-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 49 */
long BgL_modz00_2572;
{ /* ./DotNet/predicate.scm 49 */
int BgL_arg2000z00_2573;
BgL_arg2000z00_2573 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 49 */
long BgL_n2z00_2581;
BgL_n2z00_2581 = 
(long)(BgL_arg2000z00_2573); 
BgL_modz00_2572 = 
(BgL_offsetz00_2571/BgL_n2z00_2581); } } 
{ /* ./DotNet/predicate.scm 49 */
long BgL_restz00_2574;
{ /* ./DotNet/predicate.scm 49 */
int BgL_arg1996z00_2575;
BgL_arg1996z00_2575 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 49 */
long BgL_n2z00_2584;
BgL_n2z00_2584 = 
(long)(BgL_arg1996z00_2575); 
BgL_restz00_2574 = 
(BgL_offsetz00_2571%BgL_n2z00_2584); } } 
{ /* ./DotNet/predicate.scm 49 */

{ /* ./DotNet/predicate.scm 49 */
obj_t BgL_bucketz00_2576;
{ /* ./DotNet/predicate.scm 49 */
int BgL_kz00_2586;
BgL_kz00_2586 = 
(int)(BgL_modz00_2572); 
BgL_bucketz00_2576 = 
VECTOR_REF(BgL_arg1989z00_2567,BgL_kz00_2586); } 
{ /* ./DotNet/predicate.scm 49 */
int BgL_kz00_2588;
BgL_kz00_2588 = 
(int)(BgL_restz00_2574); 
BgL_method2969z00_2564 = 
VECTOR_REF(BgL_bucketz00_2576,BgL_kz00_2588); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2564)(BgL_method2969z00_2564, 
(obj_t)(BgL_ez00_2560), BgL_tz00_2901, BgL_fz00_2902, 
(obj_t)(BgL_envz00_2563), BEOA);} } } } } 
}



/* compile-predicate-conditional2981 */
obj_t BGl_compilezd2predicatezd2conditional2981z00zzdotnet_predicatez00(obj_t BgL_envz00_2905, obj_t BgL_ez00_2906, obj_t BgL_tz00_2907, obj_t BgL_fz00_2908, obj_t BgL_envz00_2909)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 44 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1675;obj_t BgL_tz00_1676;obj_t BgL_fz00_1677;BgL_envz00_bglt BgL_envz00_1678;
BgL_ez00_1675 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2906); 
BgL_tz00_1676 = BgL_tz00_2907; 
BgL_fz00_1677 = BgL_fz00_2908; 
BgL_envz00_1678 = 
(BgL_envz00_bglt)(BgL_envz00_2909); 
{ /* ./DotNet/predicate.scm 45 */
obj_t BgL_compz00_2776;
{ 
int BgL_auxz00_3265;int BgL_auxz00_3263;
BgL_auxz00_3265 = 
(int)(((long)2)); 
BgL_auxz00_3263 = 
(int)(((long)2)); 
BgL_compz00_2776 = 
make_fx_procedure(BGl_comp_3752z00zzdotnet_predicatez00, BgL_auxz00_3263, BgL_auxz00_3265); } 
{ /* ./DotNet/predicate.scm 45 */
int BgL_auxz00_3268;
BgL_auxz00_3268 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_2776, BgL_auxz00_3268, BgL_tz00_1676); } 
{ /* ./DotNet/predicate.scm 45 */
int BgL_auxz00_3271;
BgL_auxz00_3271 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_2776, BgL_auxz00_3271, BgL_fz00_1677); } 
return 
BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_ez00_1675, BgL_envz00_1678, BgL_compz00_2776);} } } 
}



/* comp_3752 */
obj_t BGl_comp_3752z00zzdotnet_predicatez00(obj_t BgL_envz00_2910, obj_t BgL_ez00_2913, obj_t BgL_envz00_2914)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 45 */
{ /* ./DotNet/predicate.scm 45 */
obj_t BgL_tz00_2911;obj_t BgL_fz00_2912;
{ /* ./DotNet/predicate.scm 45 */
int BgL_auxz00_3277;
BgL_auxz00_3277 = 
(int)(((long)0)); 
BgL_tz00_2911 = 
PROCEDURE_REF(BgL_envz00_2910, BgL_auxz00_3277); } 
{ /* ./DotNet/predicate.scm 45 */
int BgL_auxz00_3280;
BgL_auxz00_3280 = 
(int)(((long)1)); 
BgL_fz00_2912 = 
PROCEDURE_REF(BgL_envz00_2910, BgL_auxz00_3280); } 
{ 
obj_t BgL_ez00_2526;obj_t BgL_envz00_2527;
BgL_ez00_2526 = BgL_ez00_2913; 
BgL_envz00_2527 = BgL_envz00_2914; 
{ /* ./DotNet/predicate.scm 45 */
BgL_nodez00_bglt BgL_ez00_2528;BgL_envz00_bglt BgL_envz00_2531;
BgL_ez00_2528 = 
(BgL_nodez00_bglt)(BgL_ez00_2526); 
BgL_envz00_2531 = 
(BgL_envz00_bglt)(BgL_envz00_2527); 
{ /* ./DotNet/predicate.scm 45 */
obj_t BgL_method2969z00_2532;
{ /* ./DotNet/predicate.scm 45 */
BgL_objectz00_bglt BgL_objz00_2533;
BgL_objz00_2533 = 
(BgL_objectz00_bglt)(BgL_ez00_2528); 
{ /* ./DotNet/predicate.scm 45 */
long BgL_objzd2classzd2numz00_2534;
BgL_objzd2classzd2numz00_2534 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2533); 
{ /* ./DotNet/predicate.scm 45 */
obj_t BgL_arg1989z00_2535;
{ /* ./DotNet/predicate.scm 45 */
int BgL_auxz00_3287;
BgL_auxz00_3287 = 
(int)(((long)1)); 
BgL_arg1989z00_2535 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3287); } 
{ /* ./DotNet/predicate.scm 45 */
int BgL_offsetz00_2538;
BgL_offsetz00_2538 = 
(int)(BgL_objzd2classzd2numz00_2534); 
{ /* ./DotNet/predicate.scm 45 */
long BgL_offsetz00_2539;
{ /* ./DotNet/predicate.scm 45 */
long BgL_auxz00_3291;
BgL_auxz00_3291 = 
(long)(BgL_offsetz00_2538); 
BgL_offsetz00_2539 = 
(BgL_auxz00_3291-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 45 */
long BgL_modz00_2540;
{ /* ./DotNet/predicate.scm 45 */
int BgL_arg2000z00_2541;
BgL_arg2000z00_2541 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 45 */
long BgL_n2z00_2549;
BgL_n2z00_2549 = 
(long)(BgL_arg2000z00_2541); 
BgL_modz00_2540 = 
(BgL_offsetz00_2539/BgL_n2z00_2549); } } 
{ /* ./DotNet/predicate.scm 45 */
long BgL_restz00_2542;
{ /* ./DotNet/predicate.scm 45 */
int BgL_arg1996z00_2543;
BgL_arg1996z00_2543 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 45 */
long BgL_n2z00_2552;
BgL_n2z00_2552 = 
(long)(BgL_arg1996z00_2543); 
BgL_restz00_2542 = 
(BgL_offsetz00_2539%BgL_n2z00_2552); } } 
{ /* ./DotNet/predicate.scm 45 */

{ /* ./DotNet/predicate.scm 45 */
obj_t BgL_bucketz00_2544;
{ /* ./DotNet/predicate.scm 45 */
int BgL_kz00_2554;
BgL_kz00_2554 = 
(int)(BgL_modz00_2540); 
BgL_bucketz00_2544 = 
VECTOR_REF(BgL_arg1989z00_2535,BgL_kz00_2554); } 
{ /* ./DotNet/predicate.scm 45 */
int BgL_kz00_2556;
BgL_kz00_2556 = 
(int)(BgL_restz00_2542); 
BgL_method2969z00_2532 = 
VECTOR_REF(BgL_bucketz00_2544,BgL_kz00_2556); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2532)(BgL_method2969z00_2532, 
(obj_t)(BgL_ez00_2528), BgL_tz00_2911, BgL_fz00_2912, 
(obj_t)(BgL_envz00_2531), BEOA);} } } } } 
}



/* compile-predicate-sequence2979 */
obj_t BGl_compilezd2predicatezd2sequence2979z00zzdotnet_predicatez00(obj_t BgL_envz00_2915, obj_t BgL_ez00_2916, obj_t BgL_tz00_2917, obj_t BgL_fz00_2918, obj_t BgL_envz00_2919)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 40 */
{ 
BgL_sequencez00_bglt BgL_ez00_1662;obj_t BgL_tz00_1663;obj_t BgL_fz00_1664;BgL_envz00_bglt BgL_envz00_1665;
BgL_ez00_1662 = 
(BgL_sequencez00_bglt)(BgL_ez00_2916); 
BgL_tz00_1663 = BgL_tz00_2917; 
BgL_fz00_1664 = BgL_fz00_2918; 
BgL_envz00_1665 = 
(BgL_envz00_bglt)(BgL_envz00_2919); 
{ /* ./DotNet/predicate.scm 41 */
obj_t BgL_compz00_2778;
{ 
int BgL_auxz00_3310;int BgL_auxz00_3308;
BgL_auxz00_3310 = 
(int)(((long)2)); 
BgL_auxz00_3308 = 
(int)(((long)2)); 
BgL_compz00_2778 = 
make_fx_procedure(BGl_comp_3755z00zzdotnet_predicatez00, BgL_auxz00_3308, BgL_auxz00_3310); } 
{ /* ./DotNet/predicate.scm 41 */
int BgL_auxz00_3313;
BgL_auxz00_3313 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_2778, BgL_auxz00_3313, BgL_tz00_1663); } 
{ /* ./DotNet/predicate.scm 41 */
int BgL_auxz00_3316;
BgL_auxz00_3316 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_2778, BgL_auxz00_3316, BgL_fz00_1664); } 
return 
BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_ez00_1662, BgL_envz00_1665, BgL_compz00_2778);} } } 
}



/* comp_3755 */
obj_t BGl_comp_3755z00zzdotnet_predicatez00(obj_t BgL_envz00_2920, obj_t BgL_ez00_2923, obj_t BgL_envz00_2924)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 41 */
{ /* ./DotNet/predicate.scm 41 */
obj_t BgL_tz00_2921;obj_t BgL_fz00_2922;
{ /* ./DotNet/predicate.scm 41 */
int BgL_auxz00_3322;
BgL_auxz00_3322 = 
(int)(((long)0)); 
BgL_tz00_2921 = 
PROCEDURE_REF(BgL_envz00_2920, BgL_auxz00_3322); } 
{ /* ./DotNet/predicate.scm 41 */
int BgL_auxz00_3325;
BgL_auxz00_3325 = 
(int)(((long)1)); 
BgL_fz00_2922 = 
PROCEDURE_REF(BgL_envz00_2920, BgL_auxz00_3325); } 
{ 
obj_t BgL_ez00_2494;obj_t BgL_envz00_2495;
BgL_ez00_2494 = BgL_ez00_2923; 
BgL_envz00_2495 = BgL_envz00_2924; 
{ /* ./DotNet/predicate.scm 41 */
BgL_nodez00_bglt BgL_ez00_2496;BgL_envz00_bglt BgL_envz00_2499;
BgL_ez00_2496 = 
(BgL_nodez00_bglt)(BgL_ez00_2494); 
BgL_envz00_2499 = 
(BgL_envz00_bglt)(BgL_envz00_2495); 
{ /* ./DotNet/predicate.scm 41 */
obj_t BgL_method2969z00_2500;
{ /* ./DotNet/predicate.scm 41 */
BgL_objectz00_bglt BgL_objz00_2501;
BgL_objz00_2501 = 
(BgL_objectz00_bglt)(BgL_ez00_2496); 
{ /* ./DotNet/predicate.scm 41 */
long BgL_objzd2classzd2numz00_2502;
BgL_objzd2classzd2numz00_2502 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2501); 
{ /* ./DotNet/predicate.scm 41 */
obj_t BgL_arg1989z00_2503;
{ /* ./DotNet/predicate.scm 41 */
int BgL_auxz00_3332;
BgL_auxz00_3332 = 
(int)(((long)1)); 
BgL_arg1989z00_2503 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3332); } 
{ /* ./DotNet/predicate.scm 41 */
int BgL_offsetz00_2506;
BgL_offsetz00_2506 = 
(int)(BgL_objzd2classzd2numz00_2502); 
{ /* ./DotNet/predicate.scm 41 */
long BgL_offsetz00_2507;
{ /* ./DotNet/predicate.scm 41 */
long BgL_auxz00_3336;
BgL_auxz00_3336 = 
(long)(BgL_offsetz00_2506); 
BgL_offsetz00_2507 = 
(BgL_auxz00_3336-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 41 */
long BgL_modz00_2508;
{ /* ./DotNet/predicate.scm 41 */
int BgL_arg2000z00_2509;
BgL_arg2000z00_2509 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 41 */
long BgL_n2z00_2517;
BgL_n2z00_2517 = 
(long)(BgL_arg2000z00_2509); 
BgL_modz00_2508 = 
(BgL_offsetz00_2507/BgL_n2z00_2517); } } 
{ /* ./DotNet/predicate.scm 41 */
long BgL_restz00_2510;
{ /* ./DotNet/predicate.scm 41 */
int BgL_arg1996z00_2511;
BgL_arg1996z00_2511 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 41 */
long BgL_n2z00_2520;
BgL_n2z00_2520 = 
(long)(BgL_arg1996z00_2511); 
BgL_restz00_2510 = 
(BgL_offsetz00_2507%BgL_n2z00_2520); } } 
{ /* ./DotNet/predicate.scm 41 */

{ /* ./DotNet/predicate.scm 41 */
obj_t BgL_bucketz00_2512;
{ /* ./DotNet/predicate.scm 41 */
int BgL_kz00_2522;
BgL_kz00_2522 = 
(int)(BgL_modz00_2508); 
BgL_bucketz00_2512 = 
VECTOR_REF(BgL_arg1989z00_2503,BgL_kz00_2522); } 
{ /* ./DotNet/predicate.scm 41 */
int BgL_kz00_2524;
BgL_kz00_2524 = 
(int)(BgL_restz00_2510); 
BgL_method2969z00_2500 = 
VECTOR_REF(BgL_bucketz00_2512,BgL_kz00_2524); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2500)(BgL_method2969z00_2500, 
(obj_t)(BgL_ez00_2496), BgL_tz00_2921, BgL_fz00_2922, 
(obj_t)(BgL_envz00_2499), BEOA);} } } } } 
}



/* compile-predicate-setq2977 */
obj_t BGl_compilezd2predicatezd2setq2977z00zzdotnet_predicatez00(obj_t BgL_envz00_2925, obj_t BgL_ez00_2926, obj_t BgL_tz00_2927, obj_t BgL_fz00_2928, obj_t BgL_envz00_2929)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 37 */
{ 
BgL_setqz00_bglt BgL_ez00_1654;obj_t BgL_tz00_1655;obj_t BgL_fz00_1656;BgL_envz00_bglt BgL_envz00_1657;
BgL_ez00_1654 = 
(BgL_setqz00_bglt)(BgL_ez00_2926); 
BgL_tz00_1655 = BgL_tz00_2927; 
BgL_fz00_1656 = BgL_fz00_2928; 
BgL_envz00_1657 = 
(BgL_envz00_bglt)(BgL_envz00_2929); 
{ /* ./DotNet/predicate.scm 38 */
BgL_nodez00_bglt BgL_ez00_2490;
BgL_ez00_2490 = 
(BgL_nodez00_bglt)(BgL_ez00_1654); 
BGl_compilezd2effectzd2zzdotnet_effectz00(BgL_ez00_2490, BgL_envz00_1657); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1657, BgL_tz00_1655);} } } 
}



/* compile-predicate-let-var2975 */
obj_t BGl_compilezd2predicatezd2letzd2var2975zd2zzdotnet_predicatez00(obj_t BgL_envz00_2930, obj_t BgL_ez00_2931, obj_t BgL_tz00_2932, obj_t BgL_fz00_2933, obj_t BgL_envz00_2934)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 33 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1641;obj_t BgL_tz00_1642;obj_t BgL_fz00_1643;BgL_envz00_bglt BgL_envz00_1644;
BgL_ez00_1641 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2931); 
BgL_tz00_1642 = BgL_tz00_2932; 
BgL_fz00_1643 = BgL_fz00_2933; 
BgL_envz00_1644 = 
(BgL_envz00_bglt)(BgL_envz00_2934); 
{ /* ./DotNet/predicate.scm 34 */
obj_t BgL_compz00_2781;
{ 
int BgL_auxz00_3360;int BgL_auxz00_3358;
BgL_auxz00_3360 = 
(int)(((long)2)); 
BgL_auxz00_3358 = 
(int)(((long)2)); 
BgL_compz00_2781 = 
make_fx_procedure(BGl_comp_3758z00zzdotnet_predicatez00, BgL_auxz00_3358, BgL_auxz00_3360); } 
{ /* ./DotNet/predicate.scm 34 */
int BgL_auxz00_3363;
BgL_auxz00_3363 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_2781, BgL_auxz00_3363, BgL_tz00_1642); } 
{ /* ./DotNet/predicate.scm 34 */
int BgL_auxz00_3366;
BgL_auxz00_3366 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_2781, BgL_auxz00_3366, BgL_fz00_1643); } 
return 
BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_ez00_1641, BgL_envz00_1644, BgL_compz00_2781);} } } 
}



/* comp_3758 */
obj_t BGl_comp_3758z00zzdotnet_predicatez00(obj_t BgL_envz00_2935, obj_t BgL_ez00_2938, obj_t BgL_envz00_2939)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 34 */
{ /* ./DotNet/predicate.scm 34 */
obj_t BgL_tz00_2936;obj_t BgL_fz00_2937;
{ /* ./DotNet/predicate.scm 34 */
int BgL_auxz00_3372;
BgL_auxz00_3372 = 
(int)(((long)0)); 
BgL_tz00_2936 = 
PROCEDURE_REF(BgL_envz00_2935, BgL_auxz00_3372); } 
{ /* ./DotNet/predicate.scm 34 */
int BgL_auxz00_3375;
BgL_auxz00_3375 = 
(int)(((long)1)); 
BgL_fz00_2937 = 
PROCEDURE_REF(BgL_envz00_2935, BgL_auxz00_3375); } 
{ 
obj_t BgL_ez00_2459;obj_t BgL_envz00_2460;
BgL_ez00_2459 = BgL_ez00_2938; 
BgL_envz00_2460 = BgL_envz00_2939; 
{ /* ./DotNet/predicate.scm 34 */
BgL_nodez00_bglt BgL_ez00_2461;BgL_envz00_bglt BgL_envz00_2464;
BgL_ez00_2461 = 
(BgL_nodez00_bglt)(BgL_ez00_2459); 
BgL_envz00_2464 = 
(BgL_envz00_bglt)(BgL_envz00_2460); 
{ /* ./DotNet/predicate.scm 34 */
obj_t BgL_method2969z00_2465;
{ /* ./DotNet/predicate.scm 34 */
BgL_objectz00_bglt BgL_objz00_2466;
BgL_objz00_2466 = 
(BgL_objectz00_bglt)(BgL_ez00_2461); 
{ /* ./DotNet/predicate.scm 34 */
long BgL_objzd2classzd2numz00_2467;
BgL_objzd2classzd2numz00_2467 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2466); 
{ /* ./DotNet/predicate.scm 34 */
obj_t BgL_arg1989z00_2468;
{ /* ./DotNet/predicate.scm 34 */
int BgL_auxz00_3382;
BgL_auxz00_3382 = 
(int)(((long)1)); 
BgL_arg1989z00_2468 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3382); } 
{ /* ./DotNet/predicate.scm 34 */
int BgL_offsetz00_2471;
BgL_offsetz00_2471 = 
(int)(BgL_objzd2classzd2numz00_2467); 
{ /* ./DotNet/predicate.scm 34 */
long BgL_offsetz00_2472;
{ /* ./DotNet/predicate.scm 34 */
long BgL_auxz00_3386;
BgL_auxz00_3386 = 
(long)(BgL_offsetz00_2471); 
BgL_offsetz00_2472 = 
(BgL_auxz00_3386-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 34 */
long BgL_modz00_2473;
{ /* ./DotNet/predicate.scm 34 */
int BgL_arg2000z00_2474;
BgL_arg2000z00_2474 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 34 */
long BgL_n2z00_2482;
BgL_n2z00_2482 = 
(long)(BgL_arg2000z00_2474); 
BgL_modz00_2473 = 
(BgL_offsetz00_2472/BgL_n2z00_2482); } } 
{ /* ./DotNet/predicate.scm 34 */
long BgL_restz00_2475;
{ /* ./DotNet/predicate.scm 34 */
int BgL_arg1996z00_2476;
BgL_arg1996z00_2476 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 34 */
long BgL_n2z00_2485;
BgL_n2z00_2485 = 
(long)(BgL_arg1996z00_2476); 
BgL_restz00_2475 = 
(BgL_offsetz00_2472%BgL_n2z00_2485); } } 
{ /* ./DotNet/predicate.scm 34 */

{ /* ./DotNet/predicate.scm 34 */
obj_t BgL_bucketz00_2477;
{ /* ./DotNet/predicate.scm 34 */
int BgL_kz00_2487;
BgL_kz00_2487 = 
(int)(BgL_modz00_2473); 
BgL_bucketz00_2477 = 
VECTOR_REF(BgL_arg1989z00_2468,BgL_kz00_2487); } 
{ /* ./DotNet/predicate.scm 34 */
int BgL_kz00_2489;
BgL_kz00_2489 = 
(int)(BgL_restz00_2475); 
BgL_method2969z00_2465 = 
VECTOR_REF(BgL_bucketz00_2477,BgL_kz00_2489); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2465)(BgL_method2969z00_2465, 
(obj_t)(BgL_ez00_2461), BgL_tz00_2936, BgL_fz00_2937, 
(obj_t)(BgL_envz00_2464), BEOA);} } } } } 
}



/* compile-predicate-var2973 */
obj_t BGl_compilezd2predicatezd2var2973z00zzdotnet_predicatez00(obj_t BgL_envz00_2940, obj_t BgL_ez00_2941, obj_t BgL_tz00_2942, obj_t BgL_fz00_2943, obj_t BgL_envz00_2944)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 30 */
{ 
BgL_varz00_bglt BgL_ez00_1633;obj_t BgL_tz00_1634;obj_t BgL_fz00_1635;BgL_envz00_bglt BgL_envz00_1636;
BgL_ez00_1633 = 
(BgL_varz00_bglt)(BgL_ez00_2941); 
BgL_tz00_1634 = BgL_tz00_2942; 
BgL_fz00_1635 = BgL_fz00_2943; 
BgL_envz00_1636 = 
(BgL_envz00_bglt)(BgL_envz00_2944); 
{ /* ./DotNet/predicate.scm 31 */
BgL_nodez00_bglt BgL_ez00_2454;
BgL_ez00_2454 = 
(BgL_nodez00_bglt)(BgL_ez00_1633); 
BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_ez00_2454, BgL_envz00_1636); 
BGl__ifz00zzdotnet_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_1636, BgL_fz00_1635); 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1636, BgL_tz00_1634);} } } 
}



/* compile-predicate-atom2971 */
obj_t BGl_compilezd2predicatezd2atom2971z00zzdotnet_predicatez00(obj_t BgL_envz00_2945, obj_t BgL_ez00_2946, obj_t BgL_tz00_2947, obj_t BgL_fz00_2948, obj_t BgL_envz00_2949)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 23 */
{ 
BgL_atomz00_bglt BgL_ez00_1615;obj_t BgL_tz00_1616;obj_t BgL_fz00_1617;BgL_envz00_bglt BgL_envz00_1618;
BgL_ez00_1615 = 
(BgL_atomz00_bglt)(BgL_ez00_2946); 
BgL_tz00_1616 = BgL_tz00_2947; 
BgL_fz00_1617 = BgL_fz00_2948; 
BgL_envz00_1618 = 
(BgL_envz00_bglt)(BgL_envz00_2949); 
{ /* ./DotNet/predicate.scm 25 */
bool_t BgL_test3491z00_1622;
{ /* ./DotNet/predicate.scm 25 */
bool_t BgL_testz00_3410;
{ /* ./DotNet/predicate.scm 25 */
bool_t BgL_testz00_3411;
{ /* ./DotNet/predicate.scm 25 */
obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_1615))->BgL_valuez00); 
BgL_testz00_3411 = 
INTEGERP(BgL_auxz00_3412); } 
if(BgL_testz00_3411)
{ /* ./DotNet/predicate.scm 25 */
long BgL_auxz00_3415;
{ /* ./DotNet/predicate.scm 25 */
obj_t BgL_auxz00_3416;
BgL_auxz00_3416 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_1615))->BgL_valuez00); 
BgL_auxz00_3415 = 
(long)CINT(BgL_auxz00_3416); } 
BgL_testz00_3410 = 
(BgL_auxz00_3415==((long)0)); }  else 
{ /* ./DotNet/predicate.scm 25 */
BgL_testz00_3410 = ((bool_t)0)
; } } 
if(BgL_testz00_3410)
{ /* ./DotNet/predicate.scm 25 */
BgL_test3491z00_1622 = ((bool_t)1); }  else 
{ /* ./DotNet/predicate.scm 26 */
bool_t BgL_testz00_3420;
{ /* ./DotNet/predicate.scm 26 */
obj_t BgL_auxz00_3421;
BgL_auxz00_3421 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_1615))->BgL_valuez00); 
BgL_testz00_3420 = 
BOOLEANP(BgL_auxz00_3421); } 
if(BgL_testz00_3420)
{ /* ./DotNet/predicate.scm 26 */
obj_t BgL_auxz00_3424;
BgL_auxz00_3424 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_1615))->BgL_valuez00); 
BgL_test3491z00_1622 = 
(BgL_auxz00_3424==BFALSE); }  else 
{ /* ./DotNet/predicate.scm 26 */
BgL_test3491z00_1622 = ((bool_t)0); } } } 
if(BgL_test3491z00_1622)
{ /* ./DotNet/predicate.scm 25 */
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1618, BgL_fz00_1617);}  else 
{ /* ./DotNet/predicate.scm 25 */
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1618, BgL_tz00_1616);} } } } 
}



/* compile-predicate */
BGL_EXPORTED_DEF obj_t BGl_compilezd2predicatezd2zzdotnet_predicatez00(BgL_nodez00_bglt BgL_ez00_8, obj_t BgL_tz00_9, obj_t BgL_fz00_10, BgL_envz00_bglt BgL_envz00_11)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 21 */
{ /* ./DotNet/predicate.scm 21 */
obj_t BgL_method2969z00_2719;
{ /* ./DotNet/predicate.scm 21 */
BgL_objectz00_bglt BgL_objz00_2720;
BgL_objz00_2720 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
{ /* ./DotNet/predicate.scm 21 */
long BgL_objzd2classzd2numz00_2721;
BgL_objzd2classzd2numz00_2721 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2720); 
{ /* ./DotNet/predicate.scm 21 */
obj_t BgL_arg1989z00_2722;
{ /* ./DotNet/predicate.scm 21 */
int BgL_auxz00_3434;
BgL_auxz00_3434 = 
(int)(((long)1)); 
BgL_arg1989z00_2722 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzdotnet_predicatez00, BgL_auxz00_3434); } 
{ /* ./DotNet/predicate.scm 21 */
int BgL_offsetz00_2725;
BgL_offsetz00_2725 = 
(int)(BgL_objzd2classzd2numz00_2721); 
{ /* ./DotNet/predicate.scm 21 */
long BgL_offsetz00_2726;
{ /* ./DotNet/predicate.scm 21 */
long BgL_auxz00_3438;
BgL_auxz00_3438 = 
(long)(BgL_offsetz00_2725); 
BgL_offsetz00_2726 = 
(BgL_auxz00_3438-OBJECT_TYPE); } 
{ /* ./DotNet/predicate.scm 21 */
long BgL_modz00_2727;
{ /* ./DotNet/predicate.scm 21 */
int BgL_arg2000z00_2728;
BgL_arg2000z00_2728 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 21 */
long BgL_n2z00_2736;
BgL_n2z00_2736 = 
(long)(BgL_arg2000z00_2728); 
BgL_modz00_2727 = 
(BgL_offsetz00_2726/BgL_n2z00_2736); } } 
{ /* ./DotNet/predicate.scm 21 */
long BgL_restz00_2729;
{ /* ./DotNet/predicate.scm 21 */
int BgL_arg1996z00_2730;
BgL_arg1996z00_2730 = 
(int)(((long)8)); 
{ /* ./DotNet/predicate.scm 21 */
long BgL_n2z00_2739;
BgL_n2z00_2739 = 
(long)(BgL_arg1996z00_2730); 
BgL_restz00_2729 = 
(BgL_offsetz00_2726%BgL_n2z00_2739); } } 
{ /* ./DotNet/predicate.scm 21 */

{ /* ./DotNet/predicate.scm 21 */
obj_t BgL_bucketz00_2731;
{ /* ./DotNet/predicate.scm 21 */
int BgL_kz00_2741;
BgL_kz00_2741 = 
(int)(BgL_modz00_2727); 
BgL_bucketz00_2731 = 
VECTOR_REF(BgL_arg1989z00_2722,BgL_kz00_2741); } 
{ /* ./DotNet/predicate.scm 21 */
int BgL_kz00_2743;
BgL_kz00_2743 = 
(int)(BgL_restz00_2729); 
BgL_method2969z00_2719 = 
VECTOR_REF(BgL_bucketz00_2731,BgL_kz00_2743); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2719)(BgL_method2969z00_2719, 
(obj_t)(BgL_ez00_8), BgL_tz00_9, BgL_fz00_10, 
(obj_t)(BgL_envz00_11), BEOA);} } 
}



/* _compile-predicate */
obj_t BGl__compilezd2predicatezd2zzdotnet_predicatez00(obj_t BgL_envz00_2754, obj_t BgL_ez00_2755, obj_t BgL_tz00_2756, obj_t BgL_fz00_2757, obj_t BgL_envz00_2758)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 21 */
return 
BGl_compilezd2predicatezd2zzdotnet_predicatez00(
(BgL_nodez00_bglt)(BgL_ez00_2755), BgL_tz00_2756, BgL_fz00_2757, 
(BgL_envz00_bglt)(BgL_envz00_2758));} 
}



/* compile-predicate-default2968 */
obj_t BGl_compilezd2predicatezd2default2968z00zzdotnet_predicatez00(BgL_nodez00_bglt BgL_ez00_12, obj_t BgL_tz00_13, obj_t BgL_fz00_14, BgL_envz00_bglt BgL_envz00_15)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
{ /* ./DotNet/predicate.scm 2 */
obj_t BgL_procz00_2744;obj_t BgL_objectz00_2746;
BgL_procz00_2744 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_2746 = 
(obj_t)(BgL_ez00_12); 
FAILURE(BgL_procz00_2744,BGl_string4057z00zzdotnet_predicatez00,BgL_objectz00_2746);} } 
}



/* _compile-predicate-default2968 */
obj_t BGl__compilezd2predicatezd2default2968z00zzdotnet_predicatez00(obj_t BgL_envz00_2950, obj_t BgL_ez00_2951, obj_t BgL_tz00_2952, obj_t BgL_fz00_2953, obj_t BgL_envz00_2954)
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
return 
BGl_compilezd2predicatezd2default2968z00zzdotnet_predicatez00(
(BgL_nodez00_bglt)(BgL_ez00_2951), BgL_tz00_2952, BgL_fz00_2953, 
(BgL_envz00_bglt)(BgL_envz00_2954));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_predicatez00()
{ AN_OBJECT;
{ /* ./DotNet/predicate.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzdotnet_envz00(((long)58889), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzdotnet_instrz00(((long)8897), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzdotnet_exprz00(((long)54487), "dotnet_predicate"); 
BGl_modulezd2initializa7ationz75zzdotnet_effectz00(((long)59443), "dotnet_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(((long)49496), "dotnet_predicate");} 
}

