/*===========================================================================*/
/*   (Globalize/clocto.scm)                                                  */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Globalize/clocto.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_sfunzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   obj_t BgL_cfromz00;
   obj_t BgL_cfromza2za2;
   obj_t BgL_ctoz00;
   obj_t BgL_ctoza2za2;
   obj_t BgL_cfunctionz00;
   obj_t BgL_integratorz00;
   obj_t BgL_imarkz00;
   obj_t BgL_ownerz00;
   obj_t BgL_integratedz00;
   obj_t BgL_pluggedzd2inzd2;
   long BgL_markz00;
   obj_t BgL_freezd2markzd2;
   obj_t BgL_thezd2globalzd2;
   obj_t BgL_kapturedz00;
   obj_t BgL_newzd2bodyzd2;
   long BgL_bmarkz00;
   long BgL_umarkz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
} *BgL_sfunzf2ginfozf2_bglt;

typedef struct BgL_svarzf2ginfozf2_bgl {
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2ginfozf2_bglt;

typedef struct BgL_sexitzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
} *BgL_sexitzf2ginfozf2_bglt;

typedef struct BgL_localzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
} *BgL_localzf2ginfozf2_bglt;

typedef struct BgL_globalzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
   obj_t BgL_globalzd2closurezd2;
} *BgL_globalzf2ginfozf2_bglt;


static obj_t BGl__ctozd2transitivezd2closurez123739z12zzglobaliza7e_cloctoza7(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzglobaliza7e_cloctoza7();
BGL_EXPORTED_DECL obj_t BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7(BgL_localz00_bglt);
extern obj_t BGl_unionz00zzglobaliza7e_kaptureza7(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_localz00zzast_varz00;
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_ctozd2transitivezd2closurez12zd2envzc0zzglobaliza7e_cloctoza7, BgL_bgl__ctoza7d2transitiveza7d2closureza7123739za712za7za7globaliza7a7e_cloctoza7a73773z00, BGl__ctozd2transitivezd2closurez123739z12zzglobaliza7e_cloctoza7, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long BgL_checksumz00_2346, char * BgL_fromz00_2347)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7))
{ 
BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7(); 
BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7()
{ AN_OBJECT;
{ /* ./Globalize/clocto.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "globalize_clocto"); 
return BUNSPEC;} 
}



/* cto-transitive-closure! */
BGL_EXPORTED_DEF obj_t BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7(BgL_localz00_bglt BgL_hostz00_1)
{ AN_OBJECT;
{ /* ./Globalize/clocto.scm 36 */
{ /* ./Globalize/clocto.scm 37 */
BgL_valuez00_bglt BgL_infoz00_1120;
{ /* ./Globalize/clocto.scm 37 */
BgL_variablez00_bglt BgL_obj1104z00_1606;
BgL_obj1104z00_1606 = 
(BgL_variablez00_bglt)(BgL_hostz00_1); 
BgL_infoz00_1120 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1606))->BgL_valuez00); } 
{ /* ./Globalize/clocto.scm 37 */
obj_t BgL_ctoz00_1121;
{ /* ./Globalize/clocto.scm 38 */
obj_t BgL_auxz00_2363;obj_t BgL_auxz00_2356;
{ /* ./Globalize/clocto.scm 39 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2772z00_1608;
BgL_obj2772z00_1608 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_infoz00_1120); 
{ 
obj_t BgL_auxz00_2365;
{ /* ./Globalize/clocto.scm 39 */
BgL_objectz00_bglt BgL_auxz00_2366;
BgL_auxz00_2366 = 
(BgL_objectz00_bglt)(BgL_obj2772z00_1608); 
BgL_auxz00_2365 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2366); } 
BgL_auxz00_2363 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2365))->BgL_cfunctionz00); } } 
{ /* ./Globalize/clocto.scm 38 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2766z00_1607;
BgL_obj2766z00_1607 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_infoz00_1120); 
{ 
obj_t BgL_auxz00_2358;
{ /* ./Globalize/clocto.scm 38 */
BgL_objectz00_bglt BgL_auxz00_2359;
BgL_auxz00_2359 = 
(BgL_objectz00_bglt)(BgL_obj2766z00_1607); 
BgL_auxz00_2358 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2359); } 
BgL_auxz00_2356 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2358))->BgL_ctoz00); } } 
BgL_ctoz00_1121 = 
bgl_append2(BgL_auxz00_2356, BgL_auxz00_2363); } 
{ /* ./Globalize/clocto.scm 38 */
obj_t BgL_ctoza2zd2origz70_1122;
{ /* ./Globalize/clocto.scm 40 */
obj_t BgL_list3156z00_1152;
BgL_list3156z00_1152 = 
MAKE_PAIR(BgL_ctoz00_1121, BNIL); 
BgL_ctoza2zd2origz70_1122 = BgL_list3156z00_1152; } 
{ /* ./Globalize/clocto.scm 40 */

{ 
obj_t BgL_ctoz00_1123;obj_t BgL_ctoza2za2_1124;
BgL_ctoz00_1123 = BgL_ctoz00_1121; 
BgL_ctoza2za2_1124 = BgL_ctoza2zd2origz70_1122; 
BgL_loopz00_1125:
{ /* ./Globalize/clocto.scm 44 */
bool_t BgL_test3078z00_1126;
BgL_test3078z00_1126 = 
NULLP(BgL_ctoz00_1123); 
if(BgL_test3078z00_1126)
{ /* ./Globalize/clocto.scm 44 */
{ /* ./Globalize/clocto.scm 46 */
obj_t BgL_arg3080z00_1127;
{ /* ./Globalize/clocto.scm 46 */
bool_t BgL_test3082z00_1128;
BgL_test3082z00_1128 = 
(BgL_ctoza2za2_1124==BgL_ctoza2zd2origz70_1122); 
if(BgL_test3082z00_1128)
{ /* ./Globalize/clocto.scm 46 */
BgL_arg3080z00_1127 = 
CAR(BgL_ctoza2zd2origz70_1122); }  else 
{ /* ./Globalize/clocto.scm 46 */
BgL_arg3080z00_1127 = 
BGl_unionz00zzglobaliza7e_kaptureza7(BgL_ctoza2za2_1124); } } 
{ /* ./Globalize/clocto.scm 45 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2771z00_1613;
BgL_obj2771z00_1613 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_infoz00_1120); 
{ 
obj_t BgL_auxz00_2379;
{ /* ./Globalize/clocto.scm 45 */
BgL_objectz00_bglt BgL_auxz00_2380;
BgL_auxz00_2380 = 
(BgL_objectz00_bglt)(BgL_obj2771z00_1613); 
BgL_auxz00_2379 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2380); } 
return 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2379))->BgL_ctoza2za2) = ((obj_t)BgL_arg3080z00_1127), BUNSPEC);} } } }  else 
{ /* ./Globalize/clocto.scm 49 */
bool_t BgL_test3086z00_1129;
{ /* ./Globalize/clocto.scm 49 */
obj_t BgL_arg3151z00_1151;
BgL_arg3151z00_1151 = 
CAR(BgL_ctoz00_1123); 
BgL_test3086z00_1129 = 
(BgL_arg3151z00_1151==BGl_localz00zzast_varz00); } 
if(BgL_test3086z00_1129)
{ /* ./Globalize/clocto.scm 49 */
{ /* ./Globalize/clocto.scm 50 */
obj_t BgL_arg3088z00_1130;
BgL_arg3088z00_1130 = 
CDR(BgL_ctoz00_1123); 
{ 
obj_t BgL_ctoz00_2388;
BgL_ctoz00_2388 = BgL_arg3088z00_1130; 
BgL_ctoz00_1123 = BgL_ctoz00_2388; 
goto BgL_loopz00_1125;} } }  else 
{ /* ./Globalize/clocto.scm 51 */
bool_t BgL_test3091z00_1131;
{ /* ./Globalize/clocto.scm 51 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2757z00_1619;
{ /* ./Globalize/clocto.scm 51 */
BgL_valuez00_bglt BgL_auxz00_2389;
{ /* ./Globalize/clocto.scm 51 */
BgL_variablez00_bglt BgL_obj1104z00_1618;
{ /* ./Globalize/clocto.scm 51 */
obj_t BgL_auxz00_2390;
BgL_auxz00_2390 = 
CAR(BgL_ctoz00_1123); 
BgL_obj1104z00_1618 = 
(BgL_variablez00_bglt)(BgL_auxz00_2390); } 
BgL_auxz00_2389 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1618))->BgL_valuez00); } 
BgL_obj2757z00_1619 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2389); } 
{ 
obj_t BgL_auxz00_2395;
{ /* ./Globalize/clocto.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2396;
BgL_auxz00_2396 = 
(BgL_objectz00_bglt)(BgL_obj2757z00_1619); 
BgL_auxz00_2395 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2396); } 
BgL_test3091z00_1131 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2395))->BgL_gzf3zf3); } } 
if(BgL_test3091z00_1131)
{ /* ./Globalize/clocto.scm 51 */
{ /* ./Globalize/clocto.scm 52 */
obj_t BgL_arg3093z00_1132;
BgL_arg3093z00_1132 = 
CDR(BgL_ctoz00_1123); 
{ 
obj_t BgL_ctoz00_2402;
BgL_ctoz00_2402 = BgL_arg3093z00_1132; 
BgL_ctoz00_1123 = BgL_ctoz00_2402; 
goto BgL_loopz00_1125;} } }  else 
{ /* ./Globalize/clocto.scm 53 */
bool_t BgL_test3096z00_1133;
{ /* ./Globalize/clocto.scm 53 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2769z00_1623;
{ /* ./Globalize/clocto.scm 53 */
BgL_valuez00_bglt BgL_auxz00_2403;
{ /* ./Globalize/clocto.scm 53 */
BgL_variablez00_bglt BgL_obj1104z00_1622;
{ /* ./Globalize/clocto.scm 53 */
obj_t BgL_auxz00_2404;
BgL_auxz00_2404 = 
CAR(BgL_ctoz00_1123); 
BgL_obj1104z00_1622 = 
(BgL_variablez00_bglt)(BgL_auxz00_2404); } 
BgL_auxz00_2403 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1622))->BgL_valuez00); } 
BgL_obj2769z00_1623 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2403); } 
{ /* ./Globalize/clocto.scm 53 */
obj_t BgL_auxz00_2409;
{ 
obj_t BgL_auxz00_2410;
{ /* ./Globalize/clocto.scm 53 */
BgL_objectz00_bglt BgL_auxz00_2411;
BgL_auxz00_2411 = 
(BgL_objectz00_bglt)(BgL_obj2769z00_1623); 
BgL_auxz00_2410 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2411); } 
BgL_auxz00_2409 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2410))->BgL_ctoza2za2); } 
BgL_test3096z00_1133 = 
CBOOL(BgL_auxz00_2409); } } 
if(BgL_test3096z00_1133)
{ /* ./Globalize/clocto.scm 53 */
{ /* ./Globalize/clocto.scm 55 */
obj_t BgL_arg3098z00_1134;
BgL_arg3098z00_1134 = 
CDR(BgL_ctoz00_1123); 
{ 
obj_t BgL_ctoz00_2418;
BgL_ctoz00_2418 = BgL_arg3098z00_1134; 
BgL_ctoz00_1123 = BgL_ctoz00_2418; 
goto BgL_loopz00_1125;} } }  else 
{ /* ./Globalize/clocto.scm 53 */
{ /* ./Globalize/clocto.scm 57 */
obj_t BgL_calleez00_1135;
{ /* ./Globalize/clocto.scm 57 */
obj_t BgL_auxz00_2431;obj_t BgL_auxz00_2419;
{ /* ./Globalize/clocto.scm 59 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2772z00_1630;
{ /* ./Globalize/clocto.scm 59 */
BgL_valuez00_bglt BgL_auxz00_2432;
{ /* ./Globalize/clocto.scm 59 */
BgL_variablez00_bglt BgL_obj1104z00_1629;
{ /* ./Globalize/clocto.scm 59 */
obj_t BgL_auxz00_2433;
BgL_auxz00_2433 = 
CAR(BgL_ctoz00_1123); 
BgL_obj1104z00_1629 = 
(BgL_variablez00_bglt)(BgL_auxz00_2433); } 
BgL_auxz00_2432 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1629))->BgL_valuez00); } 
BgL_obj2772z00_1630 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2432); } 
{ 
obj_t BgL_auxz00_2438;
{ /* ./Globalize/clocto.scm 59 */
BgL_objectz00_bglt BgL_auxz00_2439;
BgL_auxz00_2439 = 
(BgL_objectz00_bglt)(BgL_obj2772z00_1630); 
BgL_auxz00_2438 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2439); } 
BgL_auxz00_2431 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2438))->BgL_cfunctionz00); } } 
{ /* ./Globalize/clocto.scm 58 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2766z00_1627;
{ /* ./Globalize/clocto.scm 58 */
BgL_valuez00_bglt BgL_auxz00_2420;
{ /* ./Globalize/clocto.scm 58 */
BgL_variablez00_bglt BgL_obj1104z00_1626;
{ /* ./Globalize/clocto.scm 58 */
obj_t BgL_auxz00_2421;
BgL_auxz00_2421 = 
CAR(BgL_ctoz00_1123); 
BgL_obj1104z00_1626 = 
(BgL_variablez00_bglt)(BgL_auxz00_2421); } 
BgL_auxz00_2420 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1626))->BgL_valuez00); } 
BgL_obj2766z00_1627 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_auxz00_2420); } 
{ 
obj_t BgL_auxz00_2426;
{ /* ./Globalize/clocto.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2427;
BgL_auxz00_2427 = 
(BgL_objectz00_bglt)(BgL_obj2766z00_1627); 
BgL_auxz00_2426 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2427); } 
BgL_auxz00_2419 = 
(((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2426))->BgL_ctoz00); } } 
BgL_calleez00_1135 = 
bgl_append2(BgL_auxz00_2419, BgL_auxz00_2431); } 
{ /* ./Globalize/clocto.scm 61 */
BgL_valuez00_bglt BgL_arg3102z00_1136;
{ /* ./Globalize/clocto.scm 61 */
BgL_variablez00_bglt BgL_obj1104z00_1632;
{ /* ./Globalize/clocto.scm 61 */
obj_t BgL_auxz00_2444;
BgL_auxz00_2444 = 
CAR(BgL_ctoz00_1123); 
BgL_obj1104z00_1632 = 
(BgL_variablez00_bglt)(BgL_auxz00_2444); } 
BgL_arg3102z00_1136 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1632))->BgL_valuez00); } 
{ /* ./Globalize/clocto.scm 61 */
BgL_sfunzf2ginfozf2_bglt BgL_obj2771z00_1633;
BgL_obj2771z00_1633 = 
(BgL_sfunzf2ginfozf2_bglt)(BgL_arg3102z00_1136); 
{ 
obj_t BgL_auxz00_2449;
{ /* ./Globalize/clocto.scm 61 */
BgL_objectz00_bglt BgL_auxz00_2450;
BgL_auxz00_2450 = 
(BgL_objectz00_bglt)(BgL_obj2771z00_1633); 
BgL_auxz00_2449 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2450); } 
((((BgL_sfunzf2ginfozf2_bglt)CREF(BgL_auxz00_2449))->BgL_ctoza2za2) = ((obj_t)BTRUE), BUNSPEC); } } } 
{ /* ./Globalize/clocto.scm 63 */
obj_t BgL_arg3109z00_1138;obj_t BgL_arg3110z00_1139;
BgL_arg3109z00_1138 = 
bgl_append2(
CDR(BgL_ctoz00_1123), BgL_calleez00_1135); 
BgL_arg3110z00_1139 = 
MAKE_PAIR(BgL_calleez00_1135, BgL_ctoza2za2_1124); 
{ 
obj_t BgL_ctoza2za2_2458;obj_t BgL_ctoz00_2457;
BgL_ctoz00_2457 = BgL_arg3109z00_1138; 
BgL_ctoza2za2_2458 = BgL_arg3110z00_1139; 
BgL_ctoza2za2_1124 = BgL_ctoza2za2_2458; 
BgL_ctoz00_1123 = BgL_ctoz00_2457; 
goto BgL_loopz00_1125;} } } } } } } } } } } } } } 
}



/* _cto-transitive-closure!3739 */
obj_t BGl__ctozd2transitivezd2closurez123739z12zzglobaliza7e_cloctoza7(obj_t BgL_envz00_2344, obj_t BgL_hostz00_2345)
{ AN_OBJECT;
{ /* ./Globalize/clocto.scm 36 */
return 
BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7(
(BgL_localz00_bglt)(BgL_hostz00_2345));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzglobaliza7e_cloctoza7()
{ AN_OBJECT;
{ /* ./Globalize/clocto.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7()
{ AN_OBJECT;
{ /* ./Globalize/clocto.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "globalize_clocto"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "globalize_clocto"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "globalize_clocto"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "globalize_clocto"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "globalize_clocto"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long)0), "globalize_clocto"); 
return 
BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)59660), "globalize_clocto");} 
}

