/*===========================================================================*/
/*   (Read/jvm.scm)                                                          */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Read/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_handlerz00zzread_jvmz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzread_jvmz00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_IMPORT obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
static obj_t BGl_za2jvmzd2markza2zd2zzread_jvmz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2jfilezd2zzread_jvmz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
static obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_escapez00zzread_jvmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza31326ze3z83zzread_jvmz00(obj_t);
static obj_t BGl_zc3exitza31168ze3z83zzread_jvmz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31181ze3z83zzread_jvmz00(obj_t);
BGL_IMPORT obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31183ze3z83zzread_jvmz00(obj_t);
static obj_t BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_jvmz00();
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
static obj_t BGl_zc3anonymousza31187ze3z83zzread_jvmz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31190ze3z83zzread_jvmz00(obj_t);
BGL_IMPORT bool_t fexists(char *);
BGL_IMPORT obj_t close_input_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00();
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzread_jvmz00 = BUNSPEC;
static obj_t BGl__sourcezd2ze3qualifiedzd2type1383ze3zzread_jvmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
BGL_IMPORT obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();
static obj_t BGl_toplevelzd2initzd2zzread_jvmz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 5 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_modulezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00, BgL_bgl__moduleza7d2za7e3qualifiedza7d2typeza7e3za7za7read_jvmza7001528za7, BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_readzd2jfilezd2envz00zzread_jvmz00, BgL_bgl__readza7d2jfileza7d2za7za7read_jvmza7001529za7, BGl__readzd2jfilezd2zzread_jvmz00, 0L, 0 );
DEFINE_STRING( BGl_string1495z00zzread_jvmz00, BgL_bgl_string1495za700za7za7read_jvmza7001530z00, "module ld done (jvm .net) jvm-qtype ", 36 );
DEFINE_STRING( BGl_string1493z00zzread_jvmz00, BgL_bgl_string1493za700za7za7read_jvmza7001531z00, "Using name `", 12 );
DEFINE_STRING( BGl_string1492z00zzread_jvmz00, BgL_bgl_string1492za700za7za7read_jvmza7001532z00, "',", 2 );
DEFINE_STRING( BGl_string1491z00zzread_jvmz00, BgL_bgl_string1491za700za7za7read_jvmza7001533z00, "Can't find qualified type name for module `", 43 );
DEFINE_STRING( BGl_string1490z00zzread_jvmz00, BgL_bgl_string1490za700za7za7read_jvmza7001534z00, "Illegal jfile format", 20 );
DEFINE_STRING( BGl_string1489z00zzread_jvmz00, BgL_bgl_string1489za700za7za7read_jvmza7001535z00, "Can't find jfile", 16 );
DEFINE_STRING( BGl_string1488z00zzread_jvmz00, BgL_bgl_string1488za700za7za7read_jvmza7001536z00, "Can't open jfile", 16 );
DEFINE_STRING( BGl_string1487z00zzread_jvmz00, BgL_bgl_string1487za700za7za7read_jvmza7001537z00, "read-jfile", 10 );
DEFINE_STRING( BGl_string1486z00zzread_jvmz00, BgL_bgl_string1486za700za7za7read_jvmza7001538z00, "      [reading jfile ", 21 );
DEFINE_STRING( BGl_string1485z00zzread_jvmz00, BgL_bgl_string1485za700za7za7read_jvmza7001539z00, "qualified type redefinition -- ", 31 );
DEFINE_STRING( BGl_string1484z00zzread_jvmz00, BgL_bgl_string1484za700za7za7read_jvmza7001540z00, " [", 2 );
DEFINE_STRING( BGl_string1483z00zzread_jvmz00, BgL_bgl_string1483za700za7za7read_jvmza7001541z00, ":", 1 );
DEFINE_STRING( BGl_string1482z00zzread_jvmz00, BgL_bgl_string1482za700za7za7read_jvmza7001542z00, "]", 1 );
DEFINE_STRING( BGl_string1481z00zzread_jvmz00, BgL_bgl_string1481za700za7za7read_jvmza7001543z00, ".", 1 );
DEFINE_STRING( BGl_string1480z00zzread_jvmz00, BgL_bgl_string1480za700za7za7read_jvmza7001544z00, "'.", 2 );
DEFINE_STRING( BGl_string1479z00zzread_jvmz00, BgL_bgl_string1479za700za7za7read_jvmza7001545z00, "add-qualified-type!", 19 );
DEFINE_STRING( BGl_string1478z00zzread_jvmz00, BgL_bgl_string1478za700za7za7read_jvmza7001546z00, "empty name for module -- ", 25 );
DEFINE_STRING( BGl_string1477z00zzread_jvmz00, BgL_bgl_string1477za700za7za7read_jvmza7001547z00, "'", 1 );
DEFINE_STRING( BGl_string1476z00zzread_jvmz00, BgL_bgl_string1476za700za7za7read_jvmza7001548z00, ", for identifier `", 18 );
DEFINE_STRING( BGl_string1475z00zzread_jvmz00, BgL_bgl_string1475za700za7za7read_jvmza7001549z00, "", 0 );
DEFINE_EXPORT_PROCEDURE( BGl_sourcezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00, BgL_bgl__sourceza7d2za7e3qualifiedza7d2type1383za7e3za7za7read_jvmza7001550za7, BGl__sourcezd2ze3qualifiedzd2type1383ze3zzread_jvmz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1494z00zzread_jvmz00, BgL_bgl_za7c3anonymousza7a31326za7e3za783za7za7read_jvmza7001551za7, BGl_zc3anonymousza31326ze3z83zzread_jvmz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2qualifiedzd2typez12zd2envzc0zzread_jvmz00, BgL_bgl__addza7d2qualifiedza7d2typeza712za712za7za7read_jvmza7001552za7, va_generic_entry, BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00, -3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long BgL_checksumz00_326, char * BgL_fromz00_327)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_jvmz00))
{ 
BGl_requirezd2initializa7ationz75zzread_jvmz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_jvmz00(); 
BGl_cnstzd2initzd2zzread_jvmz00(); 
BGl_importedzd2moduleszd2initz00zzread_jvmz00(); 
BGl_toplevelzd2initzd2zzread_jvmz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_jvm"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
{ /* ./Read/jvm.scm 15 */
obj_t BgL_cportz00_319;
BgL_cportz00_319 = 
open_input_string(BGl_string1495z00zzread_jvmz00); 
{ 
long BgL_iz00_320;
BgL_iz00_320 = ((long)4); 
BgL_loopz00_321:
{ /* ./Read/jvm.scm 15 */
bool_t BgL_test1497z00_322;
BgL_test1497z00_322 = 
(BgL_iz00_320==((long)-1)); 
if(BgL_test1497z00_322)
{ /* ./Read/jvm.scm 15 */
return BUNSPEC;}  else 
{ /* ./Read/jvm.scm 15 */
{ /* ./Read/jvm.scm 15 */
obj_t BgL_arg1499z00_323;
{ /* ./Read/jvm.scm 15 */
obj_t BgL_list1502z00_324;
BgL_list1502z00_324 = 
MAKE_PAIR(BgL_cportz00_319, BNIL); 
BgL_arg1499z00_323 = 
BGl_readz00zz__readerz00(BgL_list1502z00_324); } 
{ /* ./Read/jvm.scm 15 */
int BgL_auxz00_349;
BgL_auxz00_349 = 
(int)(BgL_iz00_320); 
CNST_TABLE_SET(BgL_auxz00_349, BgL_arg1499z00_323); } } 
{ /* ./Read/jvm.scm 15 */
int BgL_auxz00_325;
{ /* ./Read/jvm.scm 15 */
long BgL_auxz00_352;
BgL_auxz00_352 = 
(BgL_iz00_320-((long)1)); 
BgL_auxz00_325 = 
(int)(BgL_auxz00_352); } 
{ 
long BgL_iz00_355;
BgL_iz00_355 = 
(long)(BgL_auxz00_325); 
BgL_iz00_320 = BgL_iz00_355; 
goto BgL_loopz00_321;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
return ( 
BGl_za2jvmzd2markza2zd2zzread_jvmz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* add-qualified-type! */
BGL_EXPORTED_DEF obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t BgL_modulez00_1, obj_t BgL_qtypez00_2, obj_t BgL_identz00_3)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 35 */
{ /* ./Read/jvm.scm 36 */
bool_t BgL_test1033z00_22;
{ /* ./Read/jvm.scm 36 */
bool_t BgL_test1067z00_37;
{ /* ./Read/jvm.scm 36 */
obj_t BgL_auxz00_358;
BgL_auxz00_358 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test1067z00_37 = 
CBOOL(BgL_auxz00_358); } 
if(BgL_test1067z00_37)
{ /* ./Read/jvm.scm 36 */
BgL_test1033z00_22 = 
bigloo_strcmp(BgL_qtypez00_2, BGl_string1475z00zzread_jvmz00); }  else 
{ /* ./Read/jvm.scm 36 */
BgL_test1033z00_22 = ((bool_t)0); } } 
if(BgL_test1033z00_22)
{ /* ./Read/jvm.scm 37 */
obj_t BgL_arg1037z00_25;
{ /* ./Read/jvm.scm 40 */
bool_t BgL_test1050z00_30;
if(
PAIRP(BgL_identz00_3))
{ /* ./Read/jvm.scm 40 */
obj_t BgL_auxz00_367;
BgL_auxz00_367 = 
CAR(BgL_identz00_3); 
BgL_test1050z00_30 = 
SYMBOLP(BgL_auxz00_367); }  else 
{ /* ./Read/jvm.scm 40 */
BgL_test1050z00_30 = ((bool_t)0); } 
if(BgL_test1050z00_30)
{ /* ./Read/jvm.scm 41 */
obj_t BgL_arg1053z00_32;
{ /* ./Read/jvm.scm 42 */
obj_t BgL_arg1058z00_34;
BgL_arg1058z00_34 = 
CAR(BgL_identz00_3); 
BgL_arg1053z00_32 = 
SYMBOL_TO_STRING(BgL_arg1058z00_34); } 
BgL_arg1037z00_25 = 
string_append_3(BGl_string1476z00zzread_jvmz00, BgL_arg1053z00_32, BGl_string1477z00zzread_jvmz00); }  else 
{ /* ./Read/jvm.scm 40 */
BgL_arg1037z00_25 = BGl_string1475z00zzread_jvmz00; } } 
{ /* ./Read/jvm.scm 37 */
obj_t BgL_list1039z00_26;
{ /* ./Read/jvm.scm 37 */
obj_t BgL_arg1041z00_27;
{ /* ./Read/jvm.scm 37 */
obj_t BgL_arg1044z00_28;
{ /* ./Read/jvm.scm 37 */
obj_t BgL_arg1047z00_29;
BgL_arg1047z00_29 = 
MAKE_PAIR(BgL_arg1037z00_25, BNIL); 
BgL_arg1044z00_28 = 
MAKE_PAIR(BgL_modulez00_1, BgL_arg1047z00_29); } 
BgL_arg1041z00_27 = 
MAKE_PAIR(BGl_string1478z00zzread_jvmz00, BgL_arg1044z00_28); } 
BgL_list1039z00_26 = 
MAKE_PAIR(BGl_string1479z00zzread_jvmz00, BgL_arg1041z00_27); } 
BGl_warningz00zz__errorz00(BgL_list1039z00_26); } }  else 
{ /* ./Read/jvm.scm 36 */BFALSE; } } 
{ /* ./Read/jvm.scm 45 */
obj_t BgL_bz00_38;
BgL_bz00_38 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_1, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
if(
CBOOL(BgL_bz00_38))
{ /* ./Read/jvm.scm 48 */
bool_t BgL_test1070z00_39;
{ /* ./Read/jvm.scm 48 */
bool_t BgL_test1127z00_62;
{ /* ./Read/jvm.scm 48 */
obj_t BgL_auxz00_382;
BgL_auxz00_382 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test1127z00_62 = 
CBOOL(BgL_auxz00_382); } 
if(BgL_test1127z00_62)
{ /* ./Read/jvm.scm 48 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_bz00_38, BgL_qtypez00_2))
{ /* ./Read/jvm.scm 48 */
BgL_test1070z00_39 = ((bool_t)0); }  else 
{ /* ./Read/jvm.scm 48 */
BgL_test1070z00_39 = ((bool_t)1); } }  else 
{ /* ./Read/jvm.scm 48 */
BgL_test1070z00_39 = ((bool_t)0); } } 
if(BgL_test1070z00_39)
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1081z00_45;
{ /* ./Read/jvm.scm 52 */
bool_t BgL_test1111z00_55;
if(
PAIRP(BgL_identz00_3))
{ /* ./Read/jvm.scm 52 */
obj_t BgL_auxz00_392;
BgL_auxz00_392 = 
CAR(BgL_identz00_3); 
BgL_test1111z00_55 = 
SYMBOLP(BgL_auxz00_392); }  else 
{ /* ./Read/jvm.scm 52 */
BgL_test1111z00_55 = ((bool_t)0); } 
if(BgL_test1111z00_55)
{ /* ./Read/jvm.scm 53 */
obj_t BgL_arg1114z00_57;
{ /* ./Read/jvm.scm 54 */
obj_t BgL_arg1118z00_59;
BgL_arg1118z00_59 = 
CAR(BgL_identz00_3); 
BgL_arg1114z00_57 = 
SYMBOL_TO_STRING(BgL_arg1118z00_59); } 
BgL_arg1081z00_45 = 
string_append_3(BGl_string1476z00zzread_jvmz00, BgL_arg1114z00_57, BGl_string1480z00zzread_jvmz00); }  else 
{ /* ./Read/jvm.scm 52 */
BgL_arg1081z00_45 = BGl_string1481z00zzread_jvmz00; } } 
{ /* ./Read/jvm.scm 49 */
obj_t BgL_list1083z00_46;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1085z00_47;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1088z00_48;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1091z00_49;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1096z00_50;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1099z00_51;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1102z00_52;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1105z00_53;
{ /* ./Read/jvm.scm 49 */
obj_t BgL_arg1108z00_54;
BgL_arg1108z00_54 = 
MAKE_PAIR(BgL_arg1081z00_45, BNIL); 
BgL_arg1105z00_53 = 
MAKE_PAIR(BGl_string1482z00zzread_jvmz00, BgL_arg1108z00_54); } 
BgL_arg1102z00_52 = 
MAKE_PAIR(BgL_qtypez00_2, BgL_arg1105z00_53); } 
BgL_arg1099z00_51 = 
MAKE_PAIR(BGl_string1483z00zzread_jvmz00, BgL_arg1102z00_52); } 
BgL_arg1096z00_50 = 
MAKE_PAIR(BgL_bz00_38, BgL_arg1099z00_51); } 
BgL_arg1091z00_49 = 
MAKE_PAIR(BGl_string1484z00zzread_jvmz00, BgL_arg1096z00_50); } 
BgL_arg1088z00_48 = 
MAKE_PAIR(BgL_modulez00_1, BgL_arg1091z00_49); } 
BgL_arg1085z00_47 = 
MAKE_PAIR(BGl_string1485z00zzread_jvmz00, BgL_arg1088z00_48); } 
BgL_list1083z00_46 = 
MAKE_PAIR(BGl_string1479z00zzread_jvmz00, BgL_arg1085z00_47); } 
return 
BGl_warningz00zz__errorz00(BgL_list1083z00_46);} }  else 
{ /* ./Read/jvm.scm 48 */
return 
CNST_TABLE_REF(((long)2));} }  else 
{ /* ./Read/jvm.scm 46 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_1, BGl_za2jvmzd2markza2zd2zzread_jvmz00, BgL_qtypez00_2);} } } 
}



/* _add-qualified-type! */
obj_t BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t BgL_envz00_268, obj_t BgL_modulez00_269, obj_t BgL_qtypez00_270, obj_t BgL_identz00_271)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 35 */
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_269, BgL_qtypez00_270, BgL_identz00_271);} 
}



/* read-jfile */
BGL_EXPORTED_DEF obj_t BGl_readzd2jfilezd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 62 */
{ 
obj_t BgL_namez00_69;
{ /* ./Read/jvm.scm 73 */
bool_t BgL_test1133z00_65;
{ /* ./Read/jvm.scm 73 */
obj_t BgL_objz00_211;
BgL_objz00_211 = BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00; 
BgL_test1133z00_65 = 
STRINGP(BgL_objz00_211); } 
if(BgL_test1133z00_65)
{ /* ./Read/jvm.scm 77 */
bool_t BgL_test1134z00_66;
{ /* ./Read/jvm.scm 77 */
char * BgL_namez00_212;
BgL_namez00_212 = 
BSTRING_TO_STRING(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00); 
BgL_test1134z00_66 = 
fexists(BgL_namez00_212); } 
if(BgL_test1134z00_66)
{ /* ./Read/jvm.scm 77 */
BgL_namez00_69 = BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00; 
BgL_zc3anonymousza31143ze3z83_70:
{ /* ./Read/jvm.scm 64 */
obj_t BgL_portz00_71;
BgL_portz00_71 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_namez00_69, BNIL); 
{ /* ./Read/jvm.scm 65 */
obj_t BgL_list1145z00_72;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1149z00_74;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1152z00_75;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1156z00_77;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_auxz00_418;
BgL_auxz00_418 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1156z00_77 = 
MAKE_PAIR(BgL_auxz00_418, BNIL); } 
BgL_arg1152z00_75 = 
MAKE_PAIR(BGl_string1482z00zzread_jvmz00, BgL_arg1156z00_77); } 
BgL_arg1149z00_74 = 
MAKE_PAIR(BgL_namez00_69, BgL_arg1152z00_75); } 
BgL_list1145z00_72 = 
MAKE_PAIR(BGl_string1486z00zzread_jvmz00, BgL_arg1149z00_74); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1145z00_72); } 
{ /* ./Read/jvm.scm 66 */
bool_t BgL_test1160z00_78;
BgL_test1160z00_78 = 
INPUT_PORTP(BgL_portz00_71); 
if(BgL_test1160z00_78)
{ /* ./Read/jvm.scm 66 */
BGl_dozd2readzd2jfilez00zzread_jvmz00(BgL_portz00_71, BgL_namez00_69); 
return 
close_input_port(BgL_portz00_71);}  else 
{ /* ./Read/jvm.scm 66 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1487z00zzread_jvmz00, BGl_string1488z00zzread_jvmz00, BgL_namez00_69, BNIL);} } } }  else 
{ /* ./Read/jvm.scm 77 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1487z00zzread_jvmz00, BGl_string1489z00zzread_jvmz00, BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00, BNIL);} }  else 
{ /* ./Read/jvm.scm 73 */
{ /* ./Read/jvm.scm 74 */
bool_t BgL_test1139z00_68;
{ /* ./Read/jvm.scm 74 */
char * BgL_namez00_213;
BgL_namez00_213 = 
BSTRING_TO_STRING(BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00); 
BgL_test1139z00_68 = 
fexists(BgL_namez00_213); } 
if(BgL_test1139z00_68)
{ 
obj_t BgL_namez00_435;
BgL_namez00_435 = BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00; 
BgL_namez00_69 = BgL_namez00_435; 
goto BgL_zc3anonymousza31143ze3z83_70;}  else 
{ /* ./Read/jvm.scm 74 */
return 
CNST_TABLE_REF(((long)2));} } } } } } 
}



/* _read-jfile */
obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t BgL_envz00_272)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 62 */
return 
BGl_readzd2jfilezd2zzread_jvmz00();} 
}



/* do-read-jfile */
obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t BgL_portz00_4, obj_t BgL_jfnamez00_5)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 85 */
{ /* ./Read/jvm.scm 86 */
obj_t BgL_handlerz00_278;
{ 
int BgL_auxz00_440;int BgL_auxz00_438;
BgL_auxz00_440 = 
(int)(((long)1)); 
BgL_auxz00_438 = 
(int)(((long)4)); 
BgL_handlerz00_278 = 
make_fx_procedure(BGl_handlerz00zzread_jvmz00, BgL_auxz00_438, BgL_auxz00_440); } 
{ /* ./Read/jvm.scm 86 */
int BgL_auxz00_443;
BgL_auxz00_443 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_278, BgL_auxz00_443, BgL_portz00_4); } 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_armed1028z00_87;obj_t BgL_handler1025z00_88;
BgL_armed1028z00_87 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1025z00_88 = 
MAKE_CELL(BUNSPEC); 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_zc3anonymousza31190ze3z83_274;obj_t BgL_zc3anonymousza31187ze3z83_276;
{ 
int BgL_auxz00_448;int BgL_auxz00_446;
BgL_auxz00_448 = 
(int)(((long)1)); 
BgL_auxz00_446 = 
(int)(((long)0)); 
BgL_zc3anonymousza31190ze3z83_274 = 
make_fx_procedure(BGl_zc3anonymousza31190ze3z83zzread_jvmz00, BgL_auxz00_446, BgL_auxz00_448); } 
{ 
int BgL_auxz00_453;int BgL_auxz00_451;
BgL_auxz00_453 = 
(int)(((long)2)); 
BgL_auxz00_451 = 
(int)(((long)4)); 
BgL_zc3anonymousza31187ze3z83_276 = 
make_fx_procedure(BGl_zc3anonymousza31187ze3z83zzread_jvmz00, BgL_auxz00_451, BgL_auxz00_453); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_456;
BgL_auxz00_456 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31190ze3z83_274, BgL_auxz00_456, BgL_portz00_4); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_459;
BgL_auxz00_459 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31187ze3z83_276, BgL_auxz00_459, BgL_armed1028z00_87); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_462;
BgL_auxz00_462 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31187ze3z83_276, BgL_auxz00_462, BgL_handler1025z00_88); } 
CELL_SET(BgL_handler1025z00_88, BgL_handlerz00_278); 
CELL_SET(BgL_armed1028z00_87, BTRUE); 
return 
BGl_zc3exitza31168ze3z83zzread_jvmz00(BgL_zc3anonymousza31190ze3z83_274, BgL_zc3anonymousza31187ze3z83_276, BgL_handler1025z00_88, BgL_armed1028z00_87);} } } } 
}



/* <exit:1168> */
obj_t BGl_zc3exitza31168ze3z83zzread_jvmz00(obj_t BgL_zc3anonymousza31190ze3z83_318, obj_t BgL_zc3anonymousza31187ze3z83_317, obj_t BgL_handler1025z00_316, obj_t BgL_armed1028z00_315)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1029z00_92;
if( SET_EXIT(BgL_an_exit1029z00_92) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1029z00_92 = 
(obj_t)jmpbuf; 
{ /* ./Read/jvm.scm 90 */

PUSH_EXIT(BgL_an_exit1029z00_92, ((bool_t)1)); 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_an_exitd1030z00_93;
BgL_an_exitd1030z00_93 = 
BGL_EXITD_TOP(); 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_escapez00_275;
{ 
int BgL_auxz00_472;int BgL_auxz00_470;
BgL_auxz00_472 = 
(int)(((long)1)); 
BgL_auxz00_470 = 
(int)(((long)1)); 
BgL_escapez00_275 = 
make_fx_procedure(BGl_escapez00zzread_jvmz00, BgL_auxz00_470, BgL_auxz00_472); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_475;
BgL_auxz00_475 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_275, BgL_auxz00_475, BgL_an_exitd1030z00_93); } 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_res1032z00_96;
{ /* ./Read/jvm.scm 90 */
obj_t BgL_zc3anonymousza31183ze3z83_273;obj_t BgL_zc3anonymousza31181ze3z83_277;
{ 
int BgL_auxz00_480;int BgL_auxz00_478;
BgL_auxz00_480 = 
(int)(((long)1)); 
BgL_auxz00_478 = 
(int)(((long)0)); 
BgL_zc3anonymousza31183ze3z83_273 = 
make_fx_procedure(BGl_zc3anonymousza31183ze3z83zzread_jvmz00, BgL_auxz00_478, BgL_auxz00_480); } 
{ 
int BgL_auxz00_485;int BgL_auxz00_483;
BgL_auxz00_485 = 
(int)(((long)5)); 
BgL_auxz00_483 = 
(int)(((long)0)); 
BgL_zc3anonymousza31181ze3z83_277 = 
make_fx_procedure(BGl_zc3anonymousza31181ze3z83zzread_jvmz00, BgL_auxz00_483, BgL_auxz00_485); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_488;
BgL_auxz00_488 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31183ze3z83_273, BgL_auxz00_488, BgL_armed1028z00_315); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_491;
BgL_auxz00_491 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31181ze3z83_277, BgL_auxz00_491, BgL_an_exitd1030z00_93); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_494;
BgL_auxz00_494 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31181ze3z83_277, BgL_auxz00_494, BgL_armed1028z00_315); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_497;
BgL_auxz00_497 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31181ze3z83_277, BgL_auxz00_497, BgL_handler1025z00_316); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_500;
BgL_auxz00_500 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31181ze3z83_277, BgL_auxz00_500, BgL_zc3anonymousza31187ze3z83_317); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_503;
BgL_auxz00_503 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31181ze3z83_277, BgL_auxz00_503, BgL_escapez00_275); } 
BgL_res1032z00_96 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31181ze3z83_277, BgL_zc3anonymousza31190ze3z83_318, BgL_zc3anonymousza31183ze3z83_273); } 
POP_EXIT(); 
return BgL_res1032z00_96;} } } } 
} } 
}



/* <anonymous:1183> */
obj_t BGl_zc3anonymousza31183ze3z83zzread_jvmz00(obj_t BgL_envz00_279)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
{ /* ./Read/jvm.scm 90 */
obj_t BgL_armed1028z00_280;
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_508;
BgL_auxz00_508 = 
(int)(((long)0)); 
BgL_armed1028z00_280 = 
PROCEDURE_REF(BgL_envz00_279, BgL_auxz00_508); } 
{ 

{ /* ./Read/jvm.scm 90 */
bool_t BgL_testz00_511;
{ /* ./Read/jvm.scm 90 */
obj_t BgL_auxz00_512;
BgL_auxz00_512 = 
CELL_REF(BgL_armed1028z00_280); 
BgL_testz00_511 = 
CBOOL(BgL_auxz00_512); } 
if(BgL_testz00_511)
{ /* ./Read/jvm.scm 90 */
CELL_SET(BgL_armed1028z00_280, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* ./Read/jvm.scm 90 */
return BFALSE;} } } } } 
}



/* <anonymous:1190> */
obj_t BGl_zc3anonymousza31190ze3z83zzread_jvmz00(obj_t BgL_envz00_282)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
{ /* ./Read/jvm.scm 90 */
obj_t BgL_portz00_283;
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_515;
BgL_auxz00_515 = 
(int)(((long)0)); 
BgL_portz00_283 = 
PROCEDURE_REF(BgL_envz00_282, BgL_auxz00_515); } 
{ 

{ /* ./Read/jvm.scm 90 */
obj_t BgL_objz00_109;
{ /* ./Read/jvm.scm 90 */
obj_t BgL_list1243z00_139;
{ /* ./Read/jvm.scm 90 */
obj_t BgL_arg1245z00_140;
BgL_arg1245z00_140 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1243z00_139 = 
MAKE_PAIR(BgL_portz00_283, BgL_arg1245z00_140); } 
BgL_objz00_109 = 
BGl_readz00zz__readerz00(BgL_list1243z00_139); } 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_eofz00_110;
{ /* ./Read/jvm.scm 91 */
obj_t BgL_list1240z00_138;
BgL_list1240z00_138 = 
MAKE_PAIR(BgL_portz00_283, BNIL); 
BgL_eofz00_110 = 
BGl_readz00zz__readerz00(BgL_list1240z00_138); } 
{ /* ./Read/jvm.scm 91 */

{ /* ./Read/jvm.scm 93 */
bool_t BgL_test1191z00_111;
BgL_test1191z00_111 = 
EOF_OBJECTP(BgL_objz00_109); 
if(BgL_test1191z00_111)
{ /* ./Read/jvm.scm 93 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1487z00zzread_jvmz00, BGl_string1490z00zzread_jvmz00, BgL_objz00_109, BNIL);}  else 
{ /* ./Read/jvm.scm 95 */
bool_t BgL_test1194z00_113;
BgL_test1194z00_113 = 
EOF_OBJECTP(BgL_eofz00_110); 
if(BgL_test1194z00_113)
{ /* ./Read/jvm.scm 95 */
{ 
obj_t BgL_objz00_114;
BgL_objz00_114 = BgL_objz00_109; 
BgL_loopz00_115:
{ /* ./Read/jvm.scm 99 */
bool_t BgL_test1196z00_116;
BgL_test1196z00_116 = 
NULLP(BgL_objz00_114); 
if(BgL_test1196z00_116)
{ /* ./Read/jvm.scm 99 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ 

{ /* ./Read/jvm.scm 101 */
obj_t BgL_ezd2103zd2_121;
BgL_ezd2103zd2_121 = 
CAR(BgL_objz00_114); 
{ /* ./Read/jvm.scm 101 */
bool_t BgL_test1197z00_122;
BgL_test1197z00_122 = 
PAIRP(BgL_ezd2103zd2_121); 
if(BgL_test1197z00_122)
{ /* ./Read/jvm.scm 101 */
obj_t BgL_carzd2108zd2_123;obj_t BgL_cdrzd2109zd2_124;
BgL_carzd2108zd2_123 = 
CAR(BgL_ezd2103zd2_121); 
BgL_cdrzd2109zd2_124 = 
CDR(BgL_ezd2103zd2_121); 
{ /* ./Read/jvm.scm 101 */
bool_t BgL_test1198z00_125;
BgL_test1198z00_125 = 
SYMBOLP(BgL_carzd2108zd2_123); 
if(BgL_test1198z00_125)
{ /* ./Read/jvm.scm 101 */
bool_t BgL_test1199z00_126;
BgL_test1199z00_126 = 
PAIRP(BgL_cdrzd2109zd2_124); 
if(BgL_test1199z00_126)
{ /* ./Read/jvm.scm 101 */
obj_t BgL_carzd2114zd2_127;
BgL_carzd2114zd2_127 = 
CAR(BgL_cdrzd2109zd2_124); 
{ /* ./Read/jvm.scm 101 */
bool_t BgL_test1200z00_128;
BgL_test1200z00_128 = 
STRINGP(BgL_carzd2114zd2_127); 
if(BgL_test1200z00_128)
{ /* ./Read/jvm.scm 101 */
bool_t BgL_test1201z00_129;
{ /* ./Read/jvm.scm 101 */
obj_t BgL_auxz00_543;
BgL_auxz00_543 = 
CDR(BgL_cdrzd2109zd2_124); 
BgL_test1201z00_129 = 
NULLP(BgL_auxz00_543); } 
if(BgL_test1201z00_129)
{ /* ./Read/jvm.scm 101 */
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_carzd2108zd2_123, BgL_carzd2114zd2_127, BNIL); 
{ /* ./Read/jvm.scm 101 */
obj_t BgL_arg1223z00_232;
BgL_arg1223z00_232 = 
CDR(BgL_objz00_114); 
{ 
obj_t BgL_objz00_549;
BgL_objz00_549 = BgL_arg1223z00_232; 
BgL_objz00_114 = BgL_objz00_549; 
goto BgL_loopz00_115;} } }  else 
{ /* ./Read/jvm.scm 101 */
BgL_tagzd2102zd2_120:
{ /* ./Read/jvm.scm 106 */
obj_t BgL_arg1230z00_135;
BgL_arg1230z00_135 = 
CAR(BgL_objz00_114); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1487z00zzread_jvmz00, BGl_string1490z00zzread_jvmz00, BgL_arg1230z00_135, BNIL);} } }  else 
{ /* ./Read/jvm.scm 101 */
goto BgL_tagzd2102zd2_120;} } }  else 
{ /* ./Read/jvm.scm 101 */
goto BgL_tagzd2102zd2_120;} }  else 
{ /* ./Read/jvm.scm 101 */
goto BgL_tagzd2102zd2_120;} } }  else 
{ /* ./Read/jvm.scm 101 */
goto BgL_tagzd2102zd2_120;} } } } } } }  else 
{ /* ./Read/jvm.scm 95 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1487z00zzread_jvmz00, BGl_string1490z00zzread_jvmz00, BgL_eofz00_110, BNIL);} } } } } } } } } 
}



/* <anonymous:1181> */
obj_t BGl_zc3anonymousza31181ze3z83zzread_jvmz00(obj_t BgL_envz00_284)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
{ /* ./Read/jvm.scm 90 */
obj_t BgL_zc3anonymousza31187ze3z83_288;obj_t BgL_escapez00_289;
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_553;
BgL_auxz00_553 = 
(int)(((long)3)); 
BgL_zc3anonymousza31187ze3z83_288 = 
PROCEDURE_REF(BgL_envz00_284, BgL_auxz00_553); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_556;
BgL_auxz00_556 = 
(int)(((long)4)); 
BgL_escapez00_289 = 
PROCEDURE_REF(BgL_envz00_284, BgL_auxz00_556); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza31187ze3z83_288, BgL_escapez00_289);} } } 
}



/* escape */
obj_t BGl_escapez00zzread_jvmz00(obj_t BgL_envz00_290, obj_t BgL_val1031z00_292)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
{ /* ./Read/jvm.scm 90 */
obj_t BgL_an_exitd1030z00_291;
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_560;
BgL_auxz00_560 = 
(int)(((long)0)); 
BgL_an_exitd1030z00_291 = 
PROCEDURE_REF(BgL_envz00_290, BgL_auxz00_560); } 
{ 
obj_t BgL_val1031z00_94;
BgL_val1031z00_94 = BgL_val1031z00_292; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1030z00_291, BgL_val1031z00_94);} } } 
}



/* <anonymous:1187> */
obj_t BGl_zc3anonymousza31187ze3z83zzread_jvmz00(obj_t BgL_envz00_293, obj_t BgL_escz00_296, obj_t BgL_objz00_297, obj_t BgL_procz00_298, obj_t BgL_msgz00_299)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
{ /* ./Read/jvm.scm 90 */
obj_t BgL_armed1028z00_294;obj_t BgL_handler1025z00_295;
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_564;
BgL_auxz00_564 = 
(int)(((long)0)); 
BgL_armed1028z00_294 = 
PROCEDURE_REF(BgL_envz00_293, BgL_auxz00_564); } 
{ /* ./Read/jvm.scm 90 */
int BgL_auxz00_567;
BgL_auxz00_567 = 
(int)(((long)1)); 
BgL_handler1025z00_295 = 
PROCEDURE_REF(BgL_envz00_293, BgL_auxz00_567); } 
{ 
obj_t BgL_escz00_103;obj_t BgL_objz00_104;obj_t BgL_procz00_105;obj_t BgL_msgz00_106;
BgL_escz00_103 = BgL_escz00_296; 
BgL_objz00_104 = BgL_objz00_297; 
BgL_procz00_105 = BgL_procz00_298; 
BgL_msgz00_106 = BgL_msgz00_299; 
CELL_SET(BgL_armed1028z00_294, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* ./Read/jvm.scm 90 */
obj_t BgL_auxz00_572;
BgL_auxz00_572 = 
CELL_REF(BgL_handler1025z00_295); 
return 
PROCEDURE_ENTRY(BgL_auxz00_572)(
CELL_REF(BgL_handler1025z00_295), BgL_escz00_103, BgL_objz00_104, BgL_procz00_105, BgL_msgz00_106, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzread_jvmz00(obj_t BgL_envz00_301, obj_t BgL_escapez00_303, obj_t BgL_procz00_304, obj_t BgL_mesz00_305, obj_t BgL_objz00_306)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 86 */
{ /* ./Read/jvm.scm 87 */
obj_t BgL_portz00_302;
{ /* ./Read/jvm.scm 87 */
int BgL_auxz00_573;
BgL_auxz00_573 = 
(int)(((long)0)); 
BgL_portz00_302 = 
PROCEDURE_REF(BgL_envz00_301, BgL_auxz00_573); } 
{ 
obj_t BgL_escapez00_82;obj_t BgL_procz00_83;obj_t BgL_mesz00_84;obj_t BgL_objz00_85;
BgL_escapez00_82 = BgL_escapez00_303; 
BgL_procz00_83 = BgL_procz00_304; 
BgL_mesz00_84 = BgL_mesz00_305; 
BgL_objz00_85 = BgL_objz00_306; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_83, BgL_mesz00_84, BgL_objz00_85); 
close_input_port(BgL_portz00_302); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-2)));} } } 
}



/* add-current-module-qualified-type-name! */
obj_t BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 114 */
{ /* ./Read/jvm.scm 116 */
obj_t BgL_qtypez00_143;
BgL_qtypez00_143 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
{ /* ./Read/jvm.scm 117 */
bool_t BgL_test1251z00_144;
BgL_test1251z00_144 = 
STRINGP(BgL_qtypez00_143); 
if(BgL_test1251z00_144)
{ /* ./Read/jvm.scm 117 */
return BFALSE;}  else 
{ /* ./Read/jvm.scm 121 */
bool_t BgL_test1252z00_145;
{ /* ./Read/jvm.scm 122 */
bool_t BgL_test1274z00_154;
{ /* ./Read/jvm.scm 122 */
obj_t BgL_objz00_240;
BgL_objz00_240 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test1274z00_154 = 
STRINGP(BgL_objz00_240); } 
if(BgL_test1274z00_154)
{ /* ./Read/jvm.scm 122 */
obj_t BgL_auxz00_585;
BgL_auxz00_585 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1252z00_145 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_585); }  else 
{ /* ./Read/jvm.scm 122 */
BgL_test1252z00_145 = ((bool_t)1); } } 
if(BgL_test1252z00_145)
{ /* ./Read/jvm.scm 121 */
{ /* ./Read/jvm.scm 131 */
obj_t BgL_qtz00_146;
{ /* ./Read/jvm.scm 125 */
bool_t BgL_test1255z00_148;
{ /* ./Read/jvm.scm 125 */
obj_t BgL_arg1268z00_151;
{ /* ./Read/jvm.scm 125 */
obj_t BgL_pairz00_241;
BgL_pairz00_241 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1268z00_151 = 
CAR(BgL_pairz00_241); } 
BgL_test1255z00_148 = 
STRINGP(BgL_arg1268z00_151); } 
if(BgL_test1255z00_148)
{ /* ./Read/jvm.scm 126 */
obj_t BgL_arg1258z00_149;
{ /* ./Read/jvm.scm 126 */
obj_t BgL_arg1264z00_150;
{ /* ./Read/jvm.scm 126 */
obj_t BgL_pairz00_243;
BgL_pairz00_243 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1264z00_150 = 
CAR(BgL_pairz00_243); } 
BgL_arg1258z00_149 = 
BGl_basenamez00zz__osz00(BgL_arg1264z00_150); } 
BgL_qtz00_146 = 
BGl_prefixz00zz__osz00(BgL_arg1258z00_149); }  else 
{ /* ./Read/jvm.scm 125 */
BgL_qtz00_146 = BGl_string1481z00zzread_jvmz00; } } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_146, BNIL); 
return BgL_qtz00_146;} }  else 
{ /* ./Read/jvm.scm 121 */
{ /* ./Read/jvm.scm 131 */
obj_t BgL_qtz00_152;
BgL_qtz00_152 = 
BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_152, BNIL); 
return BgL_qtz00_152;} } } } } } 
}



/* module->qualified-type */
BGL_EXPORTED_DEF obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_modulez00_6)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 141 */
{ /* ./Read/jvm.scm 142 */
obj_t BgL_bz00_155;
BgL_bz00_155 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_6, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
{ /* ./Read/jvm.scm 144 */
bool_t BgL_test1279z00_156;
BgL_test1279z00_156 = 
STRINGP(BgL_bz00_155); 
if(BgL_test1279z00_156)
{ /* ./Read/jvm.scm 144 */
return BgL_bz00_155;}  else 
{ /* ./Read/jvm.scm 146 */
bool_t BgL_test1280z00_157;
BgL_test1280z00_157 = 
(BgL_modulez00_6==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test1280z00_157)
{ /* ./Read/jvm.scm 146 */
return 
BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();}  else 
{ /* ./Read/jvm.scm 146 */
{ /* ./Read/jvm.scm 149 */
obj_t BgL_cellz00_158;
BgL_cellz00_158 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_6, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
{ /* ./Read/jvm.scm 149 */
obj_t BgL_defaultz00_159;
{ /* ./Read/jvm.scm 150 */
bool_t BgL_test1308z00_172;
BgL_test1308z00_172 = 
PAIRP(BgL_cellz00_158); 
if(BgL_test1308z00_172)
{ /* ./Read/jvm.scm 151 */
obj_t BgL_arg1310z00_173;
{ /* ./Read/jvm.scm 151 */
obj_t BgL_arg1313z00_174;
{ /* ./Read/jvm.scm 151 */
obj_t BgL_auxz00_607;
BgL_auxz00_607 = 
CDR(BgL_cellz00_158); 
BgL_arg1313z00_174 = 
CAR(BgL_auxz00_607); } 
BgL_arg1310z00_173 = 
BGl_basenamez00zz__osz00(BgL_arg1313z00_174); } 
BgL_defaultz00_159 = 
BGl_prefixz00zz__osz00(BgL_arg1310z00_173); }  else 
{ /* ./Read/jvm.scm 150 */
BgL_defaultz00_159 = 
SYMBOL_TO_STRING(BgL_modulez00_6); } } 
{ /* ./Read/jvm.scm 150 */

{ /* ./Read/jvm.scm 153 */
bool_t BgL_test1282z00_160;
{ /* ./Read/jvm.scm 153 */
obj_t BgL_auxz00_613;
BgL_auxz00_613 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test1282z00_160 = 
CBOOL(BgL_auxz00_613); } 
if(BgL_test1282z00_160)
{ /* ./Read/jvm.scm 155 */
obj_t BgL_arg1284z00_161;
{ /* ./Read/jvm.scm 155 */
obj_t BgL_arg1301z00_169;
BgL_arg1301z00_169 = 
SYMBOL_TO_STRING(BgL_modulez00_6); 
BgL_arg1284z00_161 = 
string_append_3(BGl_string1491z00zzread_jvmz00, BgL_arg1301z00_169, BGl_string1492z00zzread_jvmz00); } 
{ /* ./Read/jvm.scm 154 */
obj_t BgL_list1288z00_164;
{ /* ./Read/jvm.scm 154 */
obj_t BgL_arg1290z00_165;
{ /* ./Read/jvm.scm 154 */
obj_t BgL_arg1293z00_166;
{ /* ./Read/jvm.scm 154 */
obj_t BgL_arg1296z00_167;
BgL_arg1296z00_167 = 
MAKE_PAIR(BGl_string1480z00zzread_jvmz00, BNIL); 
BgL_arg1293z00_166 = 
MAKE_PAIR(BgL_defaultz00_159, BgL_arg1296z00_167); } 
BgL_arg1290z00_165 = 
MAKE_PAIR(BGl_string1493z00zzread_jvmz00, BgL_arg1293z00_166); } 
BgL_list1288z00_164 = 
MAKE_PAIR(BgL_arg1284z00_161, BgL_arg1290z00_165); } 
BGl_warningz00zz__errorz00(BgL_list1288z00_164); } }  else 
{ /* ./Read/jvm.scm 153 */BFALSE; } } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_6, BgL_defaultz00_159, BNIL); 
return BgL_defaultz00_159;} } } } } } } } 
}



/* _module->qualified-type */
obj_t BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_envz00_309, obj_t BgL_modulez00_310)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 141 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_310);} 
}



/* source->qualified-type */
BGL_EXPORTED_DEF obj_t BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_filez00_7)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 166 */
{ /* ./Read/jvm.scm 167 */
bool_t BgL_test1322z00_175;
{ /* ./Read/jvm.scm 167 */
char * BgL_namez00_252;
BgL_namez00_252 = 
BSTRING_TO_STRING(BgL_filez00_7); 
BgL_test1322z00_175 = 
fexists(BgL_namez00_252); } 
if(BgL_test1322z00_175)
{ /* ./Read/jvm.scm 167 */
return 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_7, BGl_proc1494z00zzread_jvmz00);}  else 
{ /* ./Read/jvm.scm 167 */
return BFALSE;} } } 
}



/* _source->qualified-type1383 */
obj_t BGl__sourcezd2ze3qualifiedzd2type1383ze3zzread_jvmz00(obj_t BgL_envz00_312, obj_t BgL_filez00_313)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 166 */
return 
BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_filez00_313);} 
}



/* <anonymous:1326> */
obj_t BGl_zc3anonymousza31326ze3z83zzread_jvmz00(obj_t BgL_envz00_314)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 169 */
{ 

{ /* ./Read/jvm.scm 170 */
obj_t BgL_ezd2120zd2_181;
{ /* ./Read/jvm.scm 170 */
obj_t BgL_arg1346z00_189;
BgL_arg1346z00_189 = 
BGL_CURRENT_INPUT_PORT(); 
{ /* ./Read/jvm.scm 170 */
obj_t BgL_list1348z00_190;
BgL_list1348z00_190 = 
MAKE_PAIR(BgL_arg1346z00_189, BNIL); 
BgL_ezd2120zd2_181 = 
BGl_readz00zz__readerz00(BgL_list1348z00_190); } } 
{ /* ./Read/jvm.scm 169 */
bool_t BgL_test1327z00_182;
BgL_test1327z00_182 = 
PAIRP(BgL_ezd2120zd2_181); 
if(BgL_test1327z00_182)
{ /* ./Read/jvm.scm 169 */
obj_t BgL_cdrzd2124zd2_183;
BgL_cdrzd2124zd2_183 = 
CDR(BgL_ezd2120zd2_181); 
{ /* ./Read/jvm.scm 169 */
bool_t BgL_test1328z00_184;
{ /* ./Read/jvm.scm 169 */
obj_t BgL_auxz00_640;obj_t BgL_auxz00_638;
BgL_auxz00_640 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_638 = 
CAR(BgL_ezd2120zd2_181); 
BgL_test1328z00_184 = 
(BgL_auxz00_638==BgL_auxz00_640); } 
if(BgL_test1328z00_184)
{ /* ./Read/jvm.scm 169 */
bool_t BgL_test1329z00_185;
BgL_test1329z00_185 = 
PAIRP(BgL_cdrzd2124zd2_183); 
if(BgL_test1329z00_185)
{ /* ./Read/jvm.scm 169 */
obj_t BgL_arg1331z00_186;
BgL_arg1331z00_186 = 
CAR(BgL_cdrzd2124zd2_183); 
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_arg1331z00_186);}  else 
{ /* ./Read/jvm.scm 169 */
return BFALSE;} }  else 
{ /* ./Read/jvm.scm 169 */
return BFALSE;} } }  else 
{ /* ./Read/jvm.scm 169 */
return BFALSE;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)46992), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "read_jvm"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), "read_jvm"); 
return 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "read_jvm");} 
}

