/*===========================================================================*/
/*   (Ieee/string.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.96 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/string.scm -indent -o objs/obj_u/Ieee/string.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__blitzd2stringz12zc0zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringz00zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_stringzc3zf3z30zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__makezd2stringzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_stringzd2refzd2urz00zz__r4_strings_6_7z00(obj_t, int);
extern obj_t make_string(int, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringzd3zf3z20zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzd2cizc3zd3zf3z31zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringze3zf3z10zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzf3zf3zz__r4_strings_6_7z00(obj_t, obj_t);
extern bool_t bigloo_strncmp(obj_t, obj_t, int);
extern long bgl_list_length(obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringzd2cizc3zf3ze2zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__substringz00zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2upcasez12zc0zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzc3zf3z30zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringze3zd3zf3zc3zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzd3zf3z20zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2forzd2readz00zz__r4_strings_6_7z00(obj_t);
extern obj_t string_for_read(obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringzd2cize3zf3zc2zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringzf3zf3zz__r4_strings_6_7z00(obj_t);
extern bool_t string_ge(obj_t, obj_t);
static obj_t BGl__stringze3zf3z10zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(obj_t);
extern bool_t string_cige(obj_t, obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern bool_t string_gt(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2setz12zc0zz__r4_strings_6_7z00(obj_t, int, unsigned char);
extern bool_t string_cigt(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(obj_t, obj_t);
extern obj_t c_substring(obj_t, int, int);
static obj_t BGl__stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2upcasez12zc0zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__stringzd2copyzd2zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzc3zd3zf3ze3zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__stringzd2refzd2urz00zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl__emptyzd2stringzf3z21zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_substringzd2urzd2zz__r4_strings_6_7z00(obj_t, int, int);
extern bool_t bigloo_strncmp_ci(obj_t, obj_t, int);
extern bool_t string_le(obj_t, obj_t);
static obj_t BGl__stringzd2cizc3zf3ze2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
extern bool_t string_cile(obj_t, obj_t);
static obj_t BGl__substringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringz00zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzd2forzd2readz00zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2cize3zd3zf3z11zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_stringzd2refzd2zz__r4_strings_6_7z00(obj_t, int);
BGL_EXPORTED_DECL bool_t BGl_substringzd3zf3z20zz__r4_strings_6_7z00(obj_t, obj_t, int);
extern bool_t string_lt(obj_t, obj_t);
static obj_t BGl__stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t, obj_t);
extern bool_t string_cilt(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__blitzd2stringzd2urz12z12zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_strings_6_7z00();
static obj_t BGl__stringzd2cize3zf3zc2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
extern obj_t bgl_string_shrink(obj_t, int);
static obj_t BGl__stringzd2lengthzd2zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_blitzd2stringz12zc0zz__r4_strings_6_7z00(obj_t, int, obj_t, int, int);
BGL_EXPORTED_DECL bool_t BGl_stringzc3zd3zf3ze3zz__r4_strings_6_7z00(obj_t, obj_t);
extern obj_t blit_string(obj_t, int, obj_t, int, int);
static obj_t BGl__stringzd2setz12zc0zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_strings_6_7z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_stringzd2cizc3zd3zf3z31zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t BGl__stringzd2setzd2urz12z12zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2refzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2shrinkz121839zc0zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2stringzd2zz__r4_strings_6_7z00(int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2shrinkz12zc0zz__r4_strings_6_7z00(obj_t, int);
extern bool_t strcicmp(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t);
extern obj_t make_string_sans_fill(int);
static obj_t BGl__substringzd3zf3z20zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringze3zd3zf3zc3zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_substringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_stringzd2setzd2urz12z12zz__r4_strings_6_7z00(obj_t, int, unsigned char);
static obj_t BGl__stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_blitzd2stringzd2urz12z12zz__r4_strings_6_7z00(obj_t, int, obj_t, int, int);
BGL_EXPORTED_DECL bool_t BGl_emptyzd2stringzf3z21zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__substringzd2urzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_stringzd2cize3zd3zf3z11zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_stringzd2lengthzd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t, unsigned char);
static obj_t BGl__stringzd2appendzd2zz__r4_strings_6_7z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1951z00zz__r4_strings_6_7z00, BgL_bgl_string1951za700za7za7__r4_strings_6_7za7001964z00, "string-set!", 11 );
DEFINE_STRING( BGl_string1950z00zz__r4_strings_6_7z00, BgL_bgl_string1950za700za7za7__r4_strings_6_7za7001965z00, "index out of range", 18 );
DEFINE_STRING( BGl_string1949z00zz__r4_strings_6_7z00, BgL_bgl_string1949za700za7za7__r4_strings_6_7za7001966z00, "string-ref", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_substringzd2urzd2envz00zz__r4_strings_6_7z00, BgL_bgl__substringza7d2urza7d2za7za7__r4_strings_6_7za7001967za7, BGl__substringzd2urzd2zz__r4_strings_6_7z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2fillz12zd2envz12zz__r4_strings_6_7z00, BgL_bgl__stringza7d2fillza712za7c0za7za7__r4_strings_6_7za7001968z00, BGl__stringzd2fillz12zc0zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_blitzd2stringz12zd2envz12zz__r4_strings_6_7z00, BgL_bgl__blitza7d2stringza712za7c0za7za7__r4_strings_6_7za7001969z00, BGl__blitzd2stringz12zc0zz__r4_strings_6_7z00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_listzd2ze3stringzd2envze3zz__r4_strings_6_7z00, BgL_bgl__listza7d2za7e3stringza731za7za7__r4_strings_6_7za7001970z00, BGl__listzd2ze3stringz31zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2copyzd2envz00zz__r4_strings_6_7z00, BgL_bgl__stringza7d2copyza7d2za7za7__r4_strings_6_7za7001971za7, BGl__stringzd2copyzd2zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2cizc3zd3zf3zd2envze3zz__r4_strings_6_7z00, BgL_bgl__stringza7d2ciza7c3za7d3za7f3za731za7za7__r4_strings_6_7za7001972z00, BGl__stringzd2cizc3zd3zf3z31zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2upcasez12zd2envz12zz__r4_strings_6_7z00, BgL_bgl__stringza7d2upcaseza712za7c0za7za7__r4_strings_6_7za7001973z00, BGl__stringzd2upcasez12zc0zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_emptyzd2stringzf3zd2envzf3zz__r4_strings_6_7z00, BgL_bgl__emptyza7d2stringza7f3za721za7za7__r4_strings_6_7za7001974z00, BGl__emptyzd2stringzf3z21zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2envzd2zz__r4_strings_6_7z00, BgL_bgl__stringza700za7za7__r4_strings_6_7za7001975z00, va_generic_entry, BGl__stringz00zz__r4_strings_6_7z00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3listzd2envze3zz__r4_strings_6_7z00, BgL_bgl__stringza7d2za7e3listza731za7za7__r4_strings_6_7za7001976z00, BGl__stringzd2ze3listz31zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2cize3zf3zd2envz10zz__r4_strings_6_7z00, BgL_bgl__stringza7d2ciza7e3za7f3za7c2za7za7__r4_strings_6_7za7001977za7, BGl__stringzd2cize3zf3zc2zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2capitaliza7ezd2envza7zz__r4_strings_6_7z00, BgL_bgl__stringza7d2capitaliza7a7eza775za7za7__r4_strings_6_7za7001978z00, BGl__stringzd2capitaliza7ez75zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2shrinkz12zd2envz12zz__r4_strings_6_7z00, BgL_bgl__stringza7d2shrinkza7121839za7c0za7za7__r4_strings_6_7za7001979z00, BGl__stringzd2shrinkz121839zc0zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2cize3zd3zf3zd2envzc3zz__r4_strings_6_7z00, BgL_bgl__stringza7d2ciza7e3za7d3za7f3za711za7za7__r4_strings_6_7za7001980z00, BGl__stringzd2cize3zd3zf3z11zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzc3zf3zd2envze2zz__r4_strings_6_7z00, BgL_bgl__stringza7c3za7f3za730za7za7__r4_strings_6_7za7001981z00, BGl__stringzc3zf3z30zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2downcasez12zd2envz12zz__r4_strings_6_7z00, BgL_bgl__stringza7d2downcaseza712za7c0za7za7__r4_strings_6_7za7001982z00, BGl__stringzd2downcasez12zc0zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzf3zd2envz21zz__r4_strings_6_7z00, BgL_bgl__stringza7f3za7f3za7za7__r4_strings_6_7za7001983za7, BGl__stringzf3zf3zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2refzd2envz00zz__r4_strings_6_7z00, BgL_bgl__stringza7d2refza7d2za7za7__r4_strings_6_7za7001984za7, BGl__stringzd2refzd2zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BgL_bgl__stringza7d2appendza7d2za7za7__r4_strings_6_7za7001985za7, va_generic_entry, BGl__stringzd2appendzd2zz__r4_strings_6_7z00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2refzd2urzd2envzd2zz__r4_strings_6_7z00, BgL_bgl__stringza7d2refza7d2urza700za7za7__r4_strings_6_7za7001986z00, BGl__stringzd2refzd2urz00zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2cizc3zf3zd2envz30zz__r4_strings_6_7z00, BgL_bgl__stringza7d2ciza7c3za7f3za7e2za7za7__r4_strings_6_7za7001987za7, BGl__stringzd2cizc3zf3ze2zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_substringzd2cizd3zf3zd2envz20zz__r4_strings_6_7z00, BgL_bgl__substringza7d2ciza7d3za7f3za7f2za7za7__r4_strings_6_7za7001988za7, BGl__substringzd2cizd3zf3zf2zz__r4_strings_6_7z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd3zf3zd2envzf2zz__r4_strings_6_7z00, BgL_bgl__stringza7d3za7f3za720za7za7__r4_strings_6_7za7001989z00, BGl__stringzd3zf3z20zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2stringzd2envz00zz__r4_strings_6_7z00, BgL_bgl__makeza7d2stringza7d2za7za7__r4_strings_6_7za7001990za7, va_generic_entry, BGl__makezd2stringzd2zz__r4_strings_6_7z00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2setz12zd2envz12zz__r4_strings_6_7z00, BgL_bgl__stringza7d2setza712za7c0za7za7__r4_strings_6_7za7001991z00, BGl__stringzd2setz12zc0zz__r4_strings_6_7z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzc3zd3zf3zd2envz31zz__r4_strings_6_7z00, BgL_bgl__stringza7c3za7d3za7f3za7e3za7za7__r4_strings_6_7za7001992za7, BGl__stringzc3zd3zf3ze3zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2forzd2readzd2envzd2zz__r4_strings_6_7z00, BgL_bgl__stringza7d2forza7d2readza700za7za7__r4_strings_6_7za7001993z00, BGl__stringzd2forzd2readz00zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00, BgL_bgl__blitza7d2stringza7d2urza712za712za7za7__r4_strings_6_7za7001994za7, BGl__blitzd2stringzd2urz12z12zz__r4_strings_6_7z00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2setzd2urz12zd2envzc0zz__r4_strings_6_7z00, BgL_bgl__stringza7d2setza7d2urza712za712za7za7__r4_strings_6_7za7001995za7, BGl__stringzd2setzd2urz12z12zz__r4_strings_6_7z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_stringze3zd3zf3zd2envz11zz__r4_strings_6_7z00, BgL_bgl__stringza7e3za7d3za7f3za7c3za7za7__r4_strings_6_7za7001996za7, BGl__stringze3zd3zf3zc3zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2lengthzd2envz00zz__r4_strings_6_7z00, BgL_bgl__stringza7d2lengthza7d2za7za7__r4_strings_6_7za7001997za7, BGl__stringzd2lengthzd2zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_substringzd2envzd2zz__r4_strings_6_7z00, BgL_bgl__substringza700za7za7__r4_strings_6_7za7001998z00, BGl__substringz00zz__r4_strings_6_7z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2upcasezd2envz00zz__r4_strings_6_7z00, BgL_bgl__stringza7d2upcaseza7d2za7za7__r4_strings_6_7za7001999za7, BGl__stringzd2upcasezd2zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2downcasezd2envz00zz__r4_strings_6_7z00, BgL_bgl__stringza7d2downcaseza7d2za7za7__r4_strings_6_7za7002000za7, BGl__stringzd2downcasezd2zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2cizd3zf3zd2envz20zz__r4_strings_6_7z00, BgL_bgl__stringza7d2ciza7d3za7f3za7f2za7za7__r4_strings_6_7za7002001za7, BGl__stringzd2cizd3zf3zf2zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2capitaliza7ez12zd2envzb5zz__r4_strings_6_7z00, BgL_bgl__stringza7d2capitaliza7a7eza712za767za7za7__r4_strings_6_7za7002002za7, BGl__stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringze3zf3zd2envzc2zz__r4_strings_6_7z00, BgL_bgl__stringza7e3za7f3za710za7za7__r4_strings_6_7za7002003z00, BGl__stringze3zf3z10zz__r4_strings_6_7z00, 0L, 2 );
DEFINE_STRING( BGl_string1958z00zz__r4_strings_6_7z00, BgL_bgl_string1958za700za7za7__r4_strings_6_7za7002004z00, "blit-string!:Index and length out of range", 42 );
DEFINE_STRING( BGl_string1957z00zz__r4_strings_6_7z00, BgL_bgl_string1957za700za7za7__r4_strings_6_7za7002005z00, "[src:", 5 );
DEFINE_STRING( BGl_string1956z00zz__r4_strings_6_7z00, BgL_bgl_string1956za700za7za7__r4_strings_6_7za7002006z00, "] [dest:", 8 );
DEFINE_STRING( BGl_string1955z00zz__r4_strings_6_7z00, BgL_bgl_string1955za700za7za7__r4_strings_6_7za7002007z00, "]", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_substringzd3zf3zd2envzf2zz__r4_strings_6_7z00, BgL_bgl__substringza7d3za7f3za720za7za7__r4_strings_6_7za7002008z00, BGl__substringzd3zf3z20zz__r4_strings_6_7z00, 0L, 3 );
DEFINE_STRING( BGl_string1954z00zz__r4_strings_6_7z00, BgL_bgl_string1954za700za7za7__r4_strings_6_7za7002009z00, "", 0 );
DEFINE_STRING( BGl_string1953z00zz__r4_strings_6_7z00, BgL_bgl_string1953za700za7za7__r4_strings_6_7za7002010z00, "Illegal index", 13 );
DEFINE_STRING( BGl_string1952z00zz__r4_strings_6_7z00, BgL_bgl_string1952za700za7za7__r4_strings_6_7za7002011z00, "substring", 9 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long BgL_checksumz00_1110, char * BgL_fromz00_1111)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_strings_6_7z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_strings_6_7z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_strings_6_7z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* string? */
BGL_EXPORTED_DEF bool_t BGl_stringzf3zf3zz__r4_strings_6_7z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 201 */
return 
STRINGP(BgL_objz00_1);} 
}



/* _string? */
obj_t BGl__stringzf3zf3zz__r4_strings_6_7z00(obj_t BgL_envz00_920, obj_t BgL_objz00_921)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 201 */
{ /* ./Ieee/string.scm 202 */
bool_t BgL_auxz00_1117;
BgL_auxz00_1117 = 
STRINGP(BgL_objz00_921); 
return 
BBOOL(BgL_auxz00_1117);} } 
}



/* make-string */
BGL_EXPORTED_DEF obj_t BGl_makezd2stringzd2zz__r4_strings_6_7z00(int BgL_kz00_2, obj_t BgL_charz00_3)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 207 */
if(
NULLP(BgL_charz00_3))
{ /* ./Ieee/string.scm 208 */
return 
make_string(BgL_kz00_2, ((unsigned char)' '));}  else 
{ /* ./Ieee/string.scm 208 */
obj_t BgL_arg1008z00_1032;
BgL_arg1008z00_1032 = 
CAR(BgL_charz00_3); 
{ /* ./Ieee/string.scm 208 */
unsigned char BgL_auxz00_1124;
BgL_auxz00_1124 = 
(unsigned char)CCHAR(BgL_arg1008z00_1032); 
return 
make_string(BgL_kz00_2, BgL_auxz00_1124);} } } 
}



/* _make-string */
obj_t BGl__makezd2stringzd2zz__r4_strings_6_7z00(obj_t BgL_envz00_922, obj_t BgL_kz00_923, obj_t BgL_charz00_924)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 207 */
{ /* ./Ieee/string.scm 208 */
int BgL_kz00_1033;
BgL_kz00_1033 = 
CINT(BgL_kz00_923); 
if(
NULLP(BgL_charz00_924))
{ /* ./Ieee/string.scm 208 */
return 
make_string(BgL_kz00_1033, ((unsigned char)' '));}  else 
{ /* ./Ieee/string.scm 208 */
obj_t BgL_arg1008z00_1035;
BgL_arg1008z00_1035 = 
CAR(BgL_charz00_924); 
{ /* ./Ieee/string.scm 208 */
unsigned char BgL_auxz00_1132;
BgL_auxz00_1132 = 
(unsigned char)CCHAR(BgL_arg1008z00_1035); 
return 
make_string(BgL_kz00_1033, BgL_auxz00_1132);} } } } 
}



/* string */
BGL_EXPORTED_DEF obj_t BGl_stringz00zz__r4_strings_6_7z00(obj_t BgL_charsz00_4)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 215 */
return 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_charsz00_4);} 
}



/* _string */
obj_t BGl__stringz00zz__r4_strings_6_7z00(obj_t BgL_envz00_925, obj_t BgL_charsz00_926)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 215 */
return 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_charsz00_926);} 
}



/* string-length */
BGL_EXPORTED_DEF int BGl_stringzd2lengthzd2zz__r4_strings_6_7z00(obj_t BgL_stringz00_5)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 221 */
return 
STRING_LENGTH(BgL_stringz00_5);} 
}



/* _string-length */
obj_t BGl__stringzd2lengthzd2zz__r4_strings_6_7z00(obj_t BgL_envz00_927, obj_t BgL_stringz00_928)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 221 */
{ /* ./Ieee/string.scm 222 */
int BgL_auxz00_1138;
BgL_auxz00_1138 = 
STRING_LENGTH(BgL_stringz00_928); 
return 
BINT(BgL_auxz00_1138);} } 
}



/* string-ref */
BGL_EXPORTED_DEF unsigned char BGl_stringzd2refzd2zz__r4_strings_6_7z00(obj_t BgL_stringz00_6, int BgL_kz00_7)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 227 */
{ /* ./Ieee/string.scm 228 */
bool_t BgL_testz00_1141;
{ /* ./Ieee/string.scm 228 */
int BgL_auxz00_1142;
BgL_auxz00_1142 = 
STRING_LENGTH(BgL_stringz00_6); 
BgL_testz00_1141 = 
BOUND_CHECK(BgL_kz00_7, BgL_auxz00_1142); } 
if(BgL_testz00_1141)
{ /* ./Ieee/string.scm 228 */
return 
STRING_REF(BgL_stringz00_6, BgL_kz00_7);}  else 
{ /* ./Ieee/string.scm 228 */
obj_t BgL_objectz00_1040;
BgL_objectz00_1040 = 
BINT(BgL_kz00_7); 
FAILURE(BGl_string1949z00zz__r4_strings_6_7z00,BGl_string1950z00zz__r4_strings_6_7z00,BgL_objectz00_1040);} } } 
}



/* _string-ref */
obj_t BGl__stringzd2refzd2zz__r4_strings_6_7z00(obj_t BgL_envz00_929, obj_t BgL_stringz00_930, obj_t BgL_kz00_931)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 227 */
{ /* ./Ieee/string.scm 228 */
unsigned char BgL_auxz00_1148;
{ /* ./Ieee/string.scm 228 */
int BgL_kz00_1042;
BgL_kz00_1042 = 
CINT(BgL_kz00_931); 
{ /* ./Ieee/string.scm 228 */
bool_t BgL_testz00_1150;
{ /* ./Ieee/string.scm 228 */
int BgL_auxz00_1151;
BgL_auxz00_1151 = 
STRING_LENGTH(BgL_stringz00_930); 
BgL_testz00_1150 = 
BOUND_CHECK(BgL_kz00_1042, BgL_auxz00_1151); } 
if(BgL_testz00_1150)
{ /* ./Ieee/string.scm 228 */
BgL_auxz00_1148 = 
STRING_REF(BgL_stringz00_930, BgL_kz00_1042)
; }  else 
{ /* ./Ieee/string.scm 228 */
obj_t BgL_objectz00_1045;
BgL_objectz00_1045 = 
BINT(BgL_kz00_1042); 
FAILURE(BGl_string1949z00zz__r4_strings_6_7z00,BGl_string1950z00zz__r4_strings_6_7z00,BgL_objectz00_1045);} } } 
return 
BCHAR(BgL_auxz00_1148);} } 
}



/* string-set! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2setz12zc0zz__r4_strings_6_7z00(obj_t BgL_stringz00_8, int BgL_kz00_9, unsigned char BgL_charz00_10)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 235 */
{ /* ./Ieee/string.scm 236 */
bool_t BgL_testz00_1158;
{ /* ./Ieee/string.scm 236 */
int BgL_auxz00_1159;
BgL_auxz00_1159 = 
STRING_LENGTH(BgL_stringz00_8); 
BgL_testz00_1158 = 
BOUND_CHECK(BgL_kz00_9, BgL_auxz00_1159); } 
if(BgL_testz00_1158)
{ /* ./Ieee/string.scm 236 */
return 
STRING_SET(BgL_stringz00_8, BgL_kz00_9, BgL_charz00_10);}  else 
{ /* ./Ieee/string.scm 236 */
obj_t BgL_objectz00_1048;
BgL_objectz00_1048 = 
BINT(BgL_kz00_9); 
FAILURE(BGl_string1951z00zz__r4_strings_6_7z00,BGl_string1950z00zz__r4_strings_6_7z00,BgL_objectz00_1048);} } } 
}



/* _string-set! */
obj_t BGl__stringzd2setz12zc0zz__r4_strings_6_7z00(obj_t BgL_envz00_932, obj_t BgL_stringz00_933, obj_t BgL_kz00_934, obj_t BgL_charz00_935)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 235 */
{ /* ./Ieee/string.scm 236 */
int BgL_kz00_1050;unsigned char BgL_charz00_1051;
BgL_kz00_1050 = 
CINT(BgL_kz00_934); 
BgL_charz00_1051 = 
(unsigned char)CCHAR(BgL_charz00_935); 
{ /* ./Ieee/string.scm 236 */
bool_t BgL_testz00_1167;
{ /* ./Ieee/string.scm 236 */
int BgL_auxz00_1168;
BgL_auxz00_1168 = 
STRING_LENGTH(BgL_stringz00_933); 
BgL_testz00_1167 = 
BOUND_CHECK(BgL_kz00_1050, BgL_auxz00_1168); } 
if(BgL_testz00_1167)
{ /* ./Ieee/string.scm 236 */
return 
STRING_SET(BgL_stringz00_933, BgL_kz00_1050, BgL_charz00_1051);}  else 
{ /* ./Ieee/string.scm 236 */
obj_t BgL_objectz00_1054;
BgL_objectz00_1054 = 
BINT(BgL_kz00_1050); 
FAILURE(BGl_string1951z00zz__r4_strings_6_7z00,BGl_string1950z00zz__r4_strings_6_7z00,BgL_objectz00_1054);} } } } 
}



/* string-ref-ur */
BGL_EXPORTED_DEF unsigned char BGl_stringzd2refzd2urz00zz__r4_strings_6_7z00(obj_t BgL_stringz00_11, int BgL_kz00_12)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 243 */
return 
STRING_REF(BgL_stringz00_11, BgL_kz00_12);} 
}



/* _string-ref-ur */
obj_t BGl__stringzd2refzd2urz00zz__r4_strings_6_7z00(obj_t BgL_envz00_936, obj_t BgL_stringz00_937, obj_t BgL_kz00_938)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 243 */
{ /* ./Ieee/string.scm 244 */
unsigned char BgL_auxz00_1175;
{ /* ./Ieee/string.scm 244 */
int BgL_auxz00_1176;
BgL_auxz00_1176 = 
CINT(BgL_kz00_938); 
BgL_auxz00_1175 = 
STRING_REF(BgL_stringz00_937, BgL_auxz00_1176); } 
return 
BCHAR(BgL_auxz00_1175);} } 
}



/* string-set-ur! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2setzd2urz12z12zz__r4_strings_6_7z00(obj_t BgL_stringz00_13, int BgL_kz00_14, unsigned char BgL_charz00_15)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 249 */
return 
STRING_SET(BgL_stringz00_13, BgL_kz00_14, BgL_charz00_15);} 
}



/* _string-set-ur! */
obj_t BGl__stringzd2setzd2urz12z12zz__r4_strings_6_7z00(obj_t BgL_envz00_939, obj_t BgL_stringz00_940, obj_t BgL_kz00_941, obj_t BgL_charz00_942)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 249 */
{ /* ./Ieee/string.scm 250 */
unsigned char BgL_auxz00_1183;int BgL_auxz00_1181;
BgL_auxz00_1183 = 
(unsigned char)CCHAR(BgL_charz00_942); 
BgL_auxz00_1181 = 
CINT(BgL_kz00_941); 
return 
STRING_SET(BgL_stringz00_940, BgL_auxz00_1181, BgL_auxz00_1183);} } 
}



/* string=? */
BGL_EXPORTED_DEF bool_t BGl_stringzd3zf3z20zz__r4_strings_6_7z00(obj_t BgL_string1z00_16, obj_t BgL_string2z00_17)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 255 */
return 
bigloo_strcmp(BgL_string1z00_16, BgL_string2z00_17);} 
}



/* _string=? */
obj_t BGl__stringzd3zf3z20zz__r4_strings_6_7z00(obj_t BgL_envz00_943, obj_t BgL_string1z00_944, obj_t BgL_string2z00_945)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 255 */
{ /* ./Ieee/string.scm 256 */
bool_t BgL_auxz00_1187;
BgL_auxz00_1187 = 
bigloo_strcmp(BgL_string1z00_944, BgL_string2z00_945); 
return 
BBOOL(BgL_auxz00_1187);} } 
}



/* substring=? */
BGL_EXPORTED_DEF bool_t BGl_substringzd3zf3z20zz__r4_strings_6_7z00(obj_t BgL_string1z00_18, obj_t BgL_string2z00_19, int BgL_lenz00_20)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 261 */
return 
bigloo_strncmp(BgL_string1z00_18, BgL_string2z00_19, BgL_lenz00_20);} 
}



/* _substring=? */
obj_t BGl__substringzd3zf3z20zz__r4_strings_6_7z00(obj_t BgL_envz00_946, obj_t BgL_string1z00_947, obj_t BgL_string2z00_948, obj_t BgL_lenz00_949)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 261 */
{ /* ./Ieee/string.scm 262 */
bool_t BgL_auxz00_1191;
{ /* ./Ieee/string.scm 262 */
int BgL_auxz00_1192;
BgL_auxz00_1192 = 
CINT(BgL_lenz00_949); 
BgL_auxz00_1191 = 
bigloo_strncmp(BgL_string1z00_947, BgL_string2z00_948, BgL_auxz00_1192); } 
return 
BBOOL(BgL_auxz00_1191);} } 
}



/* substring-ci=? */
BGL_EXPORTED_DEF bool_t BGl_substringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t BgL_string1z00_21, obj_t BgL_string2z00_22, int BgL_lenz00_23)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 267 */
return 
bigloo_strncmp_ci(BgL_string1z00_21, BgL_string2z00_22, BgL_lenz00_23);} 
}



/* _substring-ci=? */
obj_t BGl__substringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t BgL_envz00_950, obj_t BgL_string1z00_951, obj_t BgL_string2z00_952, obj_t BgL_lenz00_953)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 267 */
{ /* ./Ieee/string.scm 268 */
bool_t BgL_auxz00_1197;
{ /* ./Ieee/string.scm 268 */
int BgL_auxz00_1198;
BgL_auxz00_1198 = 
CINT(BgL_lenz00_953); 
BgL_auxz00_1197 = 
bigloo_strncmp_ci(BgL_string1z00_951, BgL_string2z00_952, BgL_auxz00_1198); } 
return 
BBOOL(BgL_auxz00_1197);} } 
}



/* empty-string? */
BGL_EXPORTED_DEF bool_t BGl_emptyzd2stringzf3z21zz__r4_strings_6_7z00(obj_t BgL_stringz00_24)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 273 */
{ /* ./Ieee/string.scm 274 */
long BgL_auxz00_1202;
{ /* ./Ieee/string.scm 274 */
int BgL_auxz00_1203;
BgL_auxz00_1203 = 
STRING_LENGTH(BgL_stringz00_24); 
BgL_auxz00_1202 = 
(long)(BgL_auxz00_1203); } 
return 
(BgL_auxz00_1202==((long)0));} } 
}



/* _empty-string? */
obj_t BGl__emptyzd2stringzf3z21zz__r4_strings_6_7z00(obj_t BgL_envz00_954, obj_t BgL_stringz00_955)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 273 */
{ /* ./Ieee/string.scm 274 */
bool_t BgL_auxz00_1207;
{ /* ./Ieee/string.scm 274 */
long BgL_auxz00_1208;
{ /* ./Ieee/string.scm 274 */
int BgL_auxz00_1209;
BgL_auxz00_1209 = 
STRING_LENGTH(BgL_stringz00_955); 
BgL_auxz00_1208 = 
(long)(BgL_auxz00_1209); } 
BgL_auxz00_1207 = 
(BgL_auxz00_1208==((long)0)); } 
return 
BBOOL(BgL_auxz00_1207);} } 
}



/* string-ci=? */
BGL_EXPORTED_DEF bool_t BGl_stringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t BgL_string1z00_25, obj_t BgL_string2z00_26)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 279 */
return 
strcicmp(BgL_string1z00_25, BgL_string2z00_26);} 
}



/* _string-ci=? */
obj_t BGl__stringzd2cizd3zf3zf2zz__r4_strings_6_7z00(obj_t BgL_envz00_956, obj_t BgL_string1z00_957, obj_t BgL_string2z00_958)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 279 */
{ /* ./Ieee/string.scm 280 */
bool_t BgL_auxz00_1215;
BgL_auxz00_1215 = 
strcicmp(BgL_string1z00_957, BgL_string2z00_958); 
return 
BBOOL(BgL_auxz00_1215);} } 
}



/* string<? */
BGL_EXPORTED_DEF bool_t BGl_stringzc3zf3z30zz__r4_strings_6_7z00(obj_t BgL_string1z00_27, obj_t BgL_string2z00_28)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 285 */
return 
string_lt(BgL_string1z00_27, BgL_string2z00_28);} 
}



/* _string<? */
obj_t BGl__stringzc3zf3z30zz__r4_strings_6_7z00(obj_t BgL_envz00_959, obj_t BgL_string1z00_960, obj_t BgL_string2z00_961)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 285 */
{ /* ./Ieee/string.scm 286 */
bool_t BgL_auxz00_1219;
BgL_auxz00_1219 = 
string_lt(BgL_string1z00_960, BgL_string2z00_961); 
return 
BBOOL(BgL_auxz00_1219);} } 
}



/* string>? */
BGL_EXPORTED_DEF bool_t BGl_stringze3zf3z10zz__r4_strings_6_7z00(obj_t BgL_string1z00_29, obj_t BgL_string2z00_30)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 291 */
return 
string_gt(BgL_string1z00_29, BgL_string2z00_30);} 
}



/* _string>? */
obj_t BGl__stringze3zf3z10zz__r4_strings_6_7z00(obj_t BgL_envz00_962, obj_t BgL_string1z00_963, obj_t BgL_string2z00_964)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 291 */
{ /* ./Ieee/string.scm 292 */
bool_t BgL_auxz00_1223;
BgL_auxz00_1223 = 
string_gt(BgL_string1z00_963, BgL_string2z00_964); 
return 
BBOOL(BgL_auxz00_1223);} } 
}



/* string<=? */
BGL_EXPORTED_DEF bool_t BGl_stringzc3zd3zf3ze3zz__r4_strings_6_7z00(obj_t BgL_string1z00_31, obj_t BgL_string2z00_32)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 297 */
return 
string_le(BgL_string1z00_31, BgL_string2z00_32);} 
}



/* _string<=? */
obj_t BGl__stringzc3zd3zf3ze3zz__r4_strings_6_7z00(obj_t BgL_envz00_965, obj_t BgL_string1z00_966, obj_t BgL_string2z00_967)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 297 */
{ /* ./Ieee/string.scm 298 */
bool_t BgL_auxz00_1227;
BgL_auxz00_1227 = 
string_le(BgL_string1z00_966, BgL_string2z00_967); 
return 
BBOOL(BgL_auxz00_1227);} } 
}



/* string>=? */
BGL_EXPORTED_DEF bool_t BGl_stringze3zd3zf3zc3zz__r4_strings_6_7z00(obj_t BgL_string1z00_33, obj_t BgL_string2z00_34)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 303 */
return 
string_ge(BgL_string1z00_33, BgL_string2z00_34);} 
}



/* _string>=? */
obj_t BGl__stringze3zd3zf3zc3zz__r4_strings_6_7z00(obj_t BgL_envz00_968, obj_t BgL_string1z00_969, obj_t BgL_string2z00_970)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 303 */
{ /* ./Ieee/string.scm 304 */
bool_t BgL_auxz00_1231;
BgL_auxz00_1231 = 
string_ge(BgL_string1z00_969, BgL_string2z00_970); 
return 
BBOOL(BgL_auxz00_1231);} } 
}



/* string-ci<? */
BGL_EXPORTED_DEF bool_t BGl_stringzd2cizc3zf3ze2zz__r4_strings_6_7z00(obj_t BgL_string1z00_35, obj_t BgL_string2z00_36)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 309 */
return 
string_cilt(BgL_string1z00_35, BgL_string2z00_36);} 
}



/* _string-ci<? */
obj_t BGl__stringzd2cizc3zf3ze2zz__r4_strings_6_7z00(obj_t BgL_envz00_971, obj_t BgL_string1z00_972, obj_t BgL_string2z00_973)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 309 */
{ /* ./Ieee/string.scm 310 */
bool_t BgL_auxz00_1235;
BgL_auxz00_1235 = 
string_cilt(BgL_string1z00_972, BgL_string2z00_973); 
return 
BBOOL(BgL_auxz00_1235);} } 
}



/* string-ci>? */
BGL_EXPORTED_DEF bool_t BGl_stringzd2cize3zf3zc2zz__r4_strings_6_7z00(obj_t BgL_string1z00_37, obj_t BgL_string2z00_38)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 315 */
return 
string_cigt(BgL_string1z00_37, BgL_string2z00_38);} 
}



/* _string-ci>? */
obj_t BGl__stringzd2cize3zf3zc2zz__r4_strings_6_7z00(obj_t BgL_envz00_974, obj_t BgL_string1z00_975, obj_t BgL_string2z00_976)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 315 */
{ /* ./Ieee/string.scm 316 */
bool_t BgL_auxz00_1239;
BgL_auxz00_1239 = 
string_cigt(BgL_string1z00_975, BgL_string2z00_976); 
return 
BBOOL(BgL_auxz00_1239);} } 
}



/* string-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_stringzd2cizc3zd3zf3z31zz__r4_strings_6_7z00(obj_t BgL_string1z00_39, obj_t BgL_string2z00_40)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 321 */
return 
string_cile(BgL_string1z00_39, BgL_string2z00_40);} 
}



/* _string-ci<=? */
obj_t BGl__stringzd2cizc3zd3zf3z31zz__r4_strings_6_7z00(obj_t BgL_envz00_977, obj_t BgL_string1z00_978, obj_t BgL_string2z00_979)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 321 */
{ /* ./Ieee/string.scm 322 */
bool_t BgL_auxz00_1243;
BgL_auxz00_1243 = 
string_cile(BgL_string1z00_978, BgL_string2z00_979); 
return 
BBOOL(BgL_auxz00_1243);} } 
}



/* string-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_stringzd2cize3zd3zf3z11zz__r4_strings_6_7z00(obj_t BgL_string1z00_41, obj_t BgL_string2z00_42)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 327 */
return 
string_cige(BgL_string1z00_41, BgL_string2z00_42);} 
}



/* _string-ci>=? */
obj_t BGl__stringzd2cize3zd3zf3z11zz__r4_strings_6_7z00(obj_t BgL_envz00_980, obj_t BgL_string1z00_981, obj_t BgL_string2z00_982)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 327 */
{ /* ./Ieee/string.scm 328 */
bool_t BgL_auxz00_1247;
BgL_auxz00_1247 = 
string_cige(BgL_string1z00_981, BgL_string2z00_982); 
return 
BBOOL(BgL_auxz00_1247);} } 
}



/* substring */
BGL_EXPORTED_DEF obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t BgL_stringz00_43, int BgL_startz00_44, int BgL_endz00_45)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 333 */
{ /* ./Ieee/string.scm 335 */
bool_t BgL_test1047z00_1087;
{ /* ./Ieee/string.scm 335 */
bool_t BgL_testz00_1250;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1253;long BgL_auxz00_1251;
BgL_auxz00_1253 = 
(long)(BgL_startz00_44); 
BgL_auxz00_1251 = 
(long)(BgL_endz00_45); 
BgL_testz00_1250 = 
(BgL_auxz00_1251>=BgL_auxz00_1253); } 
if(BgL_testz00_1250)
{ /* ./Ieee/string.scm 335 */
bool_t BgL_testz00_1256;
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1257;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1258;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1259;
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1260;
BgL_auxz00_1260 = 
STRING_LENGTH(BgL_stringz00_43); 
BgL_auxz00_1259 = 
(long)(BgL_auxz00_1260); } 
BgL_auxz00_1258 = 
(BgL_auxz00_1259+((long)1)); } 
BgL_auxz00_1257 = 
(int)(BgL_auxz00_1258); } 
BgL_testz00_1256 = 
BOUND_CHECK(BgL_startz00_44, BgL_auxz00_1257); } 
if(BgL_testz00_1256)
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1266;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1267;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1268;
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1269;
BgL_auxz00_1269 = 
STRING_LENGTH(BgL_stringz00_43); 
BgL_auxz00_1268 = 
(long)(BgL_auxz00_1269); } 
BgL_auxz00_1267 = 
(BgL_auxz00_1268+((long)1)); } 
BgL_auxz00_1266 = 
(int)(BgL_auxz00_1267); } 
BgL_test1047z00_1087 = 
BOUND_CHECK(BgL_endz00_45, BgL_auxz00_1266); }  else 
{ /* ./Ieee/string.scm 335 */
BgL_test1047z00_1087 = ((bool_t)0); } }  else 
{ /* ./Ieee/string.scm 335 */
BgL_test1047z00_1087 = ((bool_t)0); } } 
if(BgL_test1047z00_1087)
{ /* ./Ieee/string.scm 335 */
return 
c_substring(BgL_stringz00_43, BgL_startz00_44, BgL_endz00_45);}  else 
{ /* ./Ieee/string.scm 335 */
obj_t BgL_arg1052z00_1088;
{ /* ./Ieee/string.scm 335 */
obj_t BgL_auxz00_1279;obj_t BgL_auxz00_1277;
BgL_auxz00_1279 = 
BINT(BgL_endz00_45); 
BgL_auxz00_1277 = 
BINT(BgL_startz00_44); 
BgL_arg1052z00_1088 = 
MAKE_PAIR(BgL_auxz00_1277, BgL_auxz00_1279); } 
FAILURE(BGl_string1952z00zz__r4_strings_6_7z00,BGl_string1953z00zz__r4_strings_6_7z00,BgL_arg1052z00_1088);} } } 
}



/* _substring */
obj_t BGl__substringz00zz__r4_strings_6_7z00(obj_t BgL_envz00_983, obj_t BgL_stringz00_984, obj_t BgL_startz00_985, obj_t BgL_endz00_986)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 333 */
{ /* ./Ieee/string.scm 335 */
obj_t BgL_res1959z00_1098;
{ /* ./Ieee/string.scm 335 */
int BgL_startz00_1092;int BgL_endz00_1093;
BgL_startz00_1092 = 
CINT(BgL_startz00_985); 
BgL_endz00_1093 = 
CINT(BgL_endz00_986); 
{ /* ./Ieee/string.scm 335 */
bool_t BgL_test1047z00_1094;
{ /* ./Ieee/string.scm 335 */
bool_t BgL_testz00_1285;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1288;long BgL_auxz00_1286;
BgL_auxz00_1288 = 
(long)(BgL_startz00_1092); 
BgL_auxz00_1286 = 
(long)(BgL_endz00_1093); 
BgL_testz00_1285 = 
(BgL_auxz00_1286>=BgL_auxz00_1288); } 
if(BgL_testz00_1285)
{ /* ./Ieee/string.scm 335 */
bool_t BgL_testz00_1291;
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1292;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1293;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1294;
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1295;
BgL_auxz00_1295 = 
STRING_LENGTH(BgL_stringz00_984); 
BgL_auxz00_1294 = 
(long)(BgL_auxz00_1295); } 
BgL_auxz00_1293 = 
(BgL_auxz00_1294+((long)1)); } 
BgL_auxz00_1292 = 
(int)(BgL_auxz00_1293); } 
BgL_testz00_1291 = 
BOUND_CHECK(BgL_startz00_1092, BgL_auxz00_1292); } 
if(BgL_testz00_1291)
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1301;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1302;
{ /* ./Ieee/string.scm 335 */
long BgL_auxz00_1303;
{ /* ./Ieee/string.scm 335 */
int BgL_auxz00_1304;
BgL_auxz00_1304 = 
STRING_LENGTH(BgL_stringz00_984); 
BgL_auxz00_1303 = 
(long)(BgL_auxz00_1304); } 
BgL_auxz00_1302 = 
(BgL_auxz00_1303+((long)1)); } 
BgL_auxz00_1301 = 
(int)(BgL_auxz00_1302); } 
BgL_test1047z00_1094 = 
BOUND_CHECK(BgL_endz00_1093, BgL_auxz00_1301); }  else 
{ /* ./Ieee/string.scm 335 */
BgL_test1047z00_1094 = ((bool_t)0); } }  else 
{ /* ./Ieee/string.scm 335 */
BgL_test1047z00_1094 = ((bool_t)0); } } 
if(BgL_test1047z00_1094)
{ /* ./Ieee/string.scm 335 */
BgL_res1959z00_1098 = 
c_substring(BgL_stringz00_984, BgL_startz00_1092, BgL_endz00_1093); }  else 
{ /* ./Ieee/string.scm 335 */
obj_t BgL_arg1052z00_1095;
{ /* ./Ieee/string.scm 335 */
obj_t BgL_auxz00_1314;obj_t BgL_auxz00_1312;
BgL_auxz00_1314 = 
BINT(BgL_endz00_1093); 
BgL_auxz00_1312 = 
BINT(BgL_startz00_1092); 
BgL_arg1052z00_1095 = 
MAKE_PAIR(BgL_auxz00_1312, BgL_auxz00_1314); } 
FAILURE(BGl_string1952z00zz__r4_strings_6_7z00,BGl_string1953z00zz__r4_strings_6_7z00,BgL_arg1052z00_1095);} } } 
return BgL_res1959z00_1098;} } 
}



/* substring-ur */
BGL_EXPORTED_DEF obj_t BGl_substringzd2urzd2zz__r4_strings_6_7z00(obj_t BgL_stringz00_46, int BgL_startz00_47, int BgL_endz00_48)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 346 */
return 
c_substring(BgL_stringz00_46, BgL_startz00_47, BgL_endz00_48);} 
}



/* _substring-ur */
obj_t BGl__substringzd2urzd2zz__r4_strings_6_7z00(obj_t BgL_envz00_987, obj_t BgL_stringz00_988, obj_t BgL_startz00_989, obj_t BgL_endz00_990)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 346 */
{ /* ./Ieee/string.scm 347 */
int BgL_auxz00_1321;int BgL_auxz00_1319;
BgL_auxz00_1321 = 
CINT(BgL_endz00_990); 
BgL_auxz00_1319 = 
CINT(BgL_startz00_989); 
return 
c_substring(BgL_stringz00_988, BgL_auxz00_1319, BgL_auxz00_1321);} } 
}



/* string-append */
BGL_EXPORTED_DEF obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t BgL_listz00_49)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 356 */
if(
NULLP(BgL_listz00_49))
{ /* ./Ieee/string.scm 357 */
return BGl_string1954z00zz__r4_strings_6_7z00;}  else 
{ /* ./Ieee/string.scm 359 */
long BgL_lenz00_317;
{ 
obj_t BgL_listz00_596;long BgL_resz00_597;
BgL_listz00_596 = BgL_listz00_49; 
BgL_resz00_597 = ((long)0); 
BgL_stringzd2appendzd2_595:
if(
NULLP(BgL_listz00_596))
{ /* ./Ieee/string.scm 359 */
BgL_lenz00_317 = BgL_resz00_597; }  else 
{ 
long BgL_resz00_1330;obj_t BgL_listz00_1328;
BgL_listz00_1328 = 
CDR(BgL_listz00_596); 
{ /* ./Ieee/string.scm 359 */
long BgL_auxz00_1331;
{ /* ./Ieee/string.scm 359 */
int BgL_auxz00_1332;
{ /* ./Ieee/string.scm 359 */
obj_t BgL_auxz00_1333;
BgL_auxz00_1333 = 
CAR(BgL_listz00_596); 
BgL_auxz00_1332 = 
STRING_LENGTH(BgL_auxz00_1333); } 
BgL_auxz00_1331 = 
(long)(BgL_auxz00_1332); } 
BgL_resz00_1330 = 
(BgL_resz00_597+BgL_auxz00_1331); } 
BgL_resz00_597 = BgL_resz00_1330; 
BgL_listz00_596 = BgL_listz00_1328; 
goto BgL_stringzd2appendzd2_595;} } 
{ /* ./Ieee/string.scm 359 */
obj_t BgL_resz00_318;
{ /* ./Ieee/string.scm 366 */
int BgL_auxz00_1338;
BgL_auxz00_1338 = 
(int)(BgL_lenz00_317); 
BgL_resz00_318 = 
make_string_sans_fill(BgL_auxz00_1338); } 
{ /* ./Ieee/string.scm 366 */

{ 
obj_t BgL_listz00_639;long BgL_wz00_640;
BgL_listz00_639 = BgL_listz00_49; 
BgL_wz00_640 = ((long)0); 
BgL_stringzd2appendzd2_638:
if(
NULLP(BgL_listz00_639))
{ /* ./Ieee/string.scm 367 */
return BgL_resz00_318;}  else 
{ /* ./Ieee/string.scm 367 */
obj_t BgL_sz00_647;
BgL_sz00_647 = 
CAR(BgL_listz00_639); 
{ /* ./Ieee/string.scm 367 */
int BgL_lz00_648;
BgL_lz00_648 = 
STRING_LENGTH(BgL_sz00_647); 
{ /* ./Ieee/string.scm 367 */

{ /* ./Ieee/string.scm 367 */
int BgL_auxz00_1347;int BgL_auxz00_1345;
BgL_auxz00_1347 = 
(int)(BgL_wz00_640); 
BgL_auxz00_1345 = 
(int)(((long)0)); 
blit_string(BgL_sz00_647, BgL_auxz00_1345, BgL_resz00_318, BgL_auxz00_1347, BgL_lz00_648); } 
{ 
long BgL_wz00_1352;obj_t BgL_listz00_1350;
BgL_listz00_1350 = 
CDR(BgL_listz00_639); 
{ /* ./Ieee/string.scm 367 */
long BgL_auxz00_1353;
BgL_auxz00_1353 = 
(long)(BgL_lz00_648); 
BgL_wz00_1352 = 
(BgL_wz00_640+BgL_auxz00_1353); } 
BgL_wz00_640 = BgL_wz00_1352; 
BgL_listz00_639 = BgL_listz00_1350; 
goto BgL_stringzd2appendzd2_638;} } } } } } } } } 
}



/* _string-append */
obj_t BGl__stringzd2appendzd2zz__r4_strings_6_7z00(obj_t BgL_envz00_991, obj_t BgL_listz00_992)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 356 */
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_listz00_992);} 
}



/* list->string */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t BgL_listz00_50)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 379 */
{ /* ./Ieee/string.scm 380 */
long BgL_lenz00_335;
BgL_lenz00_335 = 
bgl_list_length(BgL_listz00_50); 
{ /* ./Ieee/string.scm 380 */
obj_t BgL_stringz00_336;
{ /* ./Ieee/string.scm 381 */
int BgL_auxz00_1358;
BgL_auxz00_1358 = 
(int)(BgL_lenz00_335); 
BgL_stringz00_336 = 
make_string_sans_fill(BgL_auxz00_1358); } 
{ /* ./Ieee/string.scm 381 */

{ 
long BgL_iz00_697;obj_t BgL_lz00_698;
BgL_iz00_697 = ((long)0); 
BgL_lz00_698 = BgL_listz00_50; 
BgL_loopz00_696:
if(
(BgL_iz00_697==BgL_lenz00_335))
{ /* ./Ieee/string.scm 382 */
return BgL_stringz00_336;}  else 
{ /* ./Ieee/string.scm 382 */
{ /* ./Ieee/string.scm 382 */
obj_t BgL_arg1112z00_704;
BgL_arg1112z00_704 = 
CAR(BgL_lz00_698); 
{ /* ./Ieee/string.scm 382 */
unsigned char BgL_auxz00_1366;int BgL_auxz00_1364;
BgL_auxz00_1366 = 
(unsigned char)CCHAR(BgL_arg1112z00_704); 
BgL_auxz00_1364 = 
(int)(BgL_iz00_697); 
STRING_SET(BgL_stringz00_336, BgL_auxz00_1364, BgL_auxz00_1366); } } 
{ 
obj_t BgL_lz00_1371;long BgL_iz00_1369;
BgL_iz00_1369 = 
(BgL_iz00_697+((long)1)); 
BgL_lz00_1371 = 
CDR(BgL_lz00_698); 
BgL_lz00_698 = BgL_lz00_1371; 
BgL_iz00_697 = BgL_iz00_1369; 
goto BgL_loopz00_696;} } } } } } } 
}



/* _list->string */
obj_t BGl__listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t BgL_envz00_993, obj_t BgL_listz00_994)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 379 */
return 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_listz00_994);} 
}



/* string->list */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t BgL_stringz00_51)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 393 */
{ /* ./Ieee/string.scm 394 */
int BgL_lenz00_344;
BgL_lenz00_344 = 
STRING_LENGTH(BgL_stringz00_51); 
{ /* ./Ieee/string.scm 395 */
long BgL_arg1125z00_348;
{ /* ./Ieee/string.scm 395 */
long BgL_auxz00_1375;
BgL_auxz00_1375 = 
(long)(BgL_lenz00_344); 
BgL_arg1125z00_348 = 
(BgL_auxz00_1375-((long)1)); } 
{ 
long BgL_iz00_748;obj_t BgL_resz00_749;
BgL_iz00_748 = BgL_arg1125z00_348; 
BgL_resz00_749 = BNIL; 
BgL_loopz00_747:
if(
(BgL_iz00_748==((long)-1)))
{ /* ./Ieee/string.scm 395 */
return BgL_resz00_749;}  else 
{ /* ./Ieee/string.scm 395 */
long BgL_arg1131z00_755;obj_t BgL_arg1132z00_756;
BgL_arg1131z00_755 = 
(BgL_iz00_748-((long)1)); 
{ /* ./Ieee/string.scm 395 */
unsigned char BgL_arg1136z00_757;
{ /* ./Ieee/string.scm 395 */
int BgL_auxz00_1381;
BgL_auxz00_1381 = 
(int)(BgL_iz00_748); 
BgL_arg1136z00_757 = 
STRING_REF(BgL_stringz00_51, BgL_auxz00_1381); } 
{ /* ./Ieee/string.scm 395 */
obj_t BgL_auxz00_1384;
BgL_auxz00_1384 = 
BCHAR(BgL_arg1136z00_757); 
BgL_arg1132z00_756 = 
MAKE_PAIR(BgL_auxz00_1384, BgL_resz00_749); } } 
{ 
obj_t BgL_resz00_1388;long BgL_iz00_1387;
BgL_iz00_1387 = BgL_arg1131z00_755; 
BgL_resz00_1388 = BgL_arg1132z00_756; 
BgL_resz00_749 = BgL_resz00_1388; 
BgL_iz00_748 = BgL_iz00_1387; 
goto BgL_loopz00_747;} } } } } } 
}



/* _string->list */
obj_t BGl__stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t BgL_envz00_995, obj_t BgL_stringz00_996)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 393 */
return 
BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(BgL_stringz00_996);} 
}



/* string-copy */
BGL_EXPORTED_DEF obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t BgL_stringz00_52)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 405 */
{ /* ./Ieee/string.scm 406 */
int BgL_lenz00_354;
BgL_lenz00_354 = 
STRING_LENGTH(BgL_stringz00_52); 
{ /* ./Ieee/string.scm 406 */
obj_t BgL_newz00_355;
BgL_newz00_355 = 
make_string_sans_fill(BgL_lenz00_354); 
{ /* ./Ieee/string.scm 407 */

{ 
long BgL_iz00_356;
{ /* ./Ieee/string.scm 408 */
long BgL_auxz00_1403;
BgL_auxz00_1403 = 
(long)(BgL_lenz00_354); 
BgL_iz00_356 = 
(BgL_auxz00_1403-((long)1)); } 
BgL_loopz00_357:
if(
(BgL_iz00_356==((long)-1)))
{ /* ./Ieee/string.scm 409 */
return BgL_newz00_355;}  else 
{ /* ./Ieee/string.scm 409 */
{ /* ./Ieee/string.scm 412 */
unsigned char BgL_auxz00_1396;int BgL_auxz00_1394;
{ /* ./Ieee/string.scm 412 */
int BgL_auxz00_1397;
BgL_auxz00_1397 = 
(int)(BgL_iz00_356); 
BgL_auxz00_1396 = 
STRING_REF(BgL_stringz00_52, BgL_auxz00_1397); } 
BgL_auxz00_1394 = 
(int)(BgL_iz00_356); 
STRING_SET(BgL_newz00_355, BgL_auxz00_1394, BgL_auxz00_1396); } 
{ 
long BgL_iz00_1401;
BgL_iz00_1401 = 
(BgL_iz00_356-((long)1)); 
BgL_iz00_356 = BgL_iz00_1401; 
goto BgL_loopz00_357;} } } } } } } 
}



/* _string-copy */
obj_t BGl__stringzd2copyzd2zz__r4_strings_6_7z00(obj_t BgL_envz00_997, obj_t BgL_stringz00_998)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 405 */
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_stringz00_998);} 
}



/* string-fill! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t BgL_stringz00_53, unsigned char BgL_charz00_54)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 418 */
{ /* ./Ieee/string.scm 419 */
int BgL_lenz00_798;
BgL_lenz00_798 = 
STRING_LENGTH(BgL_stringz00_53); 
{ 
long BgL_iz00_805;
BgL_iz00_805 = ((long)0); 
BgL_loopz00_804:
{ /* ./Ieee/string.scm 419 */
bool_t BgL_testz00_1408;
{ /* ./Ieee/string.scm 419 */
long BgL_auxz00_1409;
BgL_auxz00_1409 = 
(long)(BgL_lenz00_798); 
BgL_testz00_1408 = 
(BgL_iz00_805==BgL_auxz00_1409); } 
if(BgL_testz00_1408)
{ /* ./Ieee/string.scm 419 */
return BUNSPEC;}  else 
{ /* ./Ieee/string.scm 419 */
{ /* ./Ieee/string.scm 419 */
int BgL_auxz00_1412;
BgL_auxz00_1412 = 
(int)(BgL_iz00_805); 
STRING_SET(BgL_stringz00_53, BgL_auxz00_1412, BgL_charz00_54); } 
{ 
long BgL_iz00_1415;
BgL_iz00_1415 = 
(BgL_iz00_805+((long)1)); 
BgL_iz00_805 = BgL_iz00_1415; 
goto BgL_loopz00_804;} } } } } } 
}



/* _string-fill! */
obj_t BGl__stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t BgL_envz00_999, obj_t BgL_stringz00_1000, obj_t BgL_charz00_1001)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 418 */
return 
BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_stringz00_1000, 
(unsigned char)CCHAR(BgL_charz00_1001));} 
}



/* string-upcase */
BGL_EXPORTED_DEF obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t BgL_stringz00_55)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 430 */
{ /* ./Ieee/string.scm 431 */
int BgL_lenz00_367;
BgL_lenz00_367 = 
STRING_LENGTH(BgL_stringz00_55); 
{ /* ./Ieee/string.scm 431 */
obj_t BgL_resz00_368;
BgL_resz00_368 = 
make_string_sans_fill(BgL_lenz00_367); 
{ /* ./Ieee/string.scm 432 */

{ 
long BgL_iz00_369;
BgL_iz00_369 = ((long)0); 
BgL_loopz00_370:
{ /* ./Ieee/string.scm 434 */
bool_t BgL_testz00_1421;
{ /* ./Ieee/string.scm 434 */
long BgL_auxz00_1422;
BgL_auxz00_1422 = 
(long)(BgL_lenz00_367); 
BgL_testz00_1421 = 
(BgL_iz00_369==BgL_auxz00_1422); } 
if(BgL_testz00_1421)
{ /* ./Ieee/string.scm 434 */
return BgL_resz00_368;}  else 
{ /* ./Ieee/string.scm 434 */
{ /* ./Ieee/string.scm 437 */
unsigned char BgL_auxz00_1427;int BgL_auxz00_1425;
{ /* ./Ieee/string.scm 437 */
unsigned char BgL_auxz00_1428;
{ /* ./Ieee/string.scm 437 */
int BgL_auxz00_1429;
BgL_auxz00_1429 = 
(int)(BgL_iz00_369); 
BgL_auxz00_1428 = 
STRING_REF(BgL_stringz00_55, BgL_auxz00_1429); } 
BgL_auxz00_1427 = 
toupper(BgL_auxz00_1428); } 
BgL_auxz00_1425 = 
(int)(BgL_iz00_369); 
STRING_SET(BgL_resz00_368, BgL_auxz00_1425, BgL_auxz00_1427); } 
{ 
long BgL_iz00_1434;
BgL_iz00_1434 = 
(BgL_iz00_369+((long)1)); 
BgL_iz00_369 = BgL_iz00_1434; 
goto BgL_loopz00_370;} } } } } } } } 
}



/* _string-upcase */
obj_t BGl__stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t BgL_envz00_1002, obj_t BgL_stringz00_1003)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 430 */
return 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_stringz00_1003);} 
}



/* string-downcase */
BGL_EXPORTED_DEF obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t BgL_stringz00_56)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 443 */
{ /* ./Ieee/string.scm 444 */
int BgL_lenz00_375;
BgL_lenz00_375 = 
STRING_LENGTH(BgL_stringz00_56); 
{ /* ./Ieee/string.scm 444 */
obj_t BgL_resz00_376;
BgL_resz00_376 = 
make_string_sans_fill(BgL_lenz00_375); 
{ /* ./Ieee/string.scm 445 */

{ 
long BgL_iz00_377;
BgL_iz00_377 = ((long)0); 
BgL_loopz00_378:
{ /* ./Ieee/string.scm 447 */
bool_t BgL_testz00_1439;
{ /* ./Ieee/string.scm 447 */
long BgL_auxz00_1440;
BgL_auxz00_1440 = 
(long)(BgL_lenz00_375); 
BgL_testz00_1439 = 
(BgL_iz00_377==BgL_auxz00_1440); } 
if(BgL_testz00_1439)
{ /* ./Ieee/string.scm 447 */
return BgL_resz00_376;}  else 
{ /* ./Ieee/string.scm 447 */
{ /* ./Ieee/string.scm 450 */
unsigned char BgL_auxz00_1445;int BgL_auxz00_1443;
{ /* ./Ieee/string.scm 450 */
unsigned char BgL_auxz00_1446;
{ /* ./Ieee/string.scm 450 */
int BgL_auxz00_1447;
BgL_auxz00_1447 = 
(int)(BgL_iz00_377); 
BgL_auxz00_1446 = 
STRING_REF(BgL_stringz00_56, BgL_auxz00_1447); } 
BgL_auxz00_1445 = 
tolower(BgL_auxz00_1446); } 
BgL_auxz00_1443 = 
(int)(BgL_iz00_377); 
STRING_SET(BgL_resz00_376, BgL_auxz00_1443, BgL_auxz00_1445); } 
{ 
long BgL_iz00_1452;
BgL_iz00_1452 = 
(BgL_iz00_377+((long)1)); 
BgL_iz00_377 = BgL_iz00_1452; 
goto BgL_loopz00_378;} } } } } } } } 
}



/* _string-downcase */
obj_t BGl__stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t BgL_envz00_1004, obj_t BgL_stringz00_1005)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 443 */
return 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_stringz00_1005);} 
}



/* string-upcase! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2upcasez12zc0zz__r4_strings_6_7z00(obj_t BgL_stringz00_57)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 456 */
{ /* ./Ieee/string.scm 457 */
int BgL_lenz00_383;
BgL_lenz00_383 = 
STRING_LENGTH(BgL_stringz00_57); 
{ 
long BgL_iz00_384;
BgL_iz00_384 = ((long)0); 
BgL_loopz00_385:
{ /* ./Ieee/string.scm 459 */
bool_t BgL_testz00_1456;
{ /* ./Ieee/string.scm 459 */
long BgL_auxz00_1457;
BgL_auxz00_1457 = 
(long)(BgL_lenz00_383); 
BgL_testz00_1456 = 
(BgL_iz00_384==BgL_auxz00_1457); } 
if(BgL_testz00_1456)
{ /* ./Ieee/string.scm 459 */
return BgL_stringz00_57;}  else 
{ /* ./Ieee/string.scm 459 */
{ /* ./Ieee/string.scm 462 */
unsigned char BgL_auxz00_1462;int BgL_auxz00_1460;
{ /* ./Ieee/string.scm 462 */
unsigned char BgL_auxz00_1463;
{ /* ./Ieee/string.scm 462 */
int BgL_auxz00_1464;
BgL_auxz00_1464 = 
(int)(BgL_iz00_384); 
BgL_auxz00_1463 = 
STRING_REF(BgL_stringz00_57, BgL_auxz00_1464); } 
BgL_auxz00_1462 = 
toupper(BgL_auxz00_1463); } 
BgL_auxz00_1460 = 
(int)(BgL_iz00_384); 
STRING_SET(BgL_stringz00_57, BgL_auxz00_1460, BgL_auxz00_1462); } 
{ 
long BgL_iz00_1469;
BgL_iz00_1469 = 
(BgL_iz00_384+((long)1)); 
BgL_iz00_384 = BgL_iz00_1469; 
goto BgL_loopz00_385;} } } } } } 
}



/* _string-upcase! */
obj_t BGl__stringzd2upcasez12zc0zz__r4_strings_6_7z00(obj_t BgL_envz00_1006, obj_t BgL_stringz00_1007)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 456 */
return 
BGl_stringzd2upcasez12zc0zz__r4_strings_6_7z00(BgL_stringz00_1007);} 
}



/* string-downcase! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t BgL_stringz00_58)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 468 */
{ /* ./Ieee/string.scm 469 */
int BgL_lenz00_390;
BgL_lenz00_390 = 
STRING_LENGTH(BgL_stringz00_58); 
{ 
long BgL_iz00_391;
BgL_iz00_391 = ((long)0); 
BgL_loopz00_392:
{ /* ./Ieee/string.scm 471 */
bool_t BgL_testz00_1473;
{ /* ./Ieee/string.scm 471 */
long BgL_auxz00_1474;
BgL_auxz00_1474 = 
(long)(BgL_lenz00_390); 
BgL_testz00_1473 = 
(BgL_iz00_391==BgL_auxz00_1474); } 
if(BgL_testz00_1473)
{ /* ./Ieee/string.scm 471 */
return BgL_stringz00_58;}  else 
{ /* ./Ieee/string.scm 471 */
{ /* ./Ieee/string.scm 474 */
unsigned char BgL_auxz00_1479;int BgL_auxz00_1477;
{ /* ./Ieee/string.scm 474 */
unsigned char BgL_auxz00_1480;
{ /* ./Ieee/string.scm 474 */
int BgL_auxz00_1481;
BgL_auxz00_1481 = 
(int)(BgL_iz00_391); 
BgL_auxz00_1480 = 
STRING_REF(BgL_stringz00_58, BgL_auxz00_1481); } 
BgL_auxz00_1479 = 
tolower(BgL_auxz00_1480); } 
BgL_auxz00_1477 = 
(int)(BgL_iz00_391); 
STRING_SET(BgL_stringz00_58, BgL_auxz00_1477, BgL_auxz00_1479); } 
{ 
long BgL_iz00_1486;
BgL_iz00_1486 = 
(BgL_iz00_391+((long)1)); 
BgL_iz00_391 = BgL_iz00_1486; 
goto BgL_loopz00_392;} } } } } } 
}



/* _string-downcase! */
obj_t BGl__stringzd2downcasez12zc0zz__r4_strings_6_7z00(obj_t BgL_envz00_1008, obj_t BgL_stringz00_1009)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 468 */
return 
BGl_stringzd2downcasez12zc0zz__r4_strings_6_7z00(BgL_stringz00_1009);} 
}



/* string-capitalize! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(obj_t BgL_stringz00_59)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 484 */
{ /* ./Ieee/string.scm 485 */
bool_t BgL_nonzd2firstzd2alphaz00_397;int BgL_stringzd2lenzd2_398;
BgL_nonzd2firstzd2alphaz00_397 = ((bool_t)0); 
BgL_stringzd2lenzd2_398 = 
STRING_LENGTH(BgL_stringz00_59); 
{ 
long BgL_iz00_400;
BgL_iz00_400 = ((long)0); 
BgL_zc3anonymousza31233ze3z83_401:
{ /* ./Ieee/string.scm 487 */
bool_t BgL_testz00_1490;
{ /* ./Ieee/string.scm 488 */
long BgL_auxz00_1491;
BgL_auxz00_1491 = 
(long)(BgL_stringzd2lenzd2_398); 
BgL_testz00_1490 = 
(BgL_iz00_400==BgL_auxz00_1491); } 
if(BgL_testz00_1490)
{ /* ./Ieee/string.scm 487 */
return BgL_stringz00_59;}  else 
{ /* ./Ieee/string.scm 487 */
{ /* ./Ieee/string.scm 489 */
unsigned char BgL_cz00_403;
{ /* ./Ieee/string.scm 489 */
int BgL_auxz00_1494;
BgL_auxz00_1494 = 
(int)(BgL_iz00_400); 
BgL_cz00_403 = 
STRING_REF(BgL_stringz00_59, BgL_auxz00_1494); } 
{ /* ./Ieee/string.scm 490 */
bool_t BgL_test1235z00_404;
{ /* ./Ieee/string.scm 490 */
bool_t BgL_res1800z00_886;
BgL_res1800z00_886 = 
isalpha(BgL_cz00_403); 
BgL_test1235z00_404 = BgL_res1800z00_886; } 
if(BgL_test1235z00_404)
{ /* ./Ieee/string.scm 490 */
if(BgL_nonzd2firstzd2alphaz00_397)
{ /* ./Ieee/string.scm 492 */
unsigned char BgL_auxz00_1502;int BgL_auxz00_1500;
BgL_auxz00_1502 = 
tolower(BgL_cz00_403); 
BgL_auxz00_1500 = 
(int)(BgL_iz00_400); 
STRING_SET(BgL_stringz00_59, BgL_auxz00_1500, BgL_auxz00_1502); }  else 
{ /* ./Ieee/string.scm 491 */
BgL_nonzd2firstzd2alphaz00_397 = ((bool_t)1); 
{ /* ./Ieee/string.scm 495 */
unsigned char BgL_auxz00_1507;int BgL_auxz00_1505;
BgL_auxz00_1507 = 
toupper(BgL_cz00_403); 
BgL_auxz00_1505 = 
(int)(BgL_iz00_400); 
STRING_SET(BgL_stringz00_59, BgL_auxz00_1505, BgL_auxz00_1507); } } }  else 
{ /* ./Ieee/string.scm 490 */
BgL_nonzd2firstzd2alphaz00_397 = ((bool_t)0); } } } 
{ 
long BgL_iz00_1510;
BgL_iz00_1510 = 
(BgL_iz00_400+((long)1)); 
BgL_iz00_400 = BgL_iz00_1510; 
goto BgL_zc3anonymousza31233ze3z83_401;} } } } } } 
}



/* _string-capitalize! */
obj_t BGl__stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(obj_t BgL_envz00_1010, obj_t BgL_stringz00_1011)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 484 */
return 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(BgL_stringz00_1011);} 
}



/* string-capitalize */
BGL_EXPORTED_DEF obj_t BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t BgL_stringz00_60)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 501 */
return 
BGl_stringzd2capitaliza7ez12z67zz__r4_strings_6_7z00(
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_stringz00_60));} 
}



/* _string-capitalize */
obj_t BGl__stringzd2capitaliza7ez75zz__r4_strings_6_7z00(obj_t BgL_envz00_1012, obj_t BgL_stringz00_1013)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 501 */
return 
BGl_stringzd2capitaliza7ez75zz__r4_strings_6_7z00(BgL_stringz00_1013);} 
}



/* string-for-read */
BGL_EXPORTED_DEF obj_t BGl_stringzd2forzd2readz00zz__r4_strings_6_7z00(obj_t BgL_stringz00_61)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 507 */
return 
string_for_read(BgL_stringz00_61);} 
}



/* _string-for-read */
obj_t BGl__stringzd2forzd2readz00zz__r4_strings_6_7z00(obj_t BgL_envz00_1014, obj_t BgL_stringz00_1015)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 507 */
return 
string_for_read(BgL_stringz00_1015);} 
}



/* blit-string-ur! */
BGL_EXPORTED_DEF obj_t BGl_blitzd2stringzd2urz12z12zz__r4_strings_6_7z00(obj_t BgL_s1z00_62, int BgL_o1z00_63, obj_t BgL_s2z00_64, int BgL_o2z00_65, int BgL_lz00_66)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 513 */
return 
blit_string(BgL_s1z00_62, BgL_o1z00_63, BgL_s2z00_64, BgL_o2z00_65, BgL_lz00_66);} 
}



/* _blit-string-ur! */
obj_t BGl__blitzd2stringzd2urz12z12zz__r4_strings_6_7z00(obj_t BgL_envz00_1016, obj_t BgL_s1z00_1017, obj_t BgL_o1z00_1018, obj_t BgL_s2z00_1019, obj_t BgL_o2z00_1020, obj_t BgL_lz00_1021)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 513 */
{ /* ./Ieee/string.scm 514 */
int BgL_auxz00_1523;int BgL_auxz00_1521;int BgL_auxz00_1519;
BgL_auxz00_1523 = 
CINT(BgL_lz00_1021); 
BgL_auxz00_1521 = 
CINT(BgL_o2z00_1020); 
BgL_auxz00_1519 = 
CINT(BgL_o1z00_1018); 
return 
blit_string(BgL_s1z00_1017, BgL_auxz00_1519, BgL_s2z00_1019, BgL_auxz00_1521, BgL_auxz00_1523);} } 
}



/* blit-string! */
BGL_EXPORTED_DEF obj_t BGl_blitzd2stringz12zc0zz__r4_strings_6_7z00(obj_t BgL_s1z00_67, int BgL_o1z00_68, obj_t BgL_s2z00_69, int BgL_o2z00_70, int BgL_lz00_71)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 519 */
{ /* ./Ieee/string.scm 520 */
bool_t BgL_test1258z00_410;
{ /* ./Ieee/string.scm 520 */
bool_t BgL_testz00_1526;
{ /* ./Ieee/string.scm 520 */
int BgL_auxz00_1535;int BgL_auxz00_1527;
{ /* ./Ieee/string.scm 520 */
long BgL_auxz00_1536;
{ /* ./Ieee/string.scm 520 */
long BgL_auxz00_1537;
{ /* ./Ieee/string.scm 520 */
int BgL_auxz00_1538;
BgL_auxz00_1538 = 
STRING_LENGTH(BgL_s1z00_67); 
BgL_auxz00_1537 = 
(long)(BgL_auxz00_1538); } 
BgL_auxz00_1536 = 
(BgL_auxz00_1537+((long)1)); } 
BgL_auxz00_1535 = 
(int)(BgL_auxz00_1536); } 
{ /* ./Ieee/string.scm 520 */
long BgL_auxz00_1528;
{ /* ./Ieee/string.scm 520 */
long BgL_auxz00_1531;long BgL_auxz00_1529;
BgL_auxz00_1531 = 
(long)(BgL_o1z00_68); 
BgL_auxz00_1529 = 
(long)(BgL_lz00_71); 
BgL_auxz00_1528 = 
(BgL_auxz00_1529+BgL_auxz00_1531); } 
BgL_auxz00_1527 = 
(int)(BgL_auxz00_1528); } 
BgL_testz00_1526 = 
BOUND_CHECK(BgL_auxz00_1527, BgL_auxz00_1535); } 
if(BgL_testz00_1526)
{ /* ./Ieee/string.scm 521 */
int BgL_auxz00_1552;int BgL_auxz00_1544;
{ /* ./Ieee/string.scm 521 */
long BgL_auxz00_1553;
{ /* ./Ieee/string.scm 521 */
long BgL_auxz00_1554;
{ /* ./Ieee/string.scm 521 */
int BgL_auxz00_1555;
BgL_auxz00_1555 = 
STRING_LENGTH(BgL_s2z00_69); 
BgL_auxz00_1554 = 
(long)(BgL_auxz00_1555); } 
BgL_auxz00_1553 = 
(BgL_auxz00_1554+((long)1)); } 
BgL_auxz00_1552 = 
(int)(BgL_auxz00_1553); } 
{ /* ./Ieee/string.scm 521 */
long BgL_auxz00_1545;
{ /* ./Ieee/string.scm 521 */
long BgL_auxz00_1548;long BgL_auxz00_1546;
BgL_auxz00_1548 = 
(long)(BgL_o2z00_70); 
BgL_auxz00_1546 = 
(long)(BgL_lz00_71); 
BgL_auxz00_1545 = 
(BgL_auxz00_1546+BgL_auxz00_1548); } 
BgL_auxz00_1544 = 
(int)(BgL_auxz00_1545); } 
BgL_test1258z00_410 = 
BOUND_CHECK(BgL_auxz00_1544, BgL_auxz00_1552); }  else 
{ /* ./Ieee/string.scm 520 */
BgL_test1258z00_410 = ((bool_t)0); } } 
if(BgL_test1258z00_410)
{ /* ./Ieee/string.scm 520 */
return 
blit_string(BgL_s1z00_67, BgL_o1z00_68, BgL_s2z00_69, BgL_o2z00_70, BgL_lz00_71);}  else 
{ /* ./Ieee/string.scm 523 */
obj_t BgL_arg1262z00_412;obj_t BgL_arg1264z00_413;
{ /* ./Ieee/string.scm 524 */
obj_t BgL_list1267z00_414;
{ /* ./Ieee/string.scm 524 */
obj_t BgL_arg1270z00_416;
{ /* ./Ieee/string.scm 524 */
obj_t BgL_arg1273z00_417;
{ /* ./Ieee/string.scm 524 */
obj_t BgL_arg1277z00_419;
{ /* ./Ieee/string.scm 524 */
obj_t BgL_arg1280z00_420;
BgL_arg1280z00_420 = 
MAKE_PAIR(BGl_string1955z00zz__r4_strings_6_7z00, BNIL); 
BgL_arg1277z00_419 = 
MAKE_PAIR(BgL_s2z00_69, BgL_arg1280z00_420); } 
BgL_arg1273z00_417 = 
MAKE_PAIR(BGl_string1956z00zz__r4_strings_6_7z00, BgL_arg1277z00_419); } 
BgL_arg1270z00_416 = 
MAKE_PAIR(BgL_s1z00_67, BgL_arg1273z00_417); } 
BgL_list1267z00_414 = 
MAKE_PAIR(BGl_string1957z00zz__r4_strings_6_7z00, BgL_arg1270z00_416); } 
BgL_arg1262z00_412 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1267z00_414); } 
{ /* ./Ieee/string.scm 525 */
int BgL_arg1284z00_421;int BgL_arg1285z00_422;
BgL_arg1284z00_421 = 
STRING_LENGTH(BgL_s1z00_67); 
BgL_arg1285z00_422 = 
STRING_LENGTH(BgL_s2z00_69); 
{ /* ./Ieee/string.scm 525 */
obj_t BgL_list1287z00_423;
{ /* ./Ieee/string.scm 525 */
obj_t BgL_arg1289z00_424;
{ /* ./Ieee/string.scm 525 */
obj_t BgL_arg1292z00_425;
{ /* ./Ieee/string.scm 525 */
obj_t BgL_arg1295z00_426;
{ /* ./Ieee/string.scm 525 */
obj_t BgL_arg1298z00_427;
{ /* ./Ieee/string.scm 525 */
obj_t BgL_auxz00_1571;
BgL_auxz00_1571 = 
BINT(BgL_lz00_71); 
BgL_arg1298z00_427 = 
MAKE_PAIR(BgL_auxz00_1571, BNIL); } 
{ /* ./Ieee/string.scm 525 */
obj_t BgL_auxz00_1574;
BgL_auxz00_1574 = 
BINT(BgL_o2z00_70); 
BgL_arg1295z00_426 = 
MAKE_PAIR(BgL_auxz00_1574, BgL_arg1298z00_427); } } 
{ /* ./Ieee/string.scm 525 */
obj_t BgL_auxz00_1577;
BgL_auxz00_1577 = 
BINT(BgL_arg1285z00_422); 
BgL_arg1292z00_425 = 
MAKE_PAIR(BgL_auxz00_1577, BgL_arg1295z00_426); } } 
{ /* ./Ieee/string.scm 525 */
obj_t BgL_auxz00_1580;
BgL_auxz00_1580 = 
BINT(BgL_o1z00_68); 
BgL_arg1289z00_424 = 
MAKE_PAIR(BgL_auxz00_1580, BgL_arg1292z00_425); } } 
{ /* ./Ieee/string.scm 525 */
obj_t BgL_auxz00_1583;
BgL_auxz00_1583 = 
BINT(BgL_arg1284z00_421); 
BgL_list1287z00_423 = 
MAKE_PAIR(BgL_auxz00_1583, BgL_arg1289z00_424); } } 
BgL_arg1264z00_413 = BgL_list1287z00_423; } } 
FAILURE(BGl_string1958z00zz__r4_strings_6_7z00,BgL_arg1262z00_412,BgL_arg1264z00_413);} } } 
}



/* _blit-string! */
obj_t BGl__blitzd2stringz12zc0zz__r4_strings_6_7z00(obj_t BgL_envz00_1022, obj_t BgL_s1z00_1023, obj_t BgL_o1z00_1024, obj_t BgL_s2z00_1025, obj_t BgL_o2z00_1026, obj_t BgL_lz00_1027)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 519 */
return 
BGl_blitzd2stringz12zc0zz__r4_strings_6_7z00(BgL_s1z00_1023, 
CINT(BgL_o1z00_1024), BgL_s2z00_1025, 
CINT(BgL_o2z00_1026), 
CINT(BgL_lz00_1027));} 
}



/* string-shrink! */
BGL_EXPORTED_DEF obj_t BGl_stringzd2shrinkz12zc0zz__r4_strings_6_7z00(obj_t BgL_sz00_72, int BgL_lz00_73)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 530 */
return 
bgl_string_shrink(BgL_sz00_72, BgL_lz00_73);} 
}



/* _string-shrink!1839 */
obj_t BGl__stringzd2shrinkz121839zc0zz__r4_strings_6_7z00(obj_t BgL_envz00_1028, obj_t BgL_sz00_1029, obj_t BgL_lz00_1030)
{ AN_OBJECT;
{ /* ./Ieee/string.scm 530 */
{ /* ./Ieee/string.scm 531 */
int BgL_auxz00_1592;
BgL_auxz00_1592 = 
CINT(BgL_lz00_1030); 
return 
bgl_string_shrink(BgL_sz00_1029, BgL_auxz00_1592);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_strings_6_7z00()
{ AN_OBJECT;
{ /* ./Ieee/string.scm 18 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_strings_6_7");} 
}

